!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_20869) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_20868) = coupl(nGC_19)*dZsL_QCD2
      coupl(nGC_12960) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0 &
                          + Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 +  &
                         Nc*coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 +     &
                         coupl(nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(    &
                         nGC_221)**2d0)/(48d0*pi**2d0)
      coupl(nGC_TS_GC_191_Hl) = -coupl(nGC_191)*dtHl_QED1/cMHL**2d0
      coupl(nGC_25328) = coupl(nGC_13352) + 2d0*coupl(nGC_32)*dZHhHl_QED2 + 2d0&
                         *coupl(nGC_34)*dZHl_QED2
      coupl(nGC_13036) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_122)**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(    &
                         nGC_845) + coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_216)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_213)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13034) = (coupl(nGC_221)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl&
                         (nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(&
                         32d0*pi**2d0)
      coupl(nGC_13035) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_125)**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(    &
                         nGC_845) + coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_216)**2d0 + coupl(nGC_197)**2d0*coupl&
                         (nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_99)**2d0 - coupl(&
                         nGC_3)*coupl(nGC_99)**2d0 + coupl(nGC_4)*coupl(nGC_99 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_13032) = (coupl(nGC_205)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl&
                         (nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(&
                         32d0*pi**2d0)
      coupl(nGC_13033) = (coupl(nGC_209)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl&
                         (nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(&
                         32d0*pi**2d0)
      coupl(nGC_13038) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123 &
                         )**2d0*coupl(nGC_2) + coupl(nGC_1513)*coupl(nGC_2)*   &
                         coupl(nGC_218) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*&
                         coupl(nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0&
                         )/(32d0*pi**2d0)
      coupl(nGC_13039) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_1957&
                         )*coupl(nGC_222) + coupl(nGC_223)**2d0 + coupl(nGC_224&
                         )**2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19181) = coupl(nGC_148)*dZZA_QED2/2d0
      coupl(nGC_12983) = cMC*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_13109) = coupl(nGC_19)**2d0*coupl(nGC_218)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12985) = cima*(-coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/(16d0*&
                         pi**2d0)
      coupl(nGC_12984) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_12987) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_13450) = coupl(nGC_383)*dyt_QED1_QCD2
      coupl(nGC_13103) = coupl(nGC_19)**2d0*coupl(nGC_845)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13452) = coupl(nGC_12656)*dsw_QED2 + coupl(nGC_12657)*dcw_QED2 &
                          + coupl(nGC_12658)*dZee_QED2
      coupl(nGC_13453) = coupl(nGC_12529)*dsw_QED2 + coupl(nGC_12530)*da_QED2  &
                          + coupl(nGC_12531)*dZee_QED2
      coupl(nGC_13454) = coupl(nGC_12685)*dsw_QED2 + coupl(nGC_12686)*da_QED2  &
                          + coupl(nGC_12687)*dZee_QED2
      coupl(nGC_13455) = coupl(nGC_12864)*dsw_QED2 + coupl(nGC_12865)*dvev_QED1&
                          + coupl(nGC_12866)*dZee_QED2
      coupl(nGC_13456) = coupl(nGC_12748)*dsw_QED2 + coupl(nGC_12749)*dZee_QED2
      coupl(nGC_13457) = coupl(nGC_12610)*dsw_QED2 + coupl(nGC_12611)*da_QED2  &
                          + coupl(nGC_12612)*dZee_QED2
      coupl(nGC_13586) = -cima*dMB_QED2
      coupl(nGC_13587) = -cima*dMB_QCD2
      coupl(nGC_13584) = -cima*dMS_QED2
      coupl(nGC_13585) = -cima*dMS_QCD2
      coupl(nGC_13582) = -cima*dMD_QED2
      coupl(nGC_13583) = -cima*dMD_QCD2
      coupl(nGC_13580) = -cima*dMT_QED2
      coupl(nGC_13581) = -cima*dMT_QCD2
      coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13219) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_122)**2d0 - coupl(nGC_193)**2d0 - coupl(nGC_194)*&
                         coupl(nGC_605) - coupl(nGC_195)**2d0 - coupl(nGC_196  &
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_13216) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_122)**2d0 + coupl(nGC_193)**2d0 + coupl(nGC_194)* &
                         coupl(nGC_605) + coupl(nGC_195)**2d0 + coupl(nGC_196  &
                         )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13217) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_125)**2d0 - coupl(nGC_194)*coupl(nGC_605) - coupl&
                         (nGC_195)**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_217  &
                         )**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13214) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_125)**2d0 + coupl(nGC_194)*coupl(nGC_605) + coupl(&
                         nGC_195)**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_217)**&
                         2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13212) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)* &
                         coupl(nGC_99)**2d0 + coupl(nGC_1177)*coupl(nGC_123)*  &
                         coupl(nGC_226) + coupl(nGC_122)*coupl(nGC_201)**2d0 + &
                         coupl(nGC_123)*coupl(nGC_227)**2d0 + coupl(nGC_123)*  &
                         coupl(nGC_228)**2d0 + 4d0*coupl(nGC_125)*coupl(nGC_99 &
                         )**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*coupl(nGC_126)*&
                         coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13213) = (coupl(nGC_1177)*coupl(nGC_126)*coupl(nGC_226) + 4d0* &
                         coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(nGC_2  &
                         )**2d0 + coupl(nGC_125)*coupl(nGC_225)**2d0 + coupl(  &
                         nGC_126)*coupl(nGC_227)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_228_Hh) = -coupl(nGC_228)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13211) = (coupl(nGC_102)*coupl(nGC_99)**2d0 - coupl(nGC_103)*  &
                         coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_1957)*  &
                         coupl(nGC_222) + coupl(nGC_124)*coupl(nGC_223)**2d0 + &
                         coupl(nGC_124)*coupl(nGC_224)**2d0 + 4d0*coupl(nGC_128&
                         )**3d0 + 4d0*coupl(nGC_128)*coupl(nGC_4)**2d0 + 4d0*  &
                         coupl(nGC_129)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_23776) = coupl(nGC_105)*dZZA_QED2/2d0 + coupl(nGC_13383) +     &
                         coupl(nGC_5)*dZA_QED2/2d0
      coupl(nGC_19969) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*         &
                         dZnu_tauL_QED2 + coupl(nGC_13507)
      coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
      coupl(nGC_23228) = coupl(nGC_13589) + coupl(nGC_MW)*dZWMinus_QED2 + coupl&
                         (nGC_TS_GC_162_Hl) + coupl(nGC_TS_GC_165_Hh)
      coupl(nGC_23223) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_12980) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_19746) = coupl(nGC_13432) + coupl(nGC_223)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_224)*dZHh_QED2/2d0
      coupl(nGC_19745) = coupl(nGC_224)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_21151) = coupl(nGC_218)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_21152) = coupl(nGC_218)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_20274) = coupl(nGC_145)*dZZA_QED2/2d0
      coupl(nGC_19571) = coupl(nGC_226)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_19570) = coupl(nGC_226)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_19573) = coupl(nGC_13433) + coupl(nGC_19571)
      coupl(nGC_19572) = -coupl(nGC_13433) - coupl(nGC_19571)
      coupl(nGC_19575) = coupl(nGC_13434) + coupl(nGC_19570)
      coupl(nGC_19574) = -coupl(nGC_13434) - coupl(nGC_19570)
      coupl(nGC_20527) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_25000) = coupl(nGC_13588) + coupl(nGC_MZ)*dZZ_QED2 + coupl(    &
                         nGC_TS_GC_175_Hl) + coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_25001) = -coupl(nGC_24995)
      coupl(nGC_20528) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_20529) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_12989) = cima*(coupl(nGC_128)**2d0 + coupl(nGC_4)**2d0 + coupl(&
                         nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_TS_GC_208_Hh) = -coupl(nGC_208)*dtHh_QED1/cMHH**2d0
      coupl(nGC_20305) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_24067) = coupl(nGC_13575) + coupl(nGC_TS_GC_223_Hl) + coupl(   &
                         nGC_TS_GC_224_Hh)
      coupl(nGC_24066) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_22479) = coupl(nGC_19)*dZcL_QCD2
      coupl(nGC_24062) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_24061) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_24068) = coupl(nGC_24062) + coupl(nGC_24067)
      coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_211_Hl) = -coupl(nGC_211)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_29_Hl) = -coupl(nGC_29)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19198) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_21348) = coupl(nGC_13371) + coupl(nGC_174)*dZHl_QED2/2d0 +     &
                         coupl(nGC_177)*dZHhHl_QED2/2d0
      coupl(nGC_TS_GC_148_Hh) = -coupl(nGC_148)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13196) = coupl(nGC_123)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_148_Hl) = -coupl(nGC_148)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13058) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl( &
                         nGC_198)*coupl(nGC_213)*coupl(nGC_214) - coupl(nGC_199&
                         )*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl&
                         (nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_13314) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)*coupl&
                         (nGC_196) + coupl(nGC_199)*coupl(nGC_200) + coupl(    &
                         nGC_203)*coupl(nGC_204) + coupl(nGC_215)*coupl(nGC_216&
                         ) + coupl(nGC_219)*coupl(nGC_220) + coupl(nGC_227)*   &
                         coupl(nGC_228))/(16d0*pi**2d0*Nc)
      coupl(nGC_13190) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13449) = coupl(nGC_381)*da_QED2 + coupl(nGC_383)*dyt_QED3
      coupl(nGC_13448) = coupl(nGC_12683)*dyc_QED3 + coupl(nGC_12684)*da_QED2
      coupl(nGC_13118) = (12d0*Nc*cMB*coupl(nGC_195)**2d0*coupl(nGC_196) + 12d0&
                         *Nc*cMC*coupl(nGC_199)**2d0*coupl(nGC_200) + 12d0*Nc* &
                         cMD*coupl(nGC_203)**2d0*coupl(nGC_204) + 12d0*Nc*cMS* &
                         coupl(nGC_215)**2d0*coupl(nGC_216) + 12d0*Nc*cMT*coupl&
                         (nGC_219)**2d0*coupl(nGC_220) + 12d0*Nc*cMU*coupl(    &
                         nGC_227)**2d0*coupl(nGC_228) + 12d0*cME*coupl(nGC_207 &
                         )**2d0*coupl(nGC_208) + 12d0*cMM*coupl(nGC_211)**2d0* &
                         coupl(nGC_212) + 12d0*cMTA*coupl(nGC_223)**2d0*coupl( &
                         nGC_224) + cima*coupl(nGC_145)*coupl(nGC_178) + 2d0*  &
                         cima*coupl(nGC_148)*coupl(nGC_175) + 4d0*cima*coupl(  &
                         nGC_162)*coupl(nGC_93) + 2d0*cima*coupl(nGC_165)*coupl&
                         (nGC_82))/(16d0*pi**2d0)
      coupl(nGC_13115) = coupl(nGC_19)**2d0*coupl(nGC_226)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13442) = coupl(nGC_12665)*dyc_QED3 + coupl(nGC_12666)*da_QED2
      coupl(nGC_13441) = coupl(nGC_12665)*dyc_QED1_QCD2
      coupl(nGC_13440) = coupl(nGC_12824)*dyup_QED1_QCD2
      coupl(nGC_13111) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_1957) -  &
                         coupl(nGC_1957)**2d0*coupl(nGC_222) + 8d0*coupl(      &
                         nGC_1957)*coupl(nGC_4)**2d0 - coupl(nGC_222)*coupl(   &
                         nGC_223)**2d0 - coupl(nGC_222)*coupl(nGC_224)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_13110) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222) -   &
                         coupl(nGC_1957)*coupl(nGC_222)**2d0 - coupl(nGC_1957)*&
                         coupl(nGC_223)**2d0 - coupl(nGC_1957)*coupl(nGC_224)**&
                         2d0 + 8d0*coupl(nGC_222)*coupl(nGC_4)**2d0)/(32d0*pi**&
                         2d0)
      coupl(nGC_13445) = coupl(nGC_12851)*da_QED2 + coupl(nGC_12852)*dyup_QED3
      coupl(nGC_13112) = (-coupl(nGC_1177)**2d0*coupl(nGC_226) + 8d0*coupl(    &
                         nGC_1177)*coupl(nGC_123)*coupl(nGC_126) + 8d0*coupl(  &
                         nGC_1177)*coupl(nGC_2)**2d0 - coupl(nGC_201)*coupl(   &
                         nGC_202)*coupl(nGC_225) - coupl(nGC_226)*coupl(nGC_227&
                         )**2d0 - coupl(nGC_226)*coupl(nGC_228)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_TS_GC_135_Hh) = -coupl(nGC_135)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19711) = coupl(nGC_123)*dZcR_QCD2
      coupl(nGC_19714) = coupl(nGC_126)*dZcL_QCD2
      coupl(nGC_13591) = coupl(nGC_513)*dMW2_QED2
      coupl(nGC_13590) = coupl(nGC_509)*dMW2_QED2
      coupl(nGC_19652) = coupl(nGC_13449) + coupl(nGC_219)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_220)*dZHh_QED2/2d0
      coupl(nGC_13592) = coupl(nGC_517)*dMZ2_QED2
      coupl(nGC_19654) = coupl(nGC_13450) + coupl(nGC_19651)
      coupl(nGC_TS_GC_207_Hl) = -coupl(nGC_207)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13051) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99   &
                         ) + 2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99 &
                         ) + 3d0*cima*coupl(nGC_102)*coupl(nGC_15) + 3d0*cima* &
                         coupl(nGC_103)*coupl(nGC_15) + 3d0*cima*coupl(nGC_110 &
                         )*coupl(nGC_3) + 3d0*cima*coupl(nGC_110)*coupl(nGC_4  &
                         ) - 2d0*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) - &
                         2d0*coupl(nGC_209)*coupl(nGC_211)*coupl(nGC_99) - 2d0*&
                         coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99))/(48d0*pi &
                         **2d0)
      coupl(nGC_13186) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) - coupl( &
                         nGC_102)*coupl(nGC_129) - coupl(nGC_103)*coupl(nGC_128&
                         ) + coupl(nGC_103)*coupl(nGC_129) + 4d0*coupl(nGC_128 &
                         )*coupl(nGC_129) - 2d0*coupl(nGC_3)*coupl(nGC_4))/(   &
                         32d0*pi**2d0)
      coupl(nGC_13187) = coupl(nGC_99)*(4d0*coupl(nGC_1)*coupl(nGC_2) - coupl( &
                         nGC_1)*coupl(nGC_3) + coupl(nGC_1)*coupl(nGC_4) +     &
                         coupl(nGC_102)*coupl(nGC_125) - coupl(nGC_102)*coupl( &
                         nGC_126) - coupl(nGC_103)*coupl(nGC_125) + coupl(     &
                         nGC_103)*coupl(nGC_126) + 4d0*coupl(nGC_125)*coupl(   &
                         nGC_126) + coupl(nGC_2)*coupl(nGC_3) - coupl(nGC_2)*  &
                         coupl(nGC_4))/(32d0*pi**2d0)
      coupl(nGC_13021) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_122)**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(    &
                         nGC_605) + coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_196)**2d0 + coupl(nGC_193)**2d0*coupl&
                         (nGC_2))/(32d0*pi**2d0)
      coupl(nGC_13020) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_125)**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(    &
                         nGC_605) + coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_196)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_217)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_99)**2d0 - &
                         coupl(nGC_3)*coupl(nGC_99)**2d0 + coupl(nGC_4)*coupl( &
                         nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_21816) = coupl(nGC_175)*dZZA_QED2/2d0
      coupl(nGC_13025) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 -   &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13027) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_122)**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(    &
                         nGC_2029) + coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl( &
                         nGC_1)*coupl(nGC_204)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_201)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13026) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_125)**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(    &
                         nGC_2029) + coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl( &
                         nGC_1)*coupl(nGC_204)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_225)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_99)**2d0 - &
                         coupl(nGC_3)*coupl(nGC_99)**2d0 + coupl(nGC_4)*coupl( &
                         nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20218) = coupl(nGC_196)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_20219) = coupl(nGC_196)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_13362) = coupl(nGC_12532)*dsw_QED2 + coupl(nGC_12533)*da_QED2  &
                          + coupl(nGC_12534)*dZee_QED2
      coupl(nGC_13363) = coupl(nGC_12607)*dsw_QED2 + coupl(nGC_12608)*da_QED2  &
                          + coupl(nGC_12609)*dZee_QED2
      coupl(nGC_22544) = coupl(nGC_13583) + coupl(nGC_22539)
      coupl(nGC_22540) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_22541) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_25042) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_13203) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)* &
                         coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_205)**  &
                         2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99)**2d0 + 4d0*    &
                         coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13202) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(    &
                         nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_202)*coupl(  &
                         nGC_2029) + coupl(nGC_125)*coupl(nGC_203)**2d0 + coupl&
                         (nGC_125)*coupl(nGC_204)**2d0 + coupl(nGC_126)*coupl( &
                         nGC_201)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13205) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)* &
                         coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_221)**  &
                         2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99)**2d0 + 4d0*    &
                         coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13204) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)* &
                         coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_209)**  &
                         2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99)**2d0 + 4d0*    &
                         coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13207) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(    &
                         nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_214)*coupl(  &
                         nGC_845) + coupl(nGC_125)*coupl(nGC_215)**2d0 + coupl(&
                         nGC_125)*coupl(nGC_216)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_213)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13206) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_102 &
                         )*coupl(nGC_99)**2d0 - coupl(nGC_103)*coupl(nGC_99)** &
                         2d0 + coupl(nGC_122)*coupl(nGC_214)*coupl(nGC_845) +  &
                         coupl(nGC_122)*coupl(nGC_215)**2d0 + coupl(nGC_122)*  &
                         coupl(nGC_216)**2d0 + coupl(nGC_123)*coupl(nGC_197)** &
                         2d0 + 4d0*coupl(nGC_125)**3d0 + 4d0*coupl(nGC_126)*   &
                         coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13209) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(  &
                         nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_217)**2d0 +    &
                         coupl(nGC_126)*coupl(nGC_1513)*coupl(nGC_218) + coupl(&
                         nGC_126)*coupl(nGC_219)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13208) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)* &
                         coupl(nGC_99)**2d0 + coupl(nGC_122)*coupl(nGC_193)**  &
                         2d0 + coupl(nGC_123)*coupl(nGC_1513)*coupl(nGC_218) + &
                         coupl(nGC_123)*coupl(nGC_219)**2d0 + coupl(nGC_123)*  &
                         coupl(nGC_220)**2d0 + 4d0*coupl(nGC_125)*coupl(nGC_99 &
                         )**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*coupl(nGC_126)*&
                         coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13163) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_195) - cMC&
                         *coupl(nGC_199) - cMD*coupl(nGC_203) - cMS*coupl(     &
                         nGC_215) - cMT*coupl(nGC_219) - cMU*coupl(nGC_227))/( &
                         16d0*pi**2d0)
      coupl(nGC_13164) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_195) + cMC*&
                         coupl(nGC_199) + cMD*coupl(nGC_203) + cMS*coupl(      &
                         nGC_215) + cMT*coupl(nGC_219) + cMU*coupl(nGC_227))/( &
                         16d0*pi**2d0*Nc)
      coupl(nGC_13165) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_215)**3d0 &
                          - coupl(nGC_215)*coupl(nGC_216)**2d0 - coupl(nGC_215 &
                         )*coupl(nGC_845)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13166) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_214)**2d0*&
                         coupl(nGC_215) - coupl(nGC_215)**3d0 - coupl(nGC_215)*&
                         coupl(nGC_216)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13167) = coupl(nGC_19)**2d0*coupl(nGC_215)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_19368) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZmuMinusR_QED2
      coupl(nGC_19369) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZmuMinusL_QED2
      coupl(nGC_23004) = coupl(nGC_I)*dZHlHh_QED2/2d0
      coupl(nGC_13348) = coupl(nGC_12548)*dl2_QED4
      coupl(nGC_13349) = coupl(nGC_12547)*dl2_QED4
      coupl(nGC_22063) = coupl(nGC_203)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_13066) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)/(4d0*pi**&
                         2d0)
      coupl(nGC_TS_GC_82_Hl) = -coupl(nGC_82)*dtHl_QED1/cMHL**2d0
      coupl(nGC_27945) = coupl(nGC_TS_GC_130_Hl) + coupl(nGC_TS_GC_135_Hh)
      coupl(nGC_21539) = coupl(nGC_216)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_20325) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_20326) = coupl(nGC_19)*dZbR_QCD2
      coupl(nGC_20327) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_20328) = coupl(nGC_19)*dZbL_QCD2
      coupl(nGC_19222) = coupl(nGC_101)*dZHl_QED2/2d0 + coupl(nGC_101)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_118)*dZHhHl_QED2/2d0 +  &
                         coupl(nGC_13457)
      coupl(nGC_24839) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*         &
                         dZnu_eL_QED2 + coupl(nGC_13507)
      coupl(nGC_20889) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_13483)
      coupl(nGC_19429) = coupl(nGC_100)*dZHlHh_QED2/2d0
      coupl(nGC_13177) = coupl(nGC_19)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 -  &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_19311) = coupl(nGC_13493) + coupl(nGC_145)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_148)*dZHh_QED2/2d0 + coupl(nGC_148)*        &
                         dZHl_QED2/2d0 + coupl(nGC_148)*dZZ_QED2 + coupl(      &
                         nGC_151)*dZHhHl_QED2/2d0
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13247) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_196)**2d0 - &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_204)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_216)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_200)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_220)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_228)**2d0 -   &
                         4d0*cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 - 4d0* &
                         cima*coupl(nGC_212)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*&
                         coupl(nGC_224)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl&
                         (nGC_9)*coupl(nGC_96) + coupl(nGC_3)**2d0*coupl(nGC_96&
                         ) - 2d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_96) +     &
                         coupl(nGC_4)**2d0*coupl(nGC_96))/(16d0*pi**2d0)
      coupl(nGC_13407) = coupl(nGC_12546)*dyb_QED1_QCD2
      coupl(nGC_13406) = coupl(nGC_12803)*dys_QED3
      coupl(nGC_13405) = coupl(nGC_12803)*dys_QED1_QCD2
      coupl(nGC_13404) = coupl(nGC_12735)*dydo_QED3
      coupl(nGC_13403) = coupl(nGC_12735)*dydo_QED1_QCD2
      coupl(nGC_13017) = (-4d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_195) - 4d0*Nc&
                         *cMC*coupl(nGC_199)*coupl(nGC_2)**2d0 - 4d0*Nc*cMD*   &
                         coupl(nGC_1)**2d0*coupl(nGC_203) - 4d0*Nc*cMS*coupl(  &
                         nGC_1)**2d0*coupl(nGC_215) - 4d0*Nc*cMT*coupl(nGC_2)**&
                         2d0*coupl(nGC_219) - 4d0*Nc*cMU*coupl(nGC_2)**2d0*    &
                         coupl(nGC_227) - 4d0*cME*coupl(nGC_207)*coupl(nGC_4)**&
                         2d0 - 4d0*cMM*coupl(nGC_211)*coupl(nGC_4)**2d0 - 4d0* &
                         cMTA*coupl(nGC_223)*coupl(nGC_4)**2d0 + 2d0*cima*coupl&
                         (nGC_162)*coupl(nGC_9) + coupl(nGC_162)*coupl(nGC_3)**&
                         2d0 - 2d0*coupl(nGC_162)*coupl(nGC_3)*coupl(nGC_4) +  &
                         coupl(nGC_162)*coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_13018) = (-2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196&
                         ) - 2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(     &
                         nGC_196) - 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_2)*    &
                         coupl(nGC_200) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(nGC_2&
                         )*coupl(nGC_200) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(     &
                         nGC_122)*coupl(nGC_204) - 2d0*Nc*cMD*coupl(nGC_1)*    &
                         coupl(nGC_125)*coupl(nGC_204) - 2d0*Nc*cMS*coupl(nGC_1&
                         )*coupl(nGC_122)*coupl(nGC_216) - 2d0*Nc*cMS*coupl(   &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_216) - 2d0*Nc*cMT*    &
                         coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220) - 2d0*Nc*  &
                         cMT*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_220) - 2d0* &
                         Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228) -   &
                         2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_228  &
                         ) - 2d0*cME*coupl(nGC_124)*coupl(nGC_208)*coupl(nGC_4 &
                         ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_208)*coupl(nGC_4 &
                         ) - 2d0*cMM*coupl(nGC_124)*coupl(nGC_212)*coupl(nGC_4 &
                         ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_212)*coupl(nGC_4 &
                         ) - 2d0*cMTA*coupl(nGC_124)*coupl(nGC_224)*coupl(nGC_4&
                         ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_224)*coupl(nGC_4&
                         ) + 2d0*cima*coupl(nGC_116)*coupl(nGC_165) - coupl(   &
                         nGC_102)*coupl(nGC_165)*coupl(nGC_3) + coupl(nGC_102)*&
                         coupl(nGC_165)*coupl(nGC_4) + coupl(nGC_103)*coupl(   &
                         nGC_165)*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_165)*&
                         coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_13019) = (-2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195&
                         ) - 2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(     &
                         nGC_195) - 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_199)*  &
                         coupl(nGC_2) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(nGC_199&
                         )*coupl(nGC_2) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_122&
                         )*coupl(nGC_203) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(     &
                         nGC_125)*coupl(nGC_203) - 2d0*Nc*cMS*coupl(nGC_1)*    &
                         coupl(nGC_122)*coupl(nGC_215) - 2d0*Nc*cMS*coupl(nGC_1&
                         )*coupl(nGC_125)*coupl(nGC_215) - 2d0*Nc*cMT*coupl(   &
                         nGC_123)*coupl(nGC_2)*coupl(nGC_219) - 2d0*Nc*cMT*    &
                         coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219) - 2d0*Nc*  &
                         cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227) - 2d0* &
                         Nc*cMU*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_227) -   &
                         2d0*cME*coupl(nGC_124)*coupl(nGC_207)*coupl(nGC_4) -  &
                         2d0*cME*coupl(nGC_128)*coupl(nGC_207)*coupl(nGC_4) -  &
                         2d0*cMM*coupl(nGC_124)*coupl(nGC_211)*coupl(nGC_4) -  &
                         2d0*cMM*coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_4) -  &
                         2d0*cMTA*coupl(nGC_124)*coupl(nGC_223)*coupl(nGC_4) - &
                         2d0*cMTA*coupl(nGC_128)*coupl(nGC_223)*coupl(nGC_4) + &
                         2d0*cima*coupl(nGC_116)*coupl(nGC_162) - coupl(nGC_102&
                         )*coupl(nGC_162)*coupl(nGC_3) + coupl(nGC_102)*coupl( &
                         nGC_162)*coupl(nGC_4) + coupl(nGC_103)*coupl(nGC_162)*&
                         coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_162)*coupl(   &
                         nGC_4))/(16d0*pi**2d0)
      coupl(nGC_13409) = coupl(nGC_12943)*da_QED2 + coupl(nGC_12944)*dydo_QED3
      coupl(nGC_13408) = coupl(nGC_12546)*dyb_QED3
      coupl(nGC_13010) = (-4d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_196) - 4d0*Nc&
                         *cMC*coupl(nGC_2)**2d0*coupl(nGC_200) - 4d0*Nc*cMD*   &
                         coupl(nGC_1)**2d0*coupl(nGC_204) - 4d0*Nc*cMS*coupl(  &
                         nGC_1)**2d0*coupl(nGC_216) - 4d0*Nc*cMT*coupl(nGC_2)**&
                         2d0*coupl(nGC_220) - 4d0*Nc*cMU*coupl(nGC_2)**2d0*    &
                         coupl(nGC_228) - 4d0*cME*coupl(nGC_208)*coupl(nGC_4)**&
                         2d0 - 4d0*cMM*coupl(nGC_212)*coupl(nGC_4)**2d0 - 4d0* &
                         cMTA*coupl(nGC_224)*coupl(nGC_4)**2d0 + 2d0*cima*coupl&
                         (nGC_165)*coupl(nGC_9) + coupl(nGC_165)*coupl(nGC_3)**&
                         2d0 - 2d0*coupl(nGC_165)*coupl(nGC_3)*coupl(nGC_4) +  &
                         coupl(nGC_165)*coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21718) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZeMinusL_QED2
      coupl(nGC_21717) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZeMinusR_QED2
      coupl(nGC_13499) = coupl(nGC_12945)*dZee_QED2
      coupl(nGC_13494) = coupl(nGC_12522)*dsw_QED2 + coupl(nGC_12523)*dcw_QED2 &
                          + coupl(nGC_12524)*da_QED2 + coupl(nGC_12525)*       &
                         dZee_QED2
      coupl(nGC_13496) = coupl(nGC_12918)*dsw_QED2 + coupl(nGC_12919)*dvev_QED1&
                          + coupl(nGC_12920)*dcw_QED2 + coupl(nGC_12921)*      &
                         da_QED2 + coupl(nGC_12922)*dZee_QED2
      coupl(nGC_13490) = coupl(nGC_12812)*dsw_QED2 + coupl(nGC_12813)*dcw_QED2 &
                          + coupl(nGC_12814)*dZee_QED2
      coupl(nGC_13491) = coupl(nGC_12497)*dsw_QED2 + coupl(nGC_12498)*dcw_QED2 &
                          + coupl(nGC_12499)*dZee_QED2
      coupl(nGC_19165) = coupl(nGC_13445) + coupl(nGC_227)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_228)*dZHh_QED2/2d0
      coupl(nGC_13065) = coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13064) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl( &
                         nGC_201)*coupl(nGC_202)*coupl(nGC_226) - coupl(nGC_201&
                         )*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl&
                         (nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_13067) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)/(4d0*pi**&
                         2d0)
      coupl(nGC_13061) = coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13063) = coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13062) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) - coupl(&
                         nGC_1177)*coupl(nGC_2029)*coupl(nGC_225) + 8d0*coupl( &
                         nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(nGC_203&
                         )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl&
                         (nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_13120) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_195)**2d0*&
                         coupl(nGC_196) - coupl(nGC_196)**3d0 - coupl(nGC_196)*&
                         coupl(nGC_605)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13068) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)/(4d0*pi**&
                         2d0)
      coupl(nGC_13248) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)*coupl( &
                         nGC_196) - 4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203&
                         )*coupl(nGC_204) - 4d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                         (nGC_215)*coupl(nGC_216) - 4d0*Nc*cima*coupl(nGC_199)*&
                         coupl(nGC_2)**2d0*coupl(nGC_200) - 4d0*Nc*cima*coupl( &
                         nGC_2)**2d0*coupl(nGC_219)*coupl(nGC_220) - 4d0*Nc*   &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_227)*coupl(nGC_228   &
                         ) - 4d0*cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_4&
                         )**2d0 - 4d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(&
                         nGC_4)**2d0 - 4d0*cima*coupl(nGC_223)*coupl(nGC_224)* &
                         coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_9)*coupl(nGC_93&
                         ) + coupl(nGC_3)**2d0*coupl(nGC_93) - 2d0*coupl(nGC_3 &
                         )*coupl(nGC_4)*coupl(nGC_93) + coupl(nGC_4)**2d0*coupl&
                         (nGC_93))/(16d0*pi**2d0)
      coupl(nGC_13245) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)**2d0 - &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_215)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_199)**2d0*coupl(nGC_2)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_219)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_227)**2d0 -   &
                         4d0*cima*coupl(nGC_207)**2d0*coupl(nGC_4)**2d0 - 4d0* &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*&
                         coupl(nGC_223)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl&
                         (nGC_82)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_82&
                         ) - 2d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_82) +     &
                         coupl(nGC_4)**2d0*coupl(nGC_82))/(16d0*pi**2d0)
      coupl(nGC_13244) = (-8d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_193)**2d0 - &
                         8d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 -   &
                         8d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_201)**2d0 -   &
                         8d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_213)**2d0 -   &
                         8d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_217)**2d0 -   &
                         8d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_225)**2d0 +   &
                         10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(  &
                         nGC_2) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0&
                         *coupl(nGC_2) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2 &
                         )*coupl(nGC_201)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*    &
                         coupl(nGC_2)*coupl(nGC_213)**2d0 + 10d0*Nc*cima*coupl(&
                         nGC_1)*coupl(nGC_2)*coupl(nGC_217)**2d0 + 10d0*Nc*cima&
                         *coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225)**2d0 - 8d0* &
                         Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_2)**2d0 - 8d0*Nc&
                         *cima*coupl(nGC_197)**2d0*coupl(nGC_2)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_201)**2d0 - 8d0*Nc*  &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_213)**2d0 - 8d0*Nc*  &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_217)**2d0 - 8d0*Nc*  &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_225)**2d0 - 8d0*cima*&
                         coupl(nGC_205)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl&
                         (nGC_209)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(    &
                         nGC_221)**2d0*coupl(nGC_4)**2d0 + 6d0*cima*coupl(     &
                         nGC_71)*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(   &
                         nGC_71) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_71  &
                         ) + 3d0*coupl(nGC_4)**2d0*coupl(nGC_71))/(48d0*pi**2d0&
                         )
      coupl(nGC_29342) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_13241) = coupl(nGC_19)*sq2*(coupl(nGC_1177)*coupl(nGC_226) +   &
                         4d0*coupl(nGC_123)**2d0 + 4d0*coupl(nGC_2)**2d0 +     &
                         coupl(nGC_225)**2d0 + coupl(nGC_227)**2d0 + coupl(    &
                         nGC_228)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13240) = coupl(nGC_19)*sq2*(coupl(nGC_1177)*coupl(nGC_226) +   &
                         4d0*coupl(nGC_126)**2d0 + 4d0*coupl(nGC_2)**2d0 +     &
                         coupl(nGC_201)**2d0 + coupl(nGC_227)**2d0 + coupl(    &
                         nGC_228)**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13125) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -   &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl( &
                         nGC_198)**2d0*coupl(nGC_200) - coupl(nGC_199)**2d0*   &
                         coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200  &
                         ) - coupl(nGC_200)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13089) = coupl(nGC_19)**2d0*coupl(nGC_194)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13088) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_194) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_194) - coupl(       &
                         nGC_1513)*coupl(nGC_193)*coupl(nGC_217) - coupl(      &
                         nGC_194)**2d0*coupl(nGC_605) - coupl(nGC_195)**2d0*   &
                         coupl(nGC_605) - coupl(nGC_196)**2d0*coupl(nGC_605))/(&
                         32d0*pi**2d0)
      coupl(nGC_20441) = coupl(nGC_212)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_13121) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_194)**2d0*&
                         coupl(nGC_196) - coupl(nGC_195)**2d0*coupl(nGC_196) - &
                         coupl(nGC_196)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13081) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl( &
                         nGC_1513)*coupl(nGC_193)*coupl(nGC_605) - coupl(      &
                         nGC_193)*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193&
                         )*coupl(nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_13080) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl( &
                         nGC_194)*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_195&
                         )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196)*coupl&
                         (nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_13087) = coupl(nGC_19)**2d0*coupl(nGC_605)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13086) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_605) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_605) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_194)*coupl&
                         (nGC_195)**2d0 - coupl(nGC_194)*coupl(nGC_196)**2d0 - &
                         coupl(nGC_194)*coupl(nGC_605)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19728) = coupl(nGC_19)*dZtR_QCD2
      coupl(nGC_13128) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_202)**2d0*&
                         coupl(nGC_204) - coupl(nGC_203)**2d0*coupl(nGC_204) - &
                         coupl(nGC_204)**3d0)/(32d0*pi**2d0)
      coupl(nGC_19723) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_19724) = coupl(nGC_19)*dZtL_QCD2
      coupl(nGC_13443) = coupl(nGC_375)*da_QED2 + coupl(nGC_377)*dyt_QED3
      coupl(nGC_TS_GC_220_Hh) = -coupl(nGC_220)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13114) = (-coupl(nGC_1177)*coupl(nGC_226)**2d0 - coupl(nGC_1177&
                         )*coupl(nGC_227)**2d0 - coupl(nGC_1177)*coupl(nGC_228 &
                         )**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(     &
                         nGC_226) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_226) -     &
                         coupl(nGC_201)*coupl(nGC_2029)*coupl(nGC_225))/(32d0* &
                         pi**2d0)
      coupl(nGC_13117) = (12d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_196)**2d0 + 12d0&
                         *Nc*cMC*coupl(nGC_199)*coupl(nGC_200)**2d0 + 12d0*Nc* &
                         cMD*coupl(nGC_203)*coupl(nGC_204)**2d0 + 12d0*Nc*cMS* &
                         coupl(nGC_215)*coupl(nGC_216)**2d0 + 12d0*Nc*cMT*coupl&
                         (nGC_219)*coupl(nGC_220)**2d0 + 12d0*Nc*cMU*coupl(    &
                         nGC_227)*coupl(nGC_228)**2d0 + 12d0*cME*coupl(nGC_207 &
                         )*coupl(nGC_208)**2d0 + 12d0*cMM*coupl(nGC_211)*coupl(&
                         nGC_212)**2d0 + 12d0*cMTA*coupl(nGC_223)*coupl(nGC_224&
                         )**2d0 + 2d0*cima*coupl(nGC_148)*coupl(nGC_178) + cima&
                         *coupl(nGC_151)*coupl(nGC_175) + 2d0*cima*coupl(      &
                         nGC_162)*coupl(nGC_96) + 4d0*cima*coupl(nGC_165)*coupl&
                         (nGC_93))/(16d0*pi**2d0)
      coupl(nGC_13116) = 3d0*(4d0*Nc*cMB*coupl(nGC_196)**3d0 + 4d0*Nc*cMC*coupl&
                         (nGC_200)**3d0 + 4d0*Nc*cMD*coupl(nGC_204)**3d0 + 4d0*&
                         Nc*cMS*coupl(nGC_216)**3d0 + 4d0*Nc*cMT*coupl(nGC_220 &
                         )**3d0 + 4d0*Nc*cMU*coupl(nGC_228)**3d0 + 4d0*cME*    &
                         coupl(nGC_208)**3d0 + 4d0*cMM*coupl(nGC_212)**3d0 +   &
                         4d0*cMTA*coupl(nGC_224)**3d0 + cima*coupl(nGC_151)*   &
                         coupl(nGC_178) + 2d0*cima*coupl(nGC_165)*coupl(nGC_96 &
                         ))/(16d0*pi**2d0)
      coupl(nGC_20369) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*         &
                         dZtauMinusL_QED2 + coupl(nGC_13483)
      coupl(nGC_13447) = coupl(nGC_12683)*dyc_QED1_QCD2
      coupl(nGC_20361) = coupl(nGC_108)*dZA_QED2/2d0 + coupl(nGC_108)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_13365) + coupl(nGC_14)* &
                         dZZA_QED2/2d0
      coupl(nGC_13446) = coupl(nGC_12852)*dyup_QED1_QCD2
      coupl(nGC_29343) = -coupl(nGC_29342)
      coupl(nGC_20530) = coupl(nGC_13573) + coupl(nGC_TS_GC_207_Hl) + coupl(   &
                         nGC_TS_GC_208_Hh)
      coupl(nGC_13232) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                         nGC_122)**2d0 + coupl(nGC_213)**2d0 + coupl(nGC_214)* &
                         coupl(nGC_845) + coupl(nGC_215)**2d0 + coupl(nGC_216  &
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_13299) = cima*(20d0*Nc*coupl(nGC_195)**2d0*coupl(nGC_196)**2d0 &
                          + 20d0*Nc*coupl(nGC_199)**2d0*coupl(nGC_200)**2d0 +  &
                         20d0*Nc*coupl(nGC_203)**2d0*coupl(nGC_204)**2d0 + 20d0&
                         *Nc*coupl(nGC_215)**2d0*coupl(nGC_216)**2d0 + 20d0*Nc*&
                         coupl(nGC_219)**2d0*coupl(nGC_220)**2d0 + 20d0*Nc*    &
                         coupl(nGC_227)**2d0*coupl(nGC_228)**2d0 + coupl(      &
                         nGC_145)*coupl(nGC_151) + 2d0*coupl(nGC_148)**2d0 +   &
                         20d0*coupl(nGC_207)**2d0*coupl(nGC_208)**2d0 + 20d0*  &
                         coupl(nGC_211)**2d0*coupl(nGC_212)**2d0 + 20d0*coupl( &
                         nGC_223)**2d0*coupl(nGC_224)**2d0 + 2d0*coupl(nGC_82)*&
                         coupl(nGC_96) + 4d0*coupl(nGC_93)**2d0)/(16d0*pi**2d0)
      coupl(nGC_20535) = coupl(nGC_227)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_20534) = coupl(nGC_227)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_13236) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(   &
                         nGC_1513)*coupl(nGC_218) + coupl(nGC_193)**2d0 + 4d0* &
                         coupl(nGC_2)**2d0 + coupl(nGC_219)**2d0 + coupl(      &
                         nGC_220)**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13237) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + coupl(   &
                         nGC_1513)*coupl(nGC_218) + 4d0*coupl(nGC_2)**2d0 +    &
                         coupl(nGC_217)**2d0 + coupl(nGC_219)**2d0 + coupl(    &
                         nGC_220)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13282) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(    &
                         nGC_195)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)* &
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 10d0*Nc*&
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*    &
                         coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(    &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 10d0*Nc*cima* &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(   &
                         nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)* &
                         coupl(nGC_227)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_199)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_215)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 8d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_227)*coupl(   &
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_195)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_203)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_219)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 12d0*cima*    &
                         coupl(nGC_110)*coupl(nGC_113) + 10d0*cima*coupl(      &
                         nGC_124)*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99   &
                         ) + 10d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl(    &
                         nGC_211)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124)*    &
                         coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_207)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl&
                         (nGC_211)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_207)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl&
                         (nGC_211)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) + 12d0*   &
                         cima*coupl(nGC_15)*coupl(nGC_84) - 3d0*coupl(nGC_102  &
                         )**2d0*coupl(nGC_15) + 6d0*coupl(nGC_102)*coupl(      &
                         nGC_103)*coupl(nGC_15) + 3d0*coupl(nGC_102)*coupl(    &
                         nGC_110)*coupl(nGC_3) - 3d0*coupl(nGC_102)*coupl(     &
                         nGC_110)*coupl(nGC_4) - 3d0*coupl(nGC_103)**2d0*coupl(&
                         nGC_15) - 3d0*coupl(nGC_103)*coupl(nGC_110)*coupl(    &
                         nGC_3) + 3d0*coupl(nGC_103)*coupl(nGC_110)*coupl(nGC_4&
                         ))/(96d0*pi**2d0)
      coupl(nGC_19467) = coupl(nGC_13447) + coupl(nGC_19460)
      coupl(nGC_19465) = coupl(nGC_13448) + coupl(nGC_199)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_200)*dZHh_QED2/2d0
      coupl(nGC_20841) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2
      coupl(nGC_20842) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2
      coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13286) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(    &
                         nGC_196)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)* &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 10d0*Nc*&
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*    &
                         coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(    &
                         nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 10d0*Nc*cima* &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(   &
                         nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)* &
                         coupl(nGC_228)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_200)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_216)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 8d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_228)*coupl(   &
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_196)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_204)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_220)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 12d0*cima*    &
                         coupl(nGC_113)*coupl(nGC_119) + 10d0*cima*coupl(      &
                         nGC_124)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99   &
                         ) + 10d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl(    &
                         nGC_212)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124)*    &
                         coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_208)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl&
                         (nGC_212)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_208)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl&
                         (nGC_212)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) + 12d0*   &
                         cima*coupl(nGC_27)*coupl(nGC_84) - 3d0*coupl(nGC_102  &
                         )**2d0*coupl(nGC_27) + 6d0*coupl(nGC_102)*coupl(      &
                         nGC_103)*coupl(nGC_27) + 6d0*coupl(nGC_102)*coupl(    &
                         nGC_119)*coupl(nGC_3) - 3d0*coupl(nGC_103)**2d0*coupl(&
                         nGC_27) - 6d0*coupl(nGC_103)*coupl(nGC_119)*coupl(    &
                         nGC_3))/(96d0*pi**2d0)
      coupl(nGC_19403) = coupl(nGC_13495) + coupl(nGC_175)*dZHl_QED2/2d0 +     &
                         coupl(nGC_175)*dZZ_QED2 + coupl(nGC_178)*dZHhHl_QED2/ &
                         2d0 + coupl(nGC_TS_GC_145_Hl) + coupl(nGC_TS_GC_148_Hh&
                         )
      coupl(nGC_27972) = -coupl(nGC_19222)
      coupl(nGC_19727) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_19213) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_19214) = coupl(nGC_13574) + coupl(nGC_TS_GC_211_Hl) + coupl(   &
                         nGC_TS_GC_212_Hh)
      coupl(nGC_13444) = coupl(nGC_377)*dyt_QED1_QCD2
      coupl(nGC_13294) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(&
                         nGC_122) - coupl(nGC_1)*coupl(nGC_125) - coupl(nGC_123&
                         )*coupl(nGC_2) - coupl(nGC_126)*coupl(nGC_2))/(32d0*pi&
                         **2d0*Nc)
      coupl(nGC_TS_GC_196_Hh) = -coupl(nGC_196)*dtHh_QED1/cMHH**2d0
      coupl(nGC_20105) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*         &
                         dZeMinusL_QED2 + coupl(nGC_13483)
      coupl(nGC_26271) = coupl(nGC_13374) + coupl(nGC_189)*dZHlHh_QED2 + coupl(&
                         nGC_190)*dZHhHl_QED2/2d0 + coupl(nGC_192)*dZHh_QED2 + &
                         coupl(nGC_192)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_33_Hh  &
                         ) + coupl(nGC_TS_GC_36_Hl)
      coupl(nGC_19325) = coupl(nGC_195)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_19326) = coupl(nGC_195)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_19391) = coupl(nGC_13346) + coupl(nGC_144)*dZHl_QED2 + coupl(  &
                         nGC_147)*dZHhHl_QED2
      coupl(nGC_19653) = coupl(nGC_19650) + coupl(nGC_19652)
      coupl(nGC_13478) = coupl(nGC_12736)*dsw_QED2 + coupl(nGC_12737)*dcw_QED2 &
                          + coupl(nGC_12738)*da_QED2 + coupl(nGC_12739)*       &
                         dZee_QED2
      coupl(nGC_13479) = coupl(nGC_12518)*dsw_QED2 + coupl(nGC_12519)*dcw_QED2 &
                          + coupl(nGC_12520)*da_QED2 + coupl(nGC_12521)*       &
                         dZee_QED2
      coupl(nGC_13476) = coupl(nGC_12508)*dsw_QED2 + coupl(nGC_12509)*dZee_QED2
      coupl(nGC_13477) = coupl(nGC_12915)*dsw_QED2 + coupl(nGC_12916)*dcw_QED2 &
                          + coupl(nGC_12917)*dZee_QED2
      coupl(nGC_13474) = coupl(nGC_12622)*dsw_QED2 + coupl(nGC_12623)*dcw_QED2 &
                          + coupl(nGC_12624)*dZee_QED2
      coupl(nGC_13472) = coupl(nGC_12492)*dZee_QED2
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
