!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_26694) = coupl(nGC_13591) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_19685) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZsL_QED2&
                          + coupl(nGC_13506)
      coupl(nGC_19684) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZsR_QED2&
                          + coupl(nGC_13505)
      coupl(nGC_19683) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_19682) = coupl(nGC_125)*dZsL_QCD2
      coupl(nGC_19922) = coupl(nGC_131)*dZZA_QED2/2d0
      coupl(nGC_19923) = coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_20259) = coupl(nGC_13467) + coupl(nGC_82)*dZHlHh_QED2/2d0 +    &
                         coupl(nGC_93)*dZHh_QED2/2d0 + coupl(nGC_93)*dZHl_QED2/&
                         2d0 + coupl(nGC_93)*dZWMinus_QED2 + coupl(nGC_96)*    &
                         dZHhHl_QED2/2d0
      coupl(nGC_20010) = coupl(nGC_151)*dZZA_QED2/2d0
      coupl(nGC_20017) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_13199) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(  &
                         nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_210)*coupl(    &
                         nGC_687) + coupl(nGC_128)*coupl(nGC_211)**2d0 + coupl(&
                         nGC_128)*coupl(nGC_212)**2d0 + coupl(nGC_129)*coupl(  &
                         nGC_209)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12977) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                         64d0*pi**2d0*Nc)
      coupl(nGC_13037) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)* &
                         coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(   &
                         nGC_2) + coupl(nGC_1513)*coupl(nGC_2)*coupl(nGC_218   &
                         ) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_219&
                         )**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 + coupl(    &
                         nGC_3)*coupl(nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_19142) = -coupl(nGC_13408) - coupl(nGC_19140)
      coupl(nGC_13030) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_210 &
                         )*coupl(nGC_687) + coupl(nGC_211)**2d0 + coupl(nGC_212&
                         )**2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13031) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_210 &
                         )*coupl(nGC_4)*coupl(nGC_687) + coupl(nGC_211)**2d0*  &
                         coupl(nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) -     &
                         coupl(nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**  &
                         3d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13280) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(    &
                         nGC_196)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)* &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 10d0*Nc*&
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*    &
                         coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(    &
                         nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 10d0*Nc*cima* &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(   &
                         nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)* &
                         coupl(nGC_228)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_200)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_216)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 8d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_228)*coupl(   &
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_196)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_204)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_220)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 12d0*cima*    &
                         coupl(nGC_113)*coupl(nGC_119) + 10d0*cima*coupl(      &
                         nGC_124)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99   &
                         ) + 10d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl(    &
                         nGC_212)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124)*    &
                         coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_208)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl&
                         (nGC_212)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_208)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl&
                         (nGC_212)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99) + 12d0*   &
                         cima*coupl(nGC_27)*coupl(nGC_84) - 3d0*coupl(nGC_102  &
                         )**2d0*coupl(nGC_27) + 6d0*coupl(nGC_102)*coupl(      &
                         nGC_103)*coupl(nGC_27) + 3d0*coupl(nGC_102)*coupl(    &
                         nGC_119)*coupl(nGC_3) - 3d0*coupl(nGC_102)*coupl(     &
                         nGC_119)*coupl(nGC_4) - 3d0*coupl(nGC_103)**2d0*coupl(&
                         nGC_27) - 3d0*coupl(nGC_103)*coupl(nGC_119)*coupl(    &
                         nGC_3) + 3d0*coupl(nGC_103)*coupl(nGC_119)*coupl(nGC_4&
                         ))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_119_Hh) = -coupl(nGC_119)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13357) = coupl(nGC_12603)*da_QED2 + coupl(nGC_12604)*dl2_QED4  &
                          + coupl(nGC_12605)*dl1_QED4 + coupl(nGC_12606)*      &
                         dl3_QED4
      coupl(nGC_20642) = coupl(nGC_13570) + coupl(nGC_MHL)*dZHl_QED2 + coupl(  &
                         nGC_TS_GC_189_Hh) + coupl(nGC_TS_GC_191_Hl)
      coupl(nGC_19189) = coupl(nGC_13363) + coupl(nGC_81)*dZHlHh_QED2/2d0 +    &
                         coupl(nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZHl_QED2/&
                         2d0 + coupl(nGC_95)*dZHhHl_QED2/2d0
      coupl(nGC_13355) = coupl(nGC_12566)*dcw_QED2 + coupl(nGC_12567)*da_QED2  &
                          + coupl(nGC_12568)*dZee_QED2
      coupl(nGC_24086) = coupl(nGC_TS_GC_179_Hh) + coupl(nGC_TS_GC_184_Hl)
      coupl(nGC_13487) = coupl(nGC_12757)*dcw_QED2 + coupl(nGC_12758)*dvev_QED1&
                          + coupl(nGC_12759)*dZee_QED2
      coupl(nGC_TS_GC_151_Hh) = -coupl(nGC_151)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19174) = coupl(nGC_118)*dZHhHl_QED2/2d0
      coupl(nGC_24676) = coupl(nGC_13388) + 3d0*coupl(nGC_18)*dZg_QCD2/2d0
      coupl(nGC_19347) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_134)*dZA_QED2/&
                         2d0 + coupl(nGC_134)*dZZ_QED2/2d0 + coupl(nGC_13477   &
                         ) + coupl(nGC_141)*dZZA_QED2/2d0
      coupl(nGC_12981) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)**2d0)/(16d0*&
                         pi**2d0)
      coupl(nGC_13108) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218) -   &
                         coupl(nGC_1513)*coupl(nGC_218)**2d0 - coupl(nGC_1513)*&
                         coupl(nGC_219)**2d0 - coupl(nGC_1513)*coupl(nGC_220)**&
                         2d0 - coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_605) +  &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_218))/(32d0*pi**2d0)
      coupl(nGC_20150) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_13218) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(    &
                         nGC_1257) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_12986) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(  &
                         nGC_125))/(8d0*pi**2d0)
      coupl(nGC_13102) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_845) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_845) - coupl(nGC_197&
                         )*coupl(nGC_198)*coupl(nGC_213) - coupl(nGC_214)*coupl&
                         (nGC_215)**2d0 - coupl(nGC_214)*coupl(nGC_216)**2d0 - &
                         coupl(nGC_214)*coupl(nGC_845)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12988) = cima*(coupl(nGC_124)**2d0 + coupl(nGC_4)**2d0)/(16d0* &
                         pi**2d0)
      coupl(nGC_13100) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210) -   &
                         coupl(nGC_210)**2d0*coupl(nGC_687) + 8d0*coupl(nGC_210&
                         )*coupl(nGC_4)**2d0 - coupl(nGC_211)**2d0*coupl(      &
                         nGC_687) - coupl(nGC_212)**2d0*coupl(nGC_687))/(32d0* &
                         pi**2d0)
      coupl(nGC_13101) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_687) -   &
                         coupl(nGC_210)*coupl(nGC_211)**2d0 - coupl(nGC_210)*  &
                         coupl(nGC_212)**2d0 - coupl(nGC_210)*coupl(nGC_687)** &
                         2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_687))/(32d0*pi**&
                         2d0)
      coupl(nGC_13106) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_1513) -  &
                         coupl(nGC_1513)**2d0*coupl(nGC_218) + 8d0*coupl(      &
                         nGC_1513)*coupl(nGC_2)**2d0 - coupl(nGC_193)*coupl(   &
                         nGC_194)*coupl(nGC_217) - coupl(nGC_218)*coupl(nGC_219&
                         )**2d0 - coupl(nGC_218)*coupl(nGC_220)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_13169) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -   &
                         coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*   &
                         coupl(nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_218)**2d0&
                         *coupl(nGC_219) - coupl(nGC_219)**3d0 - coupl(nGC_219 &
                         )*coupl(nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13104) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_214) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_214) - coupl(nGC_197&
                         )*coupl(nGC_213)*coupl(nGC_577) - coupl(nGC_214)**2d0*&
                         coupl(nGC_845) - coupl(nGC_215)**2d0*coupl(nGC_845) - &
                         coupl(nGC_216)**2d0*coupl(nGC_845))/(32d0*pi**2d0)
      coupl(nGC_13384) = coupl(nGC_12556)*dZee_QED2
      coupl(nGC_19708) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_19707) = coupl(nGC_13376) + coupl(nGC_179)*dZHh_QED2/2d0 +     &
                         coupl(nGC_184)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_29_Hl&
                         ) + coupl(nGC_TS_GC_30_Hh)
      coupl(nGC_13387) = coupl(nGC_12625)*dsw_QED2 + coupl(nGC_12626)*dcw_QED2 &
                          + coupl(nGC_12627)*dZee_QED2
      coupl(nGC_13298) = cima*(20d0*Nc*coupl(nGC_195)*coupl(nGC_196)**3d0 +    &
                         20d0*Nc*coupl(nGC_199)*coupl(nGC_200)**3d0 + 20d0*Nc* &
                         coupl(nGC_203)*coupl(nGC_204)**3d0 + 20d0*Nc*coupl(   &
                         nGC_215)*coupl(nGC_216)**3d0 + 20d0*Nc*coupl(nGC_219)*&
                         coupl(nGC_220)**3d0 + 20d0*Nc*coupl(nGC_227)*coupl(   &
                         nGC_228)**3d0 + 3d0*coupl(nGC_148)*coupl(nGC_151) +   &
                         20d0*coupl(nGC_207)*coupl(nGC_208)**3d0 + 20d0*coupl( &
                         nGC_211)*coupl(nGC_212)**3d0 + 20d0*coupl(nGC_223)*   &
                         coupl(nGC_224)**3d0 + 6d0*coupl(nGC_93)*coupl(nGC_96  &
                         ))/(16d0*pi**2d0)
      coupl(nGC_23645) = coupl(nGC_23636) + coupl(nGC_23644)
      coupl(nGC_13210) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(  &
                         nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_1957)*coupl(   &
                         nGC_222) + coupl(nGC_128)*coupl(nGC_223)**2d0 + coupl(&
                         nGC_128)*coupl(nGC_224)**2d0 + coupl(nGC_129)*coupl(  &
                         nGC_221)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13424) = coupl(nGC_12710)*dye_QED3
      coupl(nGC_13427) = coupl(nGC_12708)*da_QED2 + coupl(nGC_12709)*dye_QED3
      coupl(nGC_13426) = coupl(nGC_12841)*dytau_QED3
      coupl(nGC_19116) = coupl(nGC_13400) + coupl(nGC_193)*dZbR_QED2/2d0 +     &
                         coupl(nGC_193)*dZtL_QED2/2d0
      coupl(nGC_13150) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_195)**3d0 &
                          - coupl(nGC_195)*coupl(nGC_196)**2d0 - coupl(nGC_195 &
                         )*coupl(nGC_605)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19114) = coupl(nGC_13399) + coupl(nGC_193)*dZbR_QCD2/2d0 +     &
                         coupl(nGC_193)*dZtL_QCD2/2d0
      coupl(nGC_13356) = coupl(nGC_12815)*dsw_QED2 + coupl(nGC_12816)*dcw_QED2 &
                          + coupl(nGC_12817)*da_QED2 + coupl(nGC_12818)*       &
                         dZee_QED2
      coupl(nGC_19520) = coupl(nGC_13459) + coupl(nGC_3)*dZA_QED2/2d0 + coupl( &
                         nGC_3)*dZWMinus_QED2
      coupl(nGC_19521) = coupl(nGC_19516) - coupl(nGC_19520)
      coupl(nGC_13353) = coupl(nGC_12569)*da_QED2 + coupl(nGC_12570)*dl2_QED4  &
                          + coupl(nGC_12571)*dl3_QED4
      coupl(nGC_13351) = coupl(nGC_12659)*da_QED2 + coupl(nGC_12660)*dl2_QED4  &
                          + coupl(nGC_12661)*dl3_QED4
      coupl(nGC_13215) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(     &
                         nGC_1257) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_19445) = coupl(nGC_111)*dZHl_QED2/2d0 + coupl(nGC_120)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_13368)
      coupl(nGC_13359) = coupl(nGC_12701)*da_QED2 + coupl(nGC_12702)*dl2_QED4  &
                          + coupl(nGC_12703)*dl1_QED4 + coupl(nGC_12704)*      &
                         dl3_QED4
      coupl(nGC_13358) = coupl(nGC_12572)*da_QED2 + coupl(nGC_12573)*dl2_QED4  &
                          + coupl(nGC_12574)*dl3_QED4
      coupl(nGC_20799) = coupl(nGC_13425) + coupl(nGC_20797)
      coupl(nGC_20798) = -coupl(nGC_13425) - coupl(nGC_20797)
      coupl(nGC_TS_GC_100_Hl) = -coupl(nGC_100)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19938) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_13149) = (-4d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_195) + 4d0*&
                         Nc*cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_195) - &
                         4d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_195) - 4d0*Nc&
                         *cMC*coupl(nGC_123)**2d0*coupl(nGC_199) + 4d0*Nc*cMC* &
                         coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) - 4d0*Nc*&
                         cMC*coupl(nGC_126)**2d0*coupl(nGC_199) - 4d0*Nc*cMD*  &
                         coupl(nGC_122)**2d0*coupl(nGC_203) + 4d0*Nc*cMD*coupl(&
                         nGC_122)*coupl(nGC_125)*coupl(nGC_203) - 4d0*Nc*cMD*  &
                         coupl(nGC_125)**2d0*coupl(nGC_203) - 4d0*Nc*cMS*coupl(&
                         nGC_122)**2d0*coupl(nGC_215) + 4d0*Nc*cMS*coupl(      &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_215) - 4d0*Nc*cMS*  &
                         coupl(nGC_125)**2d0*coupl(nGC_215) - 4d0*Nc*cMT*coupl(&
                         nGC_123)**2d0*coupl(nGC_219) + 4d0*Nc*cMT*coupl(      &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_219) - 4d0*Nc*cMT*  &
                         coupl(nGC_126)**2d0*coupl(nGC_219) - 4d0*Nc*cMU*coupl(&
                         nGC_123)**2d0*coupl(nGC_227) + 4d0*Nc*cMU*coupl(      &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_227) - 4d0*Nc*cMU*  &
                         coupl(nGC_126)**2d0*coupl(nGC_227) - 4d0*cME*coupl(   &
                         nGC_124)**2d0*coupl(nGC_207) + 4d0*cME*coupl(nGC_124)*&
                         coupl(nGC_128)*coupl(nGC_207) - 4d0*cME*coupl(nGC_128 &
                         )**2d0*coupl(nGC_207) - 4d0*cMM*coupl(nGC_124)**2d0*  &
                         coupl(nGC_211) + 4d0*cMM*coupl(nGC_124)*coupl(nGC_128 &
                         )*coupl(nGC_211) - 4d0*cMM*coupl(nGC_128)**2d0*coupl( &
                         nGC_211) - 4d0*cMTA*coupl(nGC_124)**2d0*coupl(nGC_223 &
                         ) + 4d0*cMTA*coupl(nGC_124)*coupl(nGC_128)*coupl(     &
                         nGC_223) - 4d0*cMTA*coupl(nGC_128)**2d0*coupl(nGC_223 &
                         ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_85) + coupl(    &
                         nGC_102)**2d0*coupl(nGC_162) - 2d0*coupl(nGC_102)*    &
                         coupl(nGC_103)*coupl(nGC_162) + coupl(nGC_103)**2d0*  &
                         coupl(nGC_162))/(16d0*pi**2d0)
      coupl(nGC_20193) = -coupl(nGC_13406) - coupl(nGC_20187)
      coupl(nGC_20192) = coupl(nGC_13405) + coupl(nGC_20188)
      coupl(nGC_20191) = -coupl(nGC_13405) - coupl(nGC_20188)
      coupl(nGC_21376) = coupl(nGC_131)*dZHl_QED2/2d0 + coupl(nGC_131)*dZZ_QED2&
                         /2d0 + coupl(nGC_13478) + coupl(nGC_136)*dZHhHl_QED2/ &
                         2d0
      coupl(nGC_21377) = coupl(nGC_130)*dZHl_QED2/2d0 + coupl(nGC_130)*dZZ_QED2&
                         /2d0 + coupl(nGC_13479) + coupl(nGC_135)*dZHhHl_QED2/ &
                         2d0
      coupl(nGC_20295) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZbL_QED2&
                          + coupl(nGC_13506)
      coupl(nGC_19235) = coupl(nGC_101)*dZHlHh_QED2/2d0 + coupl(nGC_118)*      &
                         dZHh_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_13458)
      coupl(nGC_20290) = coupl(nGC_122)*dZbR_QCD2
      coupl(nGC_21076) = coupl(nGC_13576) + coupl(nGC_TS_GC_227_Hl) + coupl(   &
                         nGC_TS_GC_228_Hh)
      coupl(nGC_19231) = coupl(nGC_115)*dZAZ_QED2 + coupl(nGC_13465) + coupl(  &
                         nGC_86)*dZZ_QED2
      coupl(nGC_19289) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_21477) = coupl(nGC_13580) + coupl(nGC_TS_GC_219_Hl) + coupl(   &
                         nGC_TS_GC_220_Hh)
      coupl(nGC_20482) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZnu_tauL_QED2/2d0 + coupl(nGC_99)*     &
                         dZtauMinusL_QED2/2d0
      coupl(nGC_13140) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -   &
                         coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*   &
                         coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_218)**2d0&
                         *coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220   &
                         ) - coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_20890) = coupl(nGC_127)*dZZ_QED2/2d0 + coupl(nGC_13482)
      coupl(nGC_20958) = coupl(nGC_13494) + coupl(nGC_148)*dZHlHh_QED2 + coupl(&
                         nGC_151)*dZHh_QED2 + coupl(nGC_151)*dZZ_QED2
      coupl(nGC_12994) = cima*sq2**2d0*(-Nc*coupl(nGC_1257)**2d0 + 6d0*coupl(  &
                         nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_12995) = cima*coupl(nGC_1257)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_12992) = -Nc*cima*coupl(nGC_1257)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_20120) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZtauMinusL_QED2
      coupl(nGC_20121) = coupl(nGC_19370) + coupl(nGC_20119)
      coupl(nGC_21201) = coupl(nGC_13423) + coupl(nGC_221)*dZnu_tauL_QED2/2d0  &
                          + coupl(nGC_221)*dZtauMinusR_QED2/2d0
      coupl(nGC_21207) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_13382) + coupl(    &
                         nGC_134)*dZZA_QED2
      coupl(nGC_23850) = coupl(nGC_20155) + coupl(nGC_23847)
      coupl(nGC_19306) = coupl(nGC_13380) + coupl(nGC_161)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_164)*dZHh_QED2/2d0
      coupl(nGC_23229) = -coupl(nGC_23223)
      coupl(nGC_13414) = coupl(nGC_12788)*dyb_QED1_QCD2
      coupl(nGC_13415) = coupl(nGC_12767)*da_QED2 + coupl(nGC_12768)*dydo_QED3
      coupl(nGC_13416) = coupl(nGC_12768)*dydo_QED1_QCD2
      coupl(nGC_13417) = coupl(nGC_12810)*da_QED2 + coupl(nGC_12811)*dys_QED3
      coupl(nGC_13410) = coupl(nGC_12944)*dydo_QED1_QCD2
      coupl(nGC_13411) = coupl(nGC_12804)*da_QED2 + coupl(nGC_12805)*dys_QED3
      coupl(nGC_13412) = coupl(nGC_12805)*dys_QED1_QCD2
      coupl(nGC_13413) = coupl(nGC_12787)*da_QED2 + coupl(nGC_12788)*dyb_QED3
      coupl(nGC_13418) = coupl(nGC_12811)*dys_QED1_QCD2
      coupl(nGC_19264) = coupl(nGC_13404) + coupl(nGC_19257)
      coupl(nGC_19099) = coupl(nGC_110)*dZHlHh_QED2/2d0 + coupl(nGC_119)*      &
                         dZA_QED2/2d0 + coupl(nGC_119)*dZHh_QED2/2d0 + coupl(  &
                         nGC_119)*dZWMinus_QED2/2d0 + coupl(nGC_13454) + coupl(&
                         nGC_27)*dZZA_QED2/2d0
      coupl(nGC_19747) = coupl(nGC_19745) + coupl(nGC_19746)
      coupl(nGC_19662) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*         &
                         dZnu_muL_QED2 + coupl(nGC_13507)
      coupl(nGC_12957) = cima*(-12d0*Nc*coupl(nGC_1)**2d0 - 12d0*Nc*coupl(nGC_2&
                         )**2d0 - coupl(nGC_3)**2d0 + 2d0*coupl(nGC_3)*coupl(  &
                         nGC_4) - 13d0*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
      coupl(nGC_19666) = coupl(nGC_111)*dZHlHh_QED2/2d0 + coupl(nGC_120)*      &
                         dZHh_QED2/2d0 + coupl(nGC_13369)
      coupl(nGC_20637) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_12958) = cima*(-coupl(nGC_3)**2d0 - 4d0*coupl(nGC_3)*coupl(    &
                         nGC_4) - coupl(nGC_4)**2d0)/(48d0*pi**2d0)
      coupl(nGC_12959) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**&
                         2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*    &
                         coupl(nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1  &
                         )**2d0 + 4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*&
                         Nc*cMU**2d0*cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima&
                         *coupl(nGC_4)**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)** &
                         2d0 + 4d0*cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*&
                         cima*coupl(nGC_3)**2d0 - 2d0*cMW**2d0*cima*coupl(nGC_3&
                         )*coupl(nGC_4) + cMW**2d0*cima*coupl(nGC_4)**2d0 - 2d0&
                         *cMW**2d0*coupl(nGC_9))/(16d0*pi**2d0)
      coupl(nGC_13072) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99   &
                         ) + 2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99 &
                         ) + 3d0*cima*coupl(nGC_102)*coupl(nGC_27) + 3d0*cima* &
                         coupl(nGC_103)*coupl(nGC_27) - 2d0*coupl(nGC_205)*    &
                         coupl(nGC_208)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                         coupl(nGC_212)*coupl(nGC_99) - 2d0*coupl(nGC_221)*    &
                         coupl(nGC_224)*coupl(nGC_99))/(48d0*pi**2d0)
      coupl(nGC_13073) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) - &
                         2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) +  &
                         3d0*cima*coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl&
                         (nGC_103)*coupl(nGC_15) + 2d0*coupl(nGC_205)*coupl(   &
                         nGC_207)*coupl(nGC_99) + 2d0*coupl(nGC_209)*coupl(    &
                         nGC_211)*coupl(nGC_99) + 2d0*coupl(nGC_221)*coupl(    &
                         nGC_223)*coupl(nGC_99))/(48d0*pi**2d0)
      coupl(nGC_13070) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_605)*coupl(nGC_99   &
                         ) + 2d0*Nc*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_201)*coupl(nGC_2029)*coupl(nGC_99&
                         ) - 2d0*Nc*coupl(nGC_213)*coupl(nGC_845)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99 &
                         ) + 3d0*cima*coupl(nGC_102)*coupl(nGC_14) + 3d0*cima* &
                         coupl(nGC_103)*coupl(nGC_14) - 2d0*coupl(nGC_1395)*   &
                         coupl(nGC_205)*coupl(nGC_99) - 2d0*coupl(nGC_1957)*   &
                         coupl(nGC_221)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                         coupl(nGC_687)*coupl(nGC_99))/(48d0*pi**2d0)
      coupl(nGC_13071) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) - &
                         2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) +  &
                         3d0*cima*coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl&
                         (nGC_103)*coupl(nGC_27) + 2d0*coupl(nGC_205)*coupl(   &
                         nGC_208)*coupl(nGC_99) + 2d0*coupl(nGC_209)*coupl(    &
                         nGC_212)*coupl(nGC_99) + 2d0*coupl(nGC_221)*coupl(    &
                         nGC_224)*coupl(nGC_99))/(48d0*pi**2d0)
      coupl(nGC_13076) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl( &
                         nGC_199)*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200&
                         )*coupl(nGC_213)*coupl(nGC_216) - coupl(nGC_213)*coupl&
                         (nGC_577)*coupl(nGC_845))/(32d0*pi**2d0)
      coupl(nGC_13077) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl( &
                         nGC_197)*coupl(nGC_198)*coupl(nGC_214) - coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl&
                         (nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_13074) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99   &
                         ) + 2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99 &
                         ) + 3d0*cima*coupl(nGC_102)*coupl(nGC_15) + 3d0*cima* &
                         coupl(nGC_103)*coupl(nGC_15) - 2d0*coupl(nGC_205)*    &
                         coupl(nGC_207)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                         coupl(nGC_211)*coupl(nGC_99) - 2d0*coupl(nGC_221)*    &
                         coupl(nGC_223)*coupl(nGC_99))/(48d0*pi**2d0)
      coupl(nGC_13075) = (2d0*Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99&
                         ) - 2d0*Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(   &
                         nGC_99) - 2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_193)*   &
                         coupl(nGC_99) + 2d0*Nc*cMC*coupl(nGC_123)*coupl(      &
                         nGC_197)*coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_125)*   &
                         coupl(nGC_197)*coupl(nGC_99) - 2d0*Nc*cMC*coupl(      &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_99) + 2d0*Nc*cMD*   &
                         coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - 2d0*Nc* &
                         cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - 2d0*&
                         Nc*cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) +  &
                         2d0*Nc*cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99 &
                         ) - 2d0*Nc*cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(   &
                         nGC_99) - 2d0*Nc*cMS*coupl(nGC_126)*coupl(nGC_213)*   &
                         coupl(nGC_99) + 2d0*Nc*cMT*coupl(nGC_123)*coupl(      &
                         nGC_217)*coupl(nGC_99) - 2d0*Nc*cMT*coupl(nGC_125)*   &
                         coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc*cMT*coupl(      &
                         nGC_126)*coupl(nGC_217)*coupl(nGC_99) + 2d0*Nc*cMU*   &
                         coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - 2d0*Nc* &
                         cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - 2d0*&
                         Nc*cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) +  &
                         2d0*cME*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - &
                         2d0*cME*coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_99) - &
                         2d0*cME*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_99) + &
                         2d0*cMM*coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_99) - &
                         2d0*cMM*coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_99) - &
                         2d0*cMM*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_99) + &
                         2d0*cMTA*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_99   &
                         ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_221)*coupl(     &
                         nGC_99) - 2d0*cMTA*coupl(nGC_129)*coupl(nGC_221)*coupl&
                         (nGC_99) + 4d0*cima*coupl(nGC_113)*coupl(nGC_166) +   &
                         4d0*cima*coupl(nGC_154)*coupl(nGC_84) - coupl(nGC_102 &
                         )**2d0*coupl(nGC_154) + 2d0*coupl(nGC_102)*coupl(     &
                         nGC_103)*coupl(nGC_154) + 2d0*coupl(nGC_102)*coupl(   &
                         nGC_166)*coupl(nGC_3) - coupl(nGC_103)**2d0*coupl(    &
                         nGC_154) - 2d0*coupl(nGC_103)*coupl(nGC_166)*coupl(   &
                         nGC_3))/(32d0*pi**2d0)
      coupl(nGC_13078) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl( &
                         nGC_202)*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_203&
                         )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl&
                         (nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_13079) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) - coupl(&
                         nGC_1177)*coupl(nGC_201)*coupl(nGC_2029) + 8d0*coupl( &
                         nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(nGC_201&
                         )*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl&
                         (nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_22537) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_22536) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_13258) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195&
                         )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 2d0*Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_201)*coupl(nGC_203)*coupl(     &
                         nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_213)*    &
                         coupl(nGC_215)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 8d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_227)*coupl&
                         (nGC_99) - 8d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)* &
                         coupl(nGC_2)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_203)*coupl(&
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_213)*    &
                         coupl(nGC_215)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2&
                         )*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + 2d0*Nc&
                         *cima*coupl(nGC_2)*coupl(nGC_225)*coupl(nGC_227)*coupl&
                         (nGC_99) + 12d0*cima*coupl(nGC_110)*coupl(nGC_8) +    &
                         12d0*cima*coupl(nGC_113)*coupl(nGC_15) + 2d0*cima*    &
                         coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_4)*coupl(     &
                         nGC_99) + 2d0*cima*coupl(nGC_209)*coupl(nGC_211)*coupl&
                         (nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(nGC_221)*coupl(&
                         nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 3d0*coupl(      &
                         nGC_102)*coupl(nGC_15)*coupl(nGC_3) - 3d0*coupl(      &
                         nGC_102)*coupl(nGC_15)*coupl(nGC_4) - 3d0*coupl(      &
                         nGC_103)*coupl(nGC_15)*coupl(nGC_3) + 3d0*coupl(      &
                         nGC_103)*coupl(nGC_15)*coupl(nGC_4) - 6d0*coupl(      &
                         nGC_110)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_110)*coupl(&
                         nGC_3)*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_13259) = (8d0*Nc*cima*coupl(nGC_1)**4d0 + 8d0*Nc*cima*coupl(   &
                         nGC_2)**4d0 - cima*coupl(nGC_3)**4d0 + 4d0*cima*coupl(&
                         nGC_3)**3d0*coupl(nGC_4) - 6d0*cima*coupl(nGC_3)**2d0*&
                         coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_3)*coupl(nGC_4 &
                         )**3d0 + 7d0*cima*coupl(nGC_4)**4d0 + 4d0*cima*coupl( &
                         nGC_9)**2d0 + 4d0*coupl(nGC_3)**2d0*coupl(nGC_9) - 8d0&
                         *coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_9) + 4d0*coupl(  &
                         nGC_4)**2d0*coupl(nGC_9))/(32d0*pi**2d0)
      coupl(nGC_20220) = coupl(nGC_13419) + coupl(nGC_195)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_196)*dZHh_QED2/2d0
      coupl(nGC_20222) = coupl(nGC_13420) + coupl(nGC_20219)
      coupl(nGC_13252) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1177)*coupl(     &
                         nGC_225)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*    &
                         coupl(nGC_1513)*coupl(nGC_217)*coupl(nGC_99) + 2d0*Nc*&
                         cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_194)*coupl(&
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                         coupl(nGC_577)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) + 2d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_214)*coupl&
                         (nGC_99) + 2d0*Nc*cima*coupl(nGC_1177)*coupl(nGC_2)*  &
                         coupl(nGC_225)*coupl(nGC_99) + 2d0*Nc*cima*coupl(     &
                         nGC_1513)*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_99) - &
                         8d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_2 &
                         )*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_197)*coupl(   &
                         nGC_2)*coupl(nGC_577)*coupl(nGC_99) - 8d0*Nc*cima*    &
                         coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_202)*coupl(     &
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_213)*    &
                         coupl(nGC_214)*coupl(nGC_99) + 12d0*cima*coupl(nGC_107&
                         )*coupl(nGC_8) + 12d0*cima*coupl(nGC_113)*coupl(nGC_13&
                         ) + 2d0*cima*coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_4&
                         )*coupl(nGC_99) + 2d0*cima*coupl(nGC_209)*coupl(      &
                         nGC_210)*coupl(nGC_4)*coupl(nGC_99) + 2d0*cima*coupl( &
                         nGC_221)*coupl(nGC_222)*coupl(nGC_4)*coupl(nGC_99) +  &
                         3d0*coupl(nGC_102)*coupl(nGC_13)*coupl(nGC_3) - 3d0*  &
                         coupl(nGC_102)*coupl(nGC_13)*coupl(nGC_4) - 3d0*coupl(&
                         nGC_103)*coupl(nGC_13)*coupl(nGC_3) + 3d0*coupl(      &
                         nGC_103)*coupl(nGC_13)*coupl(nGC_4) - 3d0*coupl(      &
                         nGC_107)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_107)*coupl(&
                         nGC_3)*coupl(nGC_4) - 3d0*coupl(nGC_107)*coupl(nGC_4  &
                         )**2d0)/(96d0*pi**2d0)
      coupl(nGC_13253) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196&
                         )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 2d0*Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_201)*coupl(nGC_204)*coupl(     &
                         nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_213)*    &
                         coupl(nGC_216)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 8d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_228)*coupl&
                         (nGC_99) - 8d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)* &
                         coupl(nGC_2)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_197&
                         )*coupl(nGC_2)*coupl(nGC_200)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_204)*coupl(&
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_213)*    &
                         coupl(nGC_216)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2&
                         )*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + 2d0*Nc&
                         *cima*coupl(nGC_2)*coupl(nGC_225)*coupl(nGC_228)*coupl&
                         (nGC_99) + 12d0*cima*coupl(nGC_113)*coupl(nGC_27) +   &
                         12d0*cima*coupl(nGC_119)*coupl(nGC_8) + 2d0*cima*coupl&
                         (nGC_205)*coupl(nGC_208)*coupl(nGC_4)*coupl(nGC_99) + &
                         2d0*cima*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_4)*  &
                         coupl(nGC_99) + 2d0*cima*coupl(nGC_221)*coupl(nGC_224 &
                         )*coupl(nGC_4)*coupl(nGC_99) + 3d0*coupl(nGC_102)*    &
                         coupl(nGC_27)*coupl(nGC_3) - 3d0*coupl(nGC_102)*coupl(&
                         nGC_27)*coupl(nGC_4) - 3d0*coupl(nGC_103)*coupl(nGC_27&
                         )*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl(nGC_27)*    &
                         coupl(nGC_4) - 3d0*coupl(nGC_119)*coupl(nGC_3)**2d0 + &
                         6d0*coupl(nGC_119)*coupl(nGC_3)*coupl(nGC_4) - 3d0*   &
                         coupl(nGC_119)*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13250) = (36d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 -  &
                         60d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**&
                         2d0 + 36d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**  &
                         2d0 - cima*coupl(nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0&
                         *cima*coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_4) - &
                         cima*coupl(nGC_102)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*&
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(&
                         nGC_4) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                         nGC_4)**2d0 - cima*coupl(nGC_103)**2d0*coupl(nGC_3)** &
                         2d0 + 2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(&
                         nGC_4) - cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 - &
                         cima*coupl(nGC_3)**4d0 + 3d0*cima*coupl(nGC_3)**3d0*  &
                         coupl(nGC_4) + cima*coupl(nGC_3)**3d0*coupl(nGC_941   &
                         ) - 3d0*cima*coupl(nGC_3)**2d0*coupl(nGC_4)**2d0 - 3d0&
                         *cima*coupl(nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_941) + &
                         cima*coupl(nGC_3)*coupl(nGC_4)**3d0 + 3d0*cima*coupl( &
                         nGC_3)*coupl(nGC_4)**2d0*coupl(nGC_941) - cima*coupl( &
                         nGC_4)**3d0*coupl(nGC_941) + 36d0*cima*coupl(nGC_4)** &
                         2d0*coupl(nGC_99)**2d0 + 12d0*cima*coupl(nGC_72)*coupl&
                         (nGC_9) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_9) - 6d0* &
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_9) + 3d0*coupl&
                         (nGC_103)**2d0*coupl(nGC_9) + 6d0*coupl(nGC_3)**2d0*  &
                         coupl(nGC_72) - 12d0*coupl(nGC_3)*coupl(nGC_4)*coupl( &
                         nGC_72) - 6d0*coupl(nGC_3)*coupl(nGC_9)*coupl(nGC_941 &
                         ) + 6d0*coupl(nGC_4)**2d0*coupl(nGC_72) + 6d0*coupl(  &
                         nGC_4)*coupl(nGC_9)*coupl(nGC_941))/(96d0*pi**2d0)
      coupl(nGC_13251) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 + &
                         36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**&
                         2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**  &
                         2d0 - cima*coupl(nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0&
                         *cima*coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_4) - &
                         cima*coupl(nGC_102)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*&
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(&
                         nGC_4) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                         nGC_4)**2d0 - cima*coupl(nGC_103)**2d0*coupl(nGC_3)** &
                         2d0 + 2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(&
                         nGC_4) - cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + &
                         12d0*cima*coupl(nGC_113)**2d0 - cima*coupl(nGC_3)**4d0&
                          + 3d0*cima*coupl(nGC_3)**3d0*coupl(nGC_4) + cima*    &
                         coupl(nGC_3)**3d0*coupl(nGC_941) - 3d0*cima*coupl(    &
                         nGC_3)**2d0*coupl(nGC_4)**2d0 - 3d0*cima*coupl(nGC_3  &
                         )**2d0*coupl(nGC_4)*coupl(nGC_941) + cima*coupl(nGC_3 &
                         )*coupl(nGC_4)**3d0 + 3d0*cima*coupl(nGC_3)*coupl(    &
                         nGC_4)**2d0*coupl(nGC_941) - cima*coupl(nGC_4)**3d0*  &
                         coupl(nGC_941) - 12d0*cima*coupl(nGC_4)**2d0*coupl(   &
                         nGC_99)**2d0 + 12d0*cima*coupl(nGC_8)**2d0 + 6d0*coupl&
                         (nGC_102)*coupl(nGC_113)*coupl(nGC_3) - 6d0*coupl(    &
                         nGC_102)*coupl(nGC_113)*coupl(nGC_4) - 6d0*coupl(     &
                         nGC_103)*coupl(nGC_113)*coupl(nGC_3) + 6d0*coupl(     &
                         nGC_103)*coupl(nGC_113)*coupl(nGC_4) - 9d0*coupl(nGC_3&
                         )**2d0*coupl(nGC_8) + 12d0*coupl(nGC_3)*coupl(nGC_4)* &
                         coupl(nGC_8) - 3d0*coupl(nGC_4)**2d0*coupl(nGC_8))/(  &
                         96d0*pi**2d0)
      coupl(nGC_13256) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_605&
                         )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_197)*coupl(nGC_198)*coupl(nGC_99) + 2d0*Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_201)*coupl(nGC_2029)*coupl(    &
                         nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_213)*    &
                         coupl(nGC_845)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99) - 8d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_226)*coupl&
                         (nGC_99) - 8d0*Nc*cima*coupl(nGC_193)*coupl(nGC_2)*   &
                         coupl(nGC_605)*coupl(nGC_99) + 2d0*Nc*cima*coupl(     &
                         nGC_197)*coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_99) -  &
                         8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_2029&
                         )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(     &
                         nGC_213)*coupl(nGC_845)*coupl(nGC_99) + 2d0*Nc*cima*  &
                         coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_218)*coupl(     &
                         nGC_99) + 2d0*Nc*cima*coupl(nGC_2)*coupl(nGC_225)*    &
                         coupl(nGC_226)*coupl(nGC_99) + 12d0*cima*coupl(nGC_108&
                         )*coupl(nGC_8) + 12d0*cima*coupl(nGC_113)*coupl(nGC_14&
                         ) + 2d0*cima*coupl(nGC_1395)*coupl(nGC_205)*coupl(    &
                         nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(nGC_1957)*coupl(&
                         nGC_221)*coupl(nGC_4)*coupl(nGC_99) + 2d0*cima*coupl( &
                         nGC_209)*coupl(nGC_4)*coupl(nGC_687)*coupl(nGC_99) +  &
                         3d0*coupl(nGC_102)*coupl(nGC_14)*coupl(nGC_3) - 3d0*  &
                         coupl(nGC_102)*coupl(nGC_14)*coupl(nGC_4) - 3d0*coupl(&
                         nGC_103)*coupl(nGC_14)*coupl(nGC_3) + 3d0*coupl(      &
                         nGC_103)*coupl(nGC_14)*coupl(nGC_4) - 6d0*coupl(      &
                         nGC_108)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_108)*coupl(&
                         nGC_3)*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_13257) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196&
                         )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 2d0*Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_201)*coupl(nGC_204)*coupl(     &
                         nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_213)*    &
                         coupl(nGC_216)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 8d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_228)*coupl&
                         (nGC_99) - 8d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)* &
                         coupl(nGC_2)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_197&
                         )*coupl(nGC_2)*coupl(nGC_200)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_204)*coupl(&
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_213)*    &
                         coupl(nGC_216)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2&
                         )*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + 2d0*Nc&
                         *cima*coupl(nGC_2)*coupl(nGC_225)*coupl(nGC_228)*coupl&
                         (nGC_99) + 12d0*cima*coupl(nGC_113)*coupl(nGC_27) +   &
                         12d0*cima*coupl(nGC_119)*coupl(nGC_8) + 2d0*cima*coupl&
                         (nGC_205)*coupl(nGC_208)*coupl(nGC_4)*coupl(nGC_99) + &
                         2d0*cima*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_4)*  &
                         coupl(nGC_99) + 2d0*cima*coupl(nGC_221)*coupl(nGC_224 &
                         )*coupl(nGC_4)*coupl(nGC_99) + 3d0*coupl(nGC_102)*    &
                         coupl(nGC_27)*coupl(nGC_3) - 3d0*coupl(nGC_102)*coupl(&
                         nGC_27)*coupl(nGC_4) - 3d0*coupl(nGC_103)*coupl(nGC_27&
                         )*coupl(nGC_3) + 3d0*coupl(nGC_103)*coupl(nGC_27)*    &
                         coupl(nGC_4) - 6d0*coupl(nGC_119)*coupl(nGC_3)**2d0 + &
                         6d0*coupl(nGC_119)*coupl(nGC_3)*coupl(nGC_4))/(96d0*pi&
                         **2d0)
      coupl(nGC_13254) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(      &
                         nGC_193)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122&
                         )*coupl(nGC_201)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_122)*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_123)*coupl(nGC_197)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_123)*coupl(nGC_217)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_123)*coupl(     &
                         nGC_225)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125&
                         )*coupl(nGC_197)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_125)*coupl(nGC_217)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_225)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_193)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(     &
                         nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126&
                         )*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*   &
                         coupl(nGC_193)**2d0*coupl(nGC_2) + 5d0*Nc*cima*coupl( &
                         nGC_122)*coupl(nGC_2)*coupl(nGC_201)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_122)*coupl(nGC_2)*coupl(nGC_213)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)**2d0*    &
                         coupl(nGC_2) - 8d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2 &
                         )*coupl(nGC_217)**2d0 - 8d0*Nc*cima*coupl(nGC_123)*   &
                         coupl(nGC_2)*coupl(nGC_225)**2d0 + 5d0*Nc*cima*coupl( &
                         nGC_125)*coupl(nGC_197)**2d0*coupl(nGC_2) + 5d0*Nc*   &
                         cima*coupl(nGC_125)*coupl(nGC_2)*coupl(nGC_217)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*coupl(     &
                         nGC_225)**2d0 - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_193)**2d0*coupl(nGC_2) - 8d0*Nc*cima*coupl(nGC_126&
                         )*coupl(nGC_2)*coupl(nGC_201)**2d0 - 8d0*Nc*cima*coupl&
                         (nGC_126)*coupl(nGC_2)*coupl(nGC_213)**2d0 + 6d0*cima*&
                         coupl(nGC_116)*coupl(nGC_71) - 8d0*cima*coupl(nGC_124 &
                         )*coupl(nGC_205)**2d0*coupl(nGC_4) - 8d0*cima*coupl(  &
                         nGC_124)*coupl(nGC_209)**2d0*coupl(nGC_4) - 8d0*cima* &
                         coupl(nGC_124)*coupl(nGC_221)**2d0*coupl(nGC_4) + 5d0*&
                         cima*coupl(nGC_129)*coupl(nGC_205)**2d0*coupl(nGC_4   &
                         ) + 5d0*cima*coupl(nGC_129)*coupl(nGC_209)**2d0*coupl(&
                         nGC_4) + 5d0*cima*coupl(nGC_129)*coupl(nGC_221)**2d0* &
                         coupl(nGC_4) - 3d0*coupl(nGC_102)*coupl(nGC_3)*coupl( &
                         nGC_71) + 3d0*coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_71&
                         ) + 3d0*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_71) -   &
                         3d0*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_71))/(48d0* &
                         pi**2d0)
      coupl(nGC_13255) = (2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195&
                         )*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 2d0*Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_201)*coupl(nGC_203)*coupl(     &
                         nGC_99) + 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_213)*    &
                         coupl(nGC_215)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1&
                         )*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 8d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_227)*coupl&
                         (nGC_99) - 8d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)* &
                         coupl(nGC_2)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_197&
                         )*coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_203)*coupl(&
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_213)*    &
                         coupl(nGC_215)*coupl(nGC_99) + 2d0*Nc*cima*coupl(nGC_2&
                         )*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + 2d0*Nc&
                         *cima*coupl(nGC_2)*coupl(nGC_225)*coupl(nGC_227)*coupl&
                         (nGC_99) + 12d0*cima*coupl(nGC_110)*coupl(nGC_8) +    &
                         12d0*cima*coupl(nGC_113)*coupl(nGC_15) + 2d0*cima*    &
                         coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_4)*coupl(     &
                         nGC_99) + 2d0*cima*coupl(nGC_209)*coupl(nGC_211)*coupl&
                         (nGC_4)*coupl(nGC_99) + 2d0*cima*coupl(nGC_221)*coupl(&
                         nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 3d0*coupl(      &
                         nGC_102)*coupl(nGC_15)*coupl(nGC_3) - 3d0*coupl(      &
                         nGC_102)*coupl(nGC_15)*coupl(nGC_4) - 3d0*coupl(      &
                         nGC_103)*coupl(nGC_15)*coupl(nGC_3) + 3d0*coupl(      &
                         nGC_103)*coupl(nGC_15)*coupl(nGC_4) - 3d0*coupl(      &
                         nGC_110)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_110)*coupl(&
                         nGC_3)*coupl(nGC_4) - 3d0*coupl(nGC_110)*coupl(nGC_4  &
                         )**2d0)/(96d0*pi**2d0)
      coupl(nGC_13098) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) -   &
                         coupl(nGC_1395)*coupl(nGC_206)**2d0 - coupl(nGC_1395)*&
                         coupl(nGC_207)**2d0 - coupl(nGC_1395)*coupl(nGC_208)**&
                         2d0 + 8d0*coupl(nGC_206)*coupl(nGC_4)**2d0)/(32d0*pi**&
                         2d0)
      coupl(nGC_13099) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_1395) -  &
                         coupl(nGC_1395)**2d0*coupl(nGC_206) + 8d0*coupl(      &
                         nGC_1395)*coupl(nGC_4)**2d0 - coupl(nGC_206)*coupl(   &
                         nGC_207)**2d0 - coupl(nGC_206)*coupl(nGC_208)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_13153) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -   &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) - coupl( &
                         nGC_199)**3d0 + 8d0*coupl(nGC_199)*coupl(nGC_2)**2d0  &
                          - coupl(nGC_199)*coupl(nGC_200)**2d0 - coupl(nGC_199 &
                         )*coupl(nGC_577)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13154) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -   &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) - coupl( &
                         nGC_198)**2d0*coupl(nGC_199) - coupl(nGC_199)**3d0 +  &
                         8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 - coupl(nGC_199)*&
                         coupl(nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20454) = coupl(nGC_13378) + 3d0*coupl(nGC_190)*dZHh_QED2/2d0 + &
                         3d0*coupl(nGC_192)*dZHlHh_QED2/2d0 + coupl(           &
                         nGC_TS_GC_33_Hl) + coupl(nGC_TS_GC_35_Hh)
      coupl(nGC_TS_GC_195_Hl) = -coupl(nGC_195)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13090) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_577) -   &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_214) - coupl( &
                         nGC_198)*coupl(nGC_199)**2d0 - coupl(nGC_198)*coupl(  &
                         nGC_200)**2d0 - coupl(nGC_198)*coupl(nGC_577)**2d0 +  &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_577))/(32d0*pi**2d0)
      coupl(nGC_13091) = coupl(nGC_19)**2d0*coupl(nGC_577)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13092) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_198) -   &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_845) - coupl( &
                         nGC_198)**2d0*coupl(nGC_577) + 8d0*coupl(nGC_198)*    &
                         coupl(nGC_2)**2d0 - coupl(nGC_199)**2d0*coupl(nGC_577 &
                         ) - coupl(nGC_200)**2d0*coupl(nGC_577))/(32d0*pi**2d0)
      coupl(nGC_13093) = coupl(nGC_19)**2d0*coupl(nGC_198)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13094) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_2029) + 8d0*coupl(   &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_2029) - coupl(      &
                         nGC_201)*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_202&
                         )*coupl(nGC_2029)**2d0 - coupl(nGC_202)*coupl(nGC_203 &
                         )**2d0 - coupl(nGC_202)*coupl(nGC_204)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_13095) = coupl(nGC_19)**2d0*coupl(nGC_2029)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13096) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_202) - coupl(nGC_1177&
                         )*coupl(nGC_201)*coupl(nGC_225) + 8d0*coupl(nGC_122)* &
                         coupl(nGC_125)*coupl(nGC_202) - coupl(nGC_202)**2d0*  &
                         coupl(nGC_2029) - coupl(nGC_2029)*coupl(nGC_203)**2d0 &
                          - coupl(nGC_2029)*coupl(nGC_204)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13097) = coupl(nGC_19)**2d0*coupl(nGC_202)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_21155) = -coupl(nGC_13437) - coupl(nGC_21152)
      coupl(nGC_21156) = coupl(nGC_13437) + coupl(nGC_21152)
      coupl(nGC_21157) = -coupl(nGC_13438) - coupl(nGC_21151)
      coupl(nGC_21158) = coupl(nGC_13438) + coupl(nGC_21151)
      coupl(nGC_13012) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*   &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_3&
                         )*coupl(nGC_72) + 6d0*cima*coupl(nGC_4)*coupl(nGC_72  &
                         ) + coupl(nGC_102)**2d0*coupl(nGC_3) + 2d0*coupl(     &
                         nGC_102)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_102)*coupl(&
                         nGC_103)*coupl(nGC_3) - 4d0*coupl(nGC_102)*coupl(     &
                         nGC_103)*coupl(nGC_4) + coupl(nGC_103)**2d0*coupl(    &
                         nGC_3) + 2d0*coupl(nGC_103)**2d0*coupl(nGC_4) - 2d0*  &
                         coupl(nGC_3)**2d0*coupl(nGC_941) - 2d0*coupl(nGC_3)*  &
                         coupl(nGC_4)*coupl(nGC_941) + 4d0*coupl(nGC_4)**2d0*  &
                         coupl(nGC_941) + 12d0*coupl(nGC_4)*coupl(nGC_99)**2d0 &
                         )/(96d0*pi**2d0)
      coupl(nGC_22405) = coupl(nGC_104)*dZZA_QED2/2d0 + coupl(nGC_13384) +     &
                         coupl(nGC_6)*dZA_QED2/2d0
      coupl(nGC_13354) = coupl(nGC_12618)*da_QED2 + coupl(nGC_12619)*dl2_QED4  &
                          + coupl(nGC_12620)*dl1_QED4 + coupl(nGC_12621)*      &
                         dl3_QED4
      coupl(nGC_20319) = coupl(nGC_107)*dZAZ_QED2/2d0 + coupl(nGC_13)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/2d0 + coupl&
                         (nGC_13342)
      coupl(nGC_19852) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_13011) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*  &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                         nGC_102)*coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*    &
                         coupl(nGC_113) + 6d0*cima*coupl(nGC_3)*coupl(nGC_8) + &
                         6d0*cima*coupl(nGC_4)*coupl(nGC_8) + 2d0*coupl(nGC_102&
                         )**2d0*coupl(nGC_3) - 2d0*coupl(nGC_102)**2d0*coupl(  &
                         nGC_4) - coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3) + &
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4) - coupl(   &
                         nGC_103)**2d0*coupl(nGC_3) + coupl(nGC_103)**2d0*coupl&
                         (nGC_4) + 2d0*coupl(nGC_3)**2d0*coupl(nGC_941) + 2d0* &
                         coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_941) - 4d0*coupl( &
                         nGC_4)**2d0*coupl(nGC_941) - 12d0*coupl(nGC_4)*coupl( &
                         nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_20310) = coupl(nGC_20155) + coupl(nGC_20307)
      coupl(nGC_19849) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_24155) = coupl(nGC_13471) + coupl(nGC_162)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_165)*dZHh_QED2/2d0 + coupl(nGC_165)*        &
                         dZWMinus_QED2 + coupl(nGC_TS_GC_93_Hl) + coupl(       &
                         nGC_TS_GC_96_Hh)
      coupl(nGC_19272) = coupl(nGC_13362) + coupl(nGC_81)*dZHl_QED2 + coupl(   &
                         nGC_92)*dZHhHl_QED2
      coupl(nGC_13013) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*   &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                         nGC_102)*coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*    &
                         coupl(nGC_113) + 6d0*cima*coupl(nGC_3)*coupl(nGC_8) + &
                         6d0*cima*coupl(nGC_4)*coupl(nGC_8) + coupl(nGC_102)** &
                         2d0*coupl(nGC_3) - coupl(nGC_102)**2d0*coupl(nGC_4) + &
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3) - coupl(   &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_4) - 2d0*coupl(     &
                         nGC_103)**2d0*coupl(nGC_3) + 2d0*coupl(nGC_103)**2d0* &
                         coupl(nGC_4) + 4d0*coupl(nGC_3)**2d0*coupl(nGC_941) - &
                         2d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_941) - 2d0*   &
                         coupl(nGC_4)**2d0*coupl(nGC_941) + 12d0*coupl(nGC_4)* &
                         coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13328) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_122) -   &
                         coupl(nGC_123) - coupl(nGC_125) - coupl(nGC_126))/(   &
                         64d0*pi**2d0*Nc)
      coupl(nGC_13329) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +    &
                         coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(   &
                         32d0*pi**2d0*Nc**2d0)
      coupl(nGC_13326) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_122)**2d0&
                          - coupl(nGC_123)**2d0 - coupl(nGC_125)**2d0 - coupl( &
                         nGC_126)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13327) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +    &
                         coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(   &
                         128d0*pi**2d0)
      coupl(nGC_13324) = (36d0*Nc*cima*coupl(nGC_99)**4d0 - 2d0*cima*coupl(    &
                         nGC_102)**4d0 + 8d0*cima*coupl(nGC_102)**3d0*coupl(   &
                         nGC_103) - 12d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103&
                         )**2d0 - 3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_3)**  &
                         2d0 + 4d0*cima*coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(&
                         nGC_4) + 6d0*cima*coupl(nGC_102)**2d0*coupl(nGC_3)*   &
                         coupl(nGC_941) - cima*coupl(nGC_102)**2d0*coupl(nGC_4 &
                         )**2d0 - 2d0*cima*coupl(nGC_102)**2d0*coupl(nGC_4)*   &
                         coupl(nGC_941) + 8d0*cima*coupl(nGC_102)*coupl(nGC_103&
                         )**3d0 + 6d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                         nGC_3)**2d0 - 8d0*cima*coupl(nGC_102)*coupl(nGC_103)* &
                         coupl(nGC_3)*coupl(nGC_4) - 12d0*cima*coupl(nGC_102)* &
                         coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_941) + 2d0*cima*&
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4)**2d0 + 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4)*coupl(&
                         nGC_941) - 2d0*cima*coupl(nGC_103)**4d0 - 3d0*cima*   &
                         coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 + 4d0*cima*coupl&
                         (nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4) + 6d0*cima*  &
                         coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_941) - cima&
                         *coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*    &
                         coupl(nGC_103)**2d0*coupl(nGC_4)*coupl(nGC_941) + 12d0&
                         *cima*coupl(nGC_116)**2d0 - 2d0*cima*coupl(nGC_3)**4d0&
                          + 4d0*cima*coupl(nGC_3)**3d0*coupl(nGC_4) + 4d0*cima*&
                         coupl(nGC_3)**3d0*coupl(nGC_941) - 2d0*cima*coupl(    &
                         nGC_3)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_3  &
                         )**2d0*coupl(nGC_4)*coupl(nGC_941) - 2d0*cima*coupl(  &
                         nGC_3)**2d0*coupl(nGC_941)**2d0 + 4d0*cima*coupl(nGC_3&
                         )*coupl(nGC_4)**2d0*coupl(nGC_941) + 4d0*cima*coupl(  &
                         nGC_3)*coupl(nGC_4)*coupl(nGC_941)**2d0 - 2d0*cima*   &
                         coupl(nGC_4)**2d0*coupl(nGC_941)**2d0 + 12d0*cima*    &
                         coupl(nGC_72)**2d0 + 6d0*cima*coupl(nGC_85)**2d0 + 6d0&
                         *cima*coupl(nGC_9)**2d0 + 36d0*cima*coupl(nGC_99)**4d0&
                          + 6d0*coupl(nGC_102)**2d0*coupl(nGC_72) + 6d0*coupl( &
                         nGC_102)**2d0*coupl(nGC_85) - 12d0*coupl(nGC_102)*    &
                         coupl(nGC_103)*coupl(nGC_72) - 12d0*coupl(nGC_102)*   &
                         coupl(nGC_103)*coupl(nGC_85) - 12d0*coupl(nGC_102)*   &
                         coupl(nGC_116)*coupl(nGC_3) + 6d0*coupl(nGC_102)*coupl&
                         (nGC_116)*coupl(nGC_4) + 6d0*coupl(nGC_102)*coupl(    &
                         nGC_116)*coupl(nGC_941) + 6d0*coupl(nGC_103)**2d0*    &
                         coupl(nGC_72) + 6d0*coupl(nGC_103)**2d0*coupl(nGC_85  &
                         ) + 12d0*coupl(nGC_103)*coupl(nGC_116)*coupl(nGC_3) - &
                         6d0*coupl(nGC_103)*coupl(nGC_116)*coupl(nGC_4) - 6d0* &
                         coupl(nGC_103)*coupl(nGC_116)*coupl(nGC_941) + 6d0*   &
                         coupl(nGC_3)**2d0*coupl(nGC_72) + 6d0*coupl(nGC_3)**  &
                         2d0*coupl(nGC_9) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl&
                         (nGC_72) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_9  &
                         ) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_941) -   &
                         6d0*coupl(nGC_3)*coupl(nGC_9)*coupl(nGC_941) + 6d0*   &
                         coupl(nGC_4)*coupl(nGC_72)*coupl(nGC_941) + 6d0*coupl(&
                         nGC_4)*coupl(nGC_9)*coupl(nGC_941))/(96d0*pi**2d0)
      coupl(nGC_13325) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_122)**2d0 &
                          + coupl(nGC_123)**2d0 + coupl(nGC_125)**2d0 + coupl( &
                         nGC_126)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13322) = (4d0*Nc*cima*coupl(nGC_122)**4d0 + 4d0*Nc*cima*coupl( &
                         nGC_123)**4d0 + 4d0*Nc*cima*coupl(nGC_125)**4d0 + 4d0*&
                         Nc*cima*coupl(nGC_126)**4d0 - cima*coupl(nGC_102)**4d0&
                          + 4d0*cima*coupl(nGC_102)**3d0*coupl(nGC_103) - 6d0* &
                         cima*coupl(nGC_102)**2d0*coupl(nGC_103)**2d0 + 4d0*   &
                         cima*coupl(nGC_102)*coupl(nGC_103)**3d0 - cima*coupl( &
                         nGC_103)**4d0 + 4d0*cima*coupl(nGC_124)**4d0 + 4d0*   &
                         cima*coupl(nGC_128)**4d0 + 4d0*cima*coupl(nGC_129)**  &
                         4d0 + 4d0*cima*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_102 &
                         )**2d0*coupl(nGC_85) - 8d0*coupl(nGC_102)*coupl(      &
                         nGC_103)*coupl(nGC_85) + 4d0*coupl(nGC_103)**2d0*coupl&
                         (nGC_85))/(32d0*pi**2d0)
      coupl(nGC_13323) = (-60d0*Nc*cima*coupl(nGC_99)**4d0 - 2d0*cima*coupl(   &
                         nGC_102)**4d0 + 8d0*cima*coupl(nGC_102)**3d0*coupl(   &
                         nGC_103) - 12d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103&
                         )**2d0 - 3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_3)**  &
                         2d0 + 4d0*cima*coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(&
                         nGC_4) + 6d0*cima*coupl(nGC_102)**2d0*coupl(nGC_3)*   &
                         coupl(nGC_941) - cima*coupl(nGC_102)**2d0*coupl(nGC_4 &
                         )**2d0 - 2d0*cima*coupl(nGC_102)**2d0*coupl(nGC_4)*   &
                         coupl(nGC_941) + 8d0*cima*coupl(nGC_102)*coupl(nGC_103&
                         )**3d0 + 6d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                         nGC_3)**2d0 - 8d0*cima*coupl(nGC_102)*coupl(nGC_103)* &
                         coupl(nGC_3)*coupl(nGC_4) - 12d0*cima*coupl(nGC_102)* &
                         coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_941) + 2d0*cima*&
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4)**2d0 + 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4)*coupl(&
                         nGC_941) - 2d0*cima*coupl(nGC_103)**4d0 - 3d0*cima*   &
                         coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 + 4d0*cima*coupl&
                         (nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4) + 6d0*cima*  &
                         coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_941) - cima&
                         *coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*    &
                         coupl(nGC_103)**2d0*coupl(nGC_4)*coupl(nGC_941) - 2d0*&
                         cima*coupl(nGC_3)**4d0 + 4d0*cima*coupl(nGC_3)**3d0*  &
                         coupl(nGC_4) + 4d0*cima*coupl(nGC_3)**3d0*coupl(      &
                         nGC_941) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_4)**  &
                         2d0 - 8d0*cima*coupl(nGC_3)**2d0*coupl(nGC_4)*coupl(  &
                         nGC_941) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_941)**&
                         2d0 + 4d0*cima*coupl(nGC_3)*coupl(nGC_4)**2d0*coupl(  &
                         nGC_941) + 4d0*cima*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                         nGC_941)**2d0 - 2d0*cima*coupl(nGC_4)**2d0*coupl(     &
                         nGC_941)**2d0 + 6d0*cima*coupl(nGC_75)**2d0 - 60d0*   &
                         cima*coupl(nGC_99)**4d0 - 6d0*coupl(nGC_102)**2d0*    &
                         coupl(nGC_75) + 12d0*coupl(nGC_102)*coupl(nGC_103)*   &
                         coupl(nGC_75) - 6d0*coupl(nGC_103)**2d0*coupl(nGC_75  &
                         ) - 3d0*coupl(nGC_3)**2d0*coupl(nGC_75) + 6d0*coupl(  &
                         nGC_3)*coupl(nGC_4)*coupl(nGC_75) + 12d0*coupl(nGC_3)*&
                         coupl(nGC_75)*coupl(nGC_941) - 3d0*coupl(nGC_4)**2d0* &
                         coupl(nGC_75))/(96d0*pi**2d0)
      coupl(nGC_13320) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) -     &
                         coupl(nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_13321) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl&
                         (nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_13222) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl( &
                         nGC_198)*coupl(nGC_577) - coupl(nGC_199)**2d0 - 4d0*  &
                         coupl(nGC_2)**2d0 - coupl(nGC_200)**2d0 - coupl(      &
                         nGC_213)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_23010) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*      &
                         dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_189_Hl) + coupl(    &
                         nGC_TS_GC_192_Hh)
      coupl(nGC_23724) = coupl(nGC_126)*dZuL_QCD2
      coupl(nGC_23727) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZuL_QED2&
                          + coupl(nGC_13503)
      coupl(nGC_23726) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZuR_QED2&
                          + coupl(nGC_13504)
      coupl(nGC_19175) = coupl(nGC_100)*dZHl_QED2/2d0 + coupl(nGC_100)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_13461)
      coupl(nGC_20294) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZbR_QED2&
                          + coupl(nGC_13505)
      coupl(nGC_19859) = coupl(nGC_19857) + coupl(nGC_19858)
      coupl(nGC_21479) = coupl(nGC_13581) + coupl(nGC_21470)
      coupl(nGC_21478) = coupl(nGC_21469) + coupl(nGC_21477)
      coupl(nGC_19931) = coupl(nGC_116)*dZAZ_QED2 + coupl(nGC_13498) + coupl(  &
                         nGC_85)*dZWMinus_QED2 + coupl(nGC_85)*dZZ_QED2
      coupl(nGC_19930) = coupl(nGC_113)*dZAZ_QED2 + coupl(nGC_13497) + coupl(  &
                         nGC_84)*dZWMinus_QED2 + coupl(nGC_84)*dZZ_QED2
      coupl(nGC_19933) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_TS_GC_27_Hh) = -coupl(nGC_27)*dtHh_QED1/cMHH**2d0
      coupl(nGC_20297) = coupl(nGC_19683) + coupl(nGC_20295)
      coupl(nGC_13188) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) - coupl( &
                         nGC_102)*coupl(nGC_129) - coupl(nGC_103)*coupl(nGC_128&
                         ) + coupl(nGC_103)*coupl(nGC_129) + 4d0*coupl(nGC_128 &
                         )*coupl(nGC_129) - coupl(nGC_3)*coupl(nGC_4) + coupl( &
                         nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22476) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_12979) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(  &
                         nGC_125))/(8d0*pi**2d0)
      coupl(nGC_19104) = coupl(nGC_114)*dZA_QED2/2d0 + coupl(nGC_114)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_13452) + coupl(nGC_83)* &
                         dZZA_QED2/2d0
      coupl(nGC_20293) = coupl(nGC_125)*dZbL_QCD2
      coupl(nGC_19584) = -coupl(nGC_13426) - coupl(nGC_19583)
      coupl(nGC_19585) = coupl(nGC_13426) + coupl(nGC_19583)
      coupl(nGC_13189) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_102 &
                         )*coupl(nGC_99)**2d0 - coupl(nGC_103)*coupl(nGC_99)** &
                         2d0 + coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_605) +  &
                         coupl(nGC_122)*coupl(nGC_195)**2d0 + coupl(nGC_122)*  &
                         coupl(nGC_196)**2d0 + coupl(nGC_123)*coupl(nGC_217)** &
                         2d0 + 4d0*coupl(nGC_125)**3d0 + 4d0*coupl(nGC_126)*   &
                         coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12975) = cima*(-coupl(nGC_102)**2d0 - 4d0*coupl(nGC_102)*coupl(&
                         nGC_103) - coupl(nGC_103)**2d0)/(48d0*pi**2d0)
      coupl(nGC_12976) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_122)**2d0 + 2d0*Nc*cMB&
                         **2d0*cima*coupl(nGC_125)**2d0 + 2d0*Nc*cMC**2d0*cima*&
                         coupl(nGC_123)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(     &
                         nGC_126)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_122)** &
                         2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_125)**2d0 + 2d0* &
                         Nc*cMS**2d0*cima*coupl(nGC_122)**2d0 + 2d0*Nc*cMS**2d0&
                         *cima*coupl(nGC_125)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl&
                         (nGC_123)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_126)**&
                         2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_123)**2d0 + 2d0* &
                         Nc*cMU**2d0*cima*coupl(nGC_126)**2d0 + 2d0*cME**2d0*  &
                         cima*coupl(nGC_124)**2d0 + 2d0*cME**2d0*cima*coupl(   &
                         nGC_128)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_124)**2d0 &
                          + 2d0*cMM**2d0*cima*coupl(nGC_128)**2d0 + 2d0*cMTA** &
                         2d0*cima*coupl(nGC_124)**2d0 + 2d0*cMTA**2d0*cima*    &
                         coupl(nGC_128)**2d0 + cMW**2d0*cima*coupl(nGC_102)**  &
                         2d0 - 2d0*cMW**2d0*cima*coupl(nGC_102)*coupl(nGC_103  &
                         ) + cMW**2d0*cima*coupl(nGC_103)**2d0 - 2d0*cMW**2d0* &
                         coupl(nGC_85))/(16d0*pi**2d0)
      coupl(nGC_19632) = coupl(nGC_13424) + coupl(nGC_19629)
      coupl(nGC_23571) = coupl(nGC_13415) + coupl(nGC_203)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_204)*dZHh_QED2/2d0
      coupl(nGC_23572) = coupl(nGC_23569) + coupl(nGC_23571)
      coupl(nGC_23573) = coupl(nGC_13416) + coupl(nGC_23570)
      coupl(nGC_21680) = coupl(nGC_13442) + coupl(nGC_199)*dZHl_QED2/2d0 +     &
                         coupl(nGC_200)*dZHhHl_QED2/2d0
      coupl(nGC_21681) = coupl(nGC_21673) + coupl(nGC_21680)
      coupl(nGC_19942) = coupl(nGC_19858) + coupl(nGC_19941)
      coupl(nGC_19943) = coupl(nGC_19858) + coupl(nGC_19940)
      coupl(nGC_19822) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZdR_QED2&
                          + coupl(nGC_13505)
      coupl(nGC_25380) = coupl(nGC_13496) + coupl(nGC_175)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_178)*dZHh_QED2/2d0 + coupl(nGC_178)*dZZ_QED2&
                          + coupl(nGC_TS_GC_148_Hl) + coupl(nGC_TS_GC_151_Hh)
      coupl(nGC_19825) = coupl(nGC_19683) + coupl(nGC_19823)
      coupl(nGC_19824) = coupl(nGC_19683) + coupl(nGC_19822)
      coupl(nGC_13223) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - coupl( &
                         nGC_197)**2d0 - coupl(nGC_198)*coupl(nGC_577) - coupl(&
                         nGC_199)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_200 &
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_20545) = coupl(nGC_13490) + coupl(nGC_142)*dZZ_QED2
      coupl(nGC_13221) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + coupl(  &
                         nGC_197)**2d0 + coupl(nGC_198)*coupl(nGC_577) + coupl(&
                         nGC_199)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_200 &
                         )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_19828) = coupl(nGC_105)*dZWMinus_QED2/2d0 + coupl(nGC_13386)
      coupl(nGC_19452) = -coupl(nGC_19370) + coupl(nGC_19450)
      coupl(nGC_19215) = coupl(nGC_19209) + coupl(nGC_19214)
      coupl(nGC_20177) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_13382)
      coupl(nGC_24583) = coupl(nGC_13359) + coupl(nGC_32)*dZHh_QED2/2d0 + 3d0* &
                         coupl(nGC_32)*dZHl_QED2/2d0 + coupl(nGC_34)*          &
                         dZHlHh_QED2/2d0 + 3d0*coupl(nGC_36)*dZHhHl_QED2/2d0
      coupl(nGC_19351) = coupl(nGC_105)*dZZ_QED2/2d0 + coupl(nGC_13386) + coupl&
                         (nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_19299) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZcL_QED2/2d0 + coupl(nGC_99)*dZsL_QED2/&
                         2d0
      coupl(nGC_19333) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +   &
                         coupl(nGC_13382)
      coupl(nGC_19292) = coupl(nGC_115)*dZWMinus_QED2 + coupl(nGC_13469)
      coupl(nGC_13296) = (-16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_99)**2d0 &
                          - 16d0*Nc*cima*coupl(nGC_200)**2d0*coupl(nGC_99)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_204)**2d0*coupl(nGC_99)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_216)**2d0*coupl(nGC_99)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_220)**2d0*coupl(nGC_99)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_228)**2d0*coupl(nGC_99)**2d0&
                          + 6d0*cima*coupl(nGC_151)*coupl(nGC_85) - 16d0*cima* &
                         coupl(nGC_208)**2d0*coupl(nGC_99)**2d0 - 16d0*cima*   &
                         coupl(nGC_212)**2d0*coupl(nGC_99)**2d0 - 16d0*cima*   &
                         coupl(nGC_224)**2d0*coupl(nGC_99)**2d0 + 12d0*cima*   &
                         coupl(nGC_72)*coupl(nGC_96) + 3d0*coupl(nGC_102)**2d0*&
                         coupl(nGC_151) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_96 &
                         ) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_151   &
                         ) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_96) + &
                         3d0*coupl(nGC_103)**2d0*coupl(nGC_151) + 3d0*coupl(   &
                         nGC_103)**2d0*coupl(nGC_96) - 6d0*coupl(nGC_3)*coupl( &
                         nGC_941)*coupl(nGC_96) + 6d0*coupl(nGC_4)*coupl(      &
                         nGC_941)*coupl(nGC_96))/(96d0*pi**2d0)
      coupl(nGC_13297) = (-16d0*Nc*cima*coupl(nGC_1177)*coupl(nGC_123)**2d0*   &
                         coupl(nGC_226) + 20d0*Nc*cima*coupl(nGC_1177)*coupl(  &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_226) - 16d0*Nc*cima*&
                         coupl(nGC_1177)*coupl(nGC_126)**2d0*coupl(nGC_226) -  &
                         16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_194)*coupl(&
                         nGC_605) - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(    &
                         nGC_202)*coupl(nGC_2029) - 16d0*Nc*cima*coupl(nGC_122 &
                         )**2d0*coupl(nGC_214)*coupl(nGC_845) + 20d0*Nc*cima*  &
                         coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_194)*coupl(   &
                         nGC_605) + 20d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*&
                         coupl(nGC_202)*coupl(nGC_2029) + 20d0*Nc*cima*coupl(  &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_214)*coupl(nGC_845  &
                         ) - 16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_1513)* &
                         coupl(nGC_218) - 16d0*Nc*cima*coupl(nGC_123)**2d0*    &
                         coupl(nGC_198)*coupl(nGC_577) + 20d0*Nc*cima*coupl(   &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_1513)*coupl(nGC_218 &
                         ) + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl( &
                         nGC_198)*coupl(nGC_577) - 16d0*Nc*cima*coupl(nGC_125  &
                         )**2d0*coupl(nGC_194)*coupl(nGC_605) - 16d0*Nc*cima*  &
                         coupl(nGC_125)**2d0*coupl(nGC_202)*coupl(nGC_2029) -  &
                         16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_214)*coupl(&
                         nGC_845) - 16d0*Nc*cima*coupl(nGC_126)**2d0*coupl(    &
                         nGC_1513)*coupl(nGC_218) - 16d0*Nc*cima*coupl(nGC_126 &
                         )**2d0*coupl(nGC_198)*coupl(nGC_577) - 16d0*cima*coupl&
                         (nGC_124)**2d0*coupl(nGC_1395)*coupl(nGC_206) - 16d0* &
                         cima*coupl(nGC_124)**2d0*coupl(nGC_1957)*coupl(nGC_222&
                         ) - 16d0*cima*coupl(nGC_124)**2d0*coupl(nGC_210)*coupl&
                         (nGC_687) + 20d0*cima*coupl(nGC_124)*coupl(nGC_128)*  &
                         coupl(nGC_1395)*coupl(nGC_206) + 20d0*cima*coupl(     &
                         nGC_124)*coupl(nGC_128)*coupl(nGC_1957)*coupl(nGC_222 &
                         ) + 20d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(    &
                         nGC_210)*coupl(nGC_687) - 16d0*cima*coupl(nGC_128)**  &
                         2d0*coupl(nGC_1395)*coupl(nGC_206) - 16d0*cima*coupl( &
                         nGC_128)**2d0*coupl(nGC_1957)*coupl(nGC_222) - 16d0*  &
                         cima*coupl(nGC_128)**2d0*coupl(nGC_210)*coupl(nGC_687 &
                         ) + 6d0*cima*coupl(nGC_71)*coupl(nGC_85) + 3d0*coupl( &
                         nGC_102)**2d0*coupl(nGC_71) - 6d0*coupl(nGC_102)*coupl&
                         (nGC_103)*coupl(nGC_71) + 3d0*coupl(nGC_103)**2d0*    &
                         coupl(nGC_71))/(48d0*pi**2d0)
      coupl(nGC_13119) = (-4d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_99)**2d0 - 4d0* &
                         Nc*cMC*coupl(nGC_200)*coupl(nGC_99)**2d0 - 4d0*Nc*cMD*&
                         coupl(nGC_204)*coupl(nGC_99)**2d0 - 4d0*Nc*cMS*coupl( &
                         nGC_216)*coupl(nGC_99)**2d0 - 4d0*Nc*cMT*coupl(nGC_220&
                         )*coupl(nGC_99)**2d0 - 4d0*Nc*cMU*coupl(nGC_228)*coupl&
                         (nGC_99)**2d0 - 4d0*cME*coupl(nGC_208)*coupl(nGC_99)**&
                         2d0 - 4d0*cMM*coupl(nGC_212)*coupl(nGC_99)**2d0 - 4d0*&
                         cMTA*coupl(nGC_224)*coupl(nGC_99)**2d0 + 4d0*cima*    &
                         coupl(nGC_165)*coupl(nGC_72) + 2d0*cima*coupl(nGC_178 &
                         )*coupl(nGC_85) + coupl(nGC_102)**2d0*coupl(nGC_165   &
                         ) + coupl(nGC_102)**2d0*coupl(nGC_178) - 2d0*coupl(   &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_165) - 2d0*coupl(   &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_178) + coupl(nGC_103&
                         )**2d0*coupl(nGC_165) + coupl(nGC_103)**2d0*coupl(    &
                         nGC_178) - 2d0*coupl(nGC_165)*coupl(nGC_3)*coupl(     &
                         nGC_941) + 2d0*coupl(nGC_165)*coupl(nGC_4)*coupl(     &
                         nGC_941))/(32d0*pi**2d0)
      coupl(nGC_13193) = (-coupl(nGC_102)*coupl(nGC_99)**2d0 + coupl(nGC_103)* &
                         coupl(nGC_99)**2d0 + coupl(nGC_122)*coupl(nGC_213)**  &
                         2d0 + coupl(nGC_123)*coupl(nGC_198)*coupl(nGC_577) +  &
                         coupl(nGC_123)*coupl(nGC_199)**2d0 + coupl(nGC_123)*  &
                         coupl(nGC_200)**2d0 + 4d0*coupl(nGC_125)*coupl(nGC_99 &
                         )**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*coupl(nGC_126)*&
                         coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13290) = cima*(10d0*Nc*coupl(nGC_1177)**2d0*coupl(nGC_227)*    &
                         coupl(nGC_228) + 40d0*Nc*coupl(nGC_1177)*coupl(nGC_226&
                         )*coupl(nGC_227)*coupl(nGC_228) + 10d0*Nc*coupl(      &
                         nGC_1513)**2d0*coupl(nGC_219)*coupl(nGC_220) + 40d0*Nc&
                         *coupl(nGC_1513)*coupl(nGC_218)*coupl(nGC_219)*coupl( &
                         nGC_220) + 10d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_195)*&
                         coupl(nGC_196) + 40d0*Nc*coupl(nGC_194)*coupl(nGC_195 &
                         )*coupl(nGC_196)*coupl(nGC_605) + 10d0*Nc*coupl(      &
                         nGC_195)*coupl(nGC_196)*coupl(nGC_605)**2d0 + 10d0*Nc*&
                         coupl(nGC_198)**2d0*coupl(nGC_199)*coupl(nGC_200) +   &
                         40d0*Nc*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_200)* &
                         coupl(nGC_577) + 10d0*Nc*coupl(nGC_199)*coupl(nGC_200 &
                         )*coupl(nGC_577)**2d0 + 10d0*Nc*coupl(nGC_202)**2d0*  &
                         coupl(nGC_203)*coupl(nGC_204) + 40d0*Nc*coupl(nGC_202 &
                         )*coupl(nGC_2029)*coupl(nGC_203)*coupl(nGC_204) + 10d0&
                         *Nc*coupl(nGC_2029)**2d0*coupl(nGC_203)*coupl(nGC_204 &
                         ) + 10d0*Nc*coupl(nGC_214)**2d0*coupl(nGC_215)*coupl( &
                         nGC_216) + 40d0*Nc*coupl(nGC_214)*coupl(nGC_215)*coupl&
                         (nGC_216)*coupl(nGC_845) + 10d0*Nc*coupl(nGC_215)*    &
                         coupl(nGC_216)*coupl(nGC_845)**2d0 + 10d0*Nc*coupl(   &
                         nGC_218)**2d0*coupl(nGC_219)*coupl(nGC_220) + 10d0*Nc*&
                         coupl(nGC_226)**2d0*coupl(nGC_227)*coupl(nGC_228) +   &
                         10d0*coupl(nGC_1395)**2d0*coupl(nGC_207)*coupl(nGC_208&
                         ) + 40d0*coupl(nGC_1395)*coupl(nGC_206)*coupl(nGC_207 &
                         )*coupl(nGC_208) + 3d0*coupl(nGC_142)*coupl(nGC_148   &
                         ) + 10d0*coupl(nGC_1957)**2d0*coupl(nGC_223)*coupl(   &
                         nGC_224) + 40d0*coupl(nGC_1957)*coupl(nGC_222)*coupl( &
                         nGC_223)*coupl(nGC_224) + 10d0*coupl(nGC_206)**2d0*   &
                         coupl(nGC_207)*coupl(nGC_208) + 10d0*coupl(nGC_210)** &
                         2d0*coupl(nGC_211)*coupl(nGC_212) + 40d0*coupl(nGC_210&
                         )*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_687) + 10d0*&
                         coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_687)**2d0 +   &
                         10d0*coupl(nGC_222)**2d0*coupl(nGC_223)*coupl(nGC_224 &
                         ) + 6d0*coupl(nGC_71)*coupl(nGC_93))/(48d0*pi**2d0)
      coupl(nGC_13291) = (-16d0*Nc*cima*coupl(nGC_1177)*coupl(nGC_226)*coupl(  &
                         nGC_99)**2d0 - 16d0*Nc*cima*coupl(nGC_1513)*coupl(    &
                         nGC_218)*coupl(nGC_99)**2d0 - 16d0*Nc*cima*coupl(     &
                         nGC_194)*coupl(nGC_605)*coupl(nGC_99)**2d0 - 16d0*Nc* &
                         cima*coupl(nGC_198)*coupl(nGC_577)*coupl(nGC_99)**2d0 &
                          - 16d0*Nc*cima*coupl(nGC_202)*coupl(nGC_2029)*coupl( &
                         nGC_99)**2d0 - 16d0*Nc*cima*coupl(nGC_214)*coupl(     &
                         nGC_845)*coupl(nGC_99)**2d0 - 16d0*cima*coupl(nGC_1395&
                         )*coupl(nGC_206)*coupl(nGC_99)**2d0 + 6d0*cima*coupl( &
                         nGC_142)*coupl(nGC_85) - 16d0*cima*coupl(nGC_1957)*   &
                         coupl(nGC_222)*coupl(nGC_99)**2d0 - 16d0*cima*coupl(  &
                         nGC_210)*coupl(nGC_687)*coupl(nGC_99)**2d0 + 12d0*cima&
                         *coupl(nGC_71)*coupl(nGC_72) + 3d0*coupl(nGC_102)**2d0&
                         *coupl(nGC_142) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_71&
                         ) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_142   &
                         ) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_71) + &
                         3d0*coupl(nGC_103)**2d0*coupl(nGC_142) + 3d0*coupl(   &
                         nGC_103)**2d0*coupl(nGC_71) - 6d0*coupl(nGC_3)*coupl( &
                         nGC_71)*coupl(nGC_941) + 6d0*coupl(nGC_4)*coupl(nGC_71&
                         )*coupl(nGC_941))/(96d0*pi**2d0)
      coupl(nGC_19793) = coupl(nGC_116)*dZZA_QED2 + coupl(nGC_13343) + coupl(  &
                         nGC_9)*dZA_QED2 + coupl(nGC_9)*dZWMinus_QED2
      coupl(nGC_19953) = coupl(nGC_13465) + coupl(nGC_86)*dZWMinus_QED2
      coupl(nGC_19794) = coupl(nGC_113)*dZZA_QED2 + coupl(nGC_13472) + coupl(  &
                         nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_19522) = coupl(nGC_19519) + coupl(nGC_19520)
      coupl(nGC_20892) = -coupl(nGC_19072) + coupl(nGC_20890)
      coupl(nGC_20371) = coupl(nGC_19072) + coupl(nGC_20370)
      coupl(nGC_13160) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_1395)**2d0 - coupl(nGC_207)**2d0 - coupl(   &
                         nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19631) = -coupl(nGC_13424) - coupl(nGC_19629)
      coupl(nGC_19206) = coupl(nGC_13358) + coupl(nGC_29)*dZHh_QED2/2d0 + coupl&
                         (nGC_29)*dZHl_QED2/2d0 + coupl(nGC_30)*dZHhHl_QED2/2d0&
                          + coupl(nGC_31)*dZHlHh_QED2/2d0
      coupl(nGC_20104) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*         &
                         dZeMinusR_QED2 + coupl(nGC_13508)
      coupl(nGC_20106) = coupl(nGC_19072) + coupl(nGC_20104)
      coupl(nGC_20107) = coupl(nGC_19072) + coupl(nGC_20105)
      coupl(nGC_19715) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZcR_QED2&
                          + coupl(nGC_13504)
      coupl(nGC_19898) = coupl(nGC_13384) + coupl(nGC_6)*dZWMinus_QED2/2d0
      coupl(nGC_19717) = coupl(nGC_19708) + coupl(nGC_19715)
      coupl(nGC_19716) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZcL_QED2&
                          + coupl(nGC_13503)
      coupl(nGC_19718) = coupl(nGC_19708) + coupl(nGC_19716)
      coupl(nGC_13029) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_1395&
                         )*coupl(nGC_206)*coupl(nGC_4) + coupl(nGC_207)**2d0*  &
                         coupl(nGC_4) + coupl(nGC_208)**2d0*coupl(nGC_4) -     &
                         coupl(nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**  &
                         3d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13028) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_1395&
                         )*coupl(nGC_206) + coupl(nGC_207)**2d0 + coupl(nGC_208&
                         )**2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13180) = (12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 12d0*Nc* &
                         coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(   &
                         nGC_102)*coupl(nGC_72) + 6d0*cima*coupl(nGC_103)*coupl&
                         (nGC_72) + 2d0*coupl(nGC_102)**3d0 - 3d0*coupl(nGC_102&
                         )**2d0*coupl(nGC_103) - 4d0*coupl(nGC_102)*coupl(nGC_3&
                         )*coupl(nGC_941) + 4d0*coupl(nGC_102)*coupl(nGC_4)*   &
                         coupl(nGC_941) + coupl(nGC_103)**3d0 - 2d0*coupl(     &
                         nGC_103)*coupl(nGC_3)*coupl(nGC_941) + 2d0*coupl(     &
                         nGC_103)*coupl(nGC_4)*coupl(nGC_941) + 12d0*coupl(    &
                         nGC_128)*coupl(nGC_99)**2d0 - 12d0*coupl(nGC_129)*    &
                         coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13181) = (12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 12d0*Nc* &
                         coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(   &
                         nGC_102)*coupl(nGC_84) + 6d0*cima*coupl(nGC_103)*coupl&
                         (nGC_84) + 6d0*cima*coupl(nGC_113)*coupl(nGC_3) + 6d0*&
                         cima*coupl(nGC_113)*coupl(nGC_4) - coupl(nGC_102)**3d0&
                          + 3d0*coupl(nGC_102)*coupl(nGC_103)**2d0 - 4d0*coupl(&
                         nGC_102)*coupl(nGC_3)*coupl(nGC_941) - 2d0*coupl(     &
                         nGC_102)*coupl(nGC_4)*coupl(nGC_941) - 2d0*coupl(     &
                         nGC_103)**3d0 + 4d0*coupl(nGC_103)*coupl(nGC_3)*coupl(&
                         nGC_941) + 2d0*coupl(nGC_103)*coupl(nGC_4)*coupl(     &
                         nGC_941) + 12d0*coupl(nGC_128)*coupl(nGC_99)**2d0 -   &
                         12d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
