!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_13184) = coupl(nGC_99)*(4d0*coupl(nGC_1)*coupl(nGC_2) - 2d0*   &
                         coupl(nGC_1)*coupl(nGC_3) + coupl(nGC_102)*coupl(     &
                         nGC_125) - coupl(nGC_102)*coupl(nGC_126) - coupl(     &
                         nGC_103)*coupl(nGC_125) + coupl(nGC_103)*coupl(nGC_126&
                         ) + 4d0*coupl(nGC_125)*coupl(nGC_126) - 2d0*coupl(    &
                         nGC_2)*coupl(nGC_941))/(32d0*pi**2d0)
      coupl(nGC_13185) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) - coupl( &
                         nGC_102)*coupl(nGC_129) - coupl(nGC_103)*coupl(nGC_128&
                         ) + coupl(nGC_103)*coupl(nGC_129) + 4d0*coupl(nGC_128 &
                         )*coupl(nGC_129) + 2d0*coupl(nGC_4)*coupl(nGC_941))/( &
                         32d0*pi**2d0)
      coupl(nGC_19126) = coupl(nGC_13354) + coupl(nGC_32)*dZHlHh_QED2 + coupl( &
                         nGC_33)*dZHhHl_QED2 + coupl(nGC_36)*dZHh_QED2 + coupl(&
                         nGC_36)*dZHl_QED2
      coupl(nGC_13023) = (coupl(nGC_1)*coupl(nGC_213)**2d0 + 4d0*coupl(nGC_1)* &
                         coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(   &
                         nGC_2) + coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_577) + &
                         coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)** &
                         3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0 + coupl(nGC_3)*&
                         coupl(nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_22542) = coupl(nGC_13582) + coupl(nGC_TS_GC_203_Hl) + coupl(   &
                         nGC_TS_GC_204_Hh)
      coupl(nGC_22543) = coupl(nGC_22538) + coupl(nGC_22542)
      coupl(nGC_13200) = (coupl(nGC_102)*coupl(nGC_99)**2d0 - coupl(nGC_103)*  &
                         coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_210)*   &
                         coupl(nGC_687) + coupl(nGC_124)*coupl(nGC_211)**2d0 + &
                         coupl(nGC_124)*coupl(nGC_212)**2d0 + 4d0*coupl(nGC_128&
                         )**3d0 + 4d0*coupl(nGC_128)*coupl(nGC_4)**2d0 + 4d0*  &
                         coupl(nGC_129)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19327) = coupl(nGC_13413) + coupl(nGC_195)*dZHl_QED2/2d0 +     &
                         coupl(nGC_196)*dZHhHl_QED2/2d0
      coupl(nGC_21187) = coupl(nGC_131)*dZHlHh_QED2/2d0 + coupl(nGC_13480) +   &
                         coupl(nGC_136)*dZHh_QED2/2d0 + coupl(nGC_136)*dZZ_QED2&
                         /2d0
      coupl(nGC_19434) = coupl(nGC_118)*dZHh_QED2/2d0 + coupl(nGC_118)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_13458)
      coupl(nGC_19435) = coupl(nGC_117)*dZHh_QED2/2d0 + coupl(nGC_117)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_13462)
      coupl(nGC_13162) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl(&
                         nGC_4)**2d0 - coupl(nGC_687)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19437) = coupl(nGC_19429) + coupl(nGC_19435)
      coupl(nGC_19236) = -coupl(nGC_19235)
      coupl(nGC_13182) = (-12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 + 12d0*Nc*&
                         coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(   &
                         nGC_102)*coupl(nGC_84) + 6d0*cima*coupl(nGC_103)*coupl&
                         (nGC_84) - 2d0*coupl(nGC_102)**3d0 + 3d0*coupl(nGC_102&
                         )**2d0*coupl(nGC_103) + coupl(nGC_102)*coupl(nGC_3)*  &
                         coupl(nGC_941) - coupl(nGC_102)*coupl(nGC_4)*coupl(   &
                         nGC_941) - coupl(nGC_103)**3d0 - coupl(nGC_103)*coupl(&
                         nGC_3)*coupl(nGC_941) + coupl(nGC_103)*coupl(nGC_4)*  &
                         coupl(nGC_941) - 12d0*coupl(nGC_128)*coupl(nGC_99)**  &
                         2d0 + 12d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/(96d0*pi&
                         **2d0)
      coupl(nGC_20296) = coupl(nGC_19683) + coupl(nGC_20294)
      coupl(nGC_13220) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(  &
                         nGC_198)*coupl(nGC_577) + coupl(nGC_199)**2d0 + 4d0*  &
                         coupl(nGC_2)**2d0 + coupl(nGC_200)**2d0 + coupl(      &
                         nGC_213)**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*&
                         Nc)
      coupl(nGC_21077) = coupl(nGC_21068) + coupl(nGC_21076)
      coupl(nGC_20058) = coupl(nGC_13351) + coupl(nGC_29)*dZHhHl_QED2 + coupl( &
                         nGC_31)*dZHl_QED2
      coupl(nGC_13183) = (-12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 + 12d0*Nc*&
                         coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(   &
                         nGC_102)*coupl(nGC_84) + 6d0*cima*coupl(nGC_103)*coupl&
                         (nGC_84) + 6d0*cima*coupl(nGC_113)*coupl(nGC_3) + 6d0*&
                         cima*coupl(nGC_113)*coupl(nGC_4) - 2d0*coupl(nGC_102  &
                         )**3d0 + 3d0*coupl(nGC_102)**2d0*coupl(nGC_103) - 2d0*&
                         coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_941) - 4d0*coupl&
                         (nGC_102)*coupl(nGC_4)*coupl(nGC_941) - coupl(nGC_103 &
                         )**3d0 + 2d0*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_941&
                         ) + 4d0*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_941) -  &
                         12d0*coupl(nGC_128)*coupl(nGC_99)**2d0 + 12d0*coupl(  &
                         nGC_129)*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_20610) = coupl(nGC_TS_GC_100_Hl) + coupl(nGC_TS_GC_117_Hh)
      coupl(nGC_19640) = coupl(nGC_13468) + coupl(nGC_93)*dZHlHh_QED2 + coupl( &
                         nGC_96)*dZHh_QED2 + coupl(nGC_96)*dZWMinus_QED2
      coupl(nGC_13195) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(  &
                         nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_197)**2d0 +    &
                         coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_577) + coupl( &
                         nGC_126)*coupl(nGC_199)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13197) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(  &
                         nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_1395)*coupl(   &
                         nGC_206) + coupl(nGC_128)*coupl(nGC_207)**2d0 + coupl(&
                         nGC_128)*coupl(nGC_208)**2d0 + coupl(nGC_129)*coupl(  &
                         nGC_205)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19288) = coupl(nGC_119)*dZAZ_QED2/2d0 + coupl(nGC_13485) +     &
                         coupl(nGC_15)*dZHlHh_QED2/2d0 + coupl(nGC_27)*        &
                         dZHh_QED2/2d0 + coupl(nGC_27)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_27)*dZZ_QED2/2d0
      coupl(nGC_22065) = coupl(nGC_13409) + coupl(nGC_203)*dZHl_QED2/2d0 +     &
                         coupl(nGC_204)*dZHhHl_QED2/2d0
      coupl(nGC_13269) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(     &
                         nGC_99)**2d0 + 18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126&
                         )*coupl(nGC_99)**2d0 + 18d0*Nc*cima*coupl(nGC_125)*   &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 - 12d0*Nc*cima*coupl( &
                         nGC_126)*coupl(nGC_2)*coupl(nGC_99)**2d0 + cima*coupl(&
                         nGC_102)**3d0*coupl(nGC_3) - cima*coupl(nGC_102)**3d0*&
                         coupl(nGC_4) - 3d0*cima*coupl(nGC_102)**2d0*coupl(    &
                         nGC_103)*coupl(nGC_3) + 3d0*cima*coupl(nGC_102)**2d0* &
                         coupl(nGC_103)*coupl(nGC_4) + 3d0*cima*coupl(nGC_102)*&
                         coupl(nGC_103)**2d0*coupl(nGC_3) - 3d0*cima*coupl(    &
                         nGC_102)*coupl(nGC_103)**2d0*coupl(nGC_4) - 2d0*cima* &
                         coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(nGC_941) + 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                         nGC_941) - 2d0*cima*coupl(nGC_102)*coupl(nGC_4)**2d0* &
                         coupl(nGC_941) - cima*coupl(nGC_103)**3d0*coupl(nGC_3 &
                         ) + cima*coupl(nGC_103)**3d0*coupl(nGC_4) + 2d0*cima* &
                         coupl(nGC_103)*coupl(nGC_3)**2d0*coupl(nGC_941) - 4d0*&
                         cima*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                         nGC_941) + 2d0*cima*coupl(nGC_103)*coupl(nGC_4)**2d0* &
                         coupl(nGC_941) + 12d0*cima*coupl(nGC_113)*coupl(nGC_8 &
                         ) + 12d0*cima*coupl(nGC_113)*coupl(nGC_84) - 12d0*cima&
                         *coupl(nGC_128)*coupl(nGC_4)*coupl(nGC_99)**2d0 + 18d0&
                         *cima*coupl(nGC_129)*coupl(nGC_4)*coupl(nGC_99)**2d0  &
                          - 3d0*coupl(nGC_102)**2d0*coupl(nGC_113) + 6d0*coupl(&
                         nGC_102)*coupl(nGC_103)*coupl(nGC_113) + 6d0*coupl(   &
                         nGC_102)*coupl(nGC_3)*coupl(nGC_8) + 3d0*coupl(nGC_102&
                         )*coupl(nGC_3)*coupl(nGC_84) - 3d0*coupl(nGC_102)*    &
                         coupl(nGC_4)*coupl(nGC_84) - 3d0*coupl(nGC_103)**2d0* &
                         coupl(nGC_113) - 6d0*coupl(nGC_103)*coupl(nGC_3)*coupl&
                         (nGC_8) - 3d0*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_84&
                         ) + 3d0*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_84) -   &
                         3d0*coupl(nGC_113)*coupl(nGC_3)**2d0 + 6d0*coupl(     &
                         nGC_113)*coupl(nGC_3)*coupl(nGC_4) - 3d0*coupl(nGC_113&
                         )*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
      coupl(nGC_22067) = coupl(nGC_13410) + coupl(nGC_22064)
      coupl(nGC_22066) = coupl(nGC_22063) + coupl(nGC_22065)
      coupl(nGC_22278) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZtL_QED2&
                          + coupl(nGC_13503)
      coupl(nGC_22279) = coupl(nGC_19708) + coupl(nGC_22277)
      coupl(nGC_20891) = coupl(nGC_19072) + coupl(nGC_20889)
      coupl(nGC_13198) = (coupl(nGC_102)*coupl(nGC_99)**2d0 - coupl(nGC_103)*  &
                         coupl(nGC_99)**2d0 + coupl(nGC_124)*coupl(nGC_1395)*  &
                         coupl(nGC_206) + coupl(nGC_124)*coupl(nGC_207)**2d0 + &
                         coupl(nGC_124)*coupl(nGC_208)**2d0 + 4d0*coupl(nGC_128&
                         )**3d0 + 4d0*coupl(nGC_128)*coupl(nGC_4)**2d0 + 4d0*  &
                         coupl(nGC_129)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20746) = coupl(nGC_13411) + coupl(nGC_215)*dZHl_QED2/2d0 +     &
                         coupl(nGC_216)*dZHhHl_QED2/2d0
      coupl(nGC_19382) = coupl(nGC_13487) + coupl(nGC_154)*dZWMinus_QED2/2d0 + &
                         coupl(nGC_154)*dZZ_QED2/2d0 + coupl(nGC_166)*dZAZ_QED2&
                         /2d0 + coupl(nGC_TS_GC_15_Hl) + coupl(nGC_TS_GC_27_Hh)
      coupl(nGC_13179) = (12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 12d0*Nc* &
                         coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(   &
                         nGC_102)*coupl(nGC_84) + 6d0*cima*coupl(nGC_103)*coupl&
                         (nGC_84) - coupl(nGC_102)**3d0 + 3d0*coupl(nGC_102)*  &
                         coupl(nGC_103)**2d0 - coupl(nGC_102)*coupl(nGC_3)*    &
                         coupl(nGC_941) + coupl(nGC_102)*coupl(nGC_4)*coupl(   &
                         nGC_941) - 2d0*coupl(nGC_103)**3d0 + coupl(nGC_103)*  &
                         coupl(nGC_3)*coupl(nGC_941) - coupl(nGC_103)*coupl(   &
                         nGC_4)*coupl(nGC_941) + 12d0*coupl(nGC_128)*coupl(    &
                         nGC_99)**2d0 - 12d0*coupl(nGC_129)*coupl(nGC_99)**2d0 &
                         )/(96d0*pi**2d0)
      coupl(nGC_13178) = (-12d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 + 12d0*Nc*&
                         coupl(nGC_126)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(   &
                         nGC_102)*coupl(nGC_72) + 6d0*cima*coupl(nGC_103)*coupl&
                         (nGC_72) + coupl(nGC_102)**3d0 - 3d0*coupl(nGC_102)*  &
                         coupl(nGC_103)**2d0 - 2d0*coupl(nGC_102)*coupl(nGC_3)*&
                         coupl(nGC_941) + 2d0*coupl(nGC_102)*coupl(nGC_4)*coupl&
                         (nGC_941) + 2d0*coupl(nGC_103)**3d0 - 4d0*coupl(      &
                         nGC_103)*coupl(nGC_3)*coupl(nGC_941) + 4d0*coupl(     &
                         nGC_103)*coupl(nGC_4)*coupl(nGC_941) - 12d0*coupl(    &
                         nGC_128)*coupl(nGC_99)**2d0 + 12d0*coupl(nGC_129)*    &
                         coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_19387) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_13484) +     &
                         coupl(nGC_15)*dZHl_QED2/2d0 + coupl(nGC_15)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_15)*dZZ_QED2/2d0 + coupl&
                         (nGC_27)*dZHhHl_QED2/2d0
      coupl(nGC_20122) = coupl(nGC_19370) + coupl(nGC_20120)
      coupl(nGC_13278) = (10d0*Nc*cima*coupl(nGC_1177)*coupl(nGC_123)*coupl(   &
                         nGC_225)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_1177)* &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_1177)*coupl(nGC_126)*coupl(nGC_225)*   &
                         coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)*coupl(    &
                         nGC_193)*coupl(nGC_194)*coupl(nGC_99) + 10d0*Nc*cima* &
                         coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_202)*coupl(   &
                         nGC_99) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_213)* &
                         coupl(nGC_214)*coupl(nGC_99) + 10d0*Nc*cima*coupl(    &
                         nGC_123)*coupl(nGC_1513)*coupl(nGC_217)*coupl(nGC_99  &
                         ) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*coupl( &
                         nGC_577)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_1513)*coupl(nGC_217)*coupl(nGC_99) - 8d0*Nc*&
                         cima*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_194)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_197)*coupl(nGC_577)*coupl(nGC_99) - 8d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_202)*coupl(   &
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_213)*  &
                         coupl(nGC_214)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_1513)*coupl(nGC_217)*coupl(nGC_99  &
                         ) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*coupl(  &
                         nGC_194)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_197)*coupl(nGC_577)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_202)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_213)*coupl(nGC_214)*coupl(nGC_99) + 12d0*cima*    &
                         coupl(nGC_107)*coupl(nGC_113) + 10d0*cima*coupl(      &
                         nGC_124)*coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99   &
                         ) + 10d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl(    &
                         nGC_210)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124)*    &
                         coupl(nGC_221)*coupl(nGC_222)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_206)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl&
                         (nGC_210)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_221)*coupl(nGC_222)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_206)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl&
                         (nGC_210)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_221)*coupl(nGC_222)*coupl(nGC_99) + 12d0*   &
                         cima*coupl(nGC_13)*coupl(nGC_84) - 3d0*coupl(nGC_102  &
                         )**2d0*coupl(nGC_13) + 6d0*coupl(nGC_102)*coupl(      &
                         nGC_103)*coupl(nGC_13) + 3d0*coupl(nGC_102)*coupl(    &
                         nGC_107)*coupl(nGC_3) - 3d0*coupl(nGC_102)*coupl(     &
                         nGC_107)*coupl(nGC_4) - 3d0*coupl(nGC_103)**2d0*coupl(&
                         nGC_13) - 3d0*coupl(nGC_103)*coupl(nGC_107)*coupl(    &
                         nGC_3) + 3d0*coupl(nGC_103)*coupl(nGC_107)*coupl(nGC_4&
                         ))/(96d0*pi**2d0)
      coupl(nGC_13176) = coupl(nGC_99)*(4d0*coupl(nGC_1)*coupl(nGC_2) + 2d0*   &
                         coupl(nGC_1)*coupl(nGC_941) + coupl(nGC_102)*coupl(   &
                         nGC_125) - coupl(nGC_102)*coupl(nGC_126) - coupl(     &
                         nGC_103)*coupl(nGC_125) + coupl(nGC_103)*coupl(nGC_126&
                         ) + 4d0*coupl(nGC_125)*coupl(nGC_126) + 2d0*coupl(    &
                         nGC_2)*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_19227) = coupl(nGC_13353) + coupl(nGC_29)*dZHlHh_QED2 + coupl( &
                         nGC_30)*dZHh_QED2
      coupl(nGC_19453) = coupl(nGC_19370) + coupl(nGC_19451)
      coupl(nGC_19544) = -coupl(nGC_13435) - coupl(nGC_19541)
      coupl(nGC_19545) = coupl(nGC_13435) + coupl(nGC_19541)
      coupl(nGC_19546) = -coupl(nGC_13436) - coupl(nGC_19540)
      coupl(nGC_19547) = coupl(nGC_13436) + coupl(nGC_19540)
      coupl(nGC_12964) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_99)**2d0 + 2d0*Nc*cMC &
                         **2d0*cima*coupl(nGC_99)**2d0 + 2d0*Nc*cMD**2d0*cima* &
                         coupl(nGC_99)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_99&
                         )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_99)**2d0 + 2d0&
                         *Nc*cMU**2d0*cima*coupl(nGC_99)**2d0 + 2d0*cME**2d0*  &
                         cima*coupl(nGC_99)**2d0 + 2d0*cMM**2d0*cima*coupl(    &
                         nGC_99)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_99)**2d0  &
                          + cMW**2d0*cima*coupl(nGC_102)**2d0 - 2d0*cMW**2d0*  &
                         cima*coupl(nGC_102)*coupl(nGC_103) + cMW**2d0*cima*   &
                         coupl(nGC_103)**2d0 + cMW**2d0*cima*coupl(nGC_3)**2d0 &
                          - cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_4) - cMW**2d0*&
                         cima*coupl(nGC_3)*coupl(nGC_941) + cMW**2d0*cima*coupl&
                         (nGC_4)*coupl(nGC_941) - 4d0*cMW**2d0*coupl(nGC_72) + &
                         cMZ**2d0*cima*coupl(nGC_102)**2d0 - 2d0*cMZ**2d0*cima*&
                         coupl(nGC_102)*coupl(nGC_103) + cMZ**2d0*cima*coupl(  &
                         nGC_103)**2d0 - 2d0*cMZ**2d0*coupl(nGC_85))/(32d0*pi**&
                         2d0)
      coupl(nGC_12963) = cima*(-2d0*coupl(nGC_102)**2d0 - 8d0*coupl(nGC_102)*  &
                         coupl(nGC_103) - 2d0*coupl(nGC_103)**2d0 + coupl(nGC_3&
                         )**2d0 - coupl(nGC_3)*coupl(nGC_4) - coupl(nGC_3)*    &
                         coupl(nGC_941) + coupl(nGC_4)*coupl(nGC_941))/(96d0*pi&
                         **2d0)
      coupl(nGC_12962) = cima*(-6d0*Nc*coupl(nGC_99)**2d0 - coupl(nGC_102)**2d0&
                          + 2d0*coupl(nGC_102)*coupl(nGC_103) - coupl(nGC_103  &
                         )**2d0 - coupl(nGC_3)**2d0 + coupl(nGC_3)*coupl(nGC_4 &
                         ) + coupl(nGC_3)*coupl(nGC_941) - coupl(nGC_4)*coupl( &
                         nGC_941) - 6d0*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13024) = (coupl(nGC_1)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_123 &
                         )**2d0*coupl(nGC_2) + coupl(nGC_198)*coupl(nGC_2)*    &
                         coupl(nGC_577) + coupl(nGC_199)**2d0*coupl(nGC_2) +   &
                         4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_200)** &
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_13289) = cima*(10d0*Nc*coupl(nGC_1177)**2d0*coupl(nGC_228)**2d0&
                          + 40d0*Nc*coupl(nGC_1177)*coupl(nGC_226)*coupl(      &
                         nGC_228)**2d0 + 10d0*Nc*coupl(nGC_1513)**2d0*coupl(   &
                         nGC_220)**2d0 + 40d0*Nc*coupl(nGC_1513)*coupl(nGC_218 &
                         )*coupl(nGC_220)**2d0 + 10d0*Nc*coupl(nGC_194)**2d0*  &
                         coupl(nGC_196)**2d0 + 40d0*Nc*coupl(nGC_194)*coupl(   &
                         nGC_196)**2d0*coupl(nGC_605) + 10d0*Nc*coupl(nGC_196  &
                         )**2d0*coupl(nGC_605)**2d0 + 10d0*Nc*coupl(nGC_198)** &
                         2d0*coupl(nGC_200)**2d0 + 40d0*Nc*coupl(nGC_198)*coupl&
                         (nGC_200)**2d0*coupl(nGC_577) + 10d0*Nc*coupl(nGC_200 &
                         )**2d0*coupl(nGC_577)**2d0 + 10d0*Nc*coupl(nGC_202)** &
                         2d0*coupl(nGC_204)**2d0 + 40d0*Nc*coupl(nGC_202)*coupl&
                         (nGC_2029)*coupl(nGC_204)**2d0 + 10d0*Nc*coupl(       &
                         nGC_2029)**2d0*coupl(nGC_204)**2d0 + 10d0*Nc*coupl(   &
                         nGC_214)**2d0*coupl(nGC_216)**2d0 + 40d0*Nc*coupl(    &
                         nGC_214)*coupl(nGC_216)**2d0*coupl(nGC_845) + 10d0*Nc*&
                         coupl(nGC_216)**2d0*coupl(nGC_845)**2d0 + 10d0*Nc*    &
                         coupl(nGC_218)**2d0*coupl(nGC_220)**2d0 + 10d0*Nc*    &
                         coupl(nGC_226)**2d0*coupl(nGC_228)**2d0 + 10d0*coupl( &
                         nGC_1395)**2d0*coupl(nGC_208)**2d0 + 40d0*coupl(      &
                         nGC_1395)*coupl(nGC_206)*coupl(nGC_208)**2d0 + 3d0*   &
                         coupl(nGC_142)*coupl(nGC_151) + 10d0*coupl(nGC_1957)**&
                         2d0*coupl(nGC_224)**2d0 + 40d0*coupl(nGC_1957)*coupl( &
                         nGC_222)*coupl(nGC_224)**2d0 + 10d0*coupl(nGC_206)**  &
                         2d0*coupl(nGC_208)**2d0 + 10d0*coupl(nGC_210)**2d0*   &
                         coupl(nGC_212)**2d0 + 40d0*coupl(nGC_210)*coupl(      &
                         nGC_212)**2d0*coupl(nGC_687) + 10d0*coupl(nGC_212)**  &
                         2d0*coupl(nGC_687)**2d0 + 10d0*coupl(nGC_222)**2d0*   &
                         coupl(nGC_224)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_96  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_13288) = cima*(20d0*Nc*coupl(nGC_1177)**2d0*coupl(nGC_226)**2d0&
                          + 20d0*Nc*coupl(nGC_1513)**2d0*coupl(nGC_218)**2d0 + &
                         20d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_605)**2d0 + 20d0&
                         *Nc*coupl(nGC_198)**2d0*coupl(nGC_577)**2d0 + 20d0*Nc*&
                         coupl(nGC_202)**2d0*coupl(nGC_2029)**2d0 + 20d0*Nc*   &
                         coupl(nGC_214)**2d0*coupl(nGC_845)**2d0 + 20d0*coupl( &
                         nGC_1395)**2d0*coupl(nGC_206)**2d0 + 3d0*coupl(nGC_142&
                         )**2d0 + 20d0*coupl(nGC_1957)**2d0*coupl(nGC_222)**2d0&
                          + 20d0*coupl(nGC_210)**2d0*coupl(nGC_687)**2d0 + 6d0*&
                         coupl(nGC_71)**2d0)/(16d0*pi**2d0)
      coupl(nGC_13277) = (-8d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_99)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_201)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_213)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_217)**2d0*coupl(nGC_99)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_225)**2d0*coupl(nGC_99)**2d0 &
                          + 6d0*cima*coupl(nGC_10)*coupl(nGC_9) + 12d0*cima*   &
                         coupl(nGC_116)*coupl(nGC_134) + 6d0*cima*coupl(nGC_141&
                         )*coupl(nGC_85) - 8d0*cima*coupl(nGC_205)**2d0*coupl( &
                         nGC_99)**2d0 - 8d0*cima*coupl(nGC_209)**2d0*coupl(    &
                         nGC_99)**2d0 - 8d0*cima*coupl(nGC_221)**2d0*coupl(    &
                         nGC_99)**2d0 + 12d0*cima*coupl(nGC_71)*coupl(nGC_72   &
                         ) + 6d0*coupl(nGC_10)*coupl(nGC_3)**2d0 - 6d0*coupl(  &
                         nGC_10)*coupl(nGC_3)*coupl(nGC_4) + 3d0*coupl(nGC_102 &
                         )**2d0*coupl(nGC_141) + 3d0*coupl(nGC_102)**2d0*coupl(&
                         nGC_71) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                         nGC_141) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(   &
                         nGC_71) - 9d0*coupl(nGC_102)*coupl(nGC_134)*coupl(    &
                         nGC_3) + 3d0*coupl(nGC_102)*coupl(nGC_134)*coupl(nGC_4&
                         ) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_141) + 3d0*coupl&
                         (nGC_103)**2d0*coupl(nGC_71) + 9d0*coupl(nGC_103)*    &
                         coupl(nGC_134)*coupl(nGC_3) - 3d0*coupl(nGC_103)*coupl&
                         (nGC_134)*coupl(nGC_4) - 6d0*coupl(nGC_3)*coupl(nGC_71&
                         )*coupl(nGC_941) + 6d0*coupl(nGC_4)*coupl(nGC_71)*    &
                         coupl(nGC_941))/(96d0*pi**2d0)
      coupl(nGC_19143) = coupl(nGC_13408) + coupl(nGC_19140)
      coupl(nGC_13133) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl(&
                         nGC_4)**2d0 - coupl(nGC_687)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13283) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(    &
                         nGC_605)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)* &
                         coupl(nGC_201)*coupl(nGC_2029)*coupl(nGC_99) + 10d0*Nc&
                         *cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_845)*   &
                         coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(    &
                         nGC_197)*coupl(nGC_198)*coupl(nGC_99) + 10d0*Nc*cima* &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_218)*coupl(   &
                         nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)* &
                         coupl(nGC_226)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_605)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_198)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_2029)*coupl(nGC_99) - 8d0*Nc*&
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_845)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_218)*coupl(nGC_99) - 8d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_226)*coupl(   &
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_605)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_2029)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)* &
                         coupl(nGC_213)*coupl(nGC_845)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_218)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_226)*coupl(nGC_99) + 12d0*cima*    &
                         coupl(nGC_108)*coupl(nGC_113) + 10d0*cima*coupl(      &
                         nGC_124)*coupl(nGC_1395)*coupl(nGC_205)*coupl(nGC_99  &
                         ) + 10d0*cima*coupl(nGC_124)*coupl(nGC_1957)*coupl(   &
                         nGC_221)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124)*    &
                         coupl(nGC_209)*coupl(nGC_687)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_128)*coupl(nGC_1395)*coupl(nGC_205)*coupl( &
                         nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_1957)*    &
                         coupl(nGC_221)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128 &
                         )*coupl(nGC_209)*coupl(nGC_687)*coupl(nGC_99) - 8d0*  &
                         cima*coupl(nGC_129)*coupl(nGC_1395)*coupl(nGC_205)*   &
                         coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_1957&
                         )*coupl(nGC_221)*coupl(nGC_99) - 8d0*cima*coupl(      &
                         nGC_129)*coupl(nGC_209)*coupl(nGC_687)*coupl(nGC_99   &
                         ) + 12d0*cima*coupl(nGC_14)*coupl(nGC_84) - 3d0*coupl(&
                         nGC_102)**2d0*coupl(nGC_14) + 6d0*coupl(nGC_102)*coupl&
                         (nGC_103)*coupl(nGC_14) + 6d0*coupl(nGC_102)*coupl(   &
                         nGC_108)*coupl(nGC_3) - 3d0*coupl(nGC_103)**2d0*coupl(&
                         nGC_14) - 6d0*coupl(nGC_103)*coupl(nGC_108)*coupl(    &
                         nGC_3))/(96d0*pi**2d0)
      coupl(nGC_20479) = coupl(nGC_104)*dZZ_QED2/2d0 + coupl(nGC_13387) + coupl&
                         (nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_13131) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_1395)**2d0 - coupl(nGC_207)**2d0 - coupl(   &
                         nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19867) = -coupl(nGC_19866)
      coupl(nGC_22915) = coupl(nGC_13372) + coupl(nGC_179)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_184)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_29_Hh  &
                         ) + coupl(nGC_TS_GC_31_Hl)
      coupl(nGC_19860) = coupl(nGC_19856) + coupl(nGC_19858)
      coupl(nGC_13267) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99&
                         )**2d0 - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*    &
                         coupl(nGC_99)**2d0 - 30d0*Nc*cima*coupl(nGC_125)*coupl&
                         (nGC_2)*coupl(nGC_99)**2d0 + 36d0*Nc*cima*coupl(      &
                         nGC_126)*coupl(nGC_2)*coupl(nGC_99)**2d0 + cima*coupl(&
                         nGC_102)**3d0*coupl(nGC_3) - cima*coupl(nGC_102)**3d0*&
                         coupl(nGC_4) - 3d0*cima*coupl(nGC_102)**2d0*coupl(    &
                         nGC_103)*coupl(nGC_3) + 3d0*cima*coupl(nGC_102)**2d0* &
                         coupl(nGC_103)*coupl(nGC_4) + 3d0*cima*coupl(nGC_102)*&
                         coupl(nGC_103)**2d0*coupl(nGC_3) - 3d0*cima*coupl(    &
                         nGC_102)*coupl(nGC_103)**2d0*coupl(nGC_4) - 2d0*cima* &
                         coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(nGC_941) + 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                         nGC_941) - 2d0*cima*coupl(nGC_102)*coupl(nGC_4)**2d0* &
                         coupl(nGC_941) - cima*coupl(nGC_103)**3d0*coupl(nGC_3 &
                         ) + cima*coupl(nGC_103)**3d0*coupl(nGC_4) + 2d0*cima* &
                         coupl(nGC_103)*coupl(nGC_3)**2d0*coupl(nGC_941) - 4d0*&
                         cima*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                         nGC_941) + 2d0*cima*coupl(nGC_103)*coupl(nGC_4)**2d0* &
                         coupl(nGC_941) + 12d0*cima*coupl(nGC_116)*coupl(nGC_72&
                         ) + 36d0*cima*coupl(nGC_128)*coupl(nGC_4)*coupl(nGC_99&
                         )**2d0 - 30d0*cima*coupl(nGC_129)*coupl(nGC_4)*coupl( &
                         nGC_99)**2d0 + 3d0*coupl(nGC_102)**2d0*coupl(nGC_116  &
                         ) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_116   &
                         ) - 6d0*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_72) +   &
                         6d0*coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_72) + 3d0*  &
                         coupl(nGC_103)**2d0*coupl(nGC_116) + 6d0*coupl(nGC_103&
                         )*coupl(nGC_3)*coupl(nGC_72) - 6d0*coupl(nGC_103)*    &
                         coupl(nGC_4)*coupl(nGC_72) - 6d0*coupl(nGC_116)*coupl(&
                         nGC_3)*coupl(nGC_941) + 6d0*coupl(nGC_116)*coupl(nGC_4&
                         )*coupl(nGC_941))/(96d0*pi**2d0)
      coupl(nGC_19394) = coupl(nGC_104)*dZWMinus_QED2/2d0 + coupl(nGC_13387)
      coupl(nGC_13271) = cima*(10d0*Nc*coupl(nGC_1177)*coupl(nGC_201)**2d0*    &
                         coupl(nGC_226) + 10d0*Nc*coupl(nGC_1177)*coupl(nGC_201&
                         )*coupl(nGC_2029)*coupl(nGC_225) + 10d0*Nc*coupl(     &
                         nGC_1177)*coupl(nGC_225)**2d0*coupl(nGC_226) + 10d0*Nc&
                         *coupl(nGC_1513)*coupl(nGC_193)**2d0*coupl(nGC_218) + &
                         10d0*Nc*coupl(nGC_1513)*coupl(nGC_193)*coupl(nGC_217)*&
                         coupl(nGC_605) + 10d0*Nc*coupl(nGC_1513)*coupl(nGC_217&
                         )**2d0*coupl(nGC_218) + 10d0*Nc*coupl(nGC_193)**2d0*  &
                         coupl(nGC_194)*coupl(nGC_605) + 10d0*Nc*coupl(nGC_193 &
                         )*coupl(nGC_194)*coupl(nGC_217)*coupl(nGC_218) + 10d0*&
                         Nc*coupl(nGC_194)*coupl(nGC_217)**2d0*coupl(nGC_605   &
                         ) + 10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_198)*coupl( &
                         nGC_577) + 10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_214)*&
                         coupl(nGC_845) + 10d0*Nc*coupl(nGC_197)*coupl(nGC_198 &
                         )*coupl(nGC_213)*coupl(nGC_214) + 10d0*Nc*coupl(      &
                         nGC_197)*coupl(nGC_213)*coupl(nGC_577)*coupl(nGC_845  &
                         ) + 10d0*Nc*coupl(nGC_198)*coupl(nGC_213)**2d0*coupl( &
                         nGC_577) + 10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_202)*&
                         coupl(nGC_2029) + 10d0*Nc*coupl(nGC_201)*coupl(nGC_202&
                         )*coupl(nGC_225)*coupl(nGC_226) + 10d0*Nc*coupl(      &
                         nGC_202)*coupl(nGC_2029)*coupl(nGC_225)**2d0 + 10d0*Nc&
                         *coupl(nGC_213)**2d0*coupl(nGC_214)*coupl(nGC_845) +  &
                         12d0*coupl(nGC_107)*coupl(nGC_108) + 12d0*coupl(nGC_13&
                         )*coupl(nGC_14) + 10d0*coupl(nGC_1395)*coupl(nGC_205  &
                         )**2d0*coupl(nGC_206) + 3d0*coupl(nGC_141)*coupl(     &
                         nGC_142) + 10d0*coupl(nGC_1957)*coupl(nGC_221)**2d0*  &
                         coupl(nGC_222) + 10d0*coupl(nGC_209)**2d0*coupl(      &
                         nGC_210)*coupl(nGC_687) + 6d0*coupl(nGC_71)**2d0)/(   &
                         48d0*pi**2d0)
      coupl(nGC_13148) = (-4d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_99)**2d0 - 4d0* &
                         Nc*cMC*coupl(nGC_199)*coupl(nGC_99)**2d0 - 4d0*Nc*cMD*&
                         coupl(nGC_203)*coupl(nGC_99)**2d0 - 4d0*Nc*cMS*coupl( &
                         nGC_215)*coupl(nGC_99)**2d0 - 4d0*Nc*cMT*coupl(nGC_219&
                         )*coupl(nGC_99)**2d0 - 4d0*Nc*cMU*coupl(nGC_227)*coupl&
                         (nGC_99)**2d0 - 4d0*cME*coupl(nGC_207)*coupl(nGC_99)**&
                         2d0 - 4d0*cMM*coupl(nGC_211)*coupl(nGC_99)**2d0 - 4d0*&
                         cMTA*coupl(nGC_223)*coupl(nGC_99)**2d0 + 4d0*cima*    &
                         coupl(nGC_162)*coupl(nGC_72) + 2d0*cima*coupl(nGC_175 &
                         )*coupl(nGC_85) + coupl(nGC_102)**2d0*coupl(nGC_162   &
                         ) + coupl(nGC_102)**2d0*coupl(nGC_175) - 2d0*coupl(   &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_162) - 2d0*coupl(   &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_175) + coupl(nGC_103&
                         )**2d0*coupl(nGC_162) + coupl(nGC_103)**2d0*coupl(    &
                         nGC_175) - 2d0*coupl(nGC_162)*coupl(nGC_3)*coupl(     &
                         nGC_941) + 2d0*coupl(nGC_162)*coupl(nGC_4)*coupl(     &
                         nGC_941))/(32d0*pi**2d0)
      coupl(nGC_13300) = (-16d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(   &
                         nGC_99)**2d0 - 16d0*Nc*cima*coupl(nGC_199)*coupl(     &
                         nGC_200)*coupl(nGC_99)**2d0 - 16d0*Nc*cima*coupl(     &
                         nGC_203)*coupl(nGC_204)*coupl(nGC_99)**2d0 - 16d0*Nc* &
                         cima*coupl(nGC_215)*coupl(nGC_216)*coupl(nGC_99)**2d0 &
                          - 16d0*Nc*cima*coupl(nGC_219)*coupl(nGC_220)*coupl(  &
                         nGC_99)**2d0 - 16d0*Nc*cima*coupl(nGC_227)*coupl(     &
                         nGC_228)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_148)*&
                         coupl(nGC_85) - 16d0*cima*coupl(nGC_207)*coupl(nGC_208&
                         )*coupl(nGC_99)**2d0 - 16d0*cima*coupl(nGC_211)*coupl(&
                         nGC_212)*coupl(nGC_99)**2d0 - 16d0*cima*coupl(nGC_223 &
                         )*coupl(nGC_224)*coupl(nGC_99)**2d0 + 12d0*cima*coupl(&
                         nGC_72)*coupl(nGC_93) + 3d0*coupl(nGC_102)**2d0*coupl(&
                         nGC_148) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_93) - 6d0&
                         *coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_148) - 6d0*  &
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_93) + 3d0*    &
                         coupl(nGC_103)**2d0*coupl(nGC_148) + 3d0*coupl(nGC_103&
                         )**2d0*coupl(nGC_93) - 6d0*coupl(nGC_3)*coupl(nGC_93)*&
                         coupl(nGC_941) + 6d0*coupl(nGC_4)*coupl(nGC_93)*coupl(&
                         nGC_941))/(96d0*pi**2d0)
      coupl(nGC_13303) = (-16d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_99)**2d0 &
                          - 16d0*Nc*cima*coupl(nGC_199)**2d0*coupl(nGC_99)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_203)**2d0*coupl(nGC_99)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_215)**2d0*coupl(nGC_99)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_219)**2d0*coupl(nGC_99)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_227)**2d0*coupl(nGC_99)**2d0&
                          + 6d0*cima*coupl(nGC_145)*coupl(nGC_85) - 16d0*cima* &
                         coupl(nGC_207)**2d0*coupl(nGC_99)**2d0 - 16d0*cima*   &
                         coupl(nGC_211)**2d0*coupl(nGC_99)**2d0 - 16d0*cima*   &
                         coupl(nGC_223)**2d0*coupl(nGC_99)**2d0 + 12d0*cima*   &
                         coupl(nGC_72)*coupl(nGC_82) + 3d0*coupl(nGC_102)**2d0*&
                         coupl(nGC_145) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_82 &
                         ) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_145   &
                         ) - 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_82) + &
                         3d0*coupl(nGC_103)**2d0*coupl(nGC_145) + 3d0*coupl(   &
                         nGC_103)**2d0*coupl(nGC_82) - 6d0*coupl(nGC_3)*coupl( &
                         nGC_82)*coupl(nGC_941) + 6d0*coupl(nGC_4)*coupl(nGC_82&
                         )*coupl(nGC_941))/(96d0*pi**2d0)
      coupl(nGC_13304) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1177)*   &
                         coupl(nGC_226) - coupl(nGC_1513)*coupl(nGC_218) -     &
                         coupl(nGC_194)*coupl(nGC_605) - coupl(nGC_198)*coupl( &
                         nGC_577) - coupl(nGC_202)*coupl(nGC_2029) - coupl(    &
                         nGC_214)*coupl(nGC_845))/(16d0*pi**2d0)
      coupl(nGC_13305) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1177)*    &
                         coupl(nGC_226) + coupl(nGC_1513)*coupl(nGC_218) +     &
                         coupl(nGC_194)*coupl(nGC_605) + coupl(nGC_198)*coupl( &
                         nGC_577) + coupl(nGC_202)*coupl(nGC_2029) + coupl(    &
                         nGC_214)*coupl(nGC_845))/(16d0*pi**2d0*Nc)
      coupl(nGC_20461) = coupl(nGC_13389) + coupl(nGC_21)*dZg_QCD2
      coupl(nGC_13268) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(     &
                         nGC_99)**2d0 + 18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126&
                         )*coupl(nGC_99)**2d0 + 18d0*Nc*cima*coupl(nGC_125)*   &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 - 12d0*Nc*cima*coupl( &
                         nGC_126)*coupl(nGC_2)*coupl(nGC_99)**2d0 + cima*coupl(&
                         nGC_102)**3d0*coupl(nGC_3) - cima*coupl(nGC_102)**3d0*&
                         coupl(nGC_4) - 3d0*cima*coupl(nGC_102)**2d0*coupl(    &
                         nGC_103)*coupl(nGC_3) + 3d0*cima*coupl(nGC_102)**2d0* &
                         coupl(nGC_103)*coupl(nGC_4) + 3d0*cima*coupl(nGC_102)*&
                         coupl(nGC_103)**2d0*coupl(nGC_3) - 3d0*cima*coupl(    &
                         nGC_102)*coupl(nGC_103)**2d0*coupl(nGC_4) - 2d0*cima* &
                         coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(nGC_941) + 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                         nGC_941) - 2d0*cima*coupl(nGC_102)*coupl(nGC_4)**2d0* &
                         coupl(nGC_941) - cima*coupl(nGC_103)**3d0*coupl(nGC_3 &
                         ) + cima*coupl(nGC_103)**3d0*coupl(nGC_4) + 2d0*cima* &
                         coupl(nGC_103)*coupl(nGC_3)**2d0*coupl(nGC_941) - 4d0*&
                         cima*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl(  &
                         nGC_941) + 2d0*cima*coupl(nGC_103)*coupl(nGC_4)**2d0* &
                         coupl(nGC_941) + 12d0*cima*coupl(nGC_113)*coupl(nGC_8 &
                         ) + 12d0*cima*coupl(nGC_113)*coupl(nGC_84) - 12d0*cima&
                         *coupl(nGC_128)*coupl(nGC_4)*coupl(nGC_99)**2d0 + 18d0&
                         *cima*coupl(nGC_129)*coupl(nGC_4)*coupl(nGC_99)**2d0  &
                          - 3d0*coupl(nGC_102)**2d0*coupl(nGC_113) + 6d0*coupl(&
                         nGC_102)*coupl(nGC_103)*coupl(nGC_113) + 3d0*coupl(   &
                         nGC_102)*coupl(nGC_3)*coupl(nGC_8) + 3d0*coupl(nGC_102&
                         )*coupl(nGC_3)*coupl(nGC_84) - 3d0*coupl(nGC_102)*    &
                         coupl(nGC_4)*coupl(nGC_8) - 3d0*coupl(nGC_102)*coupl( &
                         nGC_4)*coupl(nGC_84) - 3d0*coupl(nGC_103)**2d0*coupl( &
                         nGC_113) - 3d0*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_8&
                         ) - 3d0*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_84) +   &
                         3d0*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_8) + 3d0*   &
                         coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_84) + 6d0*coupl(&
                         nGC_113)*coupl(nGC_3)*coupl(nGC_941) - 6d0*coupl(     &
                         nGC_113)*coupl(nGC_4)*coupl(nGC_941))/(96d0*pi**2d0)
      coupl(nGC_21213) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*    &
                         dZnu_muL_QED2/2d0
      coupl(nGC_20747) = coupl(nGC_20740) + coupl(nGC_20746)
      coupl(nGC_20037) = coupl(nGC_13379) + coupl(nGC_161)*dZHl_QED2/2d0 +     &
                         coupl(nGC_164)*dZHhHl_QED2/2d0
      coupl(nGC_19315) = coupl(nGC_13463) + coupl(nGC_71)*dZWMinus_QED2
      coupl(nGC_20748) = coupl(nGC_13412) + coupl(nGC_20741)
      coupl(nGC_22256) = coupl(nGC_13389) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_22257) = -coupl(nGC_22256)
      coupl(nGC_19155) = coupl(nGC_113)*dZA_QED2/2d0 + coupl(nGC_113)*         &
                         dZWMinus_QED2 + coupl(nGC_113)*dZZ_QED2/2d0 + coupl(  &
                         nGC_13488) + coupl(nGC_8)*dZAZ_QED2/2d0 + coupl(nGC_84&
                         )*dZZA_QED2/2d0
      coupl(nGC_19154) = coupl(nGC_116)*dZA_QED2/2d0 + coupl(nGC_116)*         &
                         dZWMinus_QED2 + coupl(nGC_116)*dZZ_QED2/2d0 + coupl(  &
                         nGC_13489) + coupl(nGC_85)*dZZA_QED2/2d0 + coupl(nGC_9&
                         )*dZAZ_QED2/2d0
      coupl(nGC_20221) = coupl(nGC_20218) + coupl(nGC_20220)
      coupl(nGC_22258) = 2d0*coupl(nGC_22256)
      coupl(nGC_13014) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*   &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                         nGC_102)*coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*    &
                         coupl(nGC_113) + coupl(nGC_102)**2d0*coupl(nGC_3) -   &
                         coupl(nGC_102)**2d0*coupl(nGC_4) + coupl(nGC_102)*    &
                         coupl(nGC_103)*coupl(nGC_3) - coupl(nGC_102)*coupl(   &
                         nGC_103)*coupl(nGC_4) - 2d0*coupl(nGC_103)**2d0*coupl(&
                         nGC_3) + 2d0*coupl(nGC_103)**2d0*coupl(nGC_4) + coupl(&
                         nGC_3)**2d0*coupl(nGC_941) - 2d0*coupl(nGC_3)*coupl(  &
                         nGC_4)*coupl(nGC_941) + coupl(nGC_4)**2d0*coupl(      &
                         nGC_941) + 12d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(96d0&
                         *pi**2d0)
      coupl(nGC_13015) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*  &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_3&
                         )*coupl(nGC_72) + 6d0*cima*coupl(nGC_4)*coupl(nGC_72  &
                         ) + 2d0*coupl(nGC_102)**2d0*coupl(nGC_3) + coupl(     &
                         nGC_102)**2d0*coupl(nGC_4) - 4d0*coupl(nGC_102)*coupl(&
                         nGC_103)*coupl(nGC_3) - 2d0*coupl(nGC_102)*coupl(     &
                         nGC_103)*coupl(nGC_4) + 2d0*coupl(nGC_103)**2d0*coupl(&
                         nGC_3) + coupl(nGC_103)**2d0*coupl(nGC_4) - 4d0*coupl(&
                         nGC_3)**2d0*coupl(nGC_941) + 2d0*coupl(nGC_3)*coupl(  &
                         nGC_4)*coupl(nGC_941) + 2d0*coupl(nGC_4)**2d0*coupl(  &
                         nGC_941) - 12d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(96d0&
                         *pi**2d0)
      coupl(nGC_13016) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*  &
                         coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                         nGC_102)*coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*    &
                         coupl(nGC_113) + 2d0*coupl(nGC_102)**2d0*coupl(nGC_3  &
                         ) - 2d0*coupl(nGC_102)**2d0*coupl(nGC_4) - coupl(     &
                         nGC_102)*coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_102)*&
                         coupl(nGC_103)*coupl(nGC_4) - coupl(nGC_103)**2d0*    &
                         coupl(nGC_3) + coupl(nGC_103)**2d0*coupl(nGC_4) -     &
                         coupl(nGC_3)**2d0*coupl(nGC_941) + 2d0*coupl(nGC_3)*  &
                         coupl(nGC_4)*coupl(nGC_941) - coupl(nGC_4)**2d0*coupl(&
                         nGC_941) - 12d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(96d0&
                         *pi**2d0)
      coupl(nGC_19080) = coupl(nGC_19072) + coupl(nGC_19078)
      coupl(nGC_20758) = coupl(nGC_20756) + coupl(nGC_20757)
      coupl(nGC_21719) = coupl(nGC_19370) + coupl(nGC_21717)
      coupl(nGC_19917) = -coupl(nGC_19913) + coupl(nGC_19915)
      coupl(nGC_19916) = coupl(nGC_19913) + coupl(nGC_19914)
      coupl(nGC_19246) = coupl(nGC_13355) + coupl(nGC_16)*dZHlHh_QED2/2d0 +    &
                         coupl(nGC_28)*dZHh_QED2/2d0
      coupl(nGC_13316) = (-12d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 &
                          + 36d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(  &
                         nGC_99)**2d0 - 12d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                         nGC_99)**2d0 - cima*coupl(nGC_102)**4d0 + 4d0*cima*   &
                         coupl(nGC_102)**3d0*coupl(nGC_103) - 6d0*cima*coupl(  &
                         nGC_102)**2d0*coupl(nGC_103)**2d0 + 2d0*cima*coupl(   &
                         nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_941) - 2d0*cima* &
                         coupl(nGC_102)**2d0*coupl(nGC_4)*coupl(nGC_941) + 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_103)**3d0 - 4d0*cima*   &
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(     &
                         nGC_941) + 4d0*cima*coupl(nGC_102)*coupl(nGC_103)*    &
                         coupl(nGC_4)*coupl(nGC_941) - cima*coupl(nGC_103)**4d0&
                          + 2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(   &
                         nGC_941) - 2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_4)* &
                         coupl(nGC_941) + 12d0*cima*coupl(nGC_113)**2d0 - 12d0*&
                         cima*coupl(nGC_128)**2d0*coupl(nGC_99)**2d0 + 36d0*   &
                         cima*coupl(nGC_128)*coupl(nGC_129)*coupl(nGC_99)**2d0 &
                          - 12d0*cima*coupl(nGC_129)**2d0*coupl(nGC_99)**2d0 + &
                         12d0*cima*coupl(nGC_84)**2d0 - 6d0*coupl(nGC_102)**2d0&
                         *coupl(nGC_84) + 12d0*coupl(nGC_102)*coupl(nGC_103)*  &
                         coupl(nGC_84) + 3d0*coupl(nGC_102)*coupl(nGC_113)*    &
                         coupl(nGC_3) - 3d0*coupl(nGC_102)*coupl(nGC_113)*coupl&
                         (nGC_4) - 6d0*coupl(nGC_102)*coupl(nGC_113)*coupl(    &
                         nGC_941) - 6d0*coupl(nGC_103)**2d0*coupl(nGC_84) - 3d0&
                         *coupl(nGC_103)*coupl(nGC_113)*coupl(nGC_3) + 3d0*    &
                         coupl(nGC_103)*coupl(nGC_113)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_103)*coupl(nGC_113)*coupl(nGC_941))/(96d0*pi**2d0&
                         )
      coupl(nGC_13315) = (36d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0  &
                          - 60d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(  &
                         nGC_99)**2d0 + 36d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                         nGC_99)**2d0 - cima*coupl(nGC_102)**4d0 + 4d0*cima*   &
                         coupl(nGC_102)**3d0*coupl(nGC_103) - 6d0*cima*coupl(  &
                         nGC_102)**2d0*coupl(nGC_103)**2d0 + 2d0*cima*coupl(   &
                         nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_941) - 2d0*cima* &
                         coupl(nGC_102)**2d0*coupl(nGC_4)*coupl(nGC_941) + 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_103)**3d0 - 4d0*cima*   &
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(     &
                         nGC_941) + 4d0*cima*coupl(nGC_102)*coupl(nGC_103)*    &
                         coupl(nGC_4)*coupl(nGC_941) - cima*coupl(nGC_103)**4d0&
                          + 2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(   &
                         nGC_941) - 2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_4)* &
                         coupl(nGC_941) + 36d0*cima*coupl(nGC_128)**2d0*coupl( &
                         nGC_99)**2d0 - 60d0*cima*coupl(nGC_128)*coupl(nGC_129 &
                         )*coupl(nGC_99)**2d0 + 36d0*cima*coupl(nGC_129)**2d0* &
                         coupl(nGC_99)**2d0 + 12d0*cima*coupl(nGC_72)*coupl(   &
                         nGC_85) + 6d0*coupl(nGC_102)**2d0*coupl(nGC_72) + 3d0*&
                         coupl(nGC_102)**2d0*coupl(nGC_85) - 12d0*coupl(nGC_102&
                         )*coupl(nGC_103)*coupl(nGC_72) - 6d0*coupl(nGC_102)*  &
                         coupl(nGC_103)*coupl(nGC_85) + 6d0*coupl(nGC_103)**2d0&
                         *coupl(nGC_72) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_85 &
                         ) - 6d0*coupl(nGC_3)*coupl(nGC_85)*coupl(nGC_941) +   &
                         6d0*coupl(nGC_4)*coupl(nGC_85)*coupl(nGC_941))/(96d0* &
                         pi**2d0)
      coupl(nGC_19772) = coupl(nGC_19764) + coupl(nGC_19771)
      coupl(nGC_20027) = coupl(nGC_13586) + coupl(nGC_TS_GC_195_Hl) + coupl(   &
                         nGC_TS_GC_196_Hh)
      coupl(nGC_21543) = coupl(nGC_13418) + coupl(nGC_21540)
      coupl(nGC_20774) = coupl(nGC_13390) + coupl(nGC_17)*dZg_QCD2/2d0
      coupl(nGC_20028) = coupl(nGC_20019) + coupl(nGC_20027)
      coupl(nGC_24309) = coupl(nGC_13347) + 2d0*coupl(nGC_33)*dZHlHh_QED2 + 2d0&
                         *coupl(nGC_35)*dZHh_QED2
      coupl(nGC_13060) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl( &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197&
                         )*coupl(nGC_200)*coupl(nGC_216) - coupl(nGC_197)*coupl&
                         (nGC_577)*coupl(nGC_845))/(32d0*pi**2d0)
      coupl(nGC_19499) = coupl(nGC_13356) + coupl(nGC_144)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_147)*dZHh_QED2/2d0 + coupl(nGC_147)*        &
                         dZHl_QED2/2d0 + coupl(nGC_150)*dZHhHl_QED2/2d0
      coupl(nGC_13069) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_605)*coupl(nGC_99) - &
                         2d0*Nc*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_201)*coupl(nGC_2029)*coupl(nGC_99) + &
                         2d0*Nc*coupl(nGC_213)*coupl(nGC_845)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99) +  &
                         3d0*cima*coupl(nGC_102)*coupl(nGC_14) + 3d0*cima*coupl&
                         (nGC_103)*coupl(nGC_14) + 2d0*coupl(nGC_1395)*coupl(  &
                         nGC_205)*coupl(nGC_99) + 2d0*coupl(nGC_1957)*coupl(   &
                         nGC_221)*coupl(nGC_99) + 2d0*coupl(nGC_209)*coupl(    &
                         nGC_687)*coupl(nGC_99))/(48d0*pi**2d0)
      coupl(nGC_19844) = coupl(nGC_13357) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +  &
                         coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*          &
                         dZHhHl_QED2/2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
      coupl(nGC_13249) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 + &
                         36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**&
                         2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**  &
                         2d0 - cima*coupl(nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0&
                         *cima*coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_4) - &
                         cima*coupl(nGC_102)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*&
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 4d0*&
                         cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(&
                         nGC_4) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(&
                         nGC_4)**2d0 - cima*coupl(nGC_103)**2d0*coupl(nGC_3)** &
                         2d0 + 2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(&
                         nGC_4) - cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + &
                         12d0*cima*coupl(nGC_113)**2d0 - cima*coupl(nGC_3)**4d0&
                          + 3d0*cima*coupl(nGC_3)**3d0*coupl(nGC_4) + cima*    &
                         coupl(nGC_3)**3d0*coupl(nGC_941) - 3d0*cima*coupl(    &
                         nGC_3)**2d0*coupl(nGC_4)**2d0 - 3d0*cima*coupl(nGC_3  &
                         )**2d0*coupl(nGC_4)*coupl(nGC_941) + cima*coupl(nGC_3 &
                         )*coupl(nGC_4)**3d0 + 3d0*cima*coupl(nGC_3)*coupl(    &
                         nGC_4)**2d0*coupl(nGC_941) - cima*coupl(nGC_4)**3d0*  &
                         coupl(nGC_941) - 12d0*cima*coupl(nGC_4)**2d0*coupl(   &
                         nGC_99)**2d0 + 12d0*cima*coupl(nGC_8)**2d0 + 6d0*coupl&
                         (nGC_102)*coupl(nGC_113)*coupl(nGC_3) - 6d0*coupl(    &
                         nGC_102)*coupl(nGC_113)*coupl(nGC_4) - 6d0*coupl(     &
                         nGC_103)*coupl(nGC_113)*coupl(nGC_3) + 6d0*coupl(     &
                         nGC_103)*coupl(nGC_113)*coupl(nGC_4) - 3d0*coupl(nGC_3&
                         )**2d0*coupl(nGC_8) + 6d0*coupl(nGC_3)*coupl(nGC_4)*  &
                         coupl(nGC_8) + 6d0*coupl(nGC_3)*coupl(nGC_8)*coupl(   &
                         nGC_941) - 3d0*coupl(nGC_4)**2d0*coupl(nGC_8) - 6d0*  &
                         coupl(nGC_4)*coupl(nGC_8)*coupl(nGC_941))/(96d0*pi**  &
                         2d0)
      coupl(nGC_19687) = coupl(nGC_19683) + coupl(nGC_19685)
      coupl(nGC_19686) = coupl(nGC_19683) + coupl(nGC_19684)
      coupl(nGC_13246) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_194)*coupl( &
                         nGC_605) - 4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_202&
                         )*coupl(nGC_2029) - 4d0*Nc*cima*coupl(nGC_1)**2d0*    &
                         coupl(nGC_214)*coupl(nGC_845) - 4d0*Nc*cima*coupl(    &
                         nGC_1177)*coupl(nGC_2)**2d0*coupl(nGC_226) - 4d0*Nc*  &
                         cima*coupl(nGC_1513)*coupl(nGC_2)**2d0*coupl(nGC_218  &
                         ) - 4d0*Nc*cima*coupl(nGC_198)*coupl(nGC_2)**2d0*coupl&
                         (nGC_577) - 4d0*cima*coupl(nGC_1395)*coupl(nGC_206)*  &
                         coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_1957)*coupl(   &
                         nGC_222)*coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_210)* &
                         coupl(nGC_4)**2d0*coupl(nGC_687) + 2d0*cima*coupl(    &
                         nGC_71)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_71 &
                         ) - 2d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_71) +     &
                         coupl(nGC_4)**2d0*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_13243) = sq2**3d0*(Nc*cima*coupl(nGC_1257)**3d0 - 12d0*coupl(  &
                         nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_13242) = sq2**3d0*(-Nc*cima*coupl(nGC_1257)**3d0 + 12d0*coupl( &
                         nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_13124) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -   &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl( &
                         nGC_199)**2d0*coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0* &
                         coupl(nGC_200) - coupl(nGC_200)**3d0 - coupl(nGC_200)*&
                         coupl(nGC_577)**2d0)/(32d0*pi**2d0)
      coupl(nGC_26693) = coupl(nGC_TS_GC_101_Hl) + coupl(nGC_TS_GC_118_Hh)
      coupl(nGC_21541) = coupl(nGC_13417) + coupl(nGC_215)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_216)*dZHh_QED2/2d0
      coupl(nGC_20442) = coupl(nGC_13431) + coupl(nGC_211)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_212)*dZHh_QED2/2d0
      coupl(nGC_13083) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_195) + 8d0* &
                         Nc*cMB*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_605) + &
                         2d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_605)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_198)**2d0*coupl(nGC_199) + 8d0*Nc*cMC* &
                         coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_577) + 2d0*Nc*&
                         cMC*coupl(nGC_199)*coupl(nGC_577)**2d0 + 2d0*Nc*cMD*  &
                         coupl(nGC_202)**2d0*coupl(nGC_203) + 8d0*Nc*cMD*coupl(&
                         nGC_202)*coupl(nGC_2029)*coupl(nGC_203) + 2d0*Nc*cMD* &
                         coupl(nGC_2029)**2d0*coupl(nGC_203) + 2d0*Nc*cMS*coupl&
                         (nGC_214)**2d0*coupl(nGC_215) + 8d0*Nc*cMS*coupl(     &
                         nGC_214)*coupl(nGC_215)*coupl(nGC_845) + 2d0*Nc*cMS*  &
                         coupl(nGC_215)*coupl(nGC_845)**2d0 + 2d0*Nc*cMT*coupl(&
                         nGC_1513)**2d0*coupl(nGC_219) + 8d0*Nc*cMT*coupl(     &
                         nGC_1513)*coupl(nGC_218)*coupl(nGC_219) + 2d0*Nc*cMT* &
                         coupl(nGC_218)**2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(&
                         nGC_1177)**2d0*coupl(nGC_227) + 8d0*Nc*cMU*coupl(     &
                         nGC_1177)*coupl(nGC_226)*coupl(nGC_227) + 2d0*Nc*cMU* &
                         coupl(nGC_226)**2d0*coupl(nGC_227) + 2d0*cME*coupl(   &
                         nGC_1395)**2d0*coupl(nGC_207) + 8d0*cME*coupl(nGC_1395&
                         )*coupl(nGC_206)*coupl(nGC_207) + 2d0*cME*coupl(      &
                         nGC_206)**2d0*coupl(nGC_207) + 2d0*cMM*coupl(nGC_210  &
                         )**2d0*coupl(nGC_211) + 8d0*cMM*coupl(nGC_210)*coupl( &
                         nGC_211)*coupl(nGC_687) + 2d0*cMM*coupl(nGC_211)*coupl&
                         (nGC_687)**2d0 + 2d0*cMTA*coupl(nGC_1957)**2d0*coupl( &
                         nGC_223) + 8d0*cMTA*coupl(nGC_1957)*coupl(nGC_222)*   &
                         coupl(nGC_223) + 2d0*cMTA*coupl(nGC_222)**2d0*coupl(  &
                         nGC_223) + cima*coupl(nGC_142)*coupl(nGC_175) + 2d0*  &
                         cima*coupl(nGC_162)*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_13292) = cima*(10d0*Nc*coupl(nGC_1177)**2d0*coupl(nGC_227)**2d0&
                          + 40d0*Nc*coupl(nGC_1177)*coupl(nGC_226)*coupl(      &
                         nGC_227)**2d0 + 10d0*Nc*coupl(nGC_1513)**2d0*coupl(   &
                         nGC_219)**2d0 + 40d0*Nc*coupl(nGC_1513)*coupl(nGC_218 &
                         )*coupl(nGC_219)**2d0 + 10d0*Nc*coupl(nGC_194)**2d0*  &
                         coupl(nGC_195)**2d0 + 40d0*Nc*coupl(nGC_194)*coupl(   &
                         nGC_195)**2d0*coupl(nGC_605) + 10d0*Nc*coupl(nGC_195  &
                         )**2d0*coupl(nGC_605)**2d0 + 10d0*Nc*coupl(nGC_198)** &
                         2d0*coupl(nGC_199)**2d0 + 40d0*Nc*coupl(nGC_198)*coupl&
                         (nGC_199)**2d0*coupl(nGC_577) + 10d0*Nc*coupl(nGC_199 &
                         )**2d0*coupl(nGC_577)**2d0 + 10d0*Nc*coupl(nGC_202)** &
                         2d0*coupl(nGC_203)**2d0 + 40d0*Nc*coupl(nGC_202)*coupl&
                         (nGC_2029)*coupl(nGC_203)**2d0 + 10d0*Nc*coupl(       &
                         nGC_2029)**2d0*coupl(nGC_203)**2d0 + 10d0*Nc*coupl(   &
                         nGC_214)**2d0*coupl(nGC_215)**2d0 + 40d0*Nc*coupl(    &
                         nGC_214)*coupl(nGC_215)**2d0*coupl(nGC_845) + 10d0*Nc*&
                         coupl(nGC_215)**2d0*coupl(nGC_845)**2d0 + 10d0*Nc*    &
                         coupl(nGC_218)**2d0*coupl(nGC_219)**2d0 + 10d0*Nc*    &
                         coupl(nGC_226)**2d0*coupl(nGC_227)**2d0 + 10d0*coupl( &
                         nGC_1395)**2d0*coupl(nGC_207)**2d0 + 40d0*coupl(      &
                         nGC_1395)*coupl(nGC_206)*coupl(nGC_207)**2d0 + 3d0*   &
                         coupl(nGC_142)*coupl(nGC_145) + 10d0*coupl(nGC_1957)**&
                         2d0*coupl(nGC_223)**2d0 + 40d0*coupl(nGC_1957)*coupl( &
                         nGC_222)*coupl(nGC_223)**2d0 + 10d0*coupl(nGC_206)**  &
                         2d0*coupl(nGC_207)**2d0 + 10d0*coupl(nGC_210)**2d0*   &
                         coupl(nGC_211)**2d0 + 40d0*coupl(nGC_210)*coupl(      &
                         nGC_211)**2d0*coupl(nGC_687) + 10d0*coupl(nGC_211)**  &
                         2d0*coupl(nGC_687)**2d0 + 10d0*coupl(nGC_222)**2d0*   &
                         coupl(nGC_223)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_82  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_20721) = coupl(nGC_13427) + coupl(nGC_207)*dZHl_QED2/2d0 +     &
                         coupl(nGC_208)*dZHhHl_QED2/2d0
      coupl(nGC_13085) = (Nc*coupl(nGC_1177)*coupl(nGC_123)*coupl(nGC_227) - Nc&
                         *coupl(nGC_1177)*coupl(nGC_126)*coupl(nGC_227) - Nc*  &
                         coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_195) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_195)*coupl(nGC_605) - Nc*    &
                         coupl(nGC_122)*coupl(nGC_202)*coupl(nGC_203) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_2029)*coupl(nGC_203) - Nc*   &
                         coupl(nGC_122)*coupl(nGC_214)*coupl(nGC_215) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_215)*coupl(nGC_845) + Nc*    &
                         coupl(nGC_123)*coupl(nGC_1513)*coupl(nGC_219) - Nc*   &
                         coupl(nGC_123)*coupl(nGC_198)*coupl(nGC_199) + Nc*    &
                         coupl(nGC_123)*coupl(nGC_199)*coupl(nGC_577) - Nc*    &
                         coupl(nGC_123)*coupl(nGC_218)*coupl(nGC_219) - Nc*    &
                         coupl(nGC_123)*coupl(nGC_226)*coupl(nGC_227) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_194)*coupl(nGC_195) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_195)*coupl(nGC_605) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_202)*coupl(nGC_203) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_2029)*coupl(nGC_203) + Nc*   &
                         coupl(nGC_125)*coupl(nGC_214)*coupl(nGC_215) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_215)*coupl(nGC_845) - Nc*    &
                         coupl(nGC_126)*coupl(nGC_1513)*coupl(nGC_219) + Nc*   &
                         coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_199) - Nc*    &
                         coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_577) + Nc*    &
                         coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_219) + Nc*    &
                         coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_227) + coupl( &
                         nGC_124)*coupl(nGC_1395)*coupl(nGC_207) + coupl(      &
                         nGC_124)*coupl(nGC_1957)*coupl(nGC_223) - coupl(      &
                         nGC_124)*coupl(nGC_206)*coupl(nGC_207) - coupl(nGC_124&
                         )*coupl(nGC_210)*coupl(nGC_211) + coupl(nGC_124)*coupl&
                         (nGC_211)*coupl(nGC_687) - coupl(nGC_124)*coupl(      &
                         nGC_222)*coupl(nGC_223) - coupl(nGC_128)*coupl(       &
                         nGC_1395)*coupl(nGC_207) - coupl(nGC_128)*coupl(      &
                         nGC_1957)*coupl(nGC_223) + coupl(nGC_128)*coupl(      &
                         nGC_206)*coupl(nGC_207) + coupl(nGC_128)*coupl(nGC_210&
                         )*coupl(nGC_211) - coupl(nGC_128)*coupl(nGC_211)*coupl&
                         (nGC_687) + coupl(nGC_128)*coupl(nGC_222)*coupl(      &
                         nGC_223))/(24d0*pi**2d0)
      coupl(nGC_13084) = (Nc*coupl(nGC_1177)*coupl(nGC_123)*coupl(nGC_228) - Nc&
                         *coupl(nGC_1177)*coupl(nGC_126)*coupl(nGC_228) - Nc*  &
                         coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_196) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_196)*coupl(nGC_605) - Nc*    &
                         coupl(nGC_122)*coupl(nGC_202)*coupl(nGC_204) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_2029)*coupl(nGC_204) - Nc*   &
                         coupl(nGC_122)*coupl(nGC_214)*coupl(nGC_216) + Nc*    &
                         coupl(nGC_122)*coupl(nGC_216)*coupl(nGC_845) + Nc*    &
                         coupl(nGC_123)*coupl(nGC_1513)*coupl(nGC_220) - Nc*   &
                         coupl(nGC_123)*coupl(nGC_198)*coupl(nGC_200) + Nc*    &
                         coupl(nGC_123)*coupl(nGC_200)*coupl(nGC_577) - Nc*    &
                         coupl(nGC_123)*coupl(nGC_218)*coupl(nGC_220) - Nc*    &
                         coupl(nGC_123)*coupl(nGC_226)*coupl(nGC_228) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_194)*coupl(nGC_196) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_196)*coupl(nGC_605) + Nc*    &
                         coupl(nGC_125)*coupl(nGC_202)*coupl(nGC_204) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_2029)*coupl(nGC_204) + Nc*   &
                         coupl(nGC_125)*coupl(nGC_214)*coupl(nGC_216) - Nc*    &
                         coupl(nGC_125)*coupl(nGC_216)*coupl(nGC_845) - Nc*    &
                         coupl(nGC_126)*coupl(nGC_1513)*coupl(nGC_220) + Nc*   &
                         coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_200) - Nc*    &
                         coupl(nGC_126)*coupl(nGC_200)*coupl(nGC_577) + Nc*    &
                         coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_220) + Nc*    &
                         coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_228) + coupl( &
                         nGC_124)*coupl(nGC_1395)*coupl(nGC_208) + coupl(      &
                         nGC_124)*coupl(nGC_1957)*coupl(nGC_224) - coupl(      &
                         nGC_124)*coupl(nGC_206)*coupl(nGC_208) - coupl(nGC_124&
                         )*coupl(nGC_210)*coupl(nGC_212) + coupl(nGC_124)*coupl&
                         (nGC_212)*coupl(nGC_687) - coupl(nGC_124)*coupl(      &
                         nGC_222)*coupl(nGC_224) - coupl(nGC_128)*coupl(       &
                         nGC_1395)*coupl(nGC_208) - coupl(nGC_128)*coupl(      &
                         nGC_1957)*coupl(nGC_224) + coupl(nGC_128)*coupl(      &
                         nGC_206)*coupl(nGC_208) + coupl(nGC_128)*coupl(nGC_210&
                         )*coupl(nGC_212) - coupl(nGC_128)*coupl(nGC_212)*coupl&
                         (nGC_687) + coupl(nGC_128)*coupl(nGC_222)*coupl(      &
                         nGC_224))/(24d0*pi**2d0)
      coupl(nGC_19470) = coupl(nGC_13460) + coupl(nGC_74)*dZWMinus_QED2
      coupl(nGC_19729) = coupl(nGC_13501) + coupl(nGC_19)*dZg_QCD2/2d0
      coupl(nGC_20159) = coupl(nGC_20155) + coupl(nGC_20157)
      coupl(nGC_20158) = coupl(nGC_20155) + coupl(nGC_20156)
      coupl(nGC_19959) = coupl(nGC_13455) + coupl(nGC_154)*dZZA_QED2/2d0 +     &
                         coupl(nGC_166)*dZA_QED2/2d0 + coupl(nGC_166)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_TS_GC_110_Hl) + coupl(  &
                         nGC_TS_GC_119_Hh)
      coupl(nGC_19601) = coupl(nGC_13466) + coupl(nGC_82)*dZHl_QED2 + coupl(   &
                         nGC_82)*dZWMinus_QED2 + coupl(nGC_93)*dZHhHl_QED2
      coupl(nGC_19177) = coupl(nGC_19174) - coupl(nGC_19175)
      coupl(nGC_19176) = coupl(nGC_19171) + coupl(nGC_19175)
      coupl(nGC_19436) = -coupl(nGC_19429) + coupl(nGC_19434)
      coupl(nGC_21032) = coupl(nGC_19729) + coupl(nGC_21027)
      coupl(nGC_19077) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*         &
                         dZmuMinusR_QED2 + coupl(nGC_13508)
      coupl(nGC_20722) = coupl(nGC_20717) + coupl(nGC_20721)
      coupl(nGC_19079) = coupl(nGC_19072) + coupl(nGC_19077)
      coupl(nGC_19329) = coupl(nGC_13414) + coupl(nGC_19326)
      coupl(nGC_23729) = coupl(nGC_19708) + coupl(nGC_23727)
      coupl(nGC_23728) = coupl(nGC_19708) + coupl(nGC_23726)
      coupl(nGC_30659) = -coupl(nGC_13084)
      coupl(nGC_30873) = -coupl(nGC_13085)
      coupl(nGC_13331) = (3d0*Nc*cima*coupl(nGC_10733)**2d0 - Nc*cima*coupl(   &
                         nGC_1257)**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_20)** &
                         2d0 - 3d0*Nc*coupl(nGC_10733)*coupl(nGC_1257)**2d0*sq2&
                         **2d0 - 3d0*Nc*coupl(nGC_1257)**2d0*coupl(nGC_20)*sq2 &
                         **2d0 + 9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0* &
                         pi**2d0)
      coupl(nGC_13330) = cima*sq2**4d0*(-Nc*coupl(nGC_1257)**4d0 - 15d0*coupl( &
                         nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_13333) = (cima*coupl(nGC_10733)**2d0 + 2d0*cima*coupl(nGC_10733&
                         )*coupl(nGC_20) - cima*coupl(nGC_1257)**4d0*sq2**4d0  &
                          + cima*coupl(nGC_20)**2d0 - 2d0*coupl(nGC_10733)*    &
                         coupl(nGC_1257)**2d0*sq2**2d0 - 2d0*coupl(nGC_1257)** &
                         2d0*coupl(nGC_20)*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_13332) = (-Nc*cima*coupl(nGC_10725)*coupl(nGC_10733) - Nc*cima*&
                         coupl(nGC_10725)*coupl(nGC_20) + Nc*cima*coupl(       &
                         nGC_1257)**4d0*sq2**4d0 + Nc*coupl(nGC_10725)*coupl(  &
                         nGC_1257)**2d0*sq2**2d0 + Nc*coupl(nGC_10733)*coupl(  &
                         nGC_1257)**2d0*sq2**2d0 + Nc*coupl(nGC_1257)**2d0*    &
                         coupl(nGC_20)*sq2**2d0 - cima*coupl(nGC_19)**4d0*sq2**&
                         4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13335) = (6d0*Nc*cima*coupl(nGC_10733)*coupl(nGC_20) - Nc*cima*&
                         coupl(nGC_1257)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_10733&
                         )*coupl(nGC_1257)**2d0*sq2**2d0 - 3d0*Nc*coupl(       &
                         nGC_1257)**2d0*coupl(nGC_20)*sq2**2d0 + 9d0*cima*coupl&
                         (nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_13337) = (6d0*Nc*cima*coupl(nGC_10733)*coupl(nGC_20) - Nc*cima*&
                         coupl(nGC_1257)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_10733&
                         )*coupl(nGC_1257)**2d0*sq2**2d0 + 9d0*cima*coupl(     &
                         nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_13336) = (3d0*Nc*cima*coupl(nGC_10733)**2d0 - Nc*cima*coupl(   &
                         nGC_1257)**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_20)** &
                         2d0 - 6d0*Nc*coupl(nGC_1257)**2d0*coupl(nGC_20)*sq2** &
                         2d0 + 9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi &
                         **2d0)
      coupl(nGC_20531) = coupl(nGC_20528) + coupl(nGC_20530)
      coupl(nGC_19885) = coupl(nGC_19729) + coupl(nGC_19883)
      coupl(nGC_19201) = coupl(nGC_13464) + coupl(nGC_73)*dZWMinus_QED2
      coupl(nGC_19466) = coupl(nGC_19459) + coupl(nGC_19465)
      coupl(nGC_20843) = coupl(nGC_19858) + coupl(nGC_20842)
      coupl(nGC_19730) = coupl(nGC_19728) + coupl(nGC_19729)
      coupl(nGC_20844) = coupl(nGC_19858) + coupl(nGC_20841)
      coupl(nGC_20874) = coupl(nGC_19729) + coupl(nGC_20868)
      coupl(nGC_19884) = coupl(nGC_19729) + coupl(nGC_19881)
      coupl(nGC_20443) = coupl(nGC_20441) + coupl(nGC_20442)
      coupl(nGC_21033) = coupl(nGC_19729) + coupl(nGC_21029)
      coupl(nGC_22481) = coupl(nGC_19729) + coupl(nGC_22479)
      coupl(nGC_22480) = coupl(nGC_19729) + coupl(nGC_22477)
      coupl(nGC_31014) = -coupl(nGC_13242)
      coupl(nGC_21542) = coupl(nGC_21539) + coupl(nGC_21541)
      coupl(nGC_19731) = coupl(nGC_19724) + coupl(nGC_19729)
      coupl(nGC_20873) = coupl(nGC_19729) + coupl(nGC_20870)
      coupl(nGC_22267) = -2d0*coupl(nGC_22256)
      coupl(nGC_31012) = -coupl(nGC_13243)
      coupl(nGC_20466) = 2d0*coupl(nGC_20461)
      coupl(nGC_20330) = coupl(nGC_19729) + coupl(nGC_20328)
      coupl(nGC_20329) = coupl(nGC_19729) + coupl(nGC_20326)
      coupl(nGC_19328) = coupl(nGC_19325) + coupl(nGC_19327)
      coupl(nGC_22280) = coupl(nGC_19708) + coupl(nGC_22278)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
