!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(4800)%branch(0:0))
      call av(4800, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(4801)%branch(0:0))
      call av(4801, 0, 30, 1, 0, FaVF0, 0, [0, 1], [nGC_99])

      allocate(vertices(4802)%branch(0:0))
      call av(4802, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4803)%branch(0:0))
      call av(4803, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_124, nGC_128])

      allocate(vertices(4804)%branch(0:0))
      call av(4804, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(4805)%branch(0:0))
      call av(4805, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_89])

      allocate(vertices(4806)%branch(0:0))
      call av(4806, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_122, nGC_125])

      allocate(vertices(4807)%branch(0:0))
      call av(4807, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_51])

      allocate(vertices(4808)%branch(0:0))
      call av(4808, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_73])

      allocate(vertices(4809)%branch(0:0))
      call av(4809, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_92])

      allocate(vertices(4810)%branch(0:0))
      call av(4810, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_93])

      allocate(vertices(4811)%branch(0:0))
      call av(4811, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_144])

      allocate(vertices(4812)%branch(0:0))
      call av(4812, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_62])

      allocate(vertices(4813)%branch(0:0))
      call av(4813, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_114])

      allocate(vertices(4814)%branch(0:0))
      call av(4814, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

      allocate(vertices(4815)%branch(0:0))
      call av(4815, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_99])

      allocate(vertices(4816)%branch(0:0))
      call av(4816, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_91])

      allocate(vertices(4817)%branch(0:0))
      call av(4817, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_73])

      allocate(vertices(4818)%branch(0:0))
      call av(4818, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(4819)%branch(0:0))
      call av(4819, 0, 19, 1, 0, SFFa0, 0, [0, 1], [nGC_220, nGC_220])

      allocate(vertices(4820)%branch(0:0))
      call av(4820, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_113, nGC_116, nGC_113])

      allocate(vertices(4821)%branch(0:0))
      call av(4821, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_83])

      allocate(vertices(4822)%branch(0:0))
      call av(4822, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_107])

      allocate(vertices(4823)%branch(0:0))
      call av(4823, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_120])

      allocate(vertices(4824)%branch(0:0))
      call av(4824, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_108])

      allocate(vertices(4825)%branch(0:0))
      call av(4825, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_82])

      allocate(vertices(4826)%branch(0:0))
      call av(4826, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_115])

      allocate(vertices(4827)%branch(0:0))
      call av(4827, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_73])

      allocate(vertices(4828)%branch(0:0))
      call av(4828, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_185])

      allocate(vertices(4829)%branch(0:0))
      call av(4829, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_85, nGC_84, nGC_84])

      allocate(vertices(4830)%branch(0:0))
      call av(4830, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_83])

      allocate(vertices(4831)%branch(0:0))
      call av(4831, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(4832)%branch(0:0))
      call av(4832, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4833)%branch(0:0))
      call av(4833, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_224, nGC_224])

      allocate(vertices(4834)%branch(0:0))
      call av(4834, 0, 31, 1, 0, FSFa0, 0, [0, 1], [nGC_605, nGC_194])

      allocate(vertices(4835)%branch(0:0))
      call av(4835, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_54])

      allocate(vertices(4836)%branch(0:0))
      call av(4836, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4837)%branch(0:0))
      call av(4837, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4838)%branch(0:0))
      call av(4838, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_54])

      allocate(vertices(4839)%branch(0:0))
      call av(4839, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_83])

      allocate(vertices(4840)%branch(0:0))
      call av(4840, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_114])

      allocate(vertices(4841)%branch(0:0))
      call av(4841, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_29])

      allocate(vertices(4842)%branch(0:0))
      call av(4842, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_111])

      allocate(vertices(4843)%branch(0:0))
      call av(4843, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(4844)%branch(0:0))
      call av(4844, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_119])

      allocate(vertices(4845)%branch(0:0))
      call av(4845, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_134])

      allocate(vertices(4846)%branch(0:0))
      call av(4846, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_16])

      allocate(vertices(4847)%branch(0:0))
      call av(4847, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_82])

      allocate(vertices(4848)%branch(0:0))
      call av(4848, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_83])

      allocate(vertices(4849)%branch(0:0))
      call av(4849, 0, 18, 1, 0, VFaF0, 0, [0, 1], [nGC_122, nGC_125])

      allocate(vertices(4850)%branch(0:0))
      call av(4850, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_54])

      allocate(vertices(4851)%branch(0:0))
      call av(4851, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_53])

      allocate(vertices(4852)%branch(0:0))
      call av(4852, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_199, nGC_199])

      allocate(vertices(4853)%branch(0:0))
      call av(4853, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_134])

      allocate(vertices(4854)%branch(0:0))
      call av(4854, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_84, nGC_85, nGC_86])

      allocate(vertices(4855)%branch(0:0))
      call av(4855, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_66])

      allocate(vertices(4856)%branch(0:0))
      call av(4856, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_13])

      allocate(vertices(4857)%branch(0:0))
      call av(4857, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_111])

      allocate(vertices(4858)%branch(0:0))
      call av(4858, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_113])

      allocate(vertices(4859)%branch(0:0))
      call av(4859, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_107])

      allocate(vertices(4860)%branch(0:0))
      call av(4860, 0, 1, 1, 0, FaFS1, 0, [0, 1], [nGC_221])

      allocate(vertices(4861)%branch(0:0))
      call av(4861, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_7])

      allocate(vertices(4862)%branch(0:0))
      call av(4862, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_16])

      allocate(vertices(4863)%branch(0:0))
      call av(4863, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_16])

      allocate(vertices(4864)%branch(0:0))
      call av(4864, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

      allocate(vertices(4865)%branch(0:0))
      call av(4865, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_203, nGC_203])

      allocate(vertices(4866)%branch(0:0))
      call av(4866, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_16])

      allocate(vertices(4867)%branch(0:0))
      call av(4867, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4868)%branch(0:0))
      call av(4868, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_109])

      allocate(vertices(4869)%branch(0:0))
      call av(4869, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_150])

      allocate(vertices(4870)%branch(0:0))
      call av(4870, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_110])

      allocate(vertices(4871)%branch(0:0))
      call av(4871, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_8, nGC_8, nGC_9])

      allocate(vertices(4872)%branch(0:0))
      call av(4872, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_137])

      allocate(vertices(4873)%branch(0:0))
      call av(4873, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_47])

      allocate(vertices(4874)%branch(0:0))
      call av(4874, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_152])

      allocate(vertices(4875)%branch(0:0))
      call av(4875, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_151])

      allocate(vertices(4876)%branch(0:0))
      call av(4876, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_99])

      allocate(vertices(4877)%branch(0:0))
      call av(4877, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_84])

      allocate(vertices(4878)%branch(0:0))
      call av(4878, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_111])

      allocate(vertices(4879)%branch(0:0))
      call av(4879, 0, 19, 1, 0, VFFa0, 0, [0, 1], [nGC_122, nGC_125])

      allocate(vertices(4880)%branch(0:0))
      call av(4880, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_93])

      allocate(vertices(4881)%branch(0:0))
      call av(4881, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_114])

      allocate(vertices(4882)%branch(0:0))
      call av(4882, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4883)%branch(0:0))
      call av(4883, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_72])

      allocate(vertices(4884)%branch(0:0))
      call av(4884, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_88])

      allocate(vertices(4885)%branch(0:0))
      call av(4885, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_208, nGC_208])

      allocate(vertices(4886)%branch(0:0))
      call av(4886, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_62])

      allocate(vertices(4887)%branch(0:0))
      call av(4887, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4888)%branch(0:0))
      call av(4888, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_134])

      allocate(vertices(4889)%branch(0:0))
      call av(4889, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_84, nGC_84, nGC_85])

      allocate(vertices(4890)%branch(0:0))
      call av(4890, 0, 19, 1, 0, SFFa0, 0, [0, 1], [nGC_227, nGC_227])

      allocate(vertices(4891)%branch(0:0))
      call av(4891, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_201, nGC_225])

      allocate(vertices(4892)%branch(0:0))
      call av(4892, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_148])

      allocate(vertices(4893)%branch(0:0))
      call av(4893, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_74])

      allocate(vertices(4894)%branch(0:0))
      call av(4894, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_99])

      allocate(vertices(4895)%branch(0:0))
      call av(4895, 0, 1, 1, 0, SFFa0, 0, [0, 1], [nGC_687, nGC_210])

      allocate(vertices(4896)%branch(0:0))
      call av(4896, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(4897)%branch(0:0))
      call av(4897, 0, 19, 1, 0, VFFa0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(4898)%branch(0:0))
      call av(4898, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(4899)%branch(0:0))
      call av(4899, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_184])

      allocate(vertices(4900)%branch(0:0))
      call av(4900, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_120])

      allocate(vertices(4901)%branch(0:0))
      call av(4901, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_86])

      allocate(vertices(4902)%branch(0:0))
      call av(4902, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

      allocate(vertices(4903)%branch(0:0))
      call av(4903, 0, 1, 1, 0, VSS2, 0, [0, 1], [nGC_128, nGC_127])

      allocate(vertices(4904)%branch(0:0))
      call av(4904, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_10])

      allocate(vertices(4905)%branch(0:0))
      call av(4905, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

      allocate(vertices(4906)%branch(0:0))
      call av(4906, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_59])

      allocate(vertices(4907)%branch(0:0))
      call av(4907, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_111])

      allocate(vertices(4908)%branch(0:0))
      call av(4908, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_107])

      allocate(vertices(4909)%branch(0:0))
      call av(4909, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_155])

      allocate(vertices(4910)%branch(0:0))
      call av(4910, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_121])

      allocate(vertices(4911)%branch(0:0))
      call av(4911, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_91])

      allocate(vertices(4912)%branch(0:0))
      call av(4912, 0, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_605, nGC_194])

      allocate(vertices(4913)%branch(0:0))
      call av(4913, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_162])

      allocate(vertices(4914)%branch(0:0))
      call av(4914, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_62])

      allocate(vertices(4915)%branch(0:0))
      call av(4915, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_86])

      allocate(vertices(4916)%branch(0:0))
      call av(4916, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_124, nGC_128])

      allocate(vertices(4917)%branch(0:0))
      call av(4917, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_73])

      allocate(vertices(4918)%branch(0:0))
      call av(4918, 0, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_219, nGC_219])

      allocate(vertices(4919)%branch(0:5))
      call av(4919, 0, 59, 4, 0, UVVUa0, 0, [2, 0], [nGC_21])

      call av(4919, 1, 58, 4, 0, UVVUa0, 0, [2, 0], [nGC_21])

      call av(4919, 2, 57, 4, 0, UVVUa0, 0, [2, 0], [nGC_21])

      call av(4919, 3, 56, 4, 0, UVVUa0, 0, [2, 0], [nGC_21])

      call av(4919, 4, 61, 5, 0, UVVUa0, 0, [2, 0], [nGC_3125])

      call av(4919, 5, 60, 5, 0, UVVUa0, 0, [2, 0], [nGC_3125])

      allocate(vertices(4920)%branch(0:0))
      call av(4920, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_30])

      allocate(vertices(4921)%branch(0:0))
      call av(4921, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_4])

      allocate(vertices(4922)%branch(0:0))
      call av(4922, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_65])

      allocate(vertices(4923)%branch(0:0))
      call av(4923, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_101])

      allocate(vertices(4924)%branch(0:0))
      call av(4924, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4925)%branch(0:0))
      call av(4925, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_71])

      allocate(vertices(4926)%branch(0:0))
      call av(4926, 0, 19, 1, 0, VFFa0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(4927)%branch(0:0))
      call av(4927, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

      allocate(vertices(4928)%branch(0:0))
      call av(4928, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_1957, nGC_222])

      allocate(vertices(4929)%branch(0:0))
      call av(4929, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_113])

      allocate(vertices(4930)%branch(0:0))
      call av(4930, 0, 30, 1, 0, FaVF1, 0, [0, 1], [nGC_123, nGC_126])

      allocate(vertices(4931)%branch(0:0))
      call av(4931, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_56])

      allocate(vertices(4932)%branch(0:0))
      call av(4932, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_83])

      allocate(vertices(4933)%branch(0:0))
      call av(4933, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_73])

      allocate(vertices(4934)%branch(0:0))
      call av(4934, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_98])

      allocate(vertices(4935)%branch(0:0))
      call av(4935, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4936)%branch(0:0))
      call av(4936, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_83])

      allocate(vertices(4937)%branch(0:0))
      call av(4937, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_83])

      allocate(vertices(4938)%branch(0:0))
      call av(4938, 0, 1, 1, 0, VVV0, 0, [0, 1], [nGC_3, nGC_4])

      allocate(vertices(4939)%branch(0:0))
      call av(4939, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_77])

      allocate(vertices(4940)%branch(0:0))
      call av(4940, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(4941)%branch(0:0))
      call av(4941, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_113])

      allocate(vertices(4942)%branch(0:0))
      call av(4942, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_132])

      allocate(vertices(4943)%branch(0:0))
      call av(4943, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_92])

      allocate(vertices(4944)%branch(0:0))
      call av(4944, 0, 19, 1, 0, SFFa0, 0, [0, 1], [nGC_200, nGC_200])

      allocate(vertices(4945)%branch(0:0))
      call av(4945, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_86])

      allocate(vertices(4946)%branch(0:0))
      call av(4946, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_96])

      allocate(vertices(4947)%branch(0:0))
      call av(4947, 0, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_605, nGC_194])

      allocate(vertices(4948)%branch(0:0))
      call av(4948, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_14])

      allocate(vertices(4949)%branch(0:0))
      call av(4949, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_1177, nGC_226])

      allocate(vertices(4950)%branch(0:0))
      call av(4950, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_114])

      allocate(vertices(4951)%branch(0:0))
      call av(4951, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(4952)%branch(0:0))
      call av(4952, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_86])

      allocate(vertices(4953)%branch(0:0))
      call av(4953, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_71])

      allocate(vertices(4954)%branch(0:0))
      call av(4954, 0, 19, 1, 0, VFFa0, 0, [0, 1], [nGC_123, nGC_126])

      allocate(vertices(4955)%branch(0:0))
      call av(4955, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_113])

      allocate(vertices(4956)%branch(0:0))
      call av(4956, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_54])

      allocate(vertices(4957)%branch(0:0))
      call av(4957, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_157])

      allocate(vertices(4958)%branch(0:0))
      call av(4958, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_132])

      allocate(vertices(4959)%branch(0:0))
      call av(4959, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_171])

      allocate(vertices(4960)%branch(0:0))
      call av(4960, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_70])

      allocate(vertices(4961)%branch(0:0))
      call av(4961, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_108])

      allocate(vertices(4962)%branch(0:0))
      call av(4962, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_110])

      allocate(vertices(4963)%branch(0:0))
      call av(4963, 0, 1, 1, 0, SFFa1, 0, [0, 1], [nGC_205])

      allocate(vertices(4964)%branch(0:0))
      call av(4964, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_115])

      allocate(vertices(4965)%branch(0:0))
      call av(4965, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_10])

      allocate(vertices(4966)%branch(0:0))
      call av(4966, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_184])

      allocate(vertices(4967)%branch(0:0))
      call av(4967, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_73])

      allocate(vertices(4968)%branch(0:0))
      call av(4968, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_114])

      allocate(vertices(4969)%branch(0:0))
      call av(4969, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_107])

      allocate(vertices(4970)%branch(0:0))
      call av(4970, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_111])

      allocate(vertices(4971)%branch(0:0))
      call av(4971, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_115])

      allocate(vertices(4972)%branch(0:0))
      call av(4972, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_146])

      allocate(vertices(4973)%branch(0:0))
      call av(4973, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

      allocate(vertices(4974)%branch(0:0))
      call av(4974, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_138])

      allocate(vertices(4975)%branch(0:0))
      call av(4975, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_134])

      allocate(vertices(4976)%branchCT(0:0))
      call avCT(4976, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(2397)%branchCT(0:0))
      call avCT(2397, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2398)%branchCT(0:0))
      call avCT(2398, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19079, nGC_19080])

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2977)%branchCT(0:0))
      call avCT(2977, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2399)%branchCT(0:0))
      call avCT(2399, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4977)%branchCT(0:0))
      call avCT(4977, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_19094])

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3046)%branchCT(0:1))
      call avCT(3046, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19114, nGC_19113])

      call avCT(3046, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19116, nGC_19115])

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(2404)%branchCT(0:0))
      call avCT(2404, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19126])

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13381])

      allocate(vertices(2408)%branchCT(0:0))
      call avCT(2408, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2269)%branchCT(0:0))
      call avCT(2269, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(4947)%branchCT(0:1))
      call avCT(4947, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19142, nGC_19143])

      call avCT(4947, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19144, nGC_19145])

      allocate(vertices(94)%branchCT(0:0))
      call avCT(94, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19155,       &
      nGC_19154])

      allocate(vertices(2411)%branchCT(0:0))
      call avCT(2411, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2412)%branchCT(0:1))
      call avCT(2412, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19166, nGC_19166])

      call avCT(2412, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19167, nGC_19167])

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(113)%branchCT(0:0))
      call avCT(113, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19176, nGC_19177])

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4978)%branchCT(0:0))
      call avCT(4978, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2419)%branchCT(0:0))
      call avCT(2419, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4529)%branchCT(0:0))
      call avCT(4529, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19154, nGC_19155,     &
      nGC_19155])

      allocate(vertices(4979)%branchCT(0:0))
      call avCT(4979, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19198])

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(4980)%branchCT(0:0))
      call avCT(4980, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_19213, nGC_19208,     &
      nGC_19215, nGC_19215])

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2423)%branchCT(0:0))
      call avCT(2423, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19222])

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19231])

      allocate(vertices(2428)%branchCT(0:0))
      call avCT(2428, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_19236])

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(32)%branchCT(0:1))
      call avCT(32, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19261, nGC_19262])

      call avCT(32, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19263, nGC_19264])

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(2437)%branchCT(0:0))
      call avCT(2437, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19272])

      allocate(vertices(2009)%branchCT(0:0))
      call avCT(2009, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(2440)%branchCT(0:0))
      call avCT(2440, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(4981)%branchCT(0:0))
      call avCT(4981, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_19289])

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(45)%branchCT(0:1))
      call avCT(45, 0, 31, 1, 0, FVFa0, 0, [0, 3], [nGC_19299])

      call avCT(45, 1, 31, 1, 0, FVFa0, 0, [2, 1], [nGC_19298])

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_19306])

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19311])

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2447)%branchCT(0:0))
      call avCT(2447, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3680)%branchCT(0:1))
      call avCT(3680, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19328, nGC_19328])

      call avCT(3680, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19329, nGC_19329])

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(4982)%branchCT(0:0))
      call avCT(4982, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_19339, nGC_19334])

      allocate(vertices(4537)%branchCT(0:0))
      call avCT(4537, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19351])

      allocate(vertices(4881)%branchCT(0:0))
      call avCT(4881, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2452)%branchCT(0:0))
      call avCT(2452, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3933)%branchCT(0:0))
      call avCT(3933, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19371, nGC_19372])

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19382])

      allocate(vertices(1587)%branchCT(0:0))
      call avCT(1587, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19394])

      allocate(vertices(4902)%branchCT(0:0))
      call avCT(4902, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19403])

      allocate(vertices(4108)%branchCT(0:0))
      call avCT(4108, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19408])

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19415, nGC_19415])

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19311])

      allocate(vertices(2469)%branchCT(0:0))
      call avCT(2469, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13344])

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_19436, nGC_19437])

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(76)%branchCT(0:0))
      call avCT(76, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13370])

      allocate(vertices(4271)%branchCT(0:0))
      call avCT(4271, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_19452, nGC_19453])

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(79)%branchCT(0:1))
      call avCT(79, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19466, nGC_19466])

      call avCT(79, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19467, nGC_19467])

      allocate(vertices(2477)%branchCT(0:0))
      call avCT(2477, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19470])

      allocate(vertices(4540)%branchCT(0:0))
      call avCT(4540, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2481)%branchCT(0:0))
      call avCT(2481, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19477])

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(2483)%branchCT(0:0))
      call avCT(2483, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19483])

      allocate(vertices(4353)%branchCT(0:0))
      call avCT(4353, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(559)%branchCT(0:0))
      call avCT(559, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19488])

      allocate(vertices(2487)%branchCT(0:0))
      call avCT(2487, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19494])

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(3234)%branchCT(0:0))
      call avCT(3234, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(89)%branchCT(0:0))
      call avCT(89, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19126])

      allocate(vertices(2073)%branchCT(0:0))
      call avCT(2073, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(91)%branchCT(0:0))
      call avCT(91, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(2492)%branchCT(0:0))
      call avCT(2492, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2410)%branchCT(0:0))
      call avCT(2410, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19391])

      allocate(vertices(2495)%branchCT(0:0))
      call avCT(2495, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19521, nGC_19522])

      allocate(vertices(4414)%branchCT(0:0))
      call avCT(4414, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2497)%branchCT(0:0))
      call avCT(2497, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(4983)%branchCT(0:0))
      call avCT(4983, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(99)%branchCT(0:1))
      call avCT(99, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19544, nGC_19545])

      call avCT(99, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19546, nGC_19547])

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19557])

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4083)%branchCT(0:0))
      call avCT(4083, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(104)%branchCT(0:1))
      call avCT(104, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19572, nGC_19573])

      call avCT(104, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19574, nGC_19575])

      allocate(vertices(2505)%branchCT(0:0))
      call avCT(2505, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19408])

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19584, nGC_19585])

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(1046)%branchCT(0:0))
      call avCT(1046, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2517)%branchCT(0:0))
      call avCT(2517, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(2518)%branchCT(0:0))
      call avCT(2518, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(4157)%branchCT(0:0))
      call avCT(4157, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19601])

      allocate(vertices(3214)%branchCT(0:0))
      call avCT(3214, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2524)%branchCT(0:0))
      call avCT(2524, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2525)%branchCT(0:0))
      call avCT(2525, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2528)%branchCT(0:1))
      call avCT(2528, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19622, nGC_19623])

      call avCT(2528, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19624, nGC_19625])

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19631, nGC_19632])

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19640])

      allocate(vertices(2533)%branchCT(0:0))
      call avCT(2533, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(127)%branchCT(0:1))
      call avCT(127, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19653, nGC_19653])

      call avCT(127, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19654, nGC_19654])

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2536)%branchCT(0:0))
      call avCT(2536, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19662])

      allocate(vertices(2537)%branchCT(0:0))
      call avCT(2537, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2417)%branchCT(0:0))
      call avCT(2417, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4779)%branchCT(0:0))
      call avCT(4779, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3539)%branchCT(0:0))
      call avCT(3539, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(132)%branchCT(0:1))
      call avCT(132, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_19686, nGC_19687])

      call avCT(132, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_19679, nGC_19682])

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2541)%branchCT(0:0))
      call avCT(2541, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19693])

      allocate(vertices(2542)%branchCT(0:0))
      call avCT(2542, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2543)%branchCT(0:0))
      call avCT(2543, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2544)%branchCT(0:0))
      call avCT(2544, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(2545)%branchCT(0:1))
      call avCT(2545, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_19717, nGC_19718])

      call avCT(2545, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_19711, nGC_19714])

      allocate(vertices(2546)%branchCT(0:0))
      call avCT(2546, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(137)%branchCT(0:3))
      call avCT(137, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(137, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_19730, nGC_19731])

      call avCT(137, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(137, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_19730, nGC_19731])

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2550)%branchCT(0:0))
      call avCT(2550, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19747, nGC_19747])

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(140)%branchCT(0:1))
      call avCT(140, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19261, nGC_19262])

      call avCT(140, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19263, nGC_19264])

      allocate(vertices(927)%branchCT(0:0))
      call avCT(927, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(141)%branchCT(0:0))
      call avCT(141, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(142)%branchCT(0:1))
      call avCT(142, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19770, nGC_19770])

      call avCT(142, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19772, nGC_19772])

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(3247)%branchCT(0:0))
      call avCT(3247, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4984)%branchCT(0:0))
      call avCT(4984, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(4092)%branchCT(0:0))
      call avCT(4092, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19154,     &
      nGC_19155])

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19794, nGC_19794,      &
      nGC_19793])

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3664)%branchCT(0:0))
      call avCT(3664, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19382])

      allocate(vertices(2560)%branchCT(0:0))
      call avCT(2560, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19306])

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1002)%branchCT(0:0))
      call avCT(1002, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(155)%branchCT(0:1))
      call avCT(155, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_19824, nGC_19825])

      call avCT(155, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_19818, nGC_19821])

      allocate(vertices(4590)%branchCT(0:0))
      call avCT(4590, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19828])

      allocate(vertices(4045)%branchCT(0:0))
      call avCT(4045, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(2830)%branchCT(0:1))
      call avCT(2830, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19167, nGC_19167])

      call avCT(2830, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19166, nGC_19166])

      allocate(vertices(2562)%branchCT(0:0))
      call avCT(2562, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19394])

      allocate(vertices(3666)%branchCT(0:0))
      call avCT(3666, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19844])

      allocate(vertices(4604)%branchCT(0:0))
      call avCT(4604, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2564)%branchCT(0:1))
      call avCT(2564, 0, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_19852, nGC_19849])

      call avCT(2564, 1, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_19859, nGC_19860])

      allocate(vertices(157)%branchCT(0:0))
      call avCT(157, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2566)%branchCT(0:0))
      call avCT(2566, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19867])

      allocate(vertices(2567)%branchCT(0:0))
      call avCT(2567, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(1040)%branchCT(0:0))
      call avCT(1040, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19231])

      allocate(vertices(2571)%branchCT(0:3))
      call avCT(2571, 0, 24, 2, 0, FVFa1, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(2571, 1, 24, 2, 0, FVFa1, 0, [3, 0], [nGC_19884, nGC_19885])

      call avCT(2571, 2, 25, 3, 0, FVFa1, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(2571, 3, 25, 3, 0, FVFa1, 0, [3, 0], [nGC_19884, nGC_19885])

      allocate(vertices(2422)%branchCT(0:0))
      call avCT(2422, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(3250)%branchCT(0:0))
      call avCT(3250, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19898])

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19477])

      allocate(vertices(4097)%branchCT(0:0))
      call avCT(4097, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19126])

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19916, nGC_19917])

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(4985)%branchCT(0:0))
      call avCT(4985, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_19922, nGC_19923])

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19930, nGC_19931,      &
      nGC_19930])

      allocate(vertices(2581)%branchCT(0:1))
      call avCT(2581, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19938, nGC_19933])

      call avCT(2581, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19942, nGC_19943])

      allocate(vertices(1110)%branchCT(0:0))
      call avCT(1110, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2583)%branchCT(0:0))
      call avCT(2583, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2584)%branchCT(0:0))
      call avCT(2584, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(2585)%branchCT(0:0))
      call avCT(2585, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19959])

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(2587)%branchCT(0:0))
      call avCT(2587, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(2307)%branchCT(0:0))
      call avCT(2307, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(2590)%branchCT(0:0))
      call avCT(2590, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19969])

      allocate(vertices(2592)%branchCT(0:0))
      call avCT(2592, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19333])

      allocate(vertices(2593)%branchCT(0:0))
      call avCT(2593, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19311])

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19391])

      allocate(vertices(2601)%branchCT(0:1))
      call avCT(2601, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19686, nGC_19687])

      call avCT(2601, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19679, nGC_19682])

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(2604)%branchCT(0:0))
      call avCT(2604, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(2606)%branchCT(0:0))
      call avCT(2606, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4986)%branchCT(0:0))
      call avCT(4986, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20010])

      allocate(vertices(2609)%branchCT(0:0))
      call avCT(2609, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(4987)%branchCT(0:1))
      call avCT(4987, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_20025, nGC_20017,     &
      nGC_20028, nGC_20028])

      call avCT(4987, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_20026, nGC_20018,     &
      nGC_20029, nGC_20029])

      allocate(vertices(1234)%branchCT(0:0))
      call avCT(1234, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_20037])

      allocate(vertices(1673)%branchCT(0:0))
      call avCT(1673, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(2616)%branchCT(0:0))
      call avCT(2616, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4988)%branchCT(0:0))
      call avCT(4988, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19198])

      allocate(vertices(4044)%branchCT(0:0))
      call avCT(4044, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2618)%branchCT(0:1))
      call avCT(2618, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_20053])

      call avCT(2618, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_20052])

      allocate(vertices(3103)%branchCT(0:0))
      call avCT(3103, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1286)%branchCT(0:0))
      call avCT(1286, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(1279)%branchCT(0:0))
      call avCT(1279, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(2622)%branchCT(0:0))
      call avCT(2622, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(2623)%branchCT(0:0))
      call avCT(2623, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13370])

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1236)%branchCT(0:1))
      call avCT(1236, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_19859, nGC_19860])

      call avCT(1236, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_19852, nGC_19849])

      allocate(vertices(1219)%branchCT(0:0))
      call avCT(1219, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4989)%branchCT(0:0))
      call avCT(4989, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(2625)%branchCT(0:0))
      call avCT(2625, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19916, nGC_19917])

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(2626)%branchCT(0:0))
      call avCT(2626, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_20091])

      allocate(vertices(2627)%branchCT(0:0))
      call avCT(2627, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19231])

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20106, nGC_20107])

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19488])

      allocate(vertices(2635)%branchCT(0:0))
      call avCT(2635, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20121, nGC_20122])

      allocate(vertices(1849)%branchCT(0:0))
      call avCT(1849, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4608)%branchCT(0:0))
      call avCT(4608, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19408])

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1364)%branchCT(0:0))
      call avCT(1364, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2640)%branchCT(0:0))
      call avCT(2640, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19953])

      allocate(vertices(1376)%branchCT(0:1))
      call avCT(1376, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_20158, nGC_20159])

      call avCT(1376, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_20150, nGC_20153])

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4566)%branchCT(0:0))
      call avCT(4566, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(2643)%branchCT(0:0))
      call avCT(2643, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1393)%branchCT(0:0))
      call avCT(1393, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(1500)%branchCT(0:0))
      call avCT(1500, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1439)%branchCT(0:1))
      call avCT(1439, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_20191, nGC_20192])

      call avCT(1439, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_20193, nGC_20194])

      allocate(vertices(2921)%branchCT(0:0))
      call avCT(2921, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2651)%branchCT(0:0))
      call avCT(2651, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19408])

      allocate(vertices(232)%branchCT(0:1))
      call avCT(232, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19717, nGC_19718])

      call avCT(232, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19711, nGC_19714])

      allocate(vertices(3527)%branchCT(0:0))
      call avCT(3527, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13344])

      allocate(vertices(234)%branchCT(0:1))
      call avCT(234, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_20221, nGC_20221])

      call avCT(234, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_20222, nGC_20222])

      allocate(vertices(2653)%branchCT(0:0))
      call avCT(2653, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2654)%branchCT(0:0))
      call avCT(2654, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(237)%branchCT(0:1))
      call avCT(237, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_20236])

      call avCT(237, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_20235])

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2656)%branchCT(0:0))
      call avCT(2656, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_20037])

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(242)%branchCT(0:1))
      call avCT(242, 0, 30, 1, 0, FaVF0, 0, [0, 3], [nGC_20236])

      call avCT(242, 1, 30, 1, 0, FaVF0, 0, [2, 1], [nGC_20235])

      allocate(vertices(1529)%branchCT(0:0))
      call avCT(1529, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(245)%branchCT(0:1))
      call avCT(245, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_19686, nGC_19687])

      call avCT(245, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_19679, nGC_19682])

      allocate(vertices(4990)%branchCT(0:0))
      call avCT(4990, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20274])

      allocate(vertices(2662)%branchCT(0:0))
      call avCT(2662, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1558)%branchCT(0:0))
      call avCT(1558, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2436)%branchCT(0:0))
      call avCT(2436, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1566)%branchCT(0:0))
      call avCT(1566, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(250)%branchCT(0:1))
      call avCT(250, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_20296, nGC_20297])

      call avCT(250, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_20290, nGC_20293])

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(252)%branchCT(0:1))
      call avCT(252, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20305, nGC_20300])

      call avCT(252, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20309, nGC_20310])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(1591)%branchCT(0:0))
      call avCT(1591, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13370])

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(1607)%branchCT(0:0))
      call avCT(1607, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2670)%branchCT(0:3))
      call avCT(2670, 0, 24, 2, 0, FVFa1, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(2670, 1, 24, 2, 0, FVFa1, 0, [3, 0], [nGC_20329, nGC_20330])

      call avCT(2670, 2, 25, 3, 0, FVFa1, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(2670, 3, 25, 3, 0, FVFa1, 0, [3, 0], [nGC_20329, nGC_20330])

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(4991)%branchCT(0:0))
      call avCT(4991, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19198])

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(2675)%branchCT(0:0))
      call avCT(2675, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19333])

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19351])

      allocate(vertices(3076)%branchCT(0:0))
      call avCT(3076, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4754)%branchCT(0:0))
      call avCT(4754, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13344])

      allocate(vertices(2677)%branchCT(0:0))
      call avCT(2677, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19176, nGC_19177])

      allocate(vertices(1227)%branchCT(0:0))
      call avCT(1227, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(2679)%branchCT(0:0))
      call avCT(2679, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_20371, nGC_20372])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19154,     &
      nGC_19155])

      allocate(vertices(2683)%branchCT(0:1))
      call avCT(2683, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19142, nGC_19143])

      call avCT(2683, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19144, nGC_19145])

      allocate(vertices(2684)%branchCT(0:0))
      call avCT(2684, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(2685)%branchCT(0:0))
      call avCT(2685, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(2686)%branchCT(0:1))
      call avCT(2686, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_20193, nGC_20194])

      call avCT(2686, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_20191, nGC_20192])

      allocate(vertices(959)%branchCT(0:0))
      call avCT(959, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_20408])

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(272)%branchCT(0:1))
      call avCT(272, 0, 30, 1, 0, FaVF0, 0, [0, 3], [nGC_20053])

      call avCT(272, 1, 30, 1, 0, FaVF0, 0, [2, 1], [nGC_20052])

      allocate(vertices(1924)%branchCT(0:0))
      call avCT(1924, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19453, nGC_19452])

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19155,     &
      nGC_19154])

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19280])

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_20443, nGC_20443])

      allocate(vertices(2694)%branchCT(0:0))
      call avCT(2694, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(2695)%branchCT(0:0))
      call avCT(2695, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_20454])

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(845)%branchCT(0:5))
      call avCT(845, 0, 77, 4, 0, VVUaU0, 0, [4, 0], [nGC_20461])

      call avCT(845, 1, 76, 4, 0, VVUaU0, 0, [4, 0], [nGC_20461])

      call avCT(845, 2, 79, 5, 0, VVUaU0, 0, [4, 0], [nGC_20466])

      call avCT(845, 3, 78, 5, 0, VVUaU0, 0, [4, 0], [nGC_20466])

      call avCT(845, 4, 75, 4, 0, VVUaU0, 0, [4, 0], [nGC_20461])

      call avCT(845, 5, 74, 4, 0, VVUaU0, 0, [4, 0], [nGC_20461])

      allocate(vertices(2696)%branchCT(0:0))
      call avCT(2696, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19272])

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_20479])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_20482])

      allocate(vertices(1772)%branchCT(0:0))
      call avCT(1772, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(2699)%branchCT(0:0))
      call avCT(2699, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1778)%branchCT(0:0))
      call avCT(1778, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_20408])

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1822)%branchCT(0:0))
      call avCT(1822, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(2701)%branchCT(0:0))
      call avCT(2701, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4629)%branchCT(0:0))
      call avCT(4629, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(1639)%branchCT(0:0))
      call avCT(1639, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2443)%branchCT(0:0))
      call avCT(2443, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1250)%branchCT(0:0))
      call avCT(1250, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19867])

      allocate(vertices(4580)%branchCT(0:0))
      call avCT(4580, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4992)%branchCT(0:0))
      call avCT(4992, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_20529, nGC_20527,     &
      nGC_20531, nGC_20531])

      allocate(vertices(294)%branchCT(0:1))
      call avCT(294, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_20540, nGC_20540])

      call avCT(294, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_20542, nGC_20542])

      allocate(vertices(1853)%branchCT(0:0))
      call avCT(1853, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20545])

      allocate(vertices(2064)%branchCT(0:1))
      call avCT(2064, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19328, nGC_19328])

      call avCT(2064, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19329, nGC_19329])

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3093)%branchCT(0:0))
      call avCT(3093, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19351])

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(3689)%branchCT(0:0))
      call avCT(3689, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2714)%branchCT(0:3))
      call avCT(2714, 0, 20, 2, 0, FaFV1, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(2714, 1, 20, 2, 0, FaFV1, 0, [3, 0], [nGC_19730, nGC_19731])

      call avCT(2714, 2, 21, 3, 0, FaFV1, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(2714, 3, 21, 3, 0, FaFV1, 0, [3, 0], [nGC_19730, nGC_19731])

      allocate(vertices(2715)%branchCT(0:1))
      call avCT(2715, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19467, nGC_19467])

      call avCT(2715, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19466, nGC_19466])

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(4993)%branchCT(0:0))
      call avCT(4993, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_20610, nGC_20611])

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19280])

      allocate(vertices(1917)%branchCT(0:0))
      call avCT(1917, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19494])

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19177, nGC_19176])

      allocate(vertices(4585)%branchCT(0:0))
      call avCT(4585, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1601)%branchCT(0:0))
      call avCT(1601, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4916)%branchCT(0:0))
      call avCT(4916, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20371, nGC_20372])

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13370])

      allocate(vertices(4994)%branchCT(0:0))
      call avCT(4994, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_20642, nGC_20637])

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20646])

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(1940)%branchCT(0:5))
      call avCT(1940, 0, 64, 4, 0, VUaVU0, 0, [4, 0], [nGC_20461])

      call avCT(1940, 1, 62, 4, 0, VUaVU0, 0, [4, 0], [nGC_20461])

      call avCT(1940, 2, 67, 5, 0, VUaVU0, 0, [4, 0], [nGC_20466])

      call avCT(1940, 3, 66, 5, 0, VUaVU0, 0, [4, 0], [nGC_20466])

      call avCT(1940, 4, 65, 4, 0, VUaVU0, 0, [4, 0], [nGC_20461])

      call avCT(1940, 5, 63, 4, 0, VUaVU0, 0, [4, 0], [nGC_20461])

      allocate(vertices(4995)%branchCT(0:0))
      call avCT(4995, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20662])

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4334)%branchCT(0:0))
      call avCT(4334, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19477])

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4579)%branchCT(0:0))
      call avCT(4579, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19177, nGC_19176])

      allocate(vertices(1645)%branchCT(0:0))
      call avCT(1645, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2446)%branchCT(0:0))
      call avCT(2446, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19631, nGC_19632])

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4666)%branchCT(0:0))
      call avCT(4666, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1647)%branchCT(0:0))
      call avCT(1647, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3697)%branchCT(0:0))
      call avCT(3697, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20722, nGC_20722])

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19483])

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(2745)%branchCT(0:1))
      call avCT(2745, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_20747, nGC_20747])

      call avCT(2745, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_20748, nGC_20748])

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19898])

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_20758, nGC_20758])

      allocate(vertices(4132)%branchCT(0:0))
      call avCT(4132, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(2865)%branchCT(0:0))
      call avCT(2865, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2751)%branchCT(0:1))
      call avCT(2751, 0, 2, 6, 0, UaUV0, 0, [3, 0], [nGC_20774])

      call avCT(2751, 1, 3, 7, 0, UaUV0, 0, [3, 0], [nGC_20774])

      allocate(vertices(461)%branchCT(0:0))
      call avCT(461, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1239)%branchCT(0:0))
      call avCT(1239, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2118)%branchCT(0:0))
      call avCT(2118, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_20798, nGC_20799])

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(4996)%branchCT(0:0))
      call avCT(4996, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2148)%branchCT(0:0))
      call avCT(2148, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_20408])

      allocate(vertices(1651)%branchCT(0:0))
      call avCT(1651, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_20758, nGC_20758])

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13381])

      allocate(vertices(2061)%branchCT(0:0))
      call avCT(2061, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3603)%branchCT(0:0))
      call avCT(3603, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(350)%branchCT(0:1))
      call avCT(350, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_20843, nGC_20844])

      call avCT(350, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_20837, nGC_20834])

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

      allocate(vertices(4005)%branchCT(0:0))
      call avCT(4005, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(4813)%branchCT(0:0))
      call avCT(4813, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(4400)%branchCT(0:0))
      call avCT(4400, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2772)%branchCT(0:3))
      call avCT(2772, 0, 28, 2, 0, VFFa0, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(2772, 1, 28, 2, 0, VFFa0, 0, [3, 0], [nGC_20873, nGC_20874])

      call avCT(2772, 2, 29, 3, 0, VFFa0, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(2772, 3, 29, 3, 0, VFFa0, 0, [3, 0], [nGC_20873, nGC_20874])

      allocate(vertices(2223)%branchCT(0:0))
      call avCT(2223, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_20891, nGC_20892])

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4997)%branchCT(0:0))
      call avCT(4997, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19923, nGC_19922])

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(2248)%branchCT(0:0))
      call avCT(2248, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2257)%branchCT(0:0))
      call avCT(2257, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_20722, nGC_20722])

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19828])

      allocate(vertices(4998)%branchCT(0:0))
      call avCT(4998, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19922, nGC_19923])

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(4626)%branchCT(0:0))
      call avCT(4626, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20121, nGC_20122])

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19930, nGC_19931,     &
      nGC_19930])

      allocate(vertices(2329)%branchCT(0:0))
      call avCT(2329, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19477])

      allocate(vertices(2349)%branchCT(0:0))
      call avCT(2349, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20958])

      allocate(vertices(2065)%branchCT(0:0))
      call avCT(2065, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13340])

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(378)%branchCT(0:0))
      call avCT(378, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19306])

      allocate(vertices(2874)%branchCT(0:0))
      call avCT(2874, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2369)%branchCT(0:0))
      call avCT(2369, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(382)%branchCT(0:0))
      call avCT(382, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19931, nGC_19930,      &
      nGC_19930])

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(2722)%branchCT(0:3))
      call avCT(2722, 0, 24, 2, 0, FVFa1, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(2722, 1, 24, 2, 0, FVFa1, 0, [3, 0], [nGC_20873, nGC_20874])

      call avCT(2722, 2, 25, 3, 0, FVFa1, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(2722, 3, 25, 3, 0, FVFa1, 0, [3, 0], [nGC_20873, nGC_20874])

      allocate(vertices(4143)%branchCT(0:0))
      call avCT(4143, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(1845)%branchCT(0:0))
      call avCT(1845, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(390)%branchCT(0:1))
      call avCT(390, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_20053])

      call avCT(390, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_20052])

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(2431)%branchCT(0:3))
      call avCT(2431, 0, 27, 3, 0, VFaF0, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(2431, 1, 27, 3, 0, VFaF0, 0, [3, 0], [nGC_21032, nGC_21033])

      call avCT(2431, 2, 26, 2, 0, VFaF0, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(2431, 3, 26, 2, 0, VFaF0, 0, [3, 0], [nGC_21032, nGC_21033])

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19403])

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(3065)%branchCT(0:0))
      call avCT(3065, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2071)%branchCT(0:0))
      call avCT(2071, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4999)%branchCT(0:1))
      call avCT(4999, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21074, nGC_21066,     &
      nGC_21077, nGC_21077])

      call avCT(4999, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21075, nGC_21067,     &
      nGC_21078, nGC_21078])

      allocate(vertices(407)%branchCT(0:1))
      call avCT(407, 0, 118, 6, 0, UVUa0, 0, [3, 0], [nGC_20774])

      call avCT(407, 1, 119, 7, 0, UVUa0, 0, [3, 0], [nGC_20774])

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2534)%branchCT(0:0))
      call avCT(2534, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19959])

      allocate(vertices(4167)%branchCT(0:0))
      call avCT(4167, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2072)%branchCT(0:0))
      call avCT(2072, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(3368)%branchCT(0:1))
      call avCT(3368, 0, 31, 1, 0, FVFa0, 0, [0, 3], [nGC_20236])

      call avCT(3368, 1, 31, 1, 0, FVFa0, 0, [2, 1], [nGC_20235])

      allocate(vertices(2831)%branchCT(0:0))
      call avCT(2831, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2832)%branchCT(0:0))
      call avCT(2832, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2915)%branchCT(0:0))
      call avCT(2915, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_20479])

      allocate(vertices(2595)%branchCT(0:0))
      call avCT(2595, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2608)%branchCT(0:0))
      call avCT(2608, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(422)%branchCT(0:1))
      call avCT(422, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_20053])

      call avCT(422, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_20052])

      allocate(vertices(2840)%branchCT(0:0))
      call avCT(2840, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19280])

      allocate(vertices(2842)%branchCT(0:0))
      call avCT(2842, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2843)%branchCT(0:0))
      call avCT(2843, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_20443, nGC_20443])

      allocate(vertices(4598)%branchCT(0:0))
      call avCT(4598, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(2844)%branchCT(0:1))
      call avCT(2844, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_21155, nGC_21156])

      call avCT(2844, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_21157, nGC_21158])

      allocate(vertices(2845)%branchCT(0:0))
      call avCT(2845, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_19176, nGC_19177])

      allocate(vertices(2884)%branchCT(0:0))
      call avCT(2884, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(5000)%branchCT(0:0))
      call avCT(5000, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21186, nGC_21187])

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3299)%branchCT(0:0))
      call avCT(3299, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(3890)%branchCT(0:0))
      call avCT(3890, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2855)%branchCT(0:0))
      call avCT(2855, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_21201])

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(2466)%branchCT(0:0))
      call avCT(2466, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_21207])

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(2858)%branchCT(0:0))
      call avCT(2858, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(2861)%branchCT(0:0))
      call avCT(2861, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_21213])

      allocate(vertices(2863)%branchCT(0:0))
      call avCT(2863, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(5001)%branchCT(0:0))
      call avCT(5001, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_19213, nGC_19208,     &
      nGC_19215, nGC_19215])

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2467)%branchCT(0:0))
      call avCT(2467, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(2867)%branchCT(0:0))
      call avCT(2867, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2868)%branchCT(0:0))
      call avCT(2868, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

      allocate(vertices(1299)%branchCT(0:0))
      call avCT(1299, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19959])

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19280])

      allocate(vertices(2871)%branchCT(0:0))
      call avCT(2871, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13370])

      allocate(vertices(4124)%branchCT(0:1))
      call avCT(4124, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20158, nGC_20159])

      call avCT(4124, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20150, nGC_20153])

      allocate(vertices(2878)%branchCT(0:0))
      call avCT(2878, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(2891)%branchCT(0:0))
      call avCT(2891, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_20408])

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(2846)%branchCT(0:0))
      call avCT(2846, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2886)%branchCT(0:0))
      call avCT(2886, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2887)%branchCT(0:1))
      call avCT(2887, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19261, nGC_19262])

      call avCT(2887, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19263, nGC_19264])

      allocate(vertices(2888)%branchCT(0:0))
      call avCT(2888, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20958])

      allocate(vertices(2889)%branchCT(0:1))
      call avCT(2889, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_21303, nGC_21302])

      call avCT(2889, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_21305, nGC_21304])

      allocate(vertices(2892)%branchCT(0:0))
      call avCT(2892, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(2893)%branchCT(0:0))
      call avCT(2893, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2894)%branchCT(0:0))
      call avCT(2894, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13381])

      allocate(vertices(3394)%branchCT(0:0))
      call avCT(3394, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19079, nGC_19080])

      allocate(vertices(2837)%branchCT(0:0))
      call avCT(2837, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2897)%branchCT(0:0))
      call avCT(2897, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19601])

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19126])

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2471)%branchCT(0:0))
      call avCT(2471, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(4102)%branchCT(0:0))
      call avCT(4102, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2933)%branchCT(0:0))
      call avCT(2933, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_21348])

      allocate(vertices(2360)%branchCT(0:0))
      call avCT(2360, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20545])

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_21355, nGC_21356,     &
      nGC_21355])

      allocate(vertices(869)%branchCT(0:0))
      call avCT(869, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3624)%branchCT(0:0))
      call avCT(3624, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(471)%branchCT(0:1))
      call avCT(471, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19824, nGC_19825])

      call avCT(471, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19818, nGC_19821])

      allocate(vertices(2902)%branchCT(0:0))
      call avCT(2902, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21376, nGC_21377])

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19154, nGC_19155,      &
      nGC_19155])

      allocate(vertices(734)%branchCT(0:0))
      call avCT(734, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(2903)%branchCT(0:0))
      call avCT(2903, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2975)%branchCT(0:0))
      call avCT(2975, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2904)%branchCT(0:0))
      call avCT(2904, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19494])

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19601])

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(478)%branchCT(0:0))
      call avCT(478, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3005)%branchCT(0:0))
      call avCT(3005, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_20091])

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_21207])

      allocate(vertices(2913)%branchCT(0:0))
      call avCT(2913, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4235)%branchCT(0:0))
      call avCT(4235, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(2917)%branchCT(0:0))
      call avCT(2917, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_20037])

      allocate(vertices(3456)%branchCT(0:0))
      call avCT(3456, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20646])

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(1646)%branchCT(0:0))
      call avCT(1646, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19436, nGC_19437])

      allocate(vertices(3082)%branchCT(0:0))
      call avCT(3082, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13381])

      allocate(vertices(5002)%branchCT(0:0))
      call avCT(5002, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_21442])

      allocate(vertices(2922)%branchCT(0:0))
      call avCT(2922, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(493)%branchCT(0:1))
      call avCT(493, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_19942, nGC_19943])

      call avCT(493, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_19938, nGC_19933])

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2924)%branchCT(0:0))
      call avCT(2924, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19382])

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(5003)%branchCT(0:1))
      call avCT(5003, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21475, nGC_21467,     &
      nGC_21478, nGC_21478])

      call avCT(5003, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21476, nGC_21468,     &
      nGC_21479, nGC_21479])

      allocate(vertices(2925)%branchCT(0:0))
      call avCT(2925, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_20037])

      allocate(vertices(3127)%branchCT(0:0))
      call avCT(3127, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2928)%branchCT(0:0))
      call avCT(2928, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_21377, nGC_21376])

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2930)%branchCT(0:0))
      call avCT(2930, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(502)%branchCT(0:1))
      call avCT(502, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_20221, nGC_20221])

      call avCT(502, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_20222, nGC_20222])

      allocate(vertices(2931)%branchCT(0:0))
      call avCT(2931, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19953])

    end subroutine fill_vertices_mdl7
end module vertices_info7
