!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19747, nGC_19747])

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2934)%branchCT(0:0))
      call avCT(2934, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21377, nGC_21376])

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(510)%branchCT(0:1))
      call avCT(510, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_21542, nGC_21542])

      call avCT(510, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_21543, nGC_21543])

      allocate(vertices(3215)%branchCT(0:3))
      call avCT(3215, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(3215, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_20329, nGC_20330])

      call avCT(3215, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(3215, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_20329, nGC_20330])

      allocate(vertices(514)%branchCT(0:0))
      call avCT(514, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(516)%branchCT(0:0))
      call avCT(516, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2095)%branchCT(0:0))
      call avCT(2095, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19521, nGC_19522])

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3232)%branchCT(0:0))
      call avCT(3232, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_19477])

      allocate(vertices(2945)%branchCT(0:0))
      call avCT(2945, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_20177])

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19828])

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19272])

      allocate(vertices(5004)%branchCT(0:0))
      call avCT(5004, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19198])

      allocate(vertices(2946)%branchCT(0:0))
      call avCT(2946, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3733)%branchCT(0:0))
      call avCT(3733, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(2948)%branchCT(0:0))
      call avCT(2948, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4198)%branchCT(0:0))
      call avCT(4198, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13381])

      allocate(vertices(2950)%branchCT(0:0))
      call avCT(2950, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19483])

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20482])

      allocate(vertices(2484)%branchCT(0:0))
      call avCT(2484, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3322)%branchCT(0:0))
      call avCT(3322, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3324)%branchCT(0:1))
      call avCT(3324, 0, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_20150, nGC_20153])

      call avCT(3324, 1, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_20158, nGC_20159])

      allocate(vertices(2956)%branchCT(0:0))
      call avCT(2956, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3331)%branchCT(0:0))
      call avCT(3331, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_21213])

      allocate(vertices(3339)%branchCT(0:0))
      call avCT(3339, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19408])

      allocate(vertices(2957)%branchCT(0:0))
      call avCT(2957, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19394])

      allocate(vertices(2958)%branchCT(0:0))
      call avCT(2958, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2959)%branchCT(0:0))
      call avCT(2959, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_21201])

      allocate(vertices(4226)%branchCT(0:0))
      call avCT(4226, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2962)%branchCT(0:0))
      call avCT(2962, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(3377)%branchCT(0:0))
      call avCT(3377, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19898])

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13343])

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3396)%branchCT(0:0))
      call avCT(3396, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2967)%branchCT(0:0))
      call avCT(2967, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4137)%branchCT(0:0))
      call avCT(4137, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(550)%branchCT(0:1))
      call avCT(550, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_21679, nGC_21679])

      call avCT(550, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_21681, nGC_21681])

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(552)%branchCT(0:0))
      call avCT(552, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(2974)%branchCT(0:0))
      call avCT(2974, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4179)%branchCT(0:1))
      call avCT(4179, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_20193, nGC_20194])

      call avCT(4179, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_20191, nGC_20192])

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4161)%branchCT(0:0))
      call avCT(4161, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13343])

      allocate(vertices(3474)%branchCT(0:0))
      call avCT(3474, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2981)%branchCT(0:0))
      call avCT(2981, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4831)%branchCT(0:0))
      call avCT(4831, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_21719, nGC_21720])

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2984)%branchCT(0:1))
      call avCT(2984, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19623, nGC_19622])

      call avCT(2984, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19625, nGC_19624])

      allocate(vertices(2985)%branchCT(0:0))
      call avCT(2985, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3524)%branchCT(0:0))
      call avCT(3524, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(2989)%branchCT(0:0))
      call avCT(2989, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1727)%branchCT(0:0))
      call avCT(1727, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(2991)%branchCT(0:0))
      call avCT(2991, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(2992)%branchCT(0:0))
      call avCT(2992, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3028)%branchCT(0:0))
      call avCT(3028, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13381])

      allocate(vertices(2069)%branchCT(0:0))
      call avCT(2069, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(2995)%branchCT(0:0))
      call avCT(2995, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13344])

      allocate(vertices(571)%branchCT(0:1))
      call avCT(571, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_21303, nGC_21302])

      call avCT(571, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_21305, nGC_21304])

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19953])

      allocate(vertices(5005)%branchCT(0:0))
      call avCT(5005, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1913)%branchCT(0:0))
      call avCT(1913, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(3607)%branchCT(0:0))
      call avCT(3607, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_19235])

      allocate(vertices(5006)%branchCT(0:0))
      call avCT(5006, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20274])

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(2508)%branchCT(0:3))
      call avCT(2508, 0, 27, 3, 0, VFaF0, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(2508, 1, 27, 3, 0, VFaF0, 0, [3, 0], [nGC_20329, nGC_20330])

      call avCT(2508, 2, 26, 2, 0, VFaF0, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(2508, 3, 26, 2, 0, VFaF0, 0, [3, 0], [nGC_20329, nGC_20330])

      allocate(vertices(3629)%branchCT(0:0))
      call avCT(3629, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4839)%branchCT(0:0))
      call avCT(4839, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3000)%branchCT(0:1))
      call avCT(3000, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_20296, nGC_20297])

      call avCT(3000, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_20290, nGC_20293])

      allocate(vertices(5007)%branchCT(0:0))
      call avCT(5007, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_21816])

      allocate(vertices(3003)%branchCT(0:0))
      call avCT(3003, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(3004)%branchCT(0:0))
      call avCT(3004, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_21376, nGC_21377])

      allocate(vertices(3941)%branchCT(0:0))
      call avCT(3941, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1354)%branchCT(0:0))
      call avCT(1354, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(4111)%branchCT(0:0))
      call avCT(4111, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3008)%branchCT(0:0))
      call avCT(3008, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_21348])

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(3013)%branchCT(0:0))
      call avCT(3013, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19499])

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_21864, nGC_21864])

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(2496)%branchCT(0:0))
      call avCT(2496, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20545])

      allocate(vertices(2619)%branchCT(0:0))
      call avCT(2619, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(595)%branchCT(0:1))
      call avCT(595, 0, 114, 6, 0, UaVU0, 0, [3, 0], [nGC_20774])

      call avCT(595, 1, 115, 7, 0, UaVU0, 0, [3, 0], [nGC_20774])

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3018)%branchCT(0:1))
      call avCT(3018, 0, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_21542, nGC_21542])

      call avCT(3018, 1, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_21543, nGC_21543])

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19333])

      allocate(vertices(598)%branchCT(0:0))
      call avCT(598, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(4188)%branchCT(0:0))
      call avCT(4188, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1771)%branchCT(0:0))
      call avCT(1771, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(3021)%branchCT(0:0))
      call avCT(3021, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(602)%branchCT(0:0))
      call avCT(602, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19394])

      allocate(vertices(3023)%branchCT(0:0))
      call avCT(3023, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_21207])

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3025)%branchCT(0:1))
      call avCT(3025, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19113, nGC_19114])

      call avCT(3025, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19115, nGC_19116])

      allocate(vertices(2098)%branchCT(0:0))
      call avCT(2098, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1245)%branchCT(0:1))
      call avCT(1245, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_20236])

      call avCT(1245, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_20235])

      allocate(vertices(609)%branchCT(0:0))
      call avCT(609, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19333])

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19601])

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19794, nGC_19794,      &
      nGC_19793])

      allocate(vertices(614)%branchCT(0:0))
      call avCT(614, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19898])

      allocate(vertices(3195)%branchCT(0:0))
      call avCT(3195, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(3037)%branchCT(0:0))
      call avCT(3037, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(615)%branchCT(0:0))
      call avCT(615, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_19079, nGC_19080])

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2070)%branchCT(0:1))
      call avCT(2070, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19166, nGC_19166])

      call avCT(2070, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19167, nGC_19167])

      allocate(vertices(1272)%branchCT(0:0))
      call avCT(1272, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19794, nGC_19794,     &
      nGC_19793])

      allocate(vertices(2044)%branchCT(0:0))
      call avCT(2044, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13381])

      allocate(vertices(3870)%branchCT(0:0))
      call avCT(3870, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(5008)%branchCT(0:0))
      call avCT(5008, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(3043)%branchCT(0:0))
      call avCT(3043, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(619)%branchCT(0:1))
      call avCT(619, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19717, nGC_19718])

      call avCT(619, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19711, nGC_19714])

      allocate(vertices(3044)%branchCT(0:0))
      call avCT(3044, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(4115)%branchCT(0:0))
      call avCT(4115, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20106, nGC_20107])

      allocate(vertices(3047)%branchCT(0:0))
      call avCT(3047, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3907)%branchCT(0:0))
      call avCT(3907, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3050)%branchCT(0:0))
      call avCT(3050, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_19306])

      allocate(vertices(2668)%branchCT(0:0))
      call avCT(2668, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(3925)%branchCT(0:0))
      call avCT(3925, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(630)%branchCT(0:1))
      call avCT(630, 0, 116, 6, 0, UUaV1, 0, [3, 0], [nGC_20774])

      call avCT(630, 1, 117, 7, 0, UUaV1, 0, [3, 0], [nGC_20774])

      allocate(vertices(631)%branchCT(0:0))
      call avCT(631, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3054)%branchCT(0:0))
      call avCT(3054, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_20482])

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_20037])

      allocate(vertices(3058)%branchCT(0:0))
      call avCT(3058, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19470])

      allocate(vertices(4558)%branchCT(0:0))
      call avCT(4558, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(3755)%branchCT(0:1))
      call avCT(3755, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_20053])

      call avCT(3755, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_20052])

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1702)%branchCT(0:0))
      call avCT(1702, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(4505)%branchCT(0:0))
      call avCT(4505, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13344])

      allocate(vertices(3064)%branchCT(0:0))
      call avCT(3064, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(640)%branchCT(0:1))
      call avCT(640, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_22066, nGC_22066])

      call avCT(640, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_22067, nGC_22067])

      allocate(vertices(4561)%branchCT(0:0))
      call avCT(4561, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4025)%branchCT(0:0))
      call avCT(4025, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3070)%branchCT(0:1))
      call avCT(3070, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_19299])

      call avCT(3070, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_19298])

      allocate(vertices(4050)%branchCT(0:0))
      call avCT(4050, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(3073)%branchCT(0:0))
      call avCT(3073, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_20037])

      allocate(vertices(3077)%branchCT(0:0))
      call avCT(3077, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(2919)%branchCT(0:0))
      call avCT(2919, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(4075)%branchCT(0:0))
      call avCT(4075, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(3078)%branchCT(0:0))
      call avCT(3078, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(3079)%branchCT(0:0))
      call avCT(3079, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(3208)%branchCT(0:0))
      call avCT(3208, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19488])

      allocate(vertices(656)%branchCT(0:1))
      call avCT(656, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19299])

      call avCT(656, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19298])

      allocate(vertices(3081)%branchCT(0:0))
      call avCT(3081, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19382])

      allocate(vertices(3083)%branchCT(0:0))
      call avCT(3083, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20798, nGC_20799])

      allocate(vertices(3084)%branchCT(0:0))
      call avCT(3084, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2504)%branchCT(0:0))
      call avCT(2504, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3086)%branchCT(0:0))
      call avCT(3086, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3087)%branchCT(0:0))
      call avCT(3087, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20106, nGC_20107])

      allocate(vertices(3088)%branchCT(0:0))
      call avCT(3088, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_19866])

      allocate(vertices(3089)%branchCT(0:0))
      call avCT(3089, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19154, nGC_19155,     &
      nGC_19155])

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1290)%branchCT(0:0))
      call avCT(1290, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13344])

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3732)%branchCT(0:0))
      call avCT(3732, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19898])

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3098)%branchCT(0:1))
      call avCT(3098, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_22066, nGC_22066])

      call avCT(3098, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_22067, nGC_22067])

      allocate(vertices(3099)%branchCT(0:0))
      call avCT(3099, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3100)%branchCT(0:0))
      call avCT(3100, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3102)%branchCT(0:3))
      call avCT(3102, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(3102, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_19730, nGC_19731])

      call avCT(3102, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(3102, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_19730, nGC_19731])

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(673)%branchCT(0:0))
      call avCT(673, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13370])

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19488])

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19631, nGC_19632])

      allocate(vertices(1293)%branchCT(0:1))
      call avCT(1293, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_20296, nGC_20297])

      call avCT(1293, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_20290, nGC_20293])

      allocate(vertices(3107)%branchCT(0:0))
      call avCT(3107, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19898])

      allocate(vertices(677)%branchCT(0:0))
      call avCT(677, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(3110)%branchCT(0:0))
      call avCT(3110, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19235])

      allocate(vertices(3111)%branchCT(0:0))
      call avCT(3111, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(681)%branchCT(0:0))
      call avCT(681, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4288)%branchCT(0:0))
      call avCT(4288, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(3826)%branchCT(0:0))
      call avCT(3826, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13381])

      allocate(vertices(4298)%branchCT(0:0))
      call avCT(4298, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3115)%branchCT(0:0))
      call avCT(3115, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3531)%branchCT(0:0))
      call avCT(3531, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3119)%branchCT(0:0))
      call avCT(3119, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(2509)%branchCT(0:0))
      call avCT(2509, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19828])

      allocate(vertices(3120)%branchCT(0:0))
      call avCT(3120, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3121)%branchCT(0:5))
      call avCT(3121, 0, 9, 4, 0, VVVV0, 0, [4, 0], [nGC_22257, nGC_22258,     &
      nGC_22257])

      call avCT(3121, 1, 7, 4, 0, VVVV0, 0, [4, 0], [nGC_22257, nGC_22258,     &
      nGC_22257])

      call avCT(3121, 2, 8, 4, 0, VVVV0, 0, [4, 0], [nGC_22258, nGC_22257,     &
      nGC_22257])

      call avCT(3121, 3, 6, 4, 0, VVVV0, 0, [4, 0], [nGC_22258, nGC_22257,     &
      nGC_22257])

      call avCT(3121, 4, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_22256, nGC_22256,     &
      nGC_22267])

      call avCT(3121, 5, 4, 5, 0, VVVV0, 0, [4, 0], [nGC_22256, nGC_22256,     &
      nGC_22267])

      allocate(vertices(3122)%branchCT(0:1))
      call avCT(3122, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_22279, nGC_22280])

      call avCT(3122, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_22273, nGC_22276])

      allocate(vertices(4360)%branchCT(0:0))
      call avCT(4360, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1294)%branchCT(0:0))
      call avCT(1294, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3124)%branchCT(0:0))
      call avCT(3124, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2997)%branchCT(0:0))
      call avCT(2997, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(2172)%branchCT(0:0))
      call avCT(2172, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(4206)%branchCT(0:0))
      call avCT(4206, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(3128)%branchCT(0:0))
      call avCT(3128, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(4693)%branchCT(0:0))
      call avCT(4693, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2506)%branchCT(0:0))
      call avCT(2506, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3131)%branchCT(0:0))
      call avCT(3131, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19415, nGC_19415])

      allocate(vertices(708)%branchCT(0:0))
      call avCT(708, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19898])

      allocate(vertices(2998)%branchCT(0:0))
      call avCT(2998, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19969])

      allocate(vertices(709)%branchCT(0:1))
      call avCT(709, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_19942, nGC_19943])

      call avCT(709, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_19938, nGC_19933])

      allocate(vertices(3135)%branchCT(0:0))
      call avCT(3135, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(713)%branchCT(0:0))
      call avCT(713, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(3137)%branchCT(0:0))
      call avCT(3137, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19272])

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_20177])

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13344])

      allocate(vertices(3140)%branchCT(0:0))
      call avCT(3140, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_21719, nGC_21720])

      allocate(vertices(3144)%branchCT(0:0))
      call avCT(3144, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(722)%branchCT(0:0))
      call avCT(722, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3145)%branchCT(0:5))
      call avCT(3145, 0, 54, 5, 0, UVUaV0, 0, [4, 0], [nGC_20466])

      call avCT(3145, 1, 53, 4, 0, UVUaV0, 0, [4, 0], [nGC_20461])

      call avCT(3145, 2, 52, 4, 0, UVUaV0, 0, [4, 0], [nGC_20461])

      call avCT(3145, 3, 51, 4, 0, UVUaV0, 0, [4, 0], [nGC_20461])

      call avCT(3145, 4, 50, 4, 0, UVUaV0, 0, [4, 0], [nGC_20461])

      call avCT(3145, 5, 55, 5, 0, UVUaV0, 0, [4, 0], [nGC_20466])

      allocate(vertices(3146)%branchCT(0:1))
      call avCT(3146, 0, 31, 1, 0, FVFa0, 0, [0, 3], [nGC_20236])

      call avCT(3146, 1, 31, 1, 0, FVFa0, 0, [2, 1], [nGC_20235])

      allocate(vertices(725)%branchCT(0:0))
      call avCT(725, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3148)%branchCT(0:0))
      call avCT(3148, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19499])

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_21213])

      allocate(vertices(3541)%branchCT(0:0))
      call avCT(3541, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4573)%branchCT(0:0))
      call avCT(4573, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19408])

      allocate(vertices(3151)%branchCT(0:0))
      call avCT(3151, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_22405])

      allocate(vertices(3154)%branchCT(0:0))
      call avCT(3154, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19280])

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3158)%branchCT(0:0))
      call avCT(3158, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3159)%branchCT(0:0))
      call avCT(3159, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_20482])

      allocate(vertices(3160)%branchCT(0:0))
      call avCT(3160, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(735)%branchCT(0:0))
      call avCT(735, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_20408])

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13340])

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3772)%branchCT(0:1))
      call avCT(3772, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_19686, nGC_19687])

      call avCT(3772, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_19679, nGC_19682])

      allocate(vertices(2457)%branchCT(0:0))
      call avCT(2457, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22445])

      allocate(vertices(2500)%branchCT(0:0))
      call avCT(2500, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19231])

      allocate(vertices(741)%branchCT(0:0))
      call avCT(741, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_21355, nGC_21355,      &
      nGC_21356])

      allocate(vertices(4647)%branchCT(0:0))
      call avCT(4647, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_20722, nGC_20722])

      allocate(vertices(3166)%branchCT(0:0))
      call avCT(3166, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(745)%branchCT(0:0))
      call avCT(745, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3773)%branchCT(0:0))
      call avCT(3773, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3169)%branchCT(0:0))
      call avCT(3169, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(4668)%branchCT(0:0))
      call avCT(4668, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(747)%branchCT(0:3))
      call avCT(747, 0, 24, 2, 0, FVFa1, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(747, 1, 24, 2, 0, FVFa1, 0, [3, 0], [nGC_22480, nGC_22481])

      call avCT(747, 2, 25, 3, 0, FVFa1, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(747, 3, 25, 3, 0, FVFa1, 0, [3, 0], [nGC_22480, nGC_22481])

      allocate(vertices(3348)%branchCT(0:0))
      call avCT(3348, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13381])

      allocate(vertices(3170)%branchCT(0:0))
      call avCT(3170, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(5009)%branchCT(0:0))
      call avCT(5009, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(3172)%branchCT(0:0))
      call avCT(3172, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3173)%branchCT(0:0))
      call avCT(3173, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19693])

      allocate(vertices(3174)%branchCT(0:0))
      call avCT(3174, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19793, nGC_19794,     &
      nGC_19794])

      allocate(vertices(752)%branchCT(0:1))
      call avCT(752, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_20053])

      call avCT(752, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_20052])

      allocate(vertices(3175)%branchCT(0:0))
      call avCT(3175, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3176)%branchCT(0:0))
      call avCT(3176, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_19867])

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19382])

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19306])

      allocate(vertices(5010)%branchCT(0:1))
      call avCT(5010, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_22540, nGC_22536,    &
      nGC_22543, nGC_22543])

      call avCT(5010, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_22541, nGC_22537,    &
      nGC_22544, nGC_22544])

      allocate(vertices(4664)%branchCT(0:0))
      call avCT(4664, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(5011)%branchCT(0:0))
      call avCT(5011, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20010])

      allocate(vertices(3777)%branchCT(0:0))
      call avCT(3777, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3182)%branchCT(0:0))
      call avCT(3182, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19280])

      allocate(vertices(4776)%branchCT(0:0))
      call avCT(4776, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19499])

      allocate(vertices(760)%branchCT(0:0))
      call avCT(760, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(5012)%branchCT(0:0))
      call avCT(5012, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22560, nGC_22561])

      allocate(vertices(3186)%branchCT(0:0))
      call avCT(3186, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(3188)%branchCT(0:0))
      call avCT(3188, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_20482])

      allocate(vertices(3190)%branchCT(0:0))
      call avCT(3190, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19452, nGC_19453])

      allocate(vertices(3191)%branchCT(0:0))
      call avCT(3191, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(3194)%branchCT(0:0))
      call avCT(3194, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19844])

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_22405])

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(767)%branchCT(0:0))
      call avCT(767, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20371, nGC_20372])

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3199)%branchCT(0:5))
      call avCT(3199, 0, 72, 5, 0, VUaUV0, 0, [4, 0], [nGC_20466])

      call avCT(3199, 1, 71, 4, 0, VUaUV0, 0, [4, 0], [nGC_20461])

      call avCT(3199, 2, 70, 4, 0, VUaUV0, 0, [4, 0], [nGC_20461])

      call avCT(3199, 3, 69, 4, 0, VUaUV0, 0, [4, 0], [nGC_20461])

      call avCT(3199, 4, 68, 4, 0, VUaUV0, 0, [4, 0], [nGC_20461])

      call avCT(3199, 5, 73, 5, 0, VUaUV0, 0, [4, 0], [nGC_20466])

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_21213])

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19898])

      allocate(vertices(3202)%branchCT(0:0))
      call avCT(3202, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(3204)%branchCT(0:0))
      call avCT(3204, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(774)%branchCT(0:1))
      call avCT(774, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_21542, nGC_21542])

      call avCT(774, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_21543, nGC_21543])

      allocate(vertices(3201)%branchCT(0:0))
      call avCT(3201, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4895)%branchCT(0:0))
      call avCT(4895, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20798, nGC_20799])

      allocate(vertices(5013)%branchCT(0:0))
      call avCT(5013, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(3209)%branchCT(0:0))
      call avCT(3209, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(778)%branchCT(0:1))
      call avCT(778, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_20309, nGC_20310])

      call avCT(778, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_20305, nGC_20300])

      allocate(vertices(779)%branchCT(0:0))
      call avCT(779, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(3211)%branchCT(0:0))
      call avCT(3211, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3212)%branchCT(0:1))
      call avCT(3212, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_19686, nGC_19687])

      call avCT(3212, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_19679, nGC_19682])

      allocate(vertices(3233)%branchCT(0:0))
      call avCT(3233, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4216)%branchCT(0:0))
      call avCT(4216, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19415, nGC_19415])

      allocate(vertices(3216)%branchCT(0:0))
      call avCT(3216, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19280])

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4665)%branchCT(0:0))
      call avCT(4665, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(786)%branchCT(0:0))
      call avCT(786, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(1987)%branchCT(0:0))
      call avCT(1987, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3221)%branchCT(0:0))
      call avCT(3221, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20443, nGC_20443])

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3223)%branchCT(0:0))
      call avCT(3223, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_19371, nGC_19372])

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(794)%branchCT(0:0))
      call avCT(794, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3225)%branchCT(0:0))
      call avCT(3225, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(4293)%branchCT(0:0))
      call avCT(4293, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21186, nGC_21187])

      allocate(vertices(1868)%branchCT(0:0))
      call avCT(1868, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3226)%branchCT(0:0))
      call avCT(3226, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(797)%branchCT(0:1))
      call avCT(797, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_20221, nGC_20221])

      call avCT(797, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_20222, nGC_20222])

      allocate(vertices(3227)%branchCT(0:0))
      call avCT(3227, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3229)%branchCT(0:0))
      call avCT(3229, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(800)%branchCT(0:1))
      call avCT(800, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19263, nGC_19264])

      call avCT(800, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19261, nGC_19262])

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(2591)%branchCT(0:0))
      call avCT(2591, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_21207])

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(4667)%branchCT(0:0))
      call avCT(4667, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(604)%branchCT(0:0))
      call avCT(604, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_21719, nGC_21720])

      allocate(vertices(3241)%branchCT(0:0))
      call avCT(3241, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(812)%branchCT(0:0))
      call avCT(812, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19898])

      allocate(vertices(2944)%branchCT(0:1))
      call avCT(2944, 0, 30, 1, 0, FaVF0, 0, [0, 3], [nGC_20053])

      call avCT(2944, 1, 30, 1, 0, FaVF0, 0, [2, 1], [nGC_20052])

      allocate(vertices(3244)%branchCT(0:0))
      call avCT(3244, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19828])

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(5014)%branchCT(0:0))
      call avCT(5014, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19198])

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3251)%branchCT(0:3))
      call avCT(3251, 0, 20, 2, 0, FaFV1, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(3251, 1, 20, 2, 0, FaFV1, 0, [3, 0], [nGC_19884, nGC_19885])

      call avCT(3251, 2, 21, 3, 0, FaFV1, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(3251, 3, 21, 3, 0, FaFV1, 0, [3, 0], [nGC_19884, nGC_19885])

      allocate(vertices(822)%branchCT(0:1))
      call avCT(822, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_21542, nGC_21542])

      call avCT(822, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_21543, nGC_21543])

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3254)%branchCT(0:0))
      call avCT(3254, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(3255)%branchCT(0:0))
      call avCT(3255, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19494])

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(657)%branchCT(0:0))
      call avCT(657, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(826)%branchCT(0:0))
      call avCT(826, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20371, nGC_20372])

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3262)%branchCT(0:0))
      call avCT(3262, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(3266)%branchCT(0:0))
      call avCT(3266, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3269)%branchCT(0:0))
      call avCT(3269, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(838)%branchCT(0:0))
      call avCT(838, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2535)%branchCT(0:0))
      call avCT(2535, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(5015)%branchCT(0:0))
      call avCT(5015, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19198])

      allocate(vertices(5016)%branchCT(0:0))
      call avCT(5016, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20010])

      allocate(vertices(3272)%branchCT(0:0))
      call avCT(3272, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20482])

      allocate(vertices(3273)%branchCT(0:0))
      call avCT(3273, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(5017)%branchCT(0:0))
      call avCT(5017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(3274)%branchCT(0:3))
      call avCT(3274, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(3274, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_20873, nGC_20874])

      call avCT(3274, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(3274, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_20873, nGC_20874])

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1320)%branchCT(0:0))
      call avCT(1320, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22915])

      allocate(vertices(3277)%branchCT(0:0))
      call avCT(3277, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3279)%branchCT(0:0))
      call avCT(3279, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19662])

      allocate(vertices(2458)%branchCT(0:0))
      call avCT(2458, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13340])

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19408])

      allocate(vertices(3283)%branchCT(0:0))
      call avCT(3283, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3882)%branchCT(0:0))
      call avCT(3882, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_21864, nGC_21864])

      allocate(vertices(3285)%branchCT(0:1))
      call avCT(3285, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_20747, nGC_20747])

      call avCT(3285, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_20748, nGC_20748])

      allocate(vertices(3286)%branchCT(0:0))
      call avCT(3286, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(3288)%branchCT(0:0))
      call avCT(3288, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(2672)%branchCT(0:0))
      call avCT(2672, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(5018)%branchCT(0:0))
      call avCT(5018, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19198])

      allocate(vertices(861)%branchCT(0:0))
      call avCT(861, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3291)%branchCT(0:0))
      call avCT(3291, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(864)%branchCT(0:1))
      call avCT(864, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19166, nGC_19166])

      call avCT(864, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19167, nGC_19167])

      allocate(vertices(3294)%branchCT(0:0))
      call avCT(3294, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3297)%branchCT(0:0))
      call avCT(3297, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3298)%branchCT(0:1))
      call avCT(3298, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_20222, nGC_20222])

      call avCT(3298, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_20221, nGC_20221])

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(3300)%branchCT(0:0))
      call avCT(3300, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(5019)%branchCT(0:0))
      call avCT(5019, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_22997])

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2540)%branchCT(0:0))
      call avCT(2540, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(5020)%branchCT(0:0))
      call avCT(5020, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_23010, nGC_23004,      &
      nGC_23005])

      allocate(vertices(872)%branchCT(0:1))
      call avCT(872, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19113, nGC_19114])

      call avCT(872, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19115, nGC_19116])

      allocate(vertices(3306)%branchCT(0:0))
      call avCT(3306, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19311])

      allocate(vertices(3307)%branchCT(0:0))
      call avCT(3307, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3308)%branchCT(0:0))
      call avCT(3308, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(5021)%branchCT(0:0))
      call avCT(5021, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19351])

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19931, nGC_19930,      &
      nGC_19930])

      allocate(vertices(882)%branchCT(0:0))
      call avCT(882, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_21201])

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19793, nGC_19794,      &
      nGC_19794])

      allocate(vertices(886)%branchCT(0:5))
      call avCT(886, 0, 32, 4, 0, UaVVU0, 0, [4, 0], [nGC_20461])

      call avCT(886, 1, 35, 4, 0, UaVVU0, 0, [4, 0], [nGC_20461])

      call avCT(886, 2, 34, 4, 0, UaVVU0, 0, [4, 0], [nGC_20461])

      call avCT(886, 3, 37, 5, 0, UaVVU0, 0, [4, 0], [nGC_20466])

      call avCT(886, 4, 36, 5, 0, UaVVU0, 0, [4, 0], [nGC_20466])

      call avCT(886, 5, 33, 4, 0, UaVVU0, 0, [4, 0], [nGC_20461])

      allocate(vertices(3311)%branchCT(0:1))
      call avCT(3311, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_20309, nGC_20310])

      call avCT(3311, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_20305, nGC_20300])

      allocate(vertices(1325)%branchCT(0:0))
      call avCT(1325, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19154, nGC_19155,      &
      nGC_19155])

      allocate(vertices(889)%branchCT(0:1))
      call avCT(889, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19544, nGC_19545])

      call avCT(889, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19546, nGC_19547])

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4937)%branchCT(0:0))
      call avCT(4937, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(846)%branchCT(0:0))
      call avCT(846, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20482])

      allocate(vertices(2952)%branchCT(0:0))
      call avCT(2952, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3317)%branchCT(0:0))
      call avCT(3317, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19311])

      allocate(vertices(894)%branchCT(0:0))
      call avCT(894, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_20722, nGC_20722])

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19747, nGC_19747])

      allocate(vertices(3136)%branchCT(0:0))
      call avCT(3136, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19155,      &
      nGC_19154])

      allocate(vertices(3321)%branchCT(0:0))
      call avCT(3321, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19584, nGC_19585])

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(3910)%branchCT(0:0))
      call avCT(3910, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13381])

      allocate(vertices(2955)%branchCT(0:1))
      call avCT(2955, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_20843, nGC_20844])

      call avCT(2955, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_20837, nGC_20834])

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(903)%branchCT(0:0))
      call avCT(903, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(905)%branchCT(0:0))
      call avCT(905, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3326)%branchCT(0:0))
      call avCT(3326, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19959])

      allocate(vertices(3328)%branchCT(0:0))
      call avCT(3328, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(3337)%branchCT(0:0))
      call avCT(3337, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19867])

      allocate(vertices(3330)%branchCT(0:0))
      call avCT(3330, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19394])

      allocate(vertices(3332)%branchCT(0:0))
      call avCT(3332, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20443, nGC_20443])

      allocate(vertices(911)%branchCT(0:0))
      call avCT(911, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19154, nGC_19155,      &
      nGC_19155])

      allocate(vertices(912)%branchCT(0:0))
      call avCT(912, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4686)%branchCT(0:0))
      call avCT(4686, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(3336)%branchCT(0:0))
      call avCT(3336, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4239)%branchCT(0:0))
      call avCT(4239, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(915)%branchCT(0:0))
      call avCT(915, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19916, nGC_19917])

      allocate(vertices(3341)%branchCT(0:0))
      call avCT(3341, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1329)%branchCT(0:0))
      call avCT(1329, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13343])

      allocate(vertices(4211)%branchCT(0:0))
      call avCT(4211, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(3745)%branchCT(0:0))
      call avCT(3745, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3347)%branchCT(0:0))
      call avCT(3347, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(918)%branchCT(0:0))
      call avCT(918, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19371, nGC_19372])

      allocate(vertices(4878)%branchCT(0:0))
      call avCT(4878, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3351)%branchCT(0:0))
      call avCT(3351, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(921)%branchCT(0:0))
      call avCT(921, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_20798, nGC_20799])

      allocate(vertices(5022)%branchCT(0:0))
      call avCT(5022, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20662])

      allocate(vertices(5023)%branchCT(0:0))
      call avCT(5023, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_23229, nGC_23223,      &
      nGC_23228])

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3358)%branchCT(0:0))
      call avCT(3358, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(5024)%branchCT(0:0))
      call avCT(5024, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19198])

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20106, nGC_20107])

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(5025)%branchCT(0:0))
      call avCT(5025, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_21816])

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3315)%branchCT(0:0))
      call avCT(3315, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(5026)%branchCT(0:0))
      call avCT(5026, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20010])

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19382])

      allocate(vertices(935)%branchCT(0:0))
      call avCT(935, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3367)%branchCT(0:0))
      call avCT(3367, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2554)%branchCT(0:1))
      call avCT(2554, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19574, nGC_19575])

      call avCT(2554, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19572, nGC_19573])

      allocate(vertices(2527)%branchCT(0:0))
      call avCT(2527, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(943)%branchCT(0:0))
      call avCT(943, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19155,      &
      nGC_19154])

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19794, nGC_19793,      &
      nGC_19794])

      allocate(vertices(3373)%branchCT(0:0))
      call avCT(3373, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3374)%branchCT(0:0))
      call avCT(3374, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(3376)%branchCT(0:1))
      call avCT(3376, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19166, nGC_19166])

      call avCT(3376, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19167, nGC_19167])

      allocate(vertices(1761)%branchCT(0:0))
      call avCT(1761, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(937)%branchCT(0:0))
      call avCT(937, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4696)%branchCT(0:0))
      call avCT(4696, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3380)%branchCT(0:0))
      call avCT(3380, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19483])

      allocate(vertices(954)%branchCT(0:0))
      call avCT(954, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(3381)%branchCT(0:0))
      call avCT(3381, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3382)%branchCT(0:0))
      call avCT(3382, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3770)%branchCT(0:5))
      call avCT(3770, 0, 91, 5, 0, VUUaV0, 0, [4, 0], [nGC_20466])

      call avCT(3770, 1, 89, 4, 0, VUUaV0, 0, [4, 0], [nGC_20461])

      call avCT(3770, 2, 87, 4, 0, VUUaV0, 0, [4, 0], [nGC_20461])

      call avCT(3770, 3, 88, 4, 0, VUUaV0, 0, [4, 0], [nGC_20461])

      call avCT(3770, 4, 86, 4, 0, VUUaV0, 0, [4, 0], [nGC_20461])

      call avCT(3770, 5, 90, 5, 0, VUUaV0, 0, [4, 0], [nGC_20466])

      allocate(vertices(3383)%branchCT(0:0))
      call avCT(3383, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13344])

      allocate(vertices(2558)%branchCT(0:0))
      call avCT(2558, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(3385)%branchCT(0:0))
      call avCT(3385, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(957)%branchCT(0:0))
      call avCT(957, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3386)%branchCT(0:0))
      call avCT(3386, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3387)%branchCT(0:1))
      call avCT(3387, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_21302, nGC_21303])

      call avCT(3387, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_21304, nGC_21305])

      allocate(vertices(1007)%branchCT(0:0))
      call avCT(1007, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3389)%branchCT(0:0))
      call avCT(3389, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(961)%branchCT(0:0))
      call avCT(961, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19470])

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(3392)%branchCT(0:0))
      call avCT(3392, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_20091])

      allocate(vertices(920)%branchCT(0:0))
      call avCT(920, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(5027)%branchCT(0:1))
      call avCT(5027, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_21074, nGC_21066,    &
      nGC_21077, nGC_21077])

      call avCT(5027, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_21075, nGC_21067,    &
      nGC_21078, nGC_21078])

      allocate(vertices(965)%branchCT(0:0))
      call avCT(965, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_20106, nGC_20107])

      allocate(vertices(5028)%branchCT(0:0))
      call avCT(5028, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(2966)%branchCT(0:0))
      call avCT(2966, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19272])

      allocate(vertices(3397)%branchCT(0:0))
      call avCT(3397, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3398)%branchCT(0:0))
      call avCT(3398, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13343])

      allocate(vertices(3399)%branchCT(0:0))
      call avCT(3399, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3400)%branchCT(0:0))
      call avCT(3400, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(971)%branchCT(0:1))
      call avCT(971, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19622, nGC_19623])

      call avCT(971, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19624, nGC_19625])

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3402)%branchCT(0:0))
      call avCT(3402, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(974)%branchCT(0:0))
      call avCT(974, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(3404)%branchCT(0:0))
      call avCT(3404, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3405)%branchCT(0:0))
      call avCT(3405, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19499])

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3407)%branchCT(0:1))
      call avCT(3407, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_20221, nGC_20221])

      call avCT(3407, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_20222, nGC_20222])

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3409)%branchCT(0:0))
      call avCT(3409, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19640])

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19969])

      allocate(vertices(3410)%branchCT(0:0))
      call avCT(3410, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3411)%branchCT(0:0))
      call avCT(3411, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19394])

      allocate(vertices(3051)%branchCT(0:0))
      call avCT(3051, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3414)%branchCT(0:0))
      call avCT(3414, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3415)%branchCT(0:0))
      call avCT(3415, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3812)%branchCT(0:0))
      call avCT(3812, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3417)%branchCT(0:0))
      call avCT(3417, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(981)%branchCT(0:1))
      call avCT(981, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_21679, nGC_21679])

      call avCT(981, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_21681, nGC_21681])

      allocate(vertices(4704)%branchCT(0:0))
      call avCT(4704, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(983)%branchCT(0:1))
      call avCT(983, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22279, nGC_22280])

      call avCT(983, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22273, nGC_22276])

      allocate(vertices(3420)%branchCT(0:0))
      call avCT(3420, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19601])

      allocate(vertices(3422)%branchCT(0:0))
      call avCT(3422, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4248)%branchCT(0:0))
      call avCT(4248, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(986)%branchCT(0:0))
      call avCT(986, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3575)%branchCT(0:0))
      call avCT(3575, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13340])

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1187)%branchCT(0:0))
      call avCT(1187, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19382])

      allocate(vertices(991)%branchCT(0:0))
      call avCT(991, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3429)%branchCT(0:0))
      call avCT(3429, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(993)%branchCT(0:0))
      call avCT(993, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_21201])

      allocate(vertices(995)%branchCT(0:0))
      call avCT(995, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3431)%branchCT(0:0))
      call avCT(3431, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4013)%branchCT(0:0))
      call avCT(4013, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(2096)%branchCT(0:0))
      call avCT(2096, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3434)%branchCT(0:0))
      call avCT(3434, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19272])

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20958])

      allocate(vertices(5029)%branchCT(0:0))
      call avCT(5029, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_21816])

      allocate(vertices(1340)%branchCT(0:0))
      call avCT(1340, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13340])

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1004)%branchCT(0:1))
      call avCT(1004, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_20296, nGC_20297])

      call avCT(1004, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_20290, nGC_20293])

      allocate(vertices(2247)%branchCT(0:0))
      call avCT(2247, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3438)%branchCT(0:0))
      call avCT(3438, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_21356, nGC_21355,     &
      nGC_21355])

      allocate(vertices(1006)%branchCT(0:1))
      call avCT(1006, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_23572, nGC_23572])

      call avCT(1006, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_23573, nGC_23573])

      allocate(vertices(2943)%branchCT(0:0))
      call avCT(2943, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3440)%branchCT(0:0))
      call avCT(3440, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1009)%branchCT(0:0))
      call avCT(1009, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_21213])

      allocate(vertices(1011)%branchCT(0:0))
      call avCT(1011, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3443)%branchCT(0:1))
      call avCT(3443, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19772, nGC_19772])

      call avCT(3443, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19770, nGC_19770])

      allocate(vertices(3444)%branchCT(0:0))
      call avCT(3444, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(2515)%branchCT(0:0))
      call avCT(2515, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(3446)%branchCT(0:0))
      call avCT(3446, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3448)%branchCT(0:0))
      call avCT(3448, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(3449)%branchCT(0:0))
      call avCT(3449, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1015)%branchCT(0:0))
      call avCT(1015, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3451)%branchCT(0:0))
      call avCT(3451, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3452)%branchCT(0:0))
      call avCT(3452, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3455)%branchCT(0:1))
      call avCT(3455, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19144, nGC_19145])

      call avCT(3455, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19142, nGC_19143])

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(5030)%branchCT(0:0))
      call avCT(5030, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20274])

      allocate(vertices(5031)%branchCT(0:1))
      call avCT(5031, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_23642, nGC_23634,     &
      nGC_23645, nGC_23645])

      call avCT(5031, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_23643, nGC_23635,     &
      nGC_23646, nGC_23646])

      allocate(vertices(3459)%branchCT(0:0))
      call avCT(3459, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3460)%branchCT(0:0))
      call avCT(3460, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1022)%branchCT(0:0))
      call avCT(1022, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19280])

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1024)%branchCT(0:0))
      call avCT(1024, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(3463)%branchCT(0:3))
      call avCT(3463, 0, 20, 2, 0, FaFV1, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(3463, 1, 20, 2, 0, FaFV1, 0, [3, 0], [nGC_21032, nGC_21033])

      call avCT(3463, 2, 21, 3, 0, FaFV1, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(3463, 3, 21, 3, 0, FaFV1, 0, [3, 0], [nGC_21032, nGC_21033])

      allocate(vertices(1025)%branchCT(0:0))
      call avCT(1025, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(5032)%branchCT(0:0))
      call avCT(5032, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_23010, nGC_23005,      &
      nGC_23004])

      allocate(vertices(1028)%branchCT(0:0))
      call avCT(1028, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1029)%branchCT(0:1))
      call avCT(1029, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_19299])

      call avCT(1029, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_19298])

      allocate(vertices(3466)%branchCT(0:0))
      call avCT(3466, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3071)%branchCT(0:0))
      call avCT(3071, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19408])

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22915])

      allocate(vertices(3625)%branchCT(0:0))
      call avCT(3625, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19601])

      allocate(vertices(4289)%branchCT(0:0))
      call avCT(4289, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4943)%branchCT(0:0))
      call avCT(4943, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4388)%branchCT(0:0))
      call avCT(4388, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3471)%branchCT(0:0))
      call avCT(3471, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(3472)%branchCT(0:1))
      call avCT(3472, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_23728, nGC_23729])

      call avCT(3472, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_23721, nGC_23724])

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1037)%branchCT(0:0))
      call avCT(1037, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19898])

      allocate(vertices(4259)%branchCT(0:0))
      call avCT(4259, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19640])

      allocate(vertices(3476)%branchCT(0:0))
      call avCT(3476, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3477)%branchCT(0:1))
      call avCT(3477, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_19299])

      call avCT(3477, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_19298])

      allocate(vertices(2568)%branchCT(0:0))
      call avCT(2568, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(5033)%branchCT(0:0))
      call avCT(5033, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(1042)%branchCT(0:0))
      call avCT(1042, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(5034)%branchCT(0:0))
      call avCT(5034, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19198])

      allocate(vertices(1044)%branchCT(0:0))
      call avCT(1044, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2285)%branchCT(0:0))
      call avCT(2285, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(1045)%branchCT(0:0))
      call avCT(1045, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3482)%branchCT(0:1))
      call avCT(3482, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19772, nGC_19772])

      call avCT(3482, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19770, nGC_19770])

      allocate(vertices(2169)%branchCT(0:0))
      call avCT(2169, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_23776])

      allocate(vertices(3484)%branchCT(0:0))
      call avCT(3484, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(814)%branchCT(0:0))
      call avCT(814, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19693])

      allocate(vertices(1548)%branchCT(0:0))
      call avCT(1548, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19453, nGC_19452])

      allocate(vertices(5035)%branchCT(0:0))
      call avCT(5035, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(967)%branchCT(0:0))
      call avCT(967, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19155,     &
      nGC_19154])

      allocate(vertices(3492)%branchCT(0:1))
      call avCT(3492, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_20158, nGC_20159])

      call avCT(3492, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_20150, nGC_20153])

      allocate(vertices(4716)%branchCT(0:0))
      call avCT(4716, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13381])

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_20408])

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1053)%branchCT(0:1))
      call avCT(1053, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_21679, nGC_21679])

      call avCT(1053, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_21681, nGC_21681])

      allocate(vertices(4970)%branchCT(0:0))
      call avCT(4970, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3494)%branchCT(0:0))
      call avCT(3494, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1057)%branchCT(0:1))
      call avCT(1057, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_23849, nGC_23850])

      call avCT(1057, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_23843, nGC_23840])

      allocate(vertices(4125)%branchCT(0:0))
      call avCT(4125, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1625)%branchCT(0:0))
      call avCT(1625, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3496)%branchCT(0:0))
      call avCT(3496, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1632)%branchCT(0:0))
      call avCT(1632, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3499)%branchCT(0:0))
      call avCT(3499, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3500)%branchCT(0:1))
      call avCT(3500, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19623, nGC_19622])

      call avCT(3500, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19625, nGC_19624])

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(5036)%branchCT(0:0))
      call avCT(5036, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19198])

      allocate(vertices(5037)%branchCT(0:0))
      call avCT(5037, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_22561, nGC_22560])

      allocate(vertices(1656)%branchCT(0:0))
      call avCT(1656, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3503)%branchCT(0:0))
      call avCT(3503, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19382])

      allocate(vertices(3505)%branchCT(0:1))
      call avCT(3505, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_20747, nGC_20747])

      call avCT(3505, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_20748, nGC_20748])

      allocate(vertices(1670)%branchCT(0:0))
      call avCT(1670, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2011)%branchCT(0:0))
      call avCT(2011, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13381])

      allocate(vertices(1775)%branchCT(0:0))
      call avCT(1775, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(3510)%branchCT(0:0))
      call avCT(3510, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3973)%branchCT(0:0))
      call avCT(3973, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_20037])

      allocate(vertices(3512)%branchCT(0:0))
      call avCT(3512, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(821)%branchCT(0:3))
      call avCT(821, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(821, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_19884, nGC_19885])

      call avCT(821, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(821, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_19884, nGC_19885])

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(1724)%branchCT(0:0))
      call avCT(1724, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19640])

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(584)%branchCT(0:0))
      call avCT(584, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19311])

      allocate(vertices(4267)%branchCT(0:0))
      call avCT(4267, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1748)%branchCT(0:0))
      call avCT(1748, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(1075)%branchCT(0:1))
      call avCT(1075, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19623, nGC_19622])

      call avCT(1075, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19625, nGC_19624])

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19499])

      allocate(vertices(3521)%branchCT(0:0))
      call avCT(3521, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19154,     &
      nGC_19155])

      allocate(vertices(2576)%branchCT(0:0))
      call avCT(2576, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13381])

      allocate(vertices(5038)%branchCT(0:0))
      call avCT(5038, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2986)%branchCT(0:0))
      call avCT(2986, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1779)%branchCT(0:0))
      call avCT(1779, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(5039)%branchCT(0:0))
      call avCT(5039, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(3189)%branchCT(0:0))
      call avCT(3189, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19333])

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_23776])

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20482])

      allocate(vertices(3529)%branchCT(0:0))
      call avCT(3529, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19351])

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(4272)%branchCT(0:0))
      call avCT(4272, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3798)%branchCT(0:0))
      call avCT(3798, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1830)%branchCT(0:0))
      call avCT(1830, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(4691)%branchCT(0:0))
      call avCT(4691, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19898])

      allocate(vertices(4048)%branchCT(0:0))
      call avCT(4048, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3535)%branchCT(0:0))
      call avCT(3535, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3674)%branchCT(0:0))
      call avCT(3674, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19231])

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(3536)%branchCT(0:0))
      call avCT(3536, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_21719, nGC_21720])

      allocate(vertices(3537)%branchCT(0:0))
      call avCT(3537, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1100)%branchCT(0:0))
      call avCT(1100, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19747, nGC_19747])

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3428)%branchCT(0:0))
      call avCT(3428, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(2182)%branchCT(0:0))
      call avCT(2182, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19391])

      allocate(vertices(1106)%branchCT(0:0))
      call avCT(1106, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(5040)%branchCT(0:0))
      call avCT(5040, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_24066, nGC_24061,     &
      nGC_24068, nGC_24068])

      allocate(vertices(1107)%branchCT(0:0))
      call avCT(1107, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(5041)%branchCT(0:0))
      call avCT(5041, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20662])

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1113)%branchCT(0:1))
      call avCT(1113, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19114, nGC_19113])

      call avCT(1113, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19116, nGC_19115])

      allocate(vertices(5042)%branchCT(0:0))
      call avCT(5042, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_24086])

      allocate(vertices(3550)%branchCT(0:1))
      call avCT(3550, 0, 122, 6, 0, VUUa0, 0, [3, 0], [nGC_20774])

      call avCT(3550, 1, 123, 7, 0, VUUa0, 0, [3, 0], [nGC_20774])

      allocate(vertices(1114)%branchCT(0:0))
      call avCT(1114, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(2184)%branchCT(0:0))
      call avCT(2184, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_22405])

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1117)%branchCT(0:0))
      call avCT(1117, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13340])

      allocate(vertices(3555)%branchCT(0:1))
      call avCT(3555, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19574, nGC_19575])

      call avCT(3555, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19572, nGC_19573])

      allocate(vertices(1974)%branchCT(0:1))
      call avCT(1974, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_23572, nGC_23572])

      call avCT(1974, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_23573, nGC_23573])

      allocate(vertices(978)%branchCT(0:0))
      call avCT(978, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2669)%branchCT(0:0))
      call avCT(2669, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3558)%branchCT(0:0))
      call avCT(3558, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20482])

      allocate(vertices(1636)%branchCT(0:0))
      call avCT(1636, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3561)%branchCT(0:0))
      call avCT(3561, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3562)%branchCT(0:0))
      call avCT(3562, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(2010)%branchCT(0:0))
      call avCT(2010, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3565)%branchCT(0:0))
      call avCT(3565, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(5043)%branchCT(0:0))
      call avCT(5043, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20010])

      allocate(vertices(3567)%branchCT(0:0))
      call avCT(3567, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(3261)%branchCT(0:0))
      call avCT(3261, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(3569)%branchCT(0:0))
      call avCT(3569, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3570)%branchCT(0:0))
      call avCT(3570, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_24155])

      allocate(vertices(3571)%branchCT(0:0))
      call avCT(3571, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2047)%branchCT(0:0))
      call avCT(2047, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(1034)%branchCT(0:0))
      call avCT(1034, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(5044)%branchCT(0:0))
      call avCT(5044, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_19289])

      allocate(vertices(3548)%branchCT(0:0))
      call avCT(3548, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(5045)%branchCT(0:0))
      call avCT(5045, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_21442])

      allocate(vertices(2333)%branchCT(0:0))
      call avCT(2333, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_21213])

      allocate(vertices(3171)%branchCT(0:0))
      call avCT(3171, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1132)%branchCT(0:0))
      call avCT(1132, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1820)%branchCT(0:0))
      call avCT(1820, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(3582)%branchCT(0:0))
      call avCT(3582, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1960)%branchCT(0:0))
      call avCT(1960, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(3583)%branchCT(0:0))
      call avCT(3583, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1542)%branchCT(0:0))
      call avCT(1542, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(2574)%branchCT(0:0))
      call avCT(2574, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(3585)%branchCT(0:1))
      call avCT(3585, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19653, nGC_19653])

      call avCT(3585, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19654, nGC_19654])

      allocate(vertices(1788)%branchCT(0:0))
      call avCT(1788, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3586)%branchCT(0:0))
      call avCT(3586, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19793, nGC_19794,     &
      nGC_19794])

      allocate(vertices(2356)%branchCT(0:0))
      call avCT(2356, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(1138)%branchCT(0:0))
      call avCT(1138, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1139)%branchCT(0:3))
      call avCT(1139, 0, 27, 3, 0, VFaF0, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(1139, 1, 27, 3, 0, VFaF0, 0, [3, 0], [nGC_19730, nGC_19731])

      call avCT(1139, 2, 26, 2, 0, VFaF0, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(1139, 3, 26, 2, 0, VFaF0, 0, [3, 0], [nGC_19730, nGC_19731])

      allocate(vertices(1142)%branchCT(0:0))
      call avCT(1142, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3588)%branchCT(0:1))
      call avCT(3588, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_23728, nGC_23729])

      call avCT(3588, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_23721, nGC_23724])

      allocate(vertices(1145)%branchCT(0:0))
      call avCT(1145, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_20177])

      allocate(vertices(4509)%branchCT(0:0))
      call avCT(4509, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3591)%branchCT(0:1))
      call avCT(3591, 0, 120, 6, 0, VUaU1, 0, [3, 0], [nGC_20774])

      call avCT(3591, 1, 121, 7, 0, VUaU1, 0, [3, 0], [nGC_20774])

      allocate(vertices(3015)%branchCT(0:0))
      call avCT(3015, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1148)%branchCT(0:0))
      call avCT(1148, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

    end subroutine fill_vertices_mdl8
end module vertices_info8
