!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_12563) = cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_12567) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_12566) = -cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_12565) = -cima*ee**2d0*sa/cw
      coupl(nGC_12564) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_12569) = -ca*cima*sa*(l2 - 2d0*l3)
      coupl(nGC_12568) = cima*ee**2d0*sa/cw
      coupl(nGC_12707) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_12709) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12708) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_12497) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )/(cw**2d0*sw**3d0)
      coupl(nGC_12496) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12495) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12494) = 4d0*cima*ee**2d0
      coupl(nGC_12493) = -4d0*cima*ee**2d0
      coupl(nGC_12492) = 2d0*cima*ee**2d0
      coupl(nGC_12813) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                         cw**3d0*sw**2d0)
      coupl(nGC_12812) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )/(cw**2d0*sw**3d0)
      coupl(nGC_12811) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12810) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_12817) = -cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0  &
                         )**2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_12816) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12815) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                         2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12814) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_12818) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12639) = cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_12638) = -ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_12637) = -ee**2d0/sw
      coupl(nGC_12636) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12556) = 2d0*cima*ee
      coupl(nGC_12552) = cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_12550) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_12551) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_12952) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_12953) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_12950) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_12951) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12954) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_845) = -coupl(nGC_214)
      coupl(nGC_12826) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 +  &
                         sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12827) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12824) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12825) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12823) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_12828) = -cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**  &
                         2d0*sw**2d0)
      coupl(nGC_12829) = -2d0*gs
      coupl(nGC_12608) = -cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_12609) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12606) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_12607) = ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_12604) = -3d0*ca*cima*sa**3d0/2d0
      coupl(nGC_12605) = 3d0*ca**3d0*cima*sa
      coupl(nGC_12603) = 3d0*cima*(2d0*ca**4d0*l1 - 2d0*ca**4d0*l3 - 6d0*ca**  &
                         2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 + 12d0*ca**2d0&
                         *l3*sa**2d0 + l2*sa**4d0 - 2d0*l3*sa**4d0)/2d0
      coupl(nGC_12600) = -3d0*cima*sa**4d0/2d0
      coupl(nGC_12601) = -3d0*ca**4d0*cima
      coupl(nGC_12738) = -ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12739) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12732) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_12733) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_12730) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_12731) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_12736) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_12737) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_12734) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_12735) = -sqrt(2d0)/2d0
      coupl(nGC_12705) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_383) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_381) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_387) = cima*gs
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_126) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_127) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
      coupl(nGC_124) = cima*ee*sw/cw
      coupl(nGC_125) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_122) = cima*ee*sw/(3d0*cw)
      coupl(nGC_123) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_120) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_121) = -cima*ee**2d0*sa/sw
      coupl(nGC_128) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_129) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_12945) = -2d0*cima*ee/3d0
      coupl(nGC_12944) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12947) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                         2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12946) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12941) = cima*l3*sa
      coupl(nGC_12940) = -ca*cima*l2/2d0
      coupl(nGC_12943) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_12942) = cima*sa*vevs
      coupl(nGC_12948) = cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)**&
                         2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_I) = cima
      coupl(nGC_12831) = cima*ee**2d0/(2d0*cw)
      coupl(nGC_12830) = -cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_12832) = cima*ee**2d0*vev/cw
      coupl(nGC_12837) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12836) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12549) = -cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_12548) = -3d0*cima/2d0
      coupl(nGC_12541) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_12540) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_12543) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12542) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_12545) = 2d0*cima*gs**2d0
      coupl(nGC_12544) = -ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12547) = -cima/2d0
      coupl(nGC_12546) = -sqrt(2d0)/2d0
      coupl(nGC_12611) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_12610) = -ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_12613) = cima*cw*ee/sw**2d0
      coupl(nGC_12612) = ca*cima*ee/(2d0*sw)
      coupl(nGC_12615) = -cima*cw*ee/sw
      coupl(nGC_12614) = -cima*ee/sw
      coupl(nGC_12617) = cima*ee**2d0/sw**2d0
      coupl(nGC_12616) = -cima*ee**2d0/sw**3d0
      coupl(nGC_12619) = -3d0*ca**2d0*cima*sa**2d0/2d0
      coupl(nGC_12618) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)*(2d0*l1 + l2 - 4d0&
                         *l3)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_12729) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_12728) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_12727) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_12720) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_12854) = -cima*ee*sw/cw**2d0
      coupl(nGC_12710) = -sqrt(2d0)/2d0
      coupl(nGC_3125) = 2d0*coupl(nGC_21)
      coupl(nGC_12711) = -cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_12627) = -2d0*cima*cw*ee/sw
      coupl(nGC_1177) = -coupl(nGC_226)
      coupl(nGC_135) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
      coupl(nGC_134) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_137) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0  &
                        - cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
      coupl(nGC_131) = ca*cw*ee/(2d0*sw) + ca*ee*sw/(2d0*cw)
      coupl(nGC_130) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
      coupl(nGC_133) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
      coupl(nGC_132) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
      coupl(nGC_139) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 -    &
                       cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_138) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0  &
                        - cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_1513) = -coupl(nGC_218)
      coupl(nGC_12687) = -cima*ee**2d0*sa/sw
      coupl(nGC_12848) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12849) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_12847) = ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_12841) = -sqrt(2d0)/2d0
      coupl(nGC_12842) = -gs
      coupl(nGC_12538) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_12539) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12534) = -ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12535) = -ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12536) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12537) = ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12530) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_12531) = -ca*cima*ee**2d0/sw
      coupl(nGC_12532) = ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12533) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12665) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12666) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_12660) = -ca**2d0*cima/2d0
      coupl(nGC_12661) = -cima*sa**2d0
      coupl(nGC_12918) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12919) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                         sw**2d0)
      coupl(nGC_12762) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_147) = -ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*ee**&
                       2d0*sa - ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_100) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_101) = ca*cima*ee/(2d0*sw)
      coupl(nGC_102) = -cima*cw*ee/sw
      coupl(nGC_103) = cima*cw*ee/sw
      coupl(nGC_104) = -2d0*cima*cw*ee/sw
      coupl(nGC_105) = 2d0*cima*cw*ee/sw
      coupl(nGC_106) = -ee**2d0/sw
      coupl(nGC_107) = -ee**2d0/(2d0*sw)
      coupl(nGC_108) = ee**2d0/(2d0*sw)
      coupl(nGC_109) = ee**2d0/sw
      coupl(nGC_10747) = -coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_12706) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_12704) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_12703) = 3d0*ca*cima*sa**3d0
      coupl(nGC_12702) = -3d0*ca**3d0*cima*sa/2d0
      coupl(nGC_12701) = 3d0*cima*(-ca**4d0*l2 + 2d0*ca**4d0*l3 + 6d0*ca**2d0* &
                         l1*sa**2d0 + 3d0*ca**2d0*l2*sa**2d0 - 12d0*ca**2d0*l3*&
                         sa**2d0 - 2d0*l1*sa**4d0 + 2d0*l3*sa**4d0)/2d0
      coupl(nGC_12859) = -cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_12858) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_12857) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_12856) = cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_12855) = cima*ee*sw/cw
      coupl(nGC_12700) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_12853) = cima*ee/cw
      coupl(nGC_12852) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12851) = -sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_12850) = -ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_12525) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                         *sw**2d0)
      coupl(nGC_12524) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                         sw**2d0)
      coupl(nGC_12523) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12522) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 +  &
                         sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12521) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12520) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12677) = ca*cima*ee/(2d0*sw)
      coupl(nGC_12676) = -cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_12675) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_12674) = 2d0*cima*ee**2d0/sw
      coupl(nGC_12673) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12672) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_12671) = -2d0*cima*ee**2d0/sw
      coupl(nGC_12670) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12678) = cima*ee*sa/(2d0*sw)
      coupl(nGC_12499) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw&
                         **2d0)
      coupl(nGC_12498) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                         cw**3d0*sw**2d0)
      coupl(nGC_12800) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_12630) = 2d0*cima*cw*ee/sw
      coupl(nGC_509) = cima/(2d0*cMW)
      coupl(nGC_119) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_118) = cima*ee*sa/(2d0*sw)
      coupl(nGC_117) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_116) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_115) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_114) = cima*cw*ee**2d0/sw
      coupl(nGC_113) = -cima*cw*ee**2d0/sw
      coupl(nGC_112) = -ca*cima*ee**2d0/sw
      coupl(nGC_111) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_110) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_3981) = -coupl(nGC_118)
      coupl(nGC_10729) = -coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_10727) = coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_10725) = coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_6715) = -coupl(nGC_101)
      coupl(nGC_1257) = -coupl(nGC_18)
      coupl(nGC_1035) = -coupl(nGC_103)
      coupl(nGC_577) = -coupl(nGC_198)
      coupl(nGC_687) = -coupl(nGC_210)
      coupl(nGC_1395) = -coupl(nGC_206)
      coupl(nGC_4211) = -coupl(nGC_100)
      coupl(nGC_10733) = -coupl(nGC_21)
      coupl(nGC_10735) = -2d0*coupl(nGC_21)
      coupl(nGC_887) = -coupl(nGC_4)
      coupl(nGC_941) = -coupl(nGC_3)
      coupl(nGC_659) = -coupl(nGC_102)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
