!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_13475) = coupl(nGC_12643)*dsw_QED2 + coupl(nGC_12644)*dZee_QED2
      coupl(nGC_13368) = coupl(nGC_12647)*dsw_QED2 + coupl(nGC_12648)*da_QED2  &
                          + coupl(nGC_12649)*dZee_QED2
      coupl(nGC_20797) = coupl(nGC_210)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_13419) = coupl(nGC_12893)*da_QED2 + coupl(nGC_12894)*dyb_QED3
      coupl(nGC_22539) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_22538) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_TS_GC_212_Hh) = -coupl(nGC_212)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13430) = coupl(nGC_12785)*da_QED2 + coupl(nGC_12786)*dye_QED3
      coupl(nGC_19650) = coupl(nGC_220)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_25040) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_13402) = cima*dyt_QED3
      coupl(nGC_13401) = cima*dyt_QED1_QCD2
      coupl(nGC_13400) = -cima*dyb_QED3
      coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_227_Hl) = -coupl(nGC_227)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19258) = coupl(nGC_202)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_21355) = coupl(nGC_13475) + 2d0*coupl(nGC_72)*dZWMinus_QED2
      coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19257) = coupl(nGC_202)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_13506) = coupl(nGC_12878)*dsw_QED2 + coupl(nGC_12879)*dcw_QED2 &
                          + coupl(nGC_12880)*dZee_QED2
      coupl(nGC_13507) = coupl(nGC_12500)*dsw_QED2 + coupl(nGC_12501)*dcw_QED2 &
                          + coupl(nGC_12502)*dZee_QED2
      coupl(nGC_13500) = coupl(nGC_12873)*dZee_QED2
      coupl(nGC_TS_GC_93_Hh) = -coupl(nGC_93)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_93_Hl) = -coupl(nGC_93)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13432) = coupl(nGC_369)*da_QED2 + coupl(nGC_371)*dytau_QED3
      coupl(nGC_13433) = coupl(nGC_12797)*dyup_QED1_QCD2
      coupl(nGC_13437) = coupl(nGC_12744)*dyt_QED1_QCD2
      coupl(nGC_13434) = coupl(nGC_12797)*dyup_QED3
      coupl(nGC_13345) = coupl(nGC_12515)*dcw_QED2 + coupl(nGC_12516)*da_QED2  &
                          + coupl(nGC_12517)*dZee_QED2
      coupl(nGC_13346) = coupl(nGC_12793)*dsw_QED2 + coupl(nGC_12794)*dcw_QED2 &
                          + coupl(nGC_12795)*da_QED2 + coupl(nGC_12796)*       &
                         dZee_QED2
      coupl(nGC_13341) = coupl(nGC_12510)*dcw_QED2 + coupl(nGC_12511)*dZee_QED2
      coupl(nGC_13342) = coupl(nGC_12506)*dcw_QED2 + coupl(nGC_12507)*dZee_QED2
      coupl(nGC_23642) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_23643) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_21540) = coupl(nGC_216)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_TS_GC_204_Hh) = -coupl(nGC_204)*dtHh_QED1/cMHH**2d0
      coupl(nGC_20741) = coupl(nGC_215)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_23637) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_23636) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_20740) = coupl(nGC_215)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_19067) = coupl(nGC_142)*dZZA_QED2/2d0
      coupl(nGC_13425) = coupl(nGC_12928)*dym_QED3
      coupl(nGC_13421) = -cima*dye_QED3
      coupl(nGC_19115) = coupl(nGC_13402) + coupl(nGC_217)*dZbL_QED2/2d0 +     &
                         coupl(nGC_217)*dZtR_QED2/2d0
      coupl(nGC_13422) = -cima*dym_QED3
      coupl(nGC_20018) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_13352) = coupl(nGC_12592)*da_QED2 + coupl(nGC_12593)*dl2_QED4  &
                          + coupl(nGC_12594)*dl1_QED4 + coupl(nGC_12595)*      &
                         dl3_QED4
      coupl(nGC_13350) = -cima*dl2_QED4
      coupl(nGC_20019) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_22997) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_13577) = -cima*dMU_QCD2
      coupl(nGC_13575) = -cima*dMTA_QED2
      coupl(nGC_13573) = -cima*dME_QED2
      coupl(nGC_20756) = coupl(nGC_223)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_19477) = coupl(nGC_13422) + coupl(nGC_209)*dZmuMinusR_QED2/2d0 &
                          + coupl(nGC_209)*dZnu_muL_QED2/2d0
      coupl(nGC_19583) = coupl(nGC_222)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_19298) = coupl(nGC_99)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_13295) = cima*(20d0*Nc*coupl(nGC_196)**4d0 + 20d0*Nc*coupl(    &
                         nGC_200)**4d0 + 20d0*Nc*coupl(nGC_204)**4d0 + 20d0*Nc*&
                         coupl(nGC_216)**4d0 + 20d0*Nc*coupl(nGC_220)**4d0 +   &
                         20d0*Nc*coupl(nGC_228)**4d0 + 3d0*coupl(nGC_151)**2d0 &
                          + 20d0*coupl(nGC_208)**4d0 + 20d0*coupl(nGC_212)**4d0&
                          + 20d0*coupl(nGC_224)**4d0 + 6d0*coupl(nGC_96)**2d0  &
                         )/(16d0*pi**2d0)
      coupl(nGC_21863) = coupl(nGC_13430) + coupl(nGC_207)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_208)*dZHh_QED2/2d0
      coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13369) = coupl(nGC_12688)*dsw_QED2 + coupl(nGC_12689)*da_QED2  &
                          + coupl(nGC_12690)*dZee_QED2
      coupl(nGC_13361) = coupl(nGC_12584)*dsw_QED2 + coupl(nGC_12585)*dZee_QED2
      coupl(nGC_13367) = coupl(nGC_12745)*dsw_QED2 + coupl(nGC_12746)*dcw_QED2 &
                          + coupl(nGC_12747)*dZee_QED2
      coupl(nGC_13364) = coupl(nGC_12581)*dsw_QED2 + coupl(nGC_12582)*da_QED2  &
                          + coupl(nGC_12583)*dZee_QED2
      coupl(nGC_13365) = coupl(nGC_12641)*dsw_QED2 + coupl(nGC_12642)*dZee_QED2
      coupl(nGC_13371) = coupl(nGC_12895)*dsw_QED2 + coupl(nGC_12896)*dvev_QED1&
                          + coupl(nGC_12897)*dcw_QED2 + coupl(nGC_12898)*      &
                         da_QED2 + coupl(nGC_12899)*dZee_QED2
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19460) = coupl(nGC_200)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_19651) = coupl(nGC_220)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_19280) = coupl(nGC_13364) + coupl(nGC_92)*dZHlHh_QED2 + coupl( &
                         nGC_95)*dZHh_QED2
      coupl(nGC_13576) = -cima*dMU_QED2
      coupl(nGC_13574) = -cima*dMM_QED2
      coupl(nGC_13571) = -cima*dMHH2_QED2
      coupl(nGC_13570) = -cima*dMHL2_QED2
      coupl(nGC_13579) = -cima*dMC_QCD2
      coupl(nGC_13578) = -cima*dMC_QED2
      coupl(nGC_12970) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)*coupl(nGC_196   &
                         ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_199)*coupl(nGC_200 &
                         ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_203)*coupl(nGC_204 &
                         ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_215)*coupl(nGC_216 &
                         ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)*coupl(nGC_220 &
                         ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_227)*coupl(nGC_228 &
                         ) - 4d0*cME**2d0*cima*coupl(nGC_207)*coupl(nGC_208) - &
                         4d0*cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_212) - 4d0*&
                         cMTA**2d0*cima*coupl(nGC_223)*coupl(nGC_224) - 2d0*cMW&
                         **2d0*coupl(nGC_93) - cMZ**2d0*coupl(nGC_148) + 2d0*  &
                         cima*coupl(nGC_162)*coupl(nGC_165) + cima*coupl(      &
                         nGC_175)*coupl(nGC_178))/(16d0*pi**2d0)
      coupl(nGC_13378) = coupl(nGC_349)*dvev_QED1 + coupl(nGC_351)*dl1_QED4 +  &
                         coupl(nGC_353)*dl2_QED4 + coupl(nGC_355)*dvevs_QED1 + &
                         coupl(nGC_357)*da_QED2 + coupl(nGC_359)*dl3_QED4
      coupl(nGC_13375) = coupl(nGC_12929)*dsw_QED2 + coupl(nGC_12930)*dvev_QED1&
                          + coupl(nGC_12931)*dcw_QED2 + coupl(nGC_12932)*      &
                         da_QED2 + coupl(nGC_12933)*dZee_QED2
      coupl(nGC_13374) = coupl(nGC_321)*dvev_QED1 + coupl(nGC_323)*dl1_QED4 +  &
                         coupl(nGC_325)*dl2_QED4 + coupl(nGC_327)*dvevs_QED1 + &
                         coupl(nGC_329)*da_QED2 + coupl(nGC_331)*dl3_QED4
      coupl(nGC_13377) = coupl(nGC_335)*dvev_QED1 + coupl(nGC_337)*dl1_QED4 +  &
                         coupl(nGC_339)*dl2_QED4 + coupl(nGC_341)*dvevs_QED1 + &
                         coupl(nGC_343)*da_QED2 + coupl(nGC_345)*dl3_QED4
      coupl(nGC_13376) = coupl(nGC_12910)*da_QED2 + coupl(nGC_12911)*dl2_QED4  &
                          + coupl(nGC_12912)*dvev_QED1 + coupl(nGC_12913)*     &
                         dvevs_QED1 + coupl(nGC_12914)*dl3_QED4
      coupl(nGC_13373) = coupl(nGC_307)*dvev_QED1 + coupl(nGC_309)*dl1_QED4 +  &
                         coupl(nGC_311)*dl2_QED4 + coupl(nGC_313)*dvevs_QED1 + &
                         coupl(nGC_315)*da_QED2 + coupl(nGC_317)*dl3_QED4
      coupl(nGC_23635) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_23634) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_21673) = coupl(nGC_199)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_21674) = coupl(nGC_199)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_13459) = coupl(nGC_12484)*dZee_QED2
      coupl(nGC_19459) = coupl(nGC_200)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_13451) = coupl(nGC_12486)*dZee_QED2
      coupl(nGC_13105) = coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_21066) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_21067) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_21068) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_21069) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_TS_GC_192_Hh) = -coupl(nGC_192)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_199_Hl) = -coupl(nGC_199)*dtHl_QED1/cMHL**2d0
      coupl(nGC_12969) = cima*(Nc*coupl(nGC_195)*coupl(nGC_196) + Nc*coupl(    &
                         nGC_199)*coupl(nGC_200) + Nc*coupl(nGC_203)*coupl(    &
                         nGC_204) + Nc*coupl(nGC_215)*coupl(nGC_216) + Nc*coupl&
                         (nGC_219)*coupl(nGC_220) + Nc*coupl(nGC_227)*coupl(   &
                         nGC_228) + coupl(nGC_207)*coupl(nGC_208) + coupl(     &
                         nGC_211)*coupl(nGC_212) + coupl(nGC_223)*coupl(nGC_224&
                         ))/(24d0*pi**2d0)
      coupl(nGC_12966) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)**2d0 - 4d0*Nc*  &
                         cMC**2d0*cima*coupl(nGC_199)**2d0 - 4d0*Nc*cMD**2d0*  &
                         cima*coupl(nGC_203)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(&
                         nGC_215)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)** &
                         2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_227)**2d0 - 4d0* &
                         cME**2d0*cima*coupl(nGC_207)**2d0 - 4d0*cMM**2d0*cima*&
                         coupl(nGC_211)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_223&
                         )**2d0 - 2d0*cMW**2d0*coupl(nGC_82) - cMZ**2d0*coupl( &
                         nGC_145) + 2d0*cima*coupl(nGC_162)**2d0 + cima*coupl( &
                         nGC_175)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12965) = cima*(Nc*coupl(nGC_195)**2d0 + Nc*coupl(nGC_199)**2d0 &
                          + Nc*coupl(nGC_203)**2d0 + Nc*coupl(nGC_215)**2d0 +  &
                         Nc*coupl(nGC_219)**2d0 + Nc*coupl(nGC_227)**2d0 +     &
                         coupl(nGC_207)**2d0 + coupl(nGC_211)**2d0 + coupl(    &
                         nGC_223)**2d0)/(24d0*pi**2d0)
      coupl(nGC_12961) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0* &
                         cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(    &
                         nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0  &
                          - Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*&
                         cima*coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(    &
                         nGC_197)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0  &
                          - Nc*cMT**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*&
                         cima*coupl(nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(    &
                         nGC_201)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_225)**2d0  &
                          - cME**2d0*cima*coupl(nGC_205)**2d0 - cMM**2d0*cima* &
                         coupl(nGC_209)**2d0 - cMTA**2d0*cima*coupl(nGC_221)** &
                         2d0 - 2d0*cMW**2d0*coupl(nGC_71) - cMZ**2d0*coupl(    &
                         nGC_141) + 2d0*cima*coupl(nGC_154)**2d0 + 2d0*cima*   &
                         coupl(nGC_166)**2d0)/(16d0*pi**2d0)
      coupl(nGC_19141) = coupl(nGC_194)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_13381) = coupl(nGC_12867)*dsw_QED2 + coupl(nGC_12868)*dvev_QED1&
                          + coupl(nGC_12869)*dZee_QED2
      coupl(nGC_13383) = coupl(nGC_12485)*dZee_QED2
      coupl(nGC_13385) = coupl(nGC_12483)*dZee_QED2
      coupl(nGC_13146) = coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13147) = 3d0*(4d0*Nc*cMB*coupl(nGC_195)**3d0 + 4d0*Nc*cMC*coupl&
                         (nGC_199)**3d0 + 4d0*Nc*cMD*coupl(nGC_203)**3d0 + 4d0*&
                         Nc*cMS*coupl(nGC_215)**3d0 + 4d0*Nc*cMT*coupl(nGC_219 &
                         )**3d0 + 4d0*Nc*cMU*coupl(nGC_227)**3d0 + 4d0*cME*    &
                         coupl(nGC_207)**3d0 + 4d0*cMM*coupl(nGC_211)**3d0 +   &
                         4d0*cMTA*coupl(nGC_223)**3d0 + cima*coupl(nGC_145)*   &
                         coupl(nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(nGC_82 &
                         ))/(16d0*pi**2d0)
      coupl(nGC_13141) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13429) = coupl(nGC_363)*da_QED2 + coupl(nGC_365)*dytau_QED3
      coupl(nGC_13428) = coupl(nGC_12798)*da_QED2 + coupl(nGC_12799)*dym_QED3
      coupl(nGC_19113) = coupl(nGC_13401) + coupl(nGC_217)*dZbL_QCD2/2d0 +     &
                         coupl(nGC_217)*dZtR_QCD2/2d0
      coupl(nGC_13420) = coupl(nGC_12894)*dyb_QED1_QCD2
      coupl(nGC_13423) = -cima*dytau_QED3
      coupl(nGC_21468) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_21469) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_21467) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13588) = cima*dMZ2_QED2
      coupl(nGC_TS_GC_175_Hl) = -coupl(nGC_175)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13589) = cima*dMW2_QED2
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_21075) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_21074) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_21078) = coupl(nGC_13577) + coupl(nGC_21069)
      coupl(nGC_21859) = coupl(nGC_208)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_12956) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*  &
                         cMC**2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*  &
                         cima*coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(&
                         nGC_216)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)** &
                         2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0* &
                         cME**2d0*cima*coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima*&
                         coupl(nGC_212)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224&
                         )**2d0 - 2d0*cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl( &
                         nGC_151) + 2d0*cima*coupl(nGC_165)**2d0 + cima*coupl( &
                         nGC_178)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12955) = cima*(Nc*coupl(nGC_196)**2d0 + Nc*coupl(nGC_200)**2d0 &
                          + Nc*coupl(nGC_204)**2d0 + Nc*coupl(nGC_216)**2d0 +  &
                         Nc*coupl(nGC_220)**2d0 + Nc*coupl(nGC_228)**2d0 +     &
                         coupl(nGC_208)**2d0 + coupl(nGC_212)**2d0 + coupl(    &
                         nGC_224)**2d0)/(24d0*pi**2d0)
      coupl(nGC_13393) = cima*dyup_QED1_QCD2
      coupl(nGC_13392) = -cima*dydo_QED3
      coupl(nGC_13391) = -cima*dydo_QED1_QCD2
      coupl(nGC_13397) = cima*dyc_QED1_QCD2
      coupl(nGC_13396) = -cima*dys_QED3
      coupl(nGC_13395) = -cima*dys_QED1_QCD2
      coupl(nGC_13394) = cima*dyup_QED3
      coupl(nGC_13399) = -cima*dyb_QED1_QCD2
      coupl(nGC_13398) = cima*dyc_QED3
      coupl(nGC_13152) = coupl(nGC_19)**2d0*coupl(nGC_195)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13155) = coupl(nGC_19)**2d0*coupl(nGC_199)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13158) = coupl(nGC_19)**2d0*coupl(nGC_203)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_20091) = coupl(nGC_13375) + coupl(nGC_174)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_177)*dZHh_QED2/2d0
      coupl(nGC_21476) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_21475) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_21470) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_19629) = coupl(nGC_206)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_19625) = coupl(nGC_13396) + coupl(nGC_213)*dZcL_QED2/2d0 +     &
                         coupl(nGC_213)*dZsR_QED2/2d0
      coupl(nGC_19624) = coupl(nGC_13398) + coupl(nGC_197)*dZcR_QED2/2d0 +     &
                         coupl(nGC_197)*dZsL_QED2/2d0
      coupl(nGC_19623) = coupl(nGC_13395) + coupl(nGC_213)*dZcL_QCD2/2d0 +     &
                         coupl(nGC_213)*dZsR_QCD2/2d0
      coupl(nGC_19622) = coupl(nGC_13397) + coupl(nGC_197)*dZcR_QCD2/2d0 +     &
                         coupl(nGC_197)*dZsL_QCD2/2d0
      coupl(nGC_29592) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_29593) = -coupl(nGC_29592)
      coupl(nGC_20717) = coupl(nGC_207)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_13498) = coupl(nGC_12575)*dsw_QED2 + coupl(nGC_12576)*dcw_QED2 &
                          + coupl(nGC_12577)*dZee_QED2
      coupl(nGC_19163) = coupl(nGC_228)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_20408) = coupl(nGC_13421) + coupl(nGC_205)*dZeMinusR_QED2/2d0  &
                          + coupl(nGC_205)*dZnu_eL_QED2/2d0
      coupl(nGC_19164) = coupl(nGC_228)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_19540) = coupl(nGC_198)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_19541) = coupl(nGC_198)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_TS_GC_216_Hh) = -coupl(nGC_216)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_190_Hh) = -coupl(nGC_190)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19094) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_19092) = coupl(nGC_13345) + coupl(nGC_16)*dZHl_QED2/2d0 + coupl&
                         (nGC_28)*dZHhHl_QED2/2d0
      coupl(nGC_13495) = coupl(nGC_12905)*dsw_QED2 + coupl(nGC_12906)*dvev_QED1&
                          + coupl(nGC_12907)*dcw_QED2 + coupl(nGC_12908)*      &
                         da_QED2 + coupl(nGC_12909)*dZee_QED2
      coupl(nGC_13497) = coupl(nGC_12950)*dsw_QED2 + coupl(nGC_12951)*dcw_QED2 &
                          + coupl(nGC_12952)*dZee_QED2
      coupl(nGC_13492) = coupl(nGC_12889)*dsw_QED2 + coupl(nGC_12890)*dcw_QED2 &
                          + coupl(nGC_12891)*da_QED2 + coupl(nGC_12892)*       &
                         dZee_QED2
      coupl(nGC_13493) = coupl(nGC_12946)*dsw_QED2 + coupl(nGC_12947)*dcw_QED2 &
                          + coupl(nGC_12948)*da_QED2 + coupl(nGC_12949)*       &
                         dZee_QED2
      coupl(nGC_26237) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_26238) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_26239) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_13126) = coupl(nGC_19)**2d0*coupl(nGC_200)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13122) = coupl(nGC_19)**2d0*coupl(nGC_196)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13129) = coupl(nGC_19)**2d0*coupl(nGC_204)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_162_Hl) = -coupl(nGC_162)*dtHl_QED1/cMHL**2d0
      coupl(nGC_21442) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_23570) = coupl(nGC_204)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_19940) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2
      coupl(nGC_19941) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20662) = coupl(nGC_178)*dZZA_QED2/2d0
      coupl(nGC_24995) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_219_Hl) = -coupl(nGC_219)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19764) = coupl(nGC_219)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_19765) = coupl(nGC_219)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_19557) = coupl(nGC_13377) + coupl(nGC_189)*dZHh_QED2/2d0 +     &
                         coupl(nGC_189)*dZHl_QED2 + coupl(nGC_191)*dZHlHh_QED2/&
                         2d0 + coupl(nGC_192)*dZHhHl_QED2 + coupl(             &
                         nGC_TS_GC_32_Hl) + coupl(nGC_TS_GC_36_Hh)
      coupl(nGC_20870) = coupl(nGC_19)*dZsR_QCD2
      coupl(nGC_13003) = cMTA*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(    &
                         nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_13002) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_13001) = cMT*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_13000) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_13007) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 + 2d0*Nc*    &
                         coupl(nGC_1)*coupl(nGC_197)**2d0 + 2d0*Nc*coupl(nGC_1 &
                         )*coupl(nGC_201)**2d0 + 2d0*Nc*coupl(nGC_1)*coupl(    &
                         nGC_213)**2d0 + 2d0*Nc*coupl(nGC_1)*coupl(nGC_217)**  &
                         2d0 + 2d0*Nc*coupl(nGC_1)*coupl(nGC_225)**2d0 - 2d0*Nc&
                         *coupl(nGC_193)**2d0*coupl(nGC_2) - 2d0*Nc*coupl(     &
                         nGC_197)**2d0*coupl(nGC_2) - 2d0*Nc*coupl(nGC_2)*coupl&
                         (nGC_201)**2d0 - 2d0*Nc*coupl(nGC_2)*coupl(nGC_213)** &
                         2d0 - 2d0*Nc*coupl(nGC_2)*coupl(nGC_217)**2d0 - 2d0*Nc&
                         *coupl(nGC_2)*coupl(nGC_225)**2d0 + 3d0*cima*coupl(   &
                         nGC_3)*coupl(nGC_71) + 3d0*cima*coupl(nGC_4)*coupl(   &
                         nGC_71) + 2d0*coupl(nGC_205)**2d0*coupl(nGC_4) + 2d0* &
                         coupl(nGC_209)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_221  &
                         )**2d0*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_13006) = (-2d0*Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 - 2d0*Nc*   &
                         coupl(nGC_1)*coupl(nGC_197)**2d0 - 2d0*Nc*coupl(nGC_1 &
                         )*coupl(nGC_201)**2d0 - 2d0*Nc*coupl(nGC_1)*coupl(    &
                         nGC_213)**2d0 - 2d0*Nc*coupl(nGC_1)*coupl(nGC_217)**  &
                         2d0 - 2d0*Nc*coupl(nGC_1)*coupl(nGC_225)**2d0 + 2d0*Nc&
                         *coupl(nGC_193)**2d0*coupl(nGC_2) + 2d0*Nc*coupl(     &
                         nGC_197)**2d0*coupl(nGC_2) + 2d0*Nc*coupl(nGC_2)*coupl&
                         (nGC_201)**2d0 + 2d0*Nc*coupl(nGC_2)*coupl(nGC_213)** &
                         2d0 + 2d0*Nc*coupl(nGC_2)*coupl(nGC_217)**2d0 + 2d0*Nc&
                         *coupl(nGC_2)*coupl(nGC_225)**2d0 + 3d0*cima*coupl(   &
                         nGC_3)*coupl(nGC_71) + 3d0*cima*coupl(nGC_4)*coupl(   &
                         nGC_71) - 2d0*coupl(nGC_205)**2d0*coupl(nGC_4) - 2d0* &
                         coupl(nGC_209)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_221  &
                         )**2d0*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_13005) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_13004) = cMU*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_13483) = coupl(nGC_12729)*dsw_QED2 + coupl(nGC_12730)*dcw_QED2 &
                          + coupl(nGC_12731)*dZee_QED2
      coupl(nGC_13482) = coupl(nGC_12732)*dsw_QED2 + coupl(nGC_12733)*dcw_QED2 &
                          + coupl(nGC_12734)*dZee_QED2
      coupl(nGC_13481) = coupl(nGC_12541)*dsw_QED2 + coupl(nGC_12542)*dcw_QED2 &
                          + coupl(nGC_12543)*da_QED2 + coupl(nGC_12544)*       &
                         dZee_QED2
      coupl(nGC_19370) = coupl(nGC_13385) + coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_12998) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0&
                         *pi**2d0)
      coupl(nGC_12999) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(  &
                         nGC_125))/(8d0*pi**2d0)
      coupl(nGC_12996) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0&
                          - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi&
                         **2d0*Nc)
      coupl(nGC_12997) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_12993) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 &
                          + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi&
                         **2d0)
      coupl(nGC_12990) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_13137) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197&
                         )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_214)**2d0*&
                         coupl(nGC_216) - coupl(nGC_215)**2d0*coupl(nGC_216) - &
                         coupl(nGC_216)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13136) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197&
                         )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_215)**2d0*&
                         coupl(nGC_216) - coupl(nGC_216)**3d0 - coupl(nGC_216)*&
                         coupl(nGC_845)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13135) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_196) + cMC*&
                         coupl(nGC_200) + cMD*coupl(nGC_204) + cMS*coupl(      &
                         nGC_216) + cMT*coupl(nGC_220) + cMU*coupl(nGC_228))/( &
                         16d0*pi**2d0*Nc)
      coupl(nGC_13134) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_196) - cMC&
                         *coupl(nGC_200) - cMD*coupl(nGC_204) - cMS*coupl(     &
                         nGC_216) - cMT*coupl(nGC_220) - cMU*coupl(nGC_228))/( &
                         16d0*pi**2d0)
      coupl(nGC_13132) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(    &
                         nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13130) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(    &
                         nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13139) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -   &
                         coupl(nGC_1513)**2d0*coupl(nGC_220) - coupl(nGC_193)* &
                         coupl(nGC_196)*coupl(nGC_217) + 8d0*coupl(nGC_2)**2d0*&
                         coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) - &
                         coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13138) = coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22560) = coupl(nGC_136)*dZZA_QED2/2d0
      coupl(nGC_22561) = coupl(nGC_135)*dZZA_QED2/2d0
      coupl(nGC_13229) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                         nGC_122)**2d0 - coupl(nGC_213)**2d0 - coupl(nGC_214)* &
                         coupl(nGC_845) - coupl(nGC_215)**2d0 - coupl(nGC_216  &
                         )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13228) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                         nGC_125)**2d0 - coupl(nGC_197)**2d0 - coupl(nGC_214)* &
                         coupl(nGC_845) - coupl(nGC_215)**2d0 - coupl(nGC_216  &
                         )**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13227) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_122)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_202)*&
                         coupl(nGC_2029) - coupl(nGC_203)**2d0 - coupl(nGC_204 &
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_13226) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_125)**2d0 - coupl(nGC_202)*coupl(nGC_2029) -     &
                         coupl(nGC_203)**2d0 - coupl(nGC_204)**2d0 - coupl(    &
                         nGC_225)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13225) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_122)**2d0 + coupl(nGC_201)**2d0 + coupl(nGC_202)* &
                         coupl(nGC_2029) + coupl(nGC_203)**2d0 + coupl(nGC_204 &
                         )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13224) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_125)**2d0 + coupl(nGC_202)*coupl(nGC_2029) + coupl&
                         (nGC_203)**2d0 + coupl(nGC_204)**2d0 + coupl(nGC_225  &
                         )**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_19334) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_20188) = coupl(nGC_214)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_20187) = coupl(nGC_214)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_23569) = coupl(nGC_204)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_19823) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZdL_QED2&
                          + coupl(nGC_13506)
      coupl(nGC_TS_GC_200_Hh) = -coupl(nGC_200)*dtHh_QED1/cMHH**2d0
      coupl(nGC_19821) = coupl(nGC_125)*dZdL_QCD2
      coupl(nGC_TS_GC_189_Hh) = -coupl(nGC_189)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_189_Hl) = -coupl(nGC_189)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19881) = coupl(nGC_19)*dZdR_QCD2
      coupl(nGC_19880) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_19883) = coupl(nGC_19)*dZdL_QCD2
      coupl(nGC_20052) = coupl(nGC_99)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_TS_GC_15_Hl) = -coupl(nGC_15)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19413) = coupl(nGC_211)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_19414) = coupl(nGC_13428) + coupl(nGC_211)*dZHl_QED2/2d0 +     &
                         coupl(nGC_212)*dZHhHl_QED2/2d0
      coupl(nGC_19415) = coupl(nGC_19413) + coupl(nGC_19414)
      coupl(nGC_TS_GC_223_Hl) = -coupl(nGC_223)*dtHl_QED1/cMHL**2d0
      coupl(nGC_21028) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_21026) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_21027) = coupl(nGC_19)*dZuR_QCD2
      coupl(nGC_25037) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_25039) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_25038) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_TS_GC_96_Hh) = -coupl(nGC_96)*dtHh_QED1/cMHH**2d0
      coupl(nGC_20867) = coupl(nGC_19)*dZsL_QED2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
