!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_13473) = coupl(nGC_12613)*dsw_QED2 + coupl(nGC_12614)*dcw_QED2 &
                          + coupl(nGC_12615)*dZee_QED2
      coupl(nGC_13470) = coupl(nGC_12778)*dsw_QED2 + coupl(nGC_12779)*dvev_QED1&
                          + coupl(nGC_12780)*da_QED2 + coupl(nGC_12781)*       &
                         dZee_QED2
      coupl(nGC_13471) = coupl(nGC_12549)*dsw_QED2 + coupl(nGC_12550)*dvev_QED1&
                          + coupl(nGC_12551)*da_QED2 + coupl(nGC_12552)*       &
                         dZee_QED2
      coupl(nGC_21186) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_13481) +   &
                         coupl(nGC_135)*dZHh_QED2/2d0 + coupl(nGC_135)*dZZ_QED2&
                         /2d0
      coupl(nGC_13293) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl( &
                         nGC_122) + coupl(nGC_1)*coupl(nGC_125) + coupl(nGC_123&
                         )*coupl(nGC_2) + coupl(nGC_126)*coupl(nGC_2))/(32d0*pi&
                         **2d0)
      coupl(nGC_12978) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_125)**2d0 - coupl&
                         (nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22477) = coupl(nGC_19)*dZcR_QCD2
      coupl(nGC_TS_GC_101_Hl) = -coupl(nGC_101)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20611) = coupl(nGC_13590) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_22478) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_12971) = cima*(-6d0*Nc*coupl(nGC_1)*coupl(nGC_122) - 6d0*Nc*   &
                         coupl(nGC_1)*coupl(nGC_125) - 6d0*Nc*coupl(nGC_123)*  &
                         coupl(nGC_2) - 6d0*Nc*coupl(nGC_126)*coupl(nGC_2) +   &
                         coupl(nGC_102)*coupl(nGC_3) - coupl(nGC_102)*coupl(   &
                         nGC_4) - coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_103)*&
                         coupl(nGC_4) - 6d0*coupl(nGC_124)*coupl(nGC_4) - 6d0* &
                         coupl(nGC_128)*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_12972) = cima*(-2d0*coupl(nGC_102)*coupl(nGC_3) - coupl(nGC_102&
                         )*coupl(nGC_4) - coupl(nGC_103)*coupl(nGC_3) - 2d0*   &
                         coupl(nGC_103)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_12973) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_122) +   &
                         2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_125) + 2d0&
                         *Nc*cMC**2d0*cima*coupl(nGC_123)*coupl(nGC_2) + 2d0*Nc&
                         *cMC**2d0*cima*coupl(nGC_126)*coupl(nGC_2) + 2d0*Nc*  &
                         cMD**2d0*cima*coupl(nGC_1)*coupl(nGC_122) + 2d0*Nc*cMD&
                         **2d0*cima*coupl(nGC_1)*coupl(nGC_125) + 2d0*Nc*cMS** &
                         2d0*cima*coupl(nGC_1)*coupl(nGC_122) + 2d0*Nc*cMS**2d0&
                         *cima*coupl(nGC_1)*coupl(nGC_125) + 2d0*Nc*cMT**2d0*  &
                         cima*coupl(nGC_123)*coupl(nGC_2) + 2d0*Nc*cMT**2d0*   &
                         cima*coupl(nGC_126)*coupl(nGC_2) + 2d0*Nc*cMU**2d0*   &
                         cima*coupl(nGC_123)*coupl(nGC_2) + 2d0*Nc*cMU**2d0*   &
                         cima*coupl(nGC_126)*coupl(nGC_2) + 2d0*cME**2d0*cima* &
                         coupl(nGC_124)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(&
                         nGC_128)*coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(      &
                         nGC_124)*coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(      &
                         nGC_128)*coupl(nGC_4) + 2d0*cMTA**2d0*cima*coupl(     &
                         nGC_124)*coupl(nGC_4) + 2d0*cMTA**2d0*cima*coupl(     &
                         nGC_128)*coupl(nGC_4) - cMW**2d0*cima*coupl(nGC_102)* &
                         coupl(nGC_3) + cMW**2d0*cima*coupl(nGC_102)*coupl(    &
                         nGC_4) + cMW**2d0*cima*coupl(nGC_103)*coupl(nGC_3) -  &
                         cMW**2d0*cima*coupl(nGC_103)*coupl(nGC_4) - 2d0*cMW** &
                         2d0*coupl(nGC_116))/(16d0*pi**2d0)
      coupl(nGC_13194) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22273) = coupl(nGC_123)*dZtR_QCD2
      coupl(nGC_13191) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(    &
                         nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_194)*coupl(  &
                         nGC_605) + coupl(nGC_125)*coupl(nGC_195)**2d0 + coupl(&
                         nGC_125)*coupl(nGC_196)**2d0 + coupl(nGC_126)*coupl(  &
                         nGC_193)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13059) = coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13192) = coupl(nGC_122)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13054) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*  &
                         coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl( &
                         nGC_1513)*coupl(nGC_217)*coupl(nGC_605) - coupl(      &
                         nGC_195)*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196&
                         )*coupl(nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_13055) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13056) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*  &
                         coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl( &
                         nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193&
                         )*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl&
                         (nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_13057) = coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13050) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) - &
                         2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) +  &
                         3d0*cima*coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl&
                         (nGC_103)*coupl(nGC_27) + 3d0*cima*coupl(nGC_119)*    &
                         coupl(nGC_3) + 3d0*cima*coupl(nGC_119)*coupl(nGC_4) + &
                         2d0*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) + 2d0*&
                         coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_99) + 2d0*    &
                         coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99))/(48d0*pi &
                         **2d0)
      coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13052) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) - &
                         2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) +  &
                         2d0*Nc*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) -  &
                         2d0*Nc*coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) +  &
                         3d0*cima*coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl&
                         (nGC_103)*coupl(nGC_15) + 3d0*cima*coupl(nGC_110)*    &
                         coupl(nGC_3) + 3d0*cima*coupl(nGC_110)*coupl(nGC_4) + &
                         2d0*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) + 2d0*&
                         coupl(nGC_209)*coupl(nGC_211)*coupl(nGC_99) + 2d0*    &
                         coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99))/(48d0*pi &
                         **2d0)
      coupl(nGC_13053) = (2d0*Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99&
                         ) - 2d0*Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(   &
                         nGC_99) - 2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_193)*   &
                         coupl(nGC_99) + 2d0*Nc*cMC*coupl(nGC_123)*coupl(      &
                         nGC_197)*coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_125)*   &
                         coupl(nGC_197)*coupl(nGC_99) - 2d0*Nc*cMC*coupl(      &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_99) + 2d0*Nc*cMD*   &
                         coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - 2d0*Nc* &
                         cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - 2d0*&
                         Nc*cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) +  &
                         2d0*Nc*cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99 &
                         ) - 2d0*Nc*cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(   &
                         nGC_99) - 2d0*Nc*cMS*coupl(nGC_126)*coupl(nGC_213)*   &
                         coupl(nGC_99) + 2d0*Nc*cMT*coupl(nGC_123)*coupl(      &
                         nGC_217)*coupl(nGC_99) - 2d0*Nc*cMT*coupl(nGC_125)*   &
                         coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc*cMT*coupl(      &
                         nGC_126)*coupl(nGC_217)*coupl(nGC_99) + 2d0*Nc*cMU*   &
                         coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - 2d0*Nc* &
                         cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - 2d0*&
                         Nc*cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) +  &
                         2d0*cME*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - &
                         2d0*cME*coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_99) - &
                         2d0*cME*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_99) + &
                         2d0*cMM*coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_99) - &
                         2d0*cMM*coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_99) - &
                         2d0*cMM*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_99) + &
                         2d0*cMTA*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_99   &
                         ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_221)*coupl(     &
                         nGC_99) - 2d0*cMTA*coupl(nGC_129)*coupl(nGC_221)*coupl&
                         (nGC_99) + 4d0*cima*coupl(nGC_113)*coupl(nGC_166) +   &
                         4d0*cima*coupl(nGC_154)*coupl(nGC_84) - coupl(nGC_102 &
                         )**2d0*coupl(nGC_154) + 2d0*coupl(nGC_102)*coupl(     &
                         nGC_103)*coupl(nGC_154) + coupl(nGC_102)*coupl(nGC_166&
                         )*coupl(nGC_3) - coupl(nGC_102)*coupl(nGC_166)*coupl( &
                         nGC_4) - coupl(nGC_103)**2d0*coupl(nGC_154) - coupl(  &
                         nGC_103)*coupl(nGC_166)*coupl(nGC_3) + coupl(nGC_103)*&
                         coupl(nGC_166)*coupl(nGC_4))/(32d0*pi**2d0)
      coupl(nGC_13379) = coupl(nGC_12847)*dsw_QED2 + coupl(nGC_12848)*dvev_QED1&
                          + coupl(nGC_12849)*da_QED2 + coupl(nGC_12850)*       &
                         dZee_QED2
      coupl(nGC_13370) = coupl(nGC_12830)*dcw_QED2 + coupl(nGC_12831)*dvev_QED1&
                          + coupl(nGC_12832)*dZee_QED2
      coupl(nGC_13372) = coupl(nGC_12938)*da_QED2 + coupl(nGC_12939)*dl2_QED4  &
                          + coupl(nGC_12940)*dvev_QED1 + coupl(nGC_12941)*     &
                         dvevs_QED1 + coupl(nGC_12942)*dl3_QED4
      coupl(nGC_13274) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 + &
                         coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_13275) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0  &
                          - coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13276) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)**2d0 &
                          + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219)**2d0 +  &
                         20d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217)* &
                         coupl(nGC_219) + 10d0*Nc*coupl(nGC_195)**2d0*coupl(   &
                         nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_199)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_215)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_199)*&
                         coupl(nGC_213)*coupl(nGC_215) + 10d0*Nc*coupl(nGC_199 &
                         )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)** &
                         2d0*coupl(nGC_203)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0*&
                         coupl(nGC_227)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(   &
                         nGC_203)*coupl(nGC_225)*coupl(nGC_227) + 10d0*Nc*coupl&
                         (nGC_203)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(   &
                         nGC_213)**2d0*coupl(nGC_215)**2d0 + 10d0*Nc*coupl(    &
                         nGC_217)**2d0*coupl(nGC_219)**2d0 + 10d0*Nc*coupl(    &
                         nGC_225)**2d0*coupl(nGC_227)**2d0 + 12d0*coupl(nGC_110&
                         )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_145) + 12d0*    &
                         coupl(nGC_15)**2d0 + 10d0*coupl(nGC_205)**2d0*coupl(  &
                         nGC_207)**2d0 + 10d0*coupl(nGC_209)**2d0*coupl(nGC_211&
                         )**2d0 + 10d0*coupl(nGC_221)**2d0*coupl(nGC_223)**2d0 &
                          + 6d0*coupl(nGC_71)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_13270) = cima*(5d0*Nc*coupl(nGC_193)**4d0 + 5d0*Nc*coupl(      &
                         nGC_197)**4d0 + 5d0*Nc*coupl(nGC_201)**4d0 + 5d0*Nc*  &
                         coupl(nGC_213)**4d0 + 5d0*Nc*coupl(nGC_217)**4d0 + 5d0&
                         *Nc*coupl(nGC_225)**4d0 + 3d0*coupl(nGC_10)**2d0 + 6d0&
                         *coupl(nGC_134)**2d0 + 3d0*coupl(nGC_141)**2d0 + 5d0* &
                         coupl(nGC_205)**4d0 + 5d0*coupl(nGC_209)**4d0 + 5d0*  &
                         coupl(nGC_221)**4d0 + 6d0*coupl(nGC_71)**2d0)/(24d0*pi&
                         **2d0)
      coupl(nGC_13272) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0 &
                          + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_220)**2d0 +  &
                         20d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217)* &
                         coupl(nGC_220) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(   &
                         nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_200)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_216)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_200)*&
                         coupl(nGC_213)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_200 &
                         )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)** &
                         2d0*coupl(nGC_204)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0*&
                         coupl(nGC_228)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(   &
                         nGC_204)*coupl(nGC_225)*coupl(nGC_228) + 10d0*Nc*coupl&
                         (nGC_204)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(   &
                         nGC_213)**2d0*coupl(nGC_216)**2d0 + 10d0*Nc*coupl(    &
                         nGC_217)**2d0*coupl(nGC_220)**2d0 + 10d0*Nc*coupl(    &
                         nGC_225)**2d0*coupl(nGC_228)**2d0 + 12d0*coupl(nGC_119&
                         )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_151) + 10d0*    &
                         coupl(nGC_205)**2d0*coupl(nGC_208)**2d0 + 10d0*coupl( &
                         nGC_209)**2d0*coupl(nGC_212)**2d0 + 10d0*coupl(nGC_221&
                         )**2d0*coupl(nGC_224)**2d0 + 12d0*coupl(nGC_27)**2d0  &
                          + 6d0*coupl(nGC_71)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_13273) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)*coupl&
                         (nGC_196) + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219 &
                         )*coupl(nGC_220) + 10d0*Nc*coupl(nGC_193)*coupl(      &
                         nGC_195)*coupl(nGC_217)*coupl(nGC_220) + 10d0*Nc*coupl&
                         (nGC_193)*coupl(nGC_196)*coupl(nGC_217)*coupl(nGC_219 &
                         ) + 10d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(      &
                         nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(    &
                         nGC_199)*coupl(nGC_200) + 10d0*Nc*coupl(nGC_197)**2d0*&
                         coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_197 &
                         )*coupl(nGC_199)*coupl(nGC_213)*coupl(nGC_216) + 10d0*&
                         Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_213)*coupl(&
                         nGC_215) + 10d0*Nc*coupl(nGC_199)*coupl(nGC_200)*coupl&
                         (nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0*coupl(   &
                         nGC_203)*coupl(nGC_204) + 10d0*Nc*coupl(nGC_201)**2d0*&
                         coupl(nGC_227)*coupl(nGC_228) + 10d0*Nc*coupl(nGC_201 &
                         )*coupl(nGC_203)*coupl(nGC_225)*coupl(nGC_228) + 10d0*&
                         Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_225)*coupl(&
                         nGC_227) + 10d0*Nc*coupl(nGC_203)*coupl(nGC_204)*coupl&
                         (nGC_225)**2d0 + 10d0*Nc*coupl(nGC_213)**2d0*coupl(   &
                         nGC_215)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_217)**2d0*&
                         coupl(nGC_219)*coupl(nGC_220) + 10d0*Nc*coupl(nGC_225 &
                         )**2d0*coupl(nGC_227)*coupl(nGC_228) + 12d0*coupl(    &
                         nGC_110)*coupl(nGC_119) + 3d0*coupl(nGC_141)*coupl(   &
                         nGC_148) + 12d0*coupl(nGC_15)*coupl(nGC_27) + 10d0*   &
                         coupl(nGC_205)**2d0*coupl(nGC_207)*coupl(nGC_208) +   &
                         10d0*coupl(nGC_209)**2d0*coupl(nGC_211)*coupl(nGC_212 &
                         ) + 10d0*coupl(nGC_221)**2d0*coupl(nGC_223)*coupl(    &
                         nGC_224) + 6d0*coupl(nGC_71)*coupl(nGC_93))/(48d0*pi**&
                         2d0)
      coupl(nGC_13173) = (-coupl(nGC_1177)**2d0*coupl(nGC_227) + 8d0*coupl(    &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0*coupl(   &
                         nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*coupl(    &
                         nGC_203)*coupl(nGC_225) - coupl(nGC_227)**3d0 - coupl(&
                         nGC_227)*coupl(nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13172) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_1957)**2d0 - coupl(nGC_223)**2d0 - coupl(   &
                         nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13171) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(    &
                         nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13170) = coupl(nGC_19)**2d0*coupl(nGC_219)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13279) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_193)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_201)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_213)**2d0&
                          + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_126)*coupl(  &
                         nGC_193)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(    &
                         nGC_126)*coupl(nGC_201)**2d0 + 10d0*Nc*cima*coupl(    &
                         nGC_122)*coupl(nGC_126)*coupl(nGC_213)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_123)**2d0*coupl(nGC_197)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_217)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_123)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc&
                         *cima*coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197)**  &
                         2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_125)*coupl&
                         (nGC_217)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(   &
                         nGC_125)*coupl(nGC_225)**2d0 - 8d0*Nc*cima*coupl(     &
                         nGC_125)**2d0*coupl(nGC_197)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_125)**2d0*coupl(nGC_217)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_125)**2d0*coupl(nGC_225)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_193)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_201)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_126)**2d0*coupl(nGC_213)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_205)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_209)**2d0 - 8d0*cima*coupl(   &
                         nGC_124)**2d0*coupl(nGC_221)**2d0 + 10d0*cima*coupl(  &
                         nGC_124)*coupl(nGC_129)*coupl(nGC_205)**2d0 + 10d0*   &
                         cima*coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)**2d0&
                          + 10d0*cima*coupl(nGC_124)*coupl(nGC_129)*coupl(     &
                         nGC_221)**2d0 - 8d0*cima*coupl(nGC_129)**2d0*coupl(   &
                         nGC_205)**2d0 - 8d0*cima*coupl(nGC_129)**2d0*coupl(   &
                         nGC_209)**2d0 - 8d0*cima*coupl(nGC_129)**2d0*coupl(   &
                         nGC_221)**2d0 + 6d0*cima*coupl(nGC_71)*coupl(nGC_85   &
                         ) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_71) - 6d0*coupl(&
                         nGC_102)*coupl(nGC_103)*coupl(nGC_71) + 3d0*coupl(    &
                         nGC_103)**2d0*coupl(nGC_71))/(48d0*pi**2d0)
      coupl(nGC_13175) = coupl(nGC_19)**2d0*coupl(nGC_227)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13174) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) +   &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*&
                         coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_226)**2d0*  &
                         coupl(nGC_227) - coupl(nGC_227)**3d0 - coupl(nGC_227)*&
                         coupl(nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13238) = coupl(nGC_19)*sq2*(-coupl(nGC_1177)*coupl(nGC_226) -  &
                         4d0*coupl(nGC_126)**2d0 - 4d0*coupl(nGC_2)**2d0 -     &
                         coupl(nGC_201)**2d0 - coupl(nGC_227)**2d0 - coupl(    &
                         nGC_228)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*&
                         Nc)
      coupl(nGC_13022) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_21720) = coupl(nGC_19370) + coupl(nGC_21718)
      coupl(nGC_13281) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)**3d0 + 4d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_125)**3d0 + 4d0*Nc*cima* &
                         coupl(nGC_123)**3d0*coupl(nGC_2) + 4d0*Nc*cima*coupl( &
                         nGC_126)**3d0*coupl(nGC_2) + cima*coupl(nGC_102)**3d0*&
                         coupl(nGC_3) - cima*coupl(nGC_102)**3d0*coupl(nGC_4   &
                         ) - 3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(&
                         nGC_3) + 3d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)* &
                         coupl(nGC_4) + 3d0*cima*coupl(nGC_102)*coupl(nGC_103  &
                         )**2d0*coupl(nGC_3) - 3d0*cima*coupl(nGC_102)*coupl(  &
                         nGC_103)**2d0*coupl(nGC_4) - cima*coupl(nGC_103)**3d0*&
                         coupl(nGC_3) + cima*coupl(nGC_103)**3d0*coupl(nGC_4   &
                         ) + 4d0*cima*coupl(nGC_116)*coupl(nGC_85) + 4d0*cima* &
                         coupl(nGC_124)**3d0*coupl(nGC_4) + 4d0*cima*coupl(    &
                         nGC_128)**3d0*coupl(nGC_4) + 2d0*coupl(nGC_102)**2d0* &
                         coupl(nGC_116) - 4d0*coupl(nGC_102)*coupl(nGC_103)*   &
                         coupl(nGC_116) - 2d0*coupl(nGC_102)*coupl(nGC_3)*coupl&
                         (nGC_85) + 2d0*coupl(nGC_102)*coupl(nGC_4)*coupl(     &
                         nGC_85) + 2d0*coupl(nGC_103)**2d0*coupl(nGC_116) + 2d0&
                         *coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_85) - 2d0*coupl&
                         (nGC_103)*coupl(nGC_4)*coupl(nGC_85))/(32d0*pi**2d0)
      coupl(nGC_19261) = -coupl(nGC_13403) - coupl(nGC_19258)
      coupl(nGC_19121) = coupl(nGC_114)*dZWMinus_QED2/2d0 + coupl(nGC_114)*    &
                         dZZ_QED2/2d0 + coupl(nGC_13452) + coupl(nGC_7)*       &
                         dZAZ_QED2/2d0
      coupl(nGC_13285) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_193)**2d0 &
                          + coupl(nGC_197)**2d0 + coupl(nGC_201)**2d0 + coupl( &
                         nGC_213)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_225)**&
                         2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13284) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_193)**2d0&
                          - coupl(nGC_197)**2d0 - coupl(nGC_201)**2d0 - coupl( &
                         nGC_213)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_225)**&
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_13287) = (10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(    &
                         nGC_195)*coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_122)* &
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 10d0*Nc*&
                         cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*    &
                         coupl(nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(    &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 10d0*Nc*cima* &
                         coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(   &
                         nGC_99) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)* &
                         coupl(nGC_227)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_125)*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_197)*coupl(  &
                         nGC_199)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*  &
                         coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_215)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_125)*coupl(     &
                         nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 8d0*Nc*cima*  &
                         coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_227)*coupl(   &
                         nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_193)*  &
                         coupl(nGC_195)*coupl(nGC_99) - 8d0*Nc*cima*coupl(     &
                         nGC_126)*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99   &
                         ) - 8d0*Nc*cima*coupl(nGC_126)*coupl(nGC_201)*coupl(  &
                         nGC_203)*coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*  &
                         coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 8d0*Nc* &
                         cima*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_219)*    &
                         coupl(nGC_99) - 8d0*Nc*cima*coupl(nGC_126)*coupl(     &
                         nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 12d0*cima*    &
                         coupl(nGC_110)*coupl(nGC_113) + 10d0*cima*coupl(      &
                         nGC_124)*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99   &
                         ) + 10d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl(    &
                         nGC_211)*coupl(nGC_99) + 10d0*cima*coupl(nGC_124)*    &
                         coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_207)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl&
                         (nGC_211)*coupl(nGC_99) - 8d0*cima*coupl(nGC_128)*    &
                         coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 8d0*cima&
                         *coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_207)*coupl(  &
                         nGC_99) - 8d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl&
                         (nGC_211)*coupl(nGC_99) - 8d0*cima*coupl(nGC_129)*    &
                         coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99) + 12d0*   &
                         cima*coupl(nGC_15)*coupl(nGC_84) - 3d0*coupl(nGC_102  &
                         )**2d0*coupl(nGC_15) + 6d0*coupl(nGC_102)*coupl(      &
                         nGC_103)*coupl(nGC_15) + 6d0*coupl(nGC_102)*coupl(    &
                         nGC_110)*coupl(nGC_3) - 3d0*coupl(nGC_103)**2d0*coupl(&
                         nGC_15) - 6d0*coupl(nGC_103)*coupl(nGC_110)*coupl(    &
                         nGC_3))/(96d0*pi**2d0)
      coupl(nGC_13334) = (cima*coupl(nGC_10725)**2d0 - cima*coupl(nGC_1257)**  &
                         4d0*sq2**4d0 - 2d0*coupl(nGC_10725)*coupl(nGC_1257)** &
                         2d0*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_19263) = -coupl(nGC_13404) - coupl(nGC_19257)
      coupl(nGC_19866) = coupl(nGC_13456) + coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_19262) = coupl(nGC_13403) + coupl(nGC_19258)
      coupl(nGC_13308) = (-16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_203)**  &
                         2d0 - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_215  &
                         )**2d0 + 20d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*  &
                         coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl(nGC_122)*    &
                         coupl(nGC_125)*coupl(nGC_203)**2d0 + 20d0*Nc*cima*    &
                         coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_215)**2d0 -   &
                         16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_199)**2d0  &
                          - 16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_219)**  &
                         2d0 - 16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_227  &
                         )**2d0 + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*  &
                         coupl(nGC_199)**2d0 + 20d0*Nc*cima*coupl(nGC_123)*    &
                         coupl(nGC_126)*coupl(nGC_219)**2d0 + 20d0*Nc*cima*    &
                         coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227)**2d0 -   &
                         16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_195)**2d0  &
                          - 16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_203)**  &
                         2d0 - 16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_215  &
                         )**2d0 - 16d0*Nc*cima*coupl(nGC_126)**2d0*coupl(      &
                         nGC_199)**2d0 - 16d0*Nc*cima*coupl(nGC_126)**2d0*coupl&
                         (nGC_219)**2d0 - 16d0*Nc*cima*coupl(nGC_126)**2d0*    &
                         coupl(nGC_227)**2d0 - 16d0*cima*coupl(nGC_124)**2d0*  &
                         coupl(nGC_207)**2d0 - 16d0*cima*coupl(nGC_124)**2d0*  &
                         coupl(nGC_211)**2d0 - 16d0*cima*coupl(nGC_124)**2d0*  &
                         coupl(nGC_223)**2d0 + 20d0*cima*coupl(nGC_124)*coupl( &
                         nGC_128)*coupl(nGC_207)**2d0 + 20d0*cima*coupl(nGC_124&
                         )*coupl(nGC_128)*coupl(nGC_211)**2d0 + 20d0*cima*coupl&
                         (nGC_124)*coupl(nGC_128)*coupl(nGC_223)**2d0 - 16d0*  &
                         cima*coupl(nGC_128)**2d0*coupl(nGC_207)**2d0 - 16d0*  &
                         cima*coupl(nGC_128)**2d0*coupl(nGC_211)**2d0 - 16d0*  &
                         cima*coupl(nGC_128)**2d0*coupl(nGC_223)**2d0 + 6d0*   &
                         cima*coupl(nGC_82)*coupl(nGC_85) + 3d0*coupl(nGC_102  &
                         )**2d0*coupl(nGC_82) - 6d0*coupl(nGC_102)*coupl(      &
                         nGC_103)*coupl(nGC_82) + 3d0*coupl(nGC_103)**2d0*coupl&
                         (nGC_82))/(48d0*pi**2d0)
      coupl(nGC_13309) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_196)**2d0&
                          - coupl(nGC_200)**2d0 - coupl(nGC_204)**2d0 - coupl( &
                         nGC_216)**2d0 - coupl(nGC_220)**2d0 - coupl(nGC_228)**&
                         2d0)/(16d0*pi**2d0)
      coupl(nGC_21356) = coupl(nGC_13476) + 2d0*coupl(nGC_75)*dZWMinus_QED2
      coupl(nGC_13338) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_13301) = cima*(20d0*Nc*coupl(nGC_195)**3d0*coupl(nGC_196) +    &
                         20d0*Nc*coupl(nGC_199)**3d0*coupl(nGC_200) + 20d0*Nc* &
                         coupl(nGC_203)**3d0*coupl(nGC_204) + 20d0*Nc*coupl(   &
                         nGC_215)**3d0*coupl(nGC_216) + 20d0*Nc*coupl(nGC_219  &
                         )**3d0*coupl(nGC_220) + 20d0*Nc*coupl(nGC_227)**3d0*  &
                         coupl(nGC_228) + 3d0*coupl(nGC_145)*coupl(nGC_148) +  &
                         20d0*coupl(nGC_207)**3d0*coupl(nGC_208) + 20d0*coupl( &
                         nGC_211)**3d0*coupl(nGC_212) + 20d0*coupl(nGC_223)**  &
                         3d0*coupl(nGC_224) + 6d0*coupl(nGC_82)*coupl(nGC_93   &
                         ))/(16d0*pi**2d0)
      coupl(nGC_13302) = (-16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_196)**2d0&
                          - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_204)**  &
                         2d0 - 16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_216  &
                         )**2d0 + 20d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*  &
                         coupl(nGC_196)**2d0 + 20d0*Nc*cima*coupl(nGC_122)*    &
                         coupl(nGC_125)*coupl(nGC_204)**2d0 + 20d0*Nc*cima*    &
                         coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_216)**2d0 -   &
                         16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_200)**2d0  &
                          - 16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_220)**  &
                         2d0 - 16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_228  &
                         )**2d0 + 20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*  &
                         coupl(nGC_200)**2d0 + 20d0*Nc*cima*coupl(nGC_123)*    &
                         coupl(nGC_126)*coupl(nGC_220)**2d0 + 20d0*Nc*cima*    &
                         coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228)**2d0 -   &
                         16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_196)**2d0  &
                          - 16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_204)**  &
                         2d0 - 16d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_216  &
                         )**2d0 - 16d0*Nc*cima*coupl(nGC_126)**2d0*coupl(      &
                         nGC_200)**2d0 - 16d0*Nc*cima*coupl(nGC_126)**2d0*coupl&
                         (nGC_220)**2d0 - 16d0*Nc*cima*coupl(nGC_126)**2d0*    &
                         coupl(nGC_228)**2d0 - 16d0*cima*coupl(nGC_124)**2d0*  &
                         coupl(nGC_208)**2d0 - 16d0*cima*coupl(nGC_124)**2d0*  &
                         coupl(nGC_212)**2d0 - 16d0*cima*coupl(nGC_124)**2d0*  &
                         coupl(nGC_224)**2d0 + 20d0*cima*coupl(nGC_124)*coupl( &
                         nGC_128)*coupl(nGC_208)**2d0 + 20d0*cima*coupl(nGC_124&
                         )*coupl(nGC_128)*coupl(nGC_212)**2d0 + 20d0*cima*coupl&
                         (nGC_124)*coupl(nGC_128)*coupl(nGC_224)**2d0 - 16d0*  &
                         cima*coupl(nGC_128)**2d0*coupl(nGC_208)**2d0 - 16d0*  &
                         cima*coupl(nGC_128)**2d0*coupl(nGC_212)**2d0 - 16d0*  &
                         cima*coupl(nGC_128)**2d0*coupl(nGC_224)**2d0 + 6d0*   &
                         cima*coupl(nGC_85)*coupl(nGC_96) + 3d0*coupl(nGC_102  &
                         )**2d0*coupl(nGC_96) - 6d0*coupl(nGC_102)*coupl(      &
                         nGC_103)*coupl(nGC_96) + 3d0*coupl(nGC_103)**2d0*coupl&
                         (nGC_96))/(48d0*pi**2d0)
      coupl(nGC_13306) = (-16d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)*    &
                         coupl(nGC_196) - 16d0*Nc*cima*coupl(nGC_122)**2d0*    &
                         coupl(nGC_203)*coupl(nGC_204) - 16d0*Nc*cima*coupl(   &
                         nGC_122)**2d0*coupl(nGC_215)*coupl(nGC_216) + 20d0*Nc*&
                         cima*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_195)*    &
                         coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_122)*coupl(   &
                         nGC_125)*coupl(nGC_203)*coupl(nGC_204) + 20d0*Nc*cima*&
                         coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_215)*coupl(   &
                         nGC_216) - 16d0*Nc*cima*coupl(nGC_123)**2d0*coupl(    &
                         nGC_199)*coupl(nGC_200) - 16d0*Nc*cima*coupl(nGC_123  &
                         )**2d0*coupl(nGC_219)*coupl(nGC_220) - 16d0*Nc*cima*  &
                         coupl(nGC_123)**2d0*coupl(nGC_227)*coupl(nGC_228) +   &
                         20d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(     &
                         nGC_199)*coupl(nGC_200) + 20d0*Nc*cima*coupl(nGC_123)*&
                         coupl(nGC_126)*coupl(nGC_219)*coupl(nGC_220) + 20d0*Nc&
                         *cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227)*   &
                         coupl(nGC_228) - 16d0*Nc*cima*coupl(nGC_125)**2d0*    &
                         coupl(nGC_195)*coupl(nGC_196) - 16d0*Nc*cima*coupl(   &
                         nGC_125)**2d0*coupl(nGC_203)*coupl(nGC_204) - 16d0*Nc*&
                         cima*coupl(nGC_125)**2d0*coupl(nGC_215)*coupl(nGC_216 &
                         ) - 16d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_199)*  &
                         coupl(nGC_200) - 16d0*Nc*cima*coupl(nGC_126)**2d0*    &
                         coupl(nGC_219)*coupl(nGC_220) - 16d0*Nc*cima*coupl(   &
                         nGC_126)**2d0*coupl(nGC_227)*coupl(nGC_228) - 16d0*   &
                         cima*coupl(nGC_124)**2d0*coupl(nGC_207)*coupl(nGC_208 &
                         ) - 16d0*cima*coupl(nGC_124)**2d0*coupl(nGC_211)*coupl&
                         (nGC_212) - 16d0*cima*coupl(nGC_124)**2d0*coupl(      &
                         nGC_223)*coupl(nGC_224) + 20d0*cima*coupl(nGC_124)*   &
                         coupl(nGC_128)*coupl(nGC_207)*coupl(nGC_208) + 20d0*  &
                         cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211)*    &
                         coupl(nGC_212) + 20d0*cima*coupl(nGC_124)*coupl(      &
                         nGC_128)*coupl(nGC_223)*coupl(nGC_224) - 16d0*cima*   &
                         coupl(nGC_128)**2d0*coupl(nGC_207)*coupl(nGC_208) -   &
                         16d0*cima*coupl(nGC_128)**2d0*coupl(nGC_211)*coupl(   &
                         nGC_212) - 16d0*cima*coupl(nGC_128)**2d0*coupl(nGC_223&
                         )*coupl(nGC_224) + 6d0*cima*coupl(nGC_85)*coupl(nGC_93&
                         ) + 3d0*coupl(nGC_102)**2d0*coupl(nGC_93) - 6d0*coupl(&
                         nGC_102)*coupl(nGC_103)*coupl(nGC_93) + 3d0*coupl(    &
                         nGC_103)**2d0*coupl(nGC_93))/(48d0*pi**2d0)
      coupl(nGC_13307) = cima*(20d0*Nc*coupl(nGC_195)**4d0 + 20d0*Nc*coupl(    &
                         nGC_199)**4d0 + 20d0*Nc*coupl(nGC_203)**4d0 + 20d0*Nc*&
                         coupl(nGC_215)**4d0 + 20d0*Nc*coupl(nGC_219)**4d0 +   &
                         20d0*Nc*coupl(nGC_227)**4d0 + 3d0*coupl(nGC_145)**2d0 &
                          + 20d0*coupl(nGC_207)**4d0 + 20d0*coupl(nGC_211)**4d0&
                          + 20d0*coupl(nGC_223)**4d0 + 6d0*coupl(nGC_82)**2d0  &
                         )/(16d0*pi**2d0)
      coupl(nGC_12991) = cima*sq2**2d0*(Nc*coupl(nGC_1257)**2d0 - 6d0*coupl(   &
                         nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13234) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(  &
                         nGC_1513)*coupl(nGC_218) - coupl(nGC_193)**2d0 - 4d0* &
                         coupl(nGC_2)**2d0 - coupl(nGC_219)**2d0 - coupl(      &
                         nGC_220)**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*&
                         Nc)
      coupl(nGC_19494) = coupl(nGC_13470) + coupl(nGC_162)*dZHl_QED2/2d0 +     &
                         coupl(nGC_162)*dZWMinus_QED2 + coupl(nGC_165)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_82_Hl) + coupl(     &
                         nGC_TS_GC_93_Hh)
      coupl(nGC_13235) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - coupl(  &
                         nGC_1513)*coupl(nGC_218) - 4d0*coupl(nGC_2)**2d0 -    &
                         coupl(nGC_217)**2d0 - coupl(nGC_219)**2d0 - coupl(    &
                         nGC_220)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13360) = coupl(nGC_12825)*dsw_QED2 + coupl(nGC_12826)*dcw_QED2 &
                          + coupl(nGC_12827)*da_QED2 + coupl(nGC_12828)*       &
                         dZee_QED2
      coupl(nGC_20194) = coupl(nGC_13406) + coupl(nGC_20187)
      coupl(nGC_20646) = coupl(nGC_13492) + coupl(nGC_145)*dZHl_QED2 + coupl(  &
                         nGC_145)*dZZ_QED2 + coupl(nGC_148)*dZHhHl_QED2
      coupl(nGC_25043) = coupl(nGC_13578) + coupl(nGC_TS_GC_199_Hl) + coupl(   &
                         nGC_TS_GC_200_Hh)
      coupl(nGC_13366) = coupl(nGC_12636)*dsw_QED2 + coupl(nGC_12637)*dZee_QED2
      coupl(nGC_19693) = coupl(nGC_13383) + coupl(nGC_5)*dZWMinus_QED2/2d0
      coupl(nGC_19913) = coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_19088) = coupl(nGC_107)*dZA_QED2/2d0 + coupl(nGC_107)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZA_QED2/2d0 +     &
                         coupl(nGC_13366)
      coupl(nGC_19915) = coupl(nGC_102)*dZWMinus_QED2 + coupl(nGC_102)*dZZ_QED2&
                         /2d0 + coupl(nGC_13473)
      coupl(nGC_19914) = coupl(nGC_103)*dZWMinus_QED2 + coupl(nGC_103)*dZZ_QED2&
                         /2d0 + coupl(nGC_13474)
      coupl(nGC_19084) = coupl(nGC_114)*dZZA_QED2/2d0 + coupl(nGC_13451) +     &
                         coupl(nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                         /2d0
      coupl(nGC_13201) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_102 &
                         )*coupl(nGC_99)**2d0 - coupl(nGC_103)*coupl(nGC_99)** &
                         2d0 + coupl(nGC_122)*coupl(nGC_202)*coupl(nGC_2029) + &
                         coupl(nGC_122)*coupl(nGC_203)**2d0 + coupl(nGC_122)*  &
                         coupl(nGC_204)**2d0 + coupl(nGC_123)*coupl(nGC_225)** &
                         2d0 + 4d0*coupl(nGC_125)**3d0 + 4d0*coupl(nGC_126)*   &
                         coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_20025) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_20020) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_12982) = cima*(-coupl(nGC_126)**2d0 - coupl(nGC_2)**2d0 - coupl&
                         (nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_20029) = coupl(nGC_13587) + coupl(nGC_20020)
      coupl(nGC_25041) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_25044) = coupl(nGC_25039) + coupl(nGC_25043)
      coupl(nGC_13009) = (-2d0*Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99 &
                         ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(     &
                         nGC_99) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_201)*coupl&
                         (nGC_99) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_213)*    &
                         coupl(nGC_99) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_217 &
                         )*coupl(nGC_99) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(      &
                         nGC_225)*coupl(nGC_99) + 4d0*cima*coupl(nGC_113)*coupl&
                         (nGC_154) + 4d0*cima*coupl(nGC_166)*coupl(nGC_8) +    &
                         coupl(nGC_102)*coupl(nGC_154)*coupl(nGC_3) - coupl(   &
                         nGC_102)*coupl(nGC_154)*coupl(nGC_4) - coupl(nGC_103)*&
                         coupl(nGC_154)*coupl(nGC_3) + coupl(nGC_103)*coupl(   &
                         nGC_154)*coupl(nGC_4) - coupl(nGC_166)*coupl(nGC_3)** &
                         2d0 + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl(nGC_4) -  &
                         coupl(nGC_166)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_25045) = coupl(nGC_13579) + coupl(nGC_25040)
      coupl(nGC_13390) = coupl(nGC_12829)*dZgs_QCD2
      coupl(nGC_13161) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(    &
                         nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13488) = coupl(nGC_12589)*dsw_QED2 + coupl(nGC_12590)*dcw_QED2 &
                          + coupl(nGC_12591)*dZee_QED2
      coupl(nGC_20153) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_13486) = coupl(nGC_12538)*dsw_QED2 + coupl(nGC_12539)*dcw_QED2 &
                          + coupl(nGC_12540)*dZee_QED2
      coupl(nGC_13485) = coupl(nGC_12563)*dcw_QED2 + coupl(nGC_12564)*da_QED2  &
                          + coupl(nGC_12565)*dZee_QED2
      coupl(nGC_13484) = coupl(nGC_12782)*dcw_QED2 + coupl(nGC_12783)*da_QED2  &
                          + coupl(nGC_12784)*dZee_QED2
      coupl(nGC_19171) = coupl(nGC_117)*dZHhHl_QED2/2d0
      coupl(nGC_20156) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
      coupl(nGC_20155) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_13500)
      coupl(nGC_13480) = coupl(nGC_12760)*dsw_QED2 + coupl(nGC_12761)*dcw_QED2 &
                          + coupl(nGC_12762)*da_QED2 + coupl(nGC_12763)*       &
                         dZee_QED2
      coupl(nGC_19071) = coupl(nGC_114)*dZAZ_QED2/2d0 + coupl(nGC_13486) +     &
                         coupl(nGC_83)*dZWMinus_QED2/2d0 + coupl(nGC_83)*      &
                         dZZ_QED2/2d0
      coupl(nGC_19072) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_19372) = coupl(nGC_19369) + coupl(nGC_19370)
      coupl(nGC_19371) = coupl(nGC_19368) + coupl(nGC_19370)
      coupl(nGC_19078) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*         &
                         dZmuMinusL_QED2 + coupl(nGC_13483)
      coupl(nGC_13508) = coupl(nGC_12853)*dsw_QED2 + coupl(nGC_12854)*dcw_QED2 &
                          + coupl(nGC_12855)*dZee_QED2
      coupl(nGC_22276) = coupl(nGC_126)*dZtL_QCD2
      coupl(nGC_13504) = coupl(nGC_12705)*dsw_QED2 + coupl(nGC_12706)*dcw_QED2 &
                          + coupl(nGC_12707)*dZee_QED2
      coupl(nGC_13505) = coupl(nGC_12695)*dsw_QED2 + coupl(nGC_12696)*dcw_QED2 &
                          + coupl(nGC_12697)*dZee_QED2
      coupl(nGC_13502) = coupl(nGC_12727)*dsw_QED2 + coupl(nGC_12728)*dZee_QED2
      coupl(nGC_13503) = coupl(nGC_12718)*dsw_QED2 + coupl(nGC_12719)*dcw_QED2 &
                          + coupl(nGC_12720)*dZee_QED2
      coupl(nGC_13501) = coupl(nGC_387)*dZgs_QCD2
      coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13151) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193&
                         )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_194)**2d0*&
                         coupl(nGC_195) - coupl(nGC_195)**3d0 - coupl(nGC_195)*&
                         coupl(nGC_196)**2d0)/(32d0*pi**2d0)
      coupl(nGC_21679) = coupl(nGC_13441) + coupl(nGC_21674)
      coupl(nGC_13438) = coupl(nGC_12744)*dyt_QED3
      coupl(nGC_13439) = coupl(nGC_12823)*da_QED2 + coupl(nGC_12824)*dyup_QED3
      coupl(nGC_23005) = coupl(nGC_I)*dZHhHl_QED2/2d0
      coupl(nGC_13431) = coupl(nGC_12953)*da_QED2 + coupl(nGC_12954)*dym_QED3
      coupl(nGC_13436) = coupl(nGC_12740)*dyc_QED3
      coupl(nGC_13435) = coupl(nGC_12740)*dyc_QED1_QCD2
      coupl(nGC_13458) = coupl(nGC_12676)*dsw_QED2 + coupl(nGC_12677)*da_QED2  &
                          + coupl(nGC_12678)*dZee_QED2
      coupl(nGC_13157) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_202)**2d0*&
                         coupl(nGC_203) - coupl(nGC_203)**3d0 - coupl(nGC_203)*&
                         coupl(nGC_204)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13156) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_2029)**2d0&
                         *coupl(nGC_203) - coupl(nGC_203)**3d0 - coupl(nGC_203 &
                         )*coupl(nGC_204)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13127) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(    &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201&
                         )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_2029)**2d0&
                         *coupl(nGC_204) - coupl(nGC_203)**2d0*coupl(nGC_204   &
                         ) - coupl(nGC_204)**3d0)/(32d0*pi**2d0)
      coupl(nGC_20372) = coupl(nGC_19072) + coupl(nGC_20369)
      coupl(nGC_20370) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*         &
                         dZtauMinusR_QED2 + coupl(nGC_13508)
      coupl(nGC_13344) = coupl(nGC_12775)*dsw_QED2 + coupl(nGC_12776)*dcw_QED2 &
                          + coupl(nGC_12777)*dZee_QED2
      coupl(nGC_13159) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(    &
                         nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13347) = coupl(nGC_12599)*da_QED2 + coupl(nGC_12600)*dl2_QED4  &
                          + coupl(nGC_12601)*dl1_QED4 + coupl(nGC_12602)*      &
                         dl3_QED4
      coupl(nGC_13340) = coupl(nGC_12772)*dsw_QED2 + coupl(nGC_12773)*dcw_QED2 &
                          + coupl(nGC_12774)*dZee_QED2
      coupl(nGC_19519) = coupl(nGC_103)*dZZA_QED2/2d0
      coupl(nGC_13343) = coupl(nGC_12493)*dZee_QED2
      coupl(nGC_19516) = coupl(nGC_102)*dZZA_QED2/2d0
      coupl(nGC_20540) = coupl(nGC_13440) + coupl(nGC_20535)
      coupl(nGC_20541) = coupl(nGC_13439) + coupl(nGC_227)*dZHl_QED2/2d0 +     &
                         coupl(nGC_228)*dZHhHl_QED2/2d0
      coupl(nGC_20542) = coupl(nGC_20534) + coupl(nGC_20541)
      coupl(nGC_19450) = coupl(nGC_127)*dZZA_QED2/2d0
      coupl(nGC_19451) = coupl(nGC_128)*dZZA_QED2/2d0
      coupl(nGC_20834) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_20837) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_13113) = coupl(nGC_1177)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_19408) = coupl(nGC_134)*dZAZ_QED2 + coupl(nGC_13491) + coupl(  &
                         nGC_141)*dZZ_QED2
      coupl(nGC_20757) = coupl(nGC_13429) + coupl(nGC_223)*dZHl_QED2/2d0 +     &
                         coupl(nGC_224)*dZHhHl_QED2/2d0
      coupl(nGC_22064) = coupl(nGC_203)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_20026) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_23646) = coupl(nGC_13585) + coupl(nGC_23637)
      coupl(nGC_23644) = coupl(nGC_13584) + coupl(nGC_TS_GC_215_Hl) + coupl(   &
                         nGC_TS_GC_216_Hh)
      coupl(nGC_20157) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
      coupl(nGC_13107) = coupl(nGC_1513)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13239) = coupl(nGC_19)*sq2*(-coupl(nGC_1177)*coupl(nGC_226) -  &
                         4d0*coupl(nGC_123)**2d0 - 4d0*coupl(nGC_2)**2d0 -     &
                         coupl(nGC_225)**2d0 - coupl(nGC_227)**2d0 - coupl(    &
                         nGC_228)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_21303) = coupl(nGC_13391) + coupl(nGC_201)*dZdR_QCD2/2d0 +     &
                         coupl(nGC_201)*dZuL_QCD2/2d0
      coupl(nGC_21302) = coupl(nGC_13393) + coupl(nGC_225)*dZdL_QCD2/2d0 +     &
                         coupl(nGC_225)*dZuR_QCD2/2d0
      coupl(nGC_21305) = coupl(nGC_13392) + coupl(nGC_201)*dZdR_QED2/2d0 +     &
                         coupl(nGC_201)*dZuL_QED2/2d0
      coupl(nGC_21304) = coupl(nGC_13394) + coupl(nGC_225)*dZdL_QED2/2d0 +     &
                         coupl(nGC_225)*dZuR_QED2/2d0
      coupl(nGC_19818) = coupl(nGC_122)*dZdR_QCD2
      coupl(nGC_19209) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_19208) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_19770) = coupl(nGC_13444) + coupl(nGC_19765)
      coupl(nGC_23721) = coupl(nGC_123)*dZuR_QCD2
      coupl(nGC_19166) = coupl(nGC_19163) + coupl(nGC_19165)
      coupl(nGC_13123) = (-4d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_196) + 4d0*&
                         Nc*cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_196) - &
                         4d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_196) - 4d0*Nc&
                         *cMC*coupl(nGC_123)**2d0*coupl(nGC_200) + 4d0*Nc*cMC* &
                         coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) - 4d0*Nc*&
                         cMC*coupl(nGC_126)**2d0*coupl(nGC_200) - 4d0*Nc*cMD*  &
                         coupl(nGC_122)**2d0*coupl(nGC_204) + 4d0*Nc*cMD*coupl(&
                         nGC_122)*coupl(nGC_125)*coupl(nGC_204) - 4d0*Nc*cMD*  &
                         coupl(nGC_125)**2d0*coupl(nGC_204) - 4d0*Nc*cMS*coupl(&
                         nGC_122)**2d0*coupl(nGC_216) + 4d0*Nc*cMS*coupl(      &
                         nGC_122)*coupl(nGC_125)*coupl(nGC_216) - 4d0*Nc*cMS*  &
                         coupl(nGC_125)**2d0*coupl(nGC_216) - 4d0*Nc*cMT*coupl(&
                         nGC_123)**2d0*coupl(nGC_220) + 4d0*Nc*cMT*coupl(      &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_220) - 4d0*Nc*cMT*  &
                         coupl(nGC_126)**2d0*coupl(nGC_220) - 4d0*Nc*cMU*coupl(&
                         nGC_123)**2d0*coupl(nGC_228) + 4d0*Nc*cMU*coupl(      &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_228) - 4d0*Nc*cMU*  &
                         coupl(nGC_126)**2d0*coupl(nGC_228) - 4d0*cME*coupl(   &
                         nGC_124)**2d0*coupl(nGC_208) + 4d0*cME*coupl(nGC_124)*&
                         coupl(nGC_128)*coupl(nGC_208) - 4d0*cME*coupl(nGC_128 &
                         )**2d0*coupl(nGC_208) - 4d0*cMM*coupl(nGC_124)**2d0*  &
                         coupl(nGC_212) + 4d0*cMM*coupl(nGC_124)*coupl(nGC_128 &
                         )*coupl(nGC_212) - 4d0*cMM*coupl(nGC_128)**2d0*coupl( &
                         nGC_212) - 4d0*cMTA*coupl(nGC_124)**2d0*coupl(nGC_224 &
                         ) + 4d0*cMTA*coupl(nGC_124)*coupl(nGC_128)*coupl(     &
                         nGC_224) - 4d0*cMTA*coupl(nGC_128)**2d0*coupl(nGC_224 &
                         ) + 2d0*cima*coupl(nGC_165)*coupl(nGC_85) + coupl(    &
                         nGC_102)**2d0*coupl(nGC_165) - 2d0*coupl(nGC_102)*    &
                         coupl(nGC_103)*coupl(nGC_165) + coupl(nGC_103)**2d0*  &
                         coupl(nGC_165))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13462) = coupl(nGC_12698)*dsw_QED2 + coupl(nGC_12699)*da_QED2  &
                          + coupl(nGC_12700)*dZee_QED2
      coupl(nGC_19167) = coupl(nGC_13446) + coupl(nGC_19164)
      coupl(nGC_23848) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
      coupl(nGC_23849) = coupl(nGC_20155) + coupl(nGC_23848)
      coupl(nGC_19882) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_13339) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc&
                         **3d0)
      coupl(nGC_23840) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_23843) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_20053) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZdL_QED2/2d0 + coupl(nGC_99)*dZuL_QED2/&
                         2d0
      coupl(nGC_20119) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZtauMinusR_QED2
      coupl(nGC_23847) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
      coupl(nGC_19135) = coupl(nGC_108)*dZAZ_QED2/2d0 + coupl(nGC_13341) +     &
                         coupl(nGC_14)*dZWMinus_QED2/2d0 + coupl(nGC_14)*      &
                         dZZ_QED2/2d0
      coupl(nGC_19339) = coupl(nGC_13571) + coupl(nGC_MHH)*dZHh_QED2 + coupl(  &
                         nGC_TS_GC_190_Hh) + coupl(nGC_TS_GC_192_Hl)
      coupl(nGC_13461) = coupl(nGC_12596)*dsw_QED2 + coupl(nGC_12597)*da_QED2  &
                          + coupl(nGC_12598)*dZee_QED2
      coupl(nGC_13460) = coupl(nGC_12495)*dsw_QED2 + coupl(nGC_12496)*dZee_QED2
      coupl(nGC_13463) = coupl(nGC_12616)*dsw_QED2 + coupl(nGC_12617)*dZee_QED2
      coupl(nGC_27946) = coupl(nGC_13592) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_13465) = coupl(nGC_12800)*dsw_QED2 + coupl(nGC_12801)*dcw_QED2 &
                          + coupl(nGC_12802)*dZee_QED2
      coupl(nGC_13464) = coupl(nGC_12836)*dsw_QED2 + coupl(nGC_12837)*dZee_QED2
      coupl(nGC_13467) = coupl(nGC_12638)*dsw_QED2 + coupl(nGC_12639)*da_QED2  &
                          + coupl(nGC_12640)*dZee_QED2
      coupl(nGC_13466) = coupl(nGC_12535)*dsw_QED2 + coupl(nGC_12536)*da_QED2  &
                          + coupl(nGC_12537)*dZee_QED2
      coupl(nGC_13469) = coupl(nGC_12670)*dsw_QED2 + coupl(nGC_12671)*dcw_QED2 &
                          + coupl(nGC_12672)*dZee_QED2
      coupl(nGC_13468) = coupl(nGC_12711)*dsw_QED2 + coupl(nGC_12712)*da_QED2  &
                          + coupl(nGC_12713)*dZee_QED2
      coupl(nGC_TS_GC_203_Hl) = -coupl(nGC_203)*dtHl_QED1/cMHL**2d0
      coupl(nGC_19771) = coupl(nGC_13443) + coupl(nGC_219)*dZHl_QED2/2d0 +     &
                         coupl(nGC_220)*dZHhHl_QED2/2d0
      coupl(nGC_19679) = coupl(nGC_122)*dZsR_QCD2
      coupl(nGC_12967) = cima*(Nc*coupl(nGC_1177)*coupl(nGC_226) + Nc*coupl(   &
                         nGC_1513)*coupl(nGC_218) + Nc*coupl(nGC_194)*coupl(   &
                         nGC_605) + Nc*coupl(nGC_198)*coupl(nGC_577) + Nc*coupl&
                         (nGC_202)*coupl(nGC_2029) + Nc*coupl(nGC_214)*coupl(  &
                         nGC_845) + coupl(nGC_1395)*coupl(nGC_206) + coupl(    &
                         nGC_1957)*coupl(nGC_222) + coupl(nGC_210)*coupl(      &
                         nGC_687))/(24d0*pi**2d0)
      coupl(nGC_19671) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_115)*dZA_QED2/&
                         2d0 + coupl(nGC_115)*dZZ_QED2/2d0 + coupl(nGC_13469   &
                         ) + coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_19144) = -coupl(nGC_13407) - coupl(nGC_19141)
      coupl(nGC_19145) = coupl(nGC_13407) + coupl(nGC_19141)
      coupl(nGC_19140) = coupl(nGC_194)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_22445) = coupl(nGC_13373) + 3d0*coupl(nGC_189)*dZHhHl_QED2/2d0 &
                          + 3d0*coupl(nGC_191)*dZHl_QED2/2d0 + coupl(          &
                         nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_34_Hl)
      coupl(nGC_13049) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99   &
                         ) + 2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99 &
                         ) + 3d0*cima*coupl(nGC_102)*coupl(nGC_27) + 3d0*cima* &
                         coupl(nGC_103)*coupl(nGC_27) + 3d0*cima*coupl(nGC_119 &
                         )*coupl(nGC_3) + 3d0*cima*coupl(nGC_119)*coupl(nGC_4  &
                         ) - 2d0*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - &
                         2d0*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_99) - 2d0*&
                         coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99))/(48d0*pi &
                         **2d0)
      coupl(nGC_13048) = (-2d0*Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 - 2d0*Nc* &
                         coupl(nGC_122)*coupl(nGC_201)**2d0 - 2d0*Nc*coupl(    &
                         nGC_122)*coupl(nGC_213)**2d0 + 2d0*Nc*coupl(nGC_123)* &
                         coupl(nGC_197)**2d0 + 2d0*Nc*coupl(nGC_123)*coupl(    &
                         nGC_217)**2d0 + 2d0*Nc*coupl(nGC_123)*coupl(nGC_225)**&
                         2d0 - 2d0*Nc*coupl(nGC_125)*coupl(nGC_197)**2d0 - 2d0*&
                         Nc*coupl(nGC_125)*coupl(nGC_217)**2d0 - 2d0*Nc*coupl( &
                         nGC_125)*coupl(nGC_225)**2d0 + 2d0*Nc*coupl(nGC_126)* &
                         coupl(nGC_193)**2d0 + 2d0*Nc*coupl(nGC_126)*coupl(    &
                         nGC_201)**2d0 + 2d0*Nc*coupl(nGC_126)*coupl(nGC_213)**&
                         2d0 + 3d0*cima*coupl(nGC_102)*coupl(nGC_71) + 3d0*cima&
                         *coupl(nGC_103)*coupl(nGC_71) - 2d0*coupl(nGC_124)*   &
                         coupl(nGC_205)**2d0 - 2d0*coupl(nGC_124)*coupl(nGC_209&
                         )**2d0 - 2d0*coupl(nGC_124)*coupl(nGC_221)**2d0 + 2d0*&
                         coupl(nGC_129)*coupl(nGC_205)**2d0 + 2d0*coupl(nGC_129&
                         )*coupl(nGC_209)**2d0 + 2d0*coupl(nGC_129)*coupl(     &
                         nGC_221)**2d0)/(48d0*pi**2d0)
      coupl(nGC_13047) = (2d0*Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 + 2d0*Nc*  &
                         coupl(nGC_122)*coupl(nGC_201)**2d0 + 2d0*Nc*coupl(    &
                         nGC_122)*coupl(nGC_213)**2d0 - 2d0*Nc*coupl(nGC_123)* &
                         coupl(nGC_197)**2d0 - 2d0*Nc*coupl(nGC_123)*coupl(    &
                         nGC_217)**2d0 - 2d0*Nc*coupl(nGC_123)*coupl(nGC_225)**&
                         2d0 + 2d0*Nc*coupl(nGC_125)*coupl(nGC_197)**2d0 + 2d0*&
                         Nc*coupl(nGC_125)*coupl(nGC_217)**2d0 + 2d0*Nc*coupl( &
                         nGC_125)*coupl(nGC_225)**2d0 - 2d0*Nc*coupl(nGC_126)* &
                         coupl(nGC_193)**2d0 - 2d0*Nc*coupl(nGC_126)*coupl(    &
                         nGC_201)**2d0 - 2d0*Nc*coupl(nGC_126)*coupl(nGC_213)**&
                         2d0 + 3d0*cima*coupl(nGC_102)*coupl(nGC_71) + 3d0*cima&
                         *coupl(nGC_103)*coupl(nGC_71) + 2d0*coupl(nGC_124)*   &
                         coupl(nGC_205)**2d0 + 2d0*coupl(nGC_124)*coupl(nGC_209&
                         )**2d0 + 2d0*coupl(nGC_124)*coupl(nGC_221)**2d0 - 2d0*&
                         coupl(nGC_129)*coupl(nGC_205)**2d0 - 2d0*coupl(nGC_129&
                         )*coupl(nGC_209)**2d0 - 2d0*coupl(nGC_129)*coupl(     &
                         nGC_221)**2d0)/(48d0*pi**2d0)
      coupl(nGC_13046) = (-2d0*Nc*coupl(nGC_1177)*coupl(nGC_225)*coupl(nGC_99  &
                         ) - 2d0*Nc*coupl(nGC_1513)*coupl(nGC_217)*coupl(nGC_99&
                         ) + 2d0*Nc*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_197)*coupl(nGC_577)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99 &
                         ) + 3d0*cima*coupl(nGC_102)*coupl(nGC_13) + 3d0*cima* &
                         coupl(nGC_103)*coupl(nGC_13) + 3d0*cima*coupl(nGC_107 &
                         )*coupl(nGC_3) + 3d0*cima*coupl(nGC_107)*coupl(nGC_4  &
                         ) + 2d0*coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99) + &
                         2d0*coupl(nGC_209)*coupl(nGC_210)*coupl(nGC_99) + 2d0*&
                         coupl(nGC_221)*coupl(nGC_222)*coupl(nGC_99))/(48d0*pi &
                         **2d0)
      coupl(nGC_13045) = (2d0*Nc*coupl(nGC_1177)*coupl(nGC_225)*coupl(nGC_99   &
                         ) + 2d0*Nc*coupl(nGC_1513)*coupl(nGC_217)*coupl(nGC_99&
                         ) - 2d0*Nc*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_99 &
                         ) + 2d0*Nc*coupl(nGC_197)*coupl(nGC_577)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99 &
                         ) - 2d0*Nc*coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99 &
                         ) + 3d0*cima*coupl(nGC_102)*coupl(nGC_13) + 3d0*cima* &
                         coupl(nGC_103)*coupl(nGC_13) + 3d0*cima*coupl(nGC_107 &
                         )*coupl(nGC_3) + 3d0*cima*coupl(nGC_107)*coupl(nGC_4  &
                         ) - 2d0*coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99) - &
                         2d0*coupl(nGC_209)*coupl(nGC_210)*coupl(nGC_99) - 2d0*&
                         coupl(nGC_221)*coupl(nGC_222)*coupl(nGC_99))/(48d0*pi &
                         **2d0)
      coupl(nGC_13044) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_195) + 2d0* &
                         Nc*cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_219) + &
                         2d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_217)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_197)**2d0*coupl(nGC_199) + 2d0*Nc*cMC* &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) + 2d0*Nc*&
                         cMC*coupl(nGC_199)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*  &
                         coupl(nGC_201)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(&
                         nGC_201)*coupl(nGC_225)*coupl(nGC_227) + 2d0*Nc*cMD*  &
                         coupl(nGC_203)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(&
                         nGC_197)**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(      &
                         nGC_197)*coupl(nGC_199)*coupl(nGC_213) + 2d0*Nc*cMS*  &
                         coupl(nGC_213)**2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(&
                         nGC_193)**2d0*coupl(nGC_219) + 2d0*Nc*cMT*coupl(      &
                         nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 2d0*Nc*cMT*  &
                         coupl(nGC_217)**2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(&
                         nGC_201)**2d0*coupl(nGC_227) + 2d0*Nc*cMU*coupl(      &
                         nGC_201)*coupl(nGC_203)*coupl(nGC_225) + 2d0*Nc*cMU*  &
                         coupl(nGC_225)**2d0*coupl(nGC_227) + 2d0*cME*coupl(   &
                         nGC_205)**2d0*coupl(nGC_207) + 2d0*cMM*coupl(nGC_209  &
                         )**2d0*coupl(nGC_211) + 2d0*cMTA*coupl(nGC_221)**2d0* &
                         coupl(nGC_223) + 4d0*cima*coupl(nGC_110)*coupl(nGC_166&
                         ) + cima*coupl(nGC_141)*coupl(nGC_175) + 4d0*cima*    &
                         coupl(nGC_15)*coupl(nGC_154) + 2d0*cima*coupl(nGC_162 &
                         )*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_13043) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_196) + 2d0* &
                         Nc*cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_220) + &
                         2d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_217)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_197)**2d0*coupl(nGC_200) + 2d0*Nc*cMC* &
                         coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) + 2d0*Nc*&
                         cMC*coupl(nGC_200)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*  &
                         coupl(nGC_201)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl(&
                         nGC_201)*coupl(nGC_225)*coupl(nGC_228) + 2d0*Nc*cMD*  &
                         coupl(nGC_204)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(&
                         nGC_197)**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(      &
                         nGC_197)*coupl(nGC_200)*coupl(nGC_213) + 2d0*Nc*cMS*  &
                         coupl(nGC_213)**2d0*coupl(nGC_216) + 2d0*Nc*cMT*coupl(&
                         nGC_193)**2d0*coupl(nGC_220) + 2d0*Nc*cMT*coupl(      &
                         nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 2d0*Nc*cMT*  &
                         coupl(nGC_217)**2d0*coupl(nGC_220) + 2d0*Nc*cMU*coupl(&
                         nGC_201)**2d0*coupl(nGC_228) + 2d0*Nc*cMU*coupl(      &
                         nGC_201)*coupl(nGC_204)*coupl(nGC_225) + 2d0*Nc*cMU*  &
                         coupl(nGC_225)**2d0*coupl(nGC_228) + 2d0*cME*coupl(   &
                         nGC_205)**2d0*coupl(nGC_208) + 2d0*cMM*coupl(nGC_209  &
                         )**2d0*coupl(nGC_212) + 2d0*cMTA*coupl(nGC_221)**2d0* &
                         coupl(nGC_224) + 4d0*cima*coupl(nGC_119)*coupl(nGC_166&
                         ) + cima*coupl(nGC_141)*coupl(nGC_178) + 4d0*cima*    &
                         coupl(nGC_154)*coupl(nGC_27) + 2d0*cima*coupl(nGC_165 &
                         )*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_13042) = (coupl(nGC_1)*coupl(nGC_225)**2d0 + coupl(nGC_1177)*  &
                         coupl(nGC_2)*coupl(nGC_226) + 4d0*coupl(nGC_123)**2d0*&
                         coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*  &
                         coupl(nGC_227)**2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0&
                         )/(32d0*pi**2d0)
      coupl(nGC_13041) = (coupl(nGC_1)*coupl(nGC_201)**2d0 + 4d0*coupl(nGC_1)* &
                         coupl(nGC_99)**2d0 + coupl(nGC_1177)*coupl(nGC_2)*    &
                         coupl(nGC_226) + 4d0*coupl(nGC_126)**2d0*coupl(nGC_2  &
                         ) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_227&
                         )**2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0 + coupl(    &
                         nGC_3)*coupl(nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_13040) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_1957&
                         )*coupl(nGC_222)*coupl(nGC_4) + coupl(nGC_223)**2d0*  &
                         coupl(nGC_4) + coupl(nGC_224)**2d0*coupl(nGC_4) -     &
                         coupl(nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**  &
                         3d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13380) = coupl(nGC_12856)*dsw_QED2 + coupl(nGC_12857)*dvev_QED1&
                          + coupl(nGC_12858)*da_QED2 + coupl(nGC_12859)*       &
                         dZee_QED2
      coupl(nGC_13382) = coupl(nGC_12494)*dZee_QED2
      coupl(nGC_20236) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZbL_QED2/2d0 + coupl(nGC_99)*dZtL_QED2/&
                         2d0
      coupl(nGC_13386) = coupl(nGC_12628)*dsw_QED2 + coupl(nGC_12629)*dcw_QED2 &
                          + coupl(nGC_12630)*dZee_QED2
      coupl(nGC_20235) = coupl(nGC_99)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_13388) = coupl(nGC_12842)*dZgs_QCD2
      coupl(nGC_13389) = coupl(nGC_12545)*dZgs_QCD2
      coupl(nGC_22277) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZtR_QED2&
                          + coupl(nGC_13504)
      coupl(nGC_13266) = (-2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(      &
                         nGC_195)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122&
                         )*coupl(nGC_203)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_122)*coupl(nGC_215)**2d0 - 2d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_195)**2d0 - 2d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_203)**2d0  &
                          - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(     &
                         nGC_215)**2d0 - 2d0*Nc*cima*coupl(nGC_123)*coupl(     &
                         nGC_199)**2d0*coupl(nGC_2) - 2d0*Nc*cima*coupl(nGC_123&
                         )*coupl(nGC_2)*coupl(nGC_219)**2d0 - 2d0*Nc*cima*coupl&
                         (nGC_123)*coupl(nGC_2)*coupl(nGC_227)**2d0 - 2d0*Nc*  &
                         cima*coupl(nGC_126)*coupl(nGC_199)**2d0*coupl(nGC_2   &
                         ) - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(    &
                         nGC_219)**2d0 - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2&
                         )*coupl(nGC_227)**2d0 + 2d0*cima*coupl(nGC_116)*coupl(&
                         nGC_82) - 2d0*cima*coupl(nGC_124)*coupl(nGC_207)**2d0*&
                         coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(nGC_211  &
                         )**2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(  &
                         nGC_223)**2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_128)* &
                         coupl(nGC_207)**2d0*coupl(nGC_4) - 2d0*cima*coupl(    &
                         nGC_128)*coupl(nGC_211)**2d0*coupl(nGC_4) - 2d0*cima* &
                         coupl(nGC_128)*coupl(nGC_223)**2d0*coupl(nGC_4) -     &
                         coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_82) + coupl(    &
                         nGC_102)*coupl(nGC_4)*coupl(nGC_82) + coupl(nGC_103)* &
                         coupl(nGC_3)*coupl(nGC_82) - coupl(nGC_103)*coupl(    &
                         nGC_4)*coupl(nGC_82))/(16d0*pi**2d0)
      coupl(nGC_13265) = (4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 +  &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 +   &
                         4d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 +   &
                         4d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_2)**2d0 -   &
                         cima*coupl(nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0*cima*&
                         coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima* &
                         coupl(nGC_102)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl&
                         (nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 4d0*cima*&
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4&
                         ) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4&
                         )**2d0 - cima*coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 + &
                         2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4 &
                         ) - cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + 4d0* &
                         cima*coupl(nGC_116)**2d0 + 4d0*cima*coupl(nGC_124)**  &
                         2d0*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_128)**2d0* &
                         coupl(nGC_4)**2d0 - 4d0*coupl(nGC_102)*coupl(nGC_116)*&
                         coupl(nGC_3) + 4d0*coupl(nGC_102)*coupl(nGC_116)*coupl&
                         (nGC_4) + 4d0*coupl(nGC_103)*coupl(nGC_116)*coupl(    &
                         nGC_3) - 4d0*coupl(nGC_103)*coupl(nGC_116)*coupl(nGC_4&
                         ))/(32d0*pi**2d0)
      coupl(nGC_13264) = (4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 +  &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 +   &
                         4d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 +   &
                         4d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_2)**2d0 -   &
                         cima*coupl(nGC_102)**2d0*coupl(nGC_3)**2d0 + 2d0*cima*&
                         coupl(nGC_102)**2d0*coupl(nGC_3)*coupl(nGC_4) - cima* &
                         coupl(nGC_102)**2d0*coupl(nGC_4)**2d0 + 2d0*cima*coupl&
                         (nGC_102)*coupl(nGC_103)*coupl(nGC_3)**2d0 - 4d0*cima*&
                         coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4&
                         ) + 2d0*cima*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4&
                         )**2d0 - cima*coupl(nGC_103)**2d0*coupl(nGC_3)**2d0 + &
                         2d0*cima*coupl(nGC_103)**2d0*coupl(nGC_3)*coupl(nGC_4 &
                         ) - cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + 4d0* &
                         cima*coupl(nGC_124)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*&
                         coupl(nGC_128)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*coupl&
                         (nGC_85)*coupl(nGC_9) + 2d0*coupl(nGC_102)**2d0*coupl(&
                         nGC_9) - 4d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_9&
                         ) + 2d0*coupl(nGC_103)**2d0*coupl(nGC_9) + 2d0*coupl( &
                         nGC_3)**2d0*coupl(nGC_85) - 4d0*coupl(nGC_3)*coupl(   &
                         nGC_4)*coupl(nGC_85) + 2d0*coupl(nGC_4)**2d0*coupl(   &
                         nGC_85))/(32d0*pi**2d0)
      coupl(nGC_13263) = (-2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(      &
                         nGC_195)*coupl(nGC_196) - 2d0*Nc*cima*coupl(nGC_1)*   &
                         coupl(nGC_122)*coupl(nGC_203)*coupl(nGC_204) - 2d0*Nc*&
                         cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_215)*coupl(&
                         nGC_216) - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                         coupl(nGC_195)*coupl(nGC_196) - 2d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_203)*coupl(nGC_204) - &
                         2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_215 &
                         )*coupl(nGC_216) - 2d0*Nc*cima*coupl(nGC_123)*coupl(  &
                         nGC_199)*coupl(nGC_2)*coupl(nGC_200) - 2d0*Nc*cima*   &
                         coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219)*coupl(     &
                         nGC_220) - 2d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2)*   &
                         coupl(nGC_227)*coupl(nGC_228) - 2d0*Nc*cima*coupl(    &
                         nGC_126)*coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_200) - &
                         2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219 &
                         )*coupl(nGC_220) - 2d0*Nc*cima*coupl(nGC_126)*coupl(  &
                         nGC_2)*coupl(nGC_227)*coupl(nGC_228) + 2d0*cima*coupl(&
                         nGC_116)*coupl(nGC_93) - 2d0*cima*coupl(nGC_124)*coupl&
                         (nGC_207)*coupl(nGC_208)*coupl(nGC_4) - 2d0*cima*coupl&
                         (nGC_124)*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_4   &
                         ) - 2d0*cima*coupl(nGC_124)*coupl(nGC_223)*coupl(     &
                         nGC_224)*coupl(nGC_4) - 2d0*cima*coupl(nGC_128)*coupl(&
                         nGC_207)*coupl(nGC_208)*coupl(nGC_4) - 2d0*cima*coupl(&
                         nGC_128)*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_4) - &
                         2d0*cima*coupl(nGC_128)*coupl(nGC_223)*coupl(nGC_224)*&
                         coupl(nGC_4) - coupl(nGC_102)*coupl(nGC_3)*coupl(     &
                         nGC_93) + coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_93) + &
                         coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_93) - coupl(    &
                         nGC_103)*coupl(nGC_4)*coupl(nGC_93))/(16d0*pi**2d0)
      coupl(nGC_13262) = (-2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(      &
                         nGC_196)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122&
                         )*coupl(nGC_204)**2d0 - 2d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_122)*coupl(nGC_216)**2d0 - 2d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_196)**2d0 - 2d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_204)**2d0  &
                          - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(     &
                         nGC_216)**2d0 - 2d0*Nc*cima*coupl(nGC_123)*coupl(nGC_2&
                         )*coupl(nGC_200)**2d0 - 2d0*Nc*cima*coupl(nGC_123)*   &
                         coupl(nGC_2)*coupl(nGC_220)**2d0 - 2d0*Nc*cima*coupl( &
                         nGC_123)*coupl(nGC_2)*coupl(nGC_228)**2d0 - 2d0*Nc*   &
                         cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_200)**2d0  &
                          - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(     &
                         nGC_220)**2d0 - 2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_2&
                         )*coupl(nGC_228)**2d0 + 2d0*cima*coupl(nGC_116)*coupl(&
                         nGC_96) - 2d0*cima*coupl(nGC_124)*coupl(nGC_208)**2d0*&
                         coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(nGC_212  &
                         )**2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(  &
                         nGC_224)**2d0*coupl(nGC_4) - 2d0*cima*coupl(nGC_128)* &
                         coupl(nGC_208)**2d0*coupl(nGC_4) - 2d0*cima*coupl(    &
                         nGC_128)*coupl(nGC_212)**2d0*coupl(nGC_4) - 2d0*cima* &
                         coupl(nGC_128)*coupl(nGC_224)**2d0*coupl(nGC_4) -     &
                         coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_96) + coupl(    &
                         nGC_102)*coupl(nGC_4)*coupl(nGC_96) + coupl(nGC_103)* &
                         coupl(nGC_3)*coupl(nGC_96) - coupl(nGC_103)*coupl(    &
                         nGC_4)*coupl(nGC_96))/(16d0*pi**2d0)
      coupl(nGC_13261) = (-2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(      &
                         nGC_194)*coupl(nGC_605) - 2d0*Nc*cima*coupl(nGC_1)*   &
                         coupl(nGC_122)*coupl(nGC_202)*coupl(nGC_2029) - 2d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_214)*coupl&
                         (nGC_845) - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*  &
                         coupl(nGC_194)*coupl(nGC_605) - 2d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_125)*coupl(nGC_202)*coupl(nGC_2029   &
                         ) - 2d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(    &
                         nGC_214)*coupl(nGC_845) - 2d0*Nc*cima*coupl(nGC_1177)*&
                         coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_226) - 2d0*Nc*  &
                         cima*coupl(nGC_1177)*coupl(nGC_126)*coupl(nGC_2)*coupl&
                         (nGC_226) - 2d0*Nc*cima*coupl(nGC_123)*coupl(nGC_1513 &
                         )*coupl(nGC_2)*coupl(nGC_218) - 2d0*Nc*cima*coupl(    &
                         nGC_123)*coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_577) - &
                         2d0*Nc*cima*coupl(nGC_126)*coupl(nGC_1513)*coupl(nGC_2&
                         )*coupl(nGC_218) - 2d0*Nc*cima*coupl(nGC_126)*coupl(  &
                         nGC_198)*coupl(nGC_2)*coupl(nGC_577) + 2d0*cima*coupl(&
                         nGC_116)*coupl(nGC_71) - 2d0*cima*coupl(nGC_124)*coupl&
                         (nGC_1395)*coupl(nGC_206)*coupl(nGC_4) - 2d0*cima*    &
                         coupl(nGC_124)*coupl(nGC_1957)*coupl(nGC_222)*coupl(  &
                         nGC_4) - 2d0*cima*coupl(nGC_124)*coupl(nGC_210)*coupl(&
                         nGC_4)*coupl(nGC_687) - 2d0*cima*coupl(nGC_128)*coupl(&
                         nGC_1395)*coupl(nGC_206)*coupl(nGC_4) - 2d0*cima*coupl&
                         (nGC_128)*coupl(nGC_1957)*coupl(nGC_222)*coupl(nGC_4  &
                         ) - 2d0*cima*coupl(nGC_128)*coupl(nGC_210)*coupl(nGC_4&
                         )*coupl(nGC_687) - coupl(nGC_102)*coupl(nGC_3)*coupl( &
                         nGC_71) + coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_71) + &
                         coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_71) - coupl(    &
                         nGC_103)*coupl(nGC_4)*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_13260) = (4d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_122) + 4d0*Nc&
                         *cima*coupl(nGC_1)**3d0*coupl(nGC_125) + 4d0*Nc*cima* &
                         coupl(nGC_123)*coupl(nGC_2)**3d0 + 4d0*Nc*cima*coupl( &
                         nGC_126)*coupl(nGC_2)**3d0 + cima*coupl(nGC_102)*coupl&
                         (nGC_3)**3d0 - 3d0*cima*coupl(nGC_102)*coupl(nGC_3)** &
                         2d0*coupl(nGC_4) + 3d0*cima*coupl(nGC_102)*coupl(nGC_3&
                         )*coupl(nGC_4)**2d0 - cima*coupl(nGC_102)*coupl(nGC_4 &
                         )**3d0 - cima*coupl(nGC_103)*coupl(nGC_3)**3d0 + 3d0* &
                         cima*coupl(nGC_103)*coupl(nGC_3)**2d0*coupl(nGC_4) -  &
                         3d0*cima*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)**2d0&
                          + cima*coupl(nGC_103)*coupl(nGC_4)**3d0 + 4d0*cima*  &
                         coupl(nGC_116)*coupl(nGC_9) + 4d0*cima*coupl(nGC_124)*&
                         coupl(nGC_4)**3d0 + 4d0*cima*coupl(nGC_128)*coupl(    &
                         nGC_4)**3d0 - 2d0*coupl(nGC_102)*coupl(nGC_3)*coupl(  &
                         nGC_9) + 2d0*coupl(nGC_102)*coupl(nGC_4)*coupl(nGC_9  &
                         ) + 2d0*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_9) - 2d0&
                         *coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_9) + 2d0*coupl(&
                         nGC_116)*coupl(nGC_3)**2d0 - 4d0*coupl(nGC_116)*coupl(&
                         nGC_3)*coupl(nGC_4) + 2d0*coupl(nGC_116)*coupl(nGC_4  &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_13144) = (-coupl(nGC_1177)**2d0*coupl(nGC_228) + 8d0*coupl(    &
                         nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0*coupl(   &
                         nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*coupl(    &
                         nGC_204)*coupl(nGC_225) - coupl(nGC_227)**2d0*coupl(  &
                         nGC_228) - coupl(nGC_228)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13145) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) +   &
                         8d0*coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*&
                         coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_226)**2d0*  &
                         coupl(nGC_228) - coupl(nGC_227)**2d0*coupl(nGC_228) - &
                         coupl(nGC_228)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13142) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(    &
                         nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13143) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -   &
                         coupl(nGC_1957)**2d0 - coupl(nGC_223)**2d0 - coupl(   &
                         nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_13230) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                         nGC_1257) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_13082) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_196) + 8d0* &
                         Nc*cMB*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_605) + &
                         2d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_605)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_198)**2d0*coupl(nGC_200) + 8d0*Nc*cMC* &
                         coupl(nGC_198)*coupl(nGC_200)*coupl(nGC_577) + 2d0*Nc*&
                         cMC*coupl(nGC_200)*coupl(nGC_577)**2d0 + 2d0*Nc*cMD*  &
                         coupl(nGC_202)**2d0*coupl(nGC_204) + 8d0*Nc*cMD*coupl(&
                         nGC_202)*coupl(nGC_2029)*coupl(nGC_204) + 2d0*Nc*cMD* &
                         coupl(nGC_2029)**2d0*coupl(nGC_204) + 2d0*Nc*cMS*coupl&
                         (nGC_214)**2d0*coupl(nGC_216) + 8d0*Nc*cMS*coupl(     &
                         nGC_214)*coupl(nGC_216)*coupl(nGC_845) + 2d0*Nc*cMS*  &
                         coupl(nGC_216)*coupl(nGC_845)**2d0 + 2d0*Nc*cMT*coupl(&
                         nGC_1513)**2d0*coupl(nGC_220) + 8d0*Nc*cMT*coupl(     &
                         nGC_1513)*coupl(nGC_218)*coupl(nGC_220) + 2d0*Nc*cMT* &
                         coupl(nGC_218)**2d0*coupl(nGC_220) + 2d0*Nc*cMU*coupl(&
                         nGC_1177)**2d0*coupl(nGC_228) + 8d0*Nc*cMU*coupl(     &
                         nGC_1177)*coupl(nGC_226)*coupl(nGC_228) + 2d0*Nc*cMU* &
                         coupl(nGC_226)**2d0*coupl(nGC_228) + 2d0*cME*coupl(   &
                         nGC_1395)**2d0*coupl(nGC_208) + 8d0*cME*coupl(nGC_1395&
                         )*coupl(nGC_206)*coupl(nGC_208) + 2d0*cME*coupl(      &
                         nGC_206)**2d0*coupl(nGC_208) + 2d0*cMM*coupl(nGC_210  &
                         )**2d0*coupl(nGC_212) + 8d0*cMM*coupl(nGC_210)*coupl( &
                         nGC_212)*coupl(nGC_687) + 2d0*cMM*coupl(nGC_212)*coupl&
                         (nGC_687)**2d0 + 2d0*cMTA*coupl(nGC_1957)**2d0*coupl( &
                         nGC_224) + 8d0*cMTA*coupl(nGC_1957)*coupl(nGC_222)*   &
                         coupl(nGC_224) + 2d0*cMTA*coupl(nGC_222)**2d0*coupl(  &
                         nGC_224) + cima*coupl(nGC_142)*coupl(nGC_178) + 2d0*  &
                         cima*coupl(nGC_165)*coupl(nGC_71))/(16d0*pi**2d0)
      coupl(nGC_13231) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                         nGC_125)**2d0 + coupl(nGC_197)**2d0 + coupl(nGC_214)* &
                         coupl(nGC_845) + coupl(nGC_215)**2d0 + coupl(nGC_216  &
                         )**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13008) = (-2d0*Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99 &
                         ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(     &
                         nGC_99) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_201)*coupl&
                         (nGC_99) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_213)*    &
                         coupl(nGC_99) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_217 &
                         )*coupl(nGC_99) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(      &
                         nGC_225)*coupl(nGC_99) + 4d0*cima*coupl(nGC_113)*coupl&
                         (nGC_154) + 4d0*cima*coupl(nGC_166)*coupl(nGC_8) +    &
                         coupl(nGC_102)*coupl(nGC_154)*coupl(nGC_3) - coupl(   &
                         nGC_102)*coupl(nGC_154)*coupl(nGC_4) - coupl(nGC_103)*&
                         coupl(nGC_154)*coupl(nGC_3) + coupl(nGC_103)*coupl(   &
                         nGC_154)*coupl(nGC_4) - 2d0*coupl(nGC_166)*coupl(nGC_3&
                         )**2d0 + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl(nGC_4  &
                         ))/(32d0*pi**2d0)
      coupl(nGC_19856) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2
      coupl(nGC_19857) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2
      coupl(nGC_19858) = coupl(nGC_13499) + coupl(nGC_2)*dZA_QED2/2d0
      coupl(nGC_12974) = cima*(-6d0*Nc*coupl(nGC_122)**2d0 - 6d0*Nc*coupl(     &
                         nGC_123)**2d0 - 6d0*Nc*coupl(nGC_125)**2d0 - 6d0*Nc*  &
                         coupl(nGC_126)**2d0 - coupl(nGC_102)**2d0 + 2d0*coupl(&
                         nGC_102)*coupl(nGC_103) - coupl(nGC_103)**2d0 - 6d0*  &
                         coupl(nGC_124)**2d0 - 6d0*coupl(nGC_128)**2d0 - 6d0*  &
                         coupl(nGC_129)**2d0)/(96d0*pi**2d0)
      coupl(nGC_20307) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
      coupl(nGC_13319) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl&
                         (nGC_2))/(64d0*pi**2d0)
      coupl(nGC_13318) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)**2d0 &
                          + coupl(nGC_199)**2d0 + coupl(nGC_203)**2d0 + coupl( &
                         nGC_215)**2d0 + coupl(nGC_219)**2d0 + coupl(nGC_227)**&
                         2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_21029) = coupl(nGC_19)*dZuL_QCD2
      coupl(nGC_20300) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_13489) = coupl(nGC_12673)*dsw_QED2 + coupl(nGC_12674)*dcw_QED2 &
                          + coupl(nGC_12675)*dZee_QED2
      coupl(nGC_13313) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)*    &
                         coupl(nGC_196) - coupl(nGC_199)*coupl(nGC_200) - coupl&
                         (nGC_203)*coupl(nGC_204) - coupl(nGC_215)*coupl(      &
                         nGC_216) - coupl(nGC_219)*coupl(nGC_220) - coupl(     &
                         nGC_227)*coupl(nGC_228))/(16d0*pi**2d0)
      coupl(nGC_13312) = -cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/(&
                         32d0*pi**2d0*Nc)
      coupl(nGC_13311) = cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/( &
                         32d0*pi**2d0)
      coupl(nGC_13310) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_196)**2d0 &
                          + coupl(nGC_200)**2d0 + coupl(nGC_204)**2d0 + coupl( &
                         nGC_216)**2d0 + coupl(nGC_220)**2d0 + coupl(nGC_228)**&
                         2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13317) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)**2d0&
                          - coupl(nGC_199)**2d0 - coupl(nGC_203)**2d0 - coupl( &
                         nGC_215)**2d0 - coupl(nGC_219)**2d0 - coupl(nGC_227)**&
                         2d0)/(16d0*pi**2d0)
      coupl(nGC_20308) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
      coupl(nGC_20309) = coupl(nGC_20155) + coupl(nGC_20308)
      coupl(nGC_19488) = coupl(nGC_13360) + coupl(nGC_147)*dZHlHh_QED2 + coupl(&
                         nGC_150)*dZHh_QED2
      coupl(nGC_13168) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -   &
                         coupl(nGC_1513)**2d0*coupl(nGC_219) - coupl(nGC_193)* &
                         coupl(nGC_195)*coupl(nGC_217) + 8d0*coupl(nGC_2)**2d0*&
                         coupl(nGC_219) - coupl(nGC_219)**3d0 - coupl(nGC_219)*&
                         coupl(nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_12968) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_194)*coupl(nGC_605   &
                         ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_198)*coupl(nGC_577 &
                         ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_202)*coupl(nGC_2029&
                         ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_214)*coupl(nGC_845 &
                         ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_1513)*coupl(nGC_218&
                         ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_1177)*coupl(nGC_226&
                         ) - 4d0*cME**2d0*cima*coupl(nGC_1395)*coupl(nGC_206   &
                         ) - 4d0*cMM**2d0*cima*coupl(nGC_210)*coupl(nGC_687) - &
                         4d0*cMTA**2d0*cima*coupl(nGC_1957)*coupl(nGC_222) -   &
                         2d0*cMW**2d0*coupl(nGC_71) - cMZ**2d0*coupl(nGC_142   &
                         ))/(16d0*pi**2d0)
      coupl(nGC_19483) = coupl(nGC_13502) + coupl(nGC_99)*dZWMinus_QED2/2d0 +  &
                         coupl(nGC_99)*dZeMinusL_QED2/2d0 + coupl(nGC_99)*     &
                         dZnu_eL_QED2/2d0
      coupl(nGC_21864) = coupl(nGC_21859) + coupl(nGC_21863)
      coupl(nGC_19241) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*dZHl_QED2&
                         /2d0 + coupl(nGC_110)*dZWMinus_QED2/2d0 + coupl(      &
                         nGC_119)*dZHhHl_QED2/2d0 + coupl(nGC_13453) + coupl(  &
                         nGC_15)*dZZA_QED2/2d0
      coupl(nGC_13233) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                         nGC_1257) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
