!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(4283)%branchCT(0:0))
      call avCT(4283, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_21187, nGC_21186])

      allocate(vertices(4245)%branchCT(0:0))
      call avCT(4245, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4285)%branchCT(0:0))
      call avCT(4285, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_21201])

      allocate(vertices(3528)%branchCT(0:0))
      call avCT(3528, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1795)%branchCT(0:0))
      call avCT(1795, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1796)%branchCT(0:0))
      call avCT(1796, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_25380])

      allocate(vertices(4287)%branchCT(0:0))
      call avCT(4287, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_26271])

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1798)%branchCT(0:0))
      call avCT(1798, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4291)%branchCT(0:0))
      call avCT(4291, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(5080)%branchCT(0:0))
      call avCT(5080, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_21816])

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1799)%branchCT(0:0))
      call avCT(1799, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1800)%branchCT(0:0))
      call avCT(1800, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1801)%branchCT(0:0))
      call avCT(1801, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13370])

      allocate(vertices(5081)%branchCT(0:0))
      call avCT(5081, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20010])

      allocate(vertices(4297)%branchCT(0:0))
      call avCT(4297, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19382])

      allocate(vertices(1224)%branchCT(0:0))
      call avCT(1224, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4300)%branchCT(0:0))
      call avCT(4300, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19494])

      allocate(vertices(1805)%branchCT(0:0))
      call avCT(1805, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1807)%branchCT(0:0))
      call avCT(1807, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2864)%branchCT(0:0))
      call avCT(2864, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1810)%branchCT(0:0))
      call avCT(1810, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19959])

      allocate(vertices(1343)%branchCT(0:0))
      call avCT(1343, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4305)%branchCT(0:0))
      call avCT(4305, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_19371, nGC_19372])

      allocate(vertices(1256)%branchCT(0:0))
      call avCT(1256, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1903)%branchCT(0:1))
      call avCT(1903, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_21303, nGC_21302])

      call avCT(1903, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_21305, nGC_21304])

      allocate(vertices(4308)%branchCT(0:0))
      call avCT(4308, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_24155])

      allocate(vertices(1815)%branchCT(0:0))
      call avCT(1815, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4312)%branchCT(0:0))
      call avCT(4312, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1817)%branchCT(0:0))
      call avCT(1817, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13343])

      allocate(vertices(4316)%branchCT(0:0))
      call avCT(4316, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1818)%branchCT(0:0))
      call avCT(1818, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19930, nGC_19930,     &
      nGC_19931])

      allocate(vertices(1303)%branchCT(0:0))
      call avCT(1303, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_21207])

      allocate(vertices(5082)%branchCT(0:0))
      call avCT(5082, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20274])

      allocate(vertices(1321)%branchCT(0:0))
      call avCT(1321, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19483])

      allocate(vertices(3982)%branchCT(0:0))
      call avCT(3982, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19394])

      allocate(vertices(1821)%branchCT(0:0))
      call avCT(1821, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2994)%branchCT(0:1))
      call avCT(2994, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19623, nGC_19622])

      call avCT(2994, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19625, nGC_19624])

      allocate(vertices(4322)%branchCT(0:0))
      call avCT(4322, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1123)%branchCT(0:0))
      call avCT(1123, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19930, nGC_19931,     &
      nGC_19930])

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_21355, nGC_21355,      &
      nGC_21356])

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19280])

      allocate(vertices(1829)%branchCT(0:0))
      call avCT(1829, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4420)%branchCT(0:3))
      call avCT(4420, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(4420, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_20873, nGC_20874])

      call avCT(4420, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(4420, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_20873, nGC_20874])

      allocate(vertices(4327)%branchCT(0:0))
      call avCT(4327, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(2197)%branchCT(0:0))
      call avCT(2197, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4329)%branchCT(0:0))
      call avCT(4329, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_24839])

      allocate(vertices(4331)%branchCT(0:0))
      call avCT(4331, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_20177])

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4333)%branchCT(0:0))
      call avCT(4333, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1378)%branchCT(0:0))
      call avCT(1378, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1833)%branchCT(0:0))
      call avCT(1833, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1834)%branchCT(0:0))
      call avCT(1834, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19640])

      allocate(vertices(1837)%branchCT(0:0))
      call avCT(1837, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(4356)%branchCT(0:0))
      call avCT(4356, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(1839)%branchCT(0:0))
      call avCT(1839, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(4338)%branchCT(0:0))
      call avCT(4338, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19154,     &
      nGC_19155])

      allocate(vertices(4339)%branchCT(0:0))
      call avCT(4339, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19584, nGC_19585])

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19844])

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13340])

      allocate(vertices(4344)%branchCT(0:1))
      call avCT(4344, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_20540, nGC_20540])

      call avCT(4344, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_20542, nGC_20542])

      allocate(vertices(4631)%branchCT(0:0))
      call avCT(4631, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1844)%branchCT(0:0))
      call avCT(1844, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1847)%branchCT(0:0))
      call avCT(1847, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1850)%branchCT(0:0))
      call avCT(1850, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1386)%branchCT(0:0))
      call avCT(1386, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19693])

      allocate(vertices(4348)%branchCT(0:0))
      call avCT(4348, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4349)%branchCT(0:3))
      call avCT(4349, 0, 24, 2, 0, FVFa1, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(4349, 1, 24, 2, 0, FVFa1, 0, [3, 0], [nGC_21032, nGC_21033])

      call avCT(4349, 2, 25, 3, 0, FVFa1, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(4349, 3, 25, 3, 0, FVFa1, 0, [3, 0], [nGC_21032, nGC_21033])

      allocate(vertices(4350)%branchCT(0:0))
      call avCT(4350, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(4673)%branchCT(0:0))
      call avCT(4673, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4900)%branchCT(0:0))
      call avCT(4900, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(1992)%branchCT(0:0))
      call avCT(1992, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19280])

      allocate(vertices(1857)%branchCT(0:0))
      call avCT(1857, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(1392)%branchCT(0:0))
      call avCT(1392, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4358)%branchCT(0:0))
      call avCT(4358, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1524)%branchCT(0:0))
      call avCT(1524, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1218)%branchCT(0:0))
      call avCT(1218, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1532)%branchCT(0:0))
      call avCT(1532, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1863)%branchCT(0:0))
      call avCT(1863, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4365)%branchCT(0:0))
      call avCT(4365, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19477])

      allocate(vertices(1555)%branchCT(0:0))
      call avCT(1555, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(1866)%branchCT(0:0))
      call avCT(1866, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(3450)%branchCT(0:0))
      call avCT(3450, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(4372)%branchCT(0:0))
      call avCT(4372, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1867)%branchCT(0:1))
      call avCT(1867, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_20236])

      call avCT(1867, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_20235])

      allocate(vertices(3964)%branchCT(0:0))
      call avCT(3964, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(1580)%branchCT(0:0))
      call avCT(1580, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(1870)%branchCT(0:1))
      call avCT(1870, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_20309, nGC_20310])

      call avCT(1870, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_20305, nGC_20300])

      allocate(vertices(1871)%branchCT(0:0))
      call avCT(1871, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4093)%branchCT(0:0))
      call avCT(4093, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1603)%branchCT(0:0))
      call avCT(1603, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(4429)%branchCT(0:0))
      call avCT(4429, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4381)%branchCT(0:0))
      call avCT(4381, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(1613)%branchCT(0:1))
      call avCT(1613, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22279, nGC_22280])

      call avCT(1613, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22273, nGC_22276])

      allocate(vertices(4383)%branchCT(0:0))
      call avCT(4383, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(3667)%branchCT(0:1))
      call avCT(3667, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_21155, nGC_21156])

      call avCT(3667, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_21157, nGC_21158])

      allocate(vertices(4385)%branchCT(0:0))
      call avCT(4385, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3600)%branchCT(0:0))
      call avCT(3600, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1876)%branchCT(0:1))
      call avCT(1876, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_20747, nGC_20747])

      call avCT(1876, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_20748, nGC_20748])

      allocate(vertices(1635)%branchCT(0:0))
      call avCT(1635, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1878)%branchCT(0:0))
      call avCT(1878, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_21207])

      allocate(vertices(1879)%branchCT(0:0))
      call avCT(1879, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1880)%branchCT(0:0))
      call avCT(1880, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(5083)%branchCT(0:0))
      call avCT(5083, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_21816])

      allocate(vertices(4390)%branchCT(0:0))
      call avCT(4390, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(4391)%branchCT(0:0))
      call avCT(4391, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(1492)%branchCT(0:0))
      call avCT(1492, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_20177])

      allocate(vertices(1883)%branchCT(0:0))
      call avCT(1883, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4395)%branchCT(0:0))
      call avCT(4395, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13381])

      allocate(vertices(4396)%branchCT(0:0))
      call avCT(4396, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3125)%branchCT(0:0))
      call avCT(3125, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(1885)%branchCT(0:0))
      call avCT(1885, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(4404)%branchCT(0:0))
      call avCT(4404, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_20479])

      allocate(vertices(3016)%branchCT(0:0))
      call avCT(3016, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13381])

      allocate(vertices(1886)%branchCT(0:0))
      call avCT(1886, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4406)%branchCT(0:0))
      call avCT(4406, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1754)%branchCT(0:0))
      call avCT(1754, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(3238)%branchCT(0:3))
      call avCT(3238, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(3238, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_21032, nGC_21033])

      call avCT(3238, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(3238, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_21032, nGC_21033])

      allocate(vertices(1890)%branchCT(0:0))
      call avCT(1890, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(1892)%branchCT(0:0))
      call avCT(1892, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1495)%branchCT(0:0))
      call avCT(1495, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(5084)%branchCT(0:0))
      call avCT(5084, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(1893)%branchCT(0:1))
      call avCT(1893, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19113, nGC_19114])

      call avCT(1893, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19115, nGC_19116])

      allocate(vertices(1192)%branchCT(0:0))
      call avCT(1192, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(2316)%branchCT(0:0))
      call avCT(2316, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1895)%branchCT(0:0))
      call avCT(1895, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(4415)%branchCT(0:1))
      call avCT(4415, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_23843, nGC_23840])

      call avCT(4415, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_23849, nGC_23850])

      allocate(vertices(1781)%branchCT(0:0))
      call avCT(1781, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13344])

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(5085)%branchCT(0:0))
      call avCT(5085, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(5086)%branchCT(0:0))
      call avCT(5086, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_20662])

      allocate(vertices(4418)%branchCT(0:0))
      call avCT(4418, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1804)%branchCT(0:0))
      call avCT(1804, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2895)%branchCT(0:0))
      call avCT(2895, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(4421)%branchCT(0:0))
      call avCT(4421, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(4422)%branchCT(0:0))
      call avCT(4422, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_24155])

      allocate(vertices(1904)%branchCT(0:0))
      call avCT(1904, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2569)%branchCT(0:0))
      call avCT(2569, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(1905)%branchCT(0:3))
      call avCT(1905, 0, 27, 3, 0, VFaF0, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(1905, 1, 27, 3, 0, VFaF0, 0, [3, 0], [nGC_20873, nGC_20874])

      call avCT(1905, 2, 26, 2, 0, VFaF0, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(1905, 3, 26, 2, 0, VFaF0, 0, [3, 0], [nGC_20873, nGC_20874])

      allocate(vertices(1906)%branchCT(0:0))
      call avCT(1906, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(4426)%branchCT(0:1))
      call avCT(4426, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_22279, nGC_22280])

      call avCT(4426, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_22273, nGC_22276])

      allocate(vertices(1490)%branchCT(0:0))
      call avCT(1490, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19272])

      allocate(vertices(4427)%branchCT(0:1))
      call avCT(4427, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19114, nGC_19113])

      call avCT(4427, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19116, nGC_19115])

      allocate(vertices(1910)%branchCT(0:0))
      call avCT(1910, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19640])

      allocate(vertices(4428)%branchCT(0:0))
      call avCT(4428, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_23776])

      allocate(vertices(3545)%branchCT(0:0))
      call avCT(3545, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20758, nGC_20758])

      allocate(vertices(4430)%branchCT(0:0))
      call avCT(4430, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(3864)%branchCT(0:0))
      call avCT(3864, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(2896)%branchCT(0:0))
      call avCT(2896, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19969])

      allocate(vertices(1884)%branchCT(0:0))
      call avCT(1884, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(1914)%branchCT(0:0))
      call avCT(1914, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19488])

      allocate(vertices(1916)%branchCT(0:0))
      call avCT(1916, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4433)%branchCT(0:0))
      call avCT(4433, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13381])

      allocate(vertices(4435)%branchCT(0:0))
      call avCT(4435, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(5087)%branchCT(0:0))
      call avCT(5087, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(5088)%branchCT(0:0))
      call avCT(5088, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13370])

      allocate(vertices(1927)%branchCT(0:0))
      call avCT(1927, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4671)%branchCT(0:0))
      call avCT(4671, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4441)%branchCT(0:0))
      call avCT(4441, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4442)%branchCT(0:0))
      call avCT(4442, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4908)%branchCT(0:0))
      call avCT(4908, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1193)%branchCT(0:0))
      call avCT(1193, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4444)%branchCT(0:0))
      call avCT(4444, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4445)%branchCT(0:0))
      call avCT(4445, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19969])

      allocate(vertices(4448)%branchCT(0:0))
      call avCT(4448, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19470])

      allocate(vertices(1965)%branchCT(0:0))
      call avCT(1965, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(4699)%branchCT(0:1))
      call avCT(4699, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_23849, nGC_23850])

      call avCT(4699, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_23843, nGC_23840])

      allocate(vertices(1986)%branchCT(0:0))
      call avCT(1986, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19828])

      allocate(vertices(1931)%branchCT(0:1))
      call avCT(1931, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_23849, nGC_23850])

      call avCT(1931, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_23843, nGC_23840])

      allocate(vertices(4456)%branchCT(0:0))
      call avCT(4456, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1932)%branchCT(0:0))
      call avCT(1932, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(5089)%branchCT(0:0))
      call avCT(5089, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20010])

      allocate(vertices(4948)%branchCT(0:0))
      call avCT(4948, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(1936)%branchCT(0:0))
      call avCT(1936, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4463)%branchCT(0:0))
      call avCT(4463, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19584, nGC_19585])

      allocate(vertices(2149)%branchCT(0:0))
      call avCT(2149, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(5090)%branchCT(0:0))
      call avCT(5090, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_19094])

      allocate(vertices(1939)%branchCT(0:1))
      call avCT(1939, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_20542, nGC_20542])

      call avCT(1939, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_20540, nGC_20540])

      allocate(vertices(4466)%branchCT(0:0))
      call avCT(4466, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4467)%branchCT(0:0))
      call avCT(4467, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(4468)%branchCT(0:0))
      call avCT(4468, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_20479])

      allocate(vertices(2067)%branchCT(0:0))
      call avCT(2067, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19959])

      allocate(vertices(4443)%branchCT(0:0))
      call avCT(4443, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19953])

      allocate(vertices(1943)%branchCT(0:0))
      call avCT(1943, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(4472)%branchCT(0:0))
      call avCT(4472, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19631, nGC_19632])

      allocate(vertices(5091)%branchCT(0:0))
      call avCT(5091, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20274])

      allocate(vertices(3889)%branchCT(0:0))
      call avCT(3889, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(1945)%branchCT(0:0))
      call avCT(1945, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(4475)%branchCT(0:0))
      call avCT(4475, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19488])

      allocate(vertices(4476)%branchCT(0:1))
      call avCT(4476, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_21155, nGC_21156])

      call avCT(4476, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_21157, nGC_21158])

      allocate(vertices(1949)%branchCT(0:0))
      call avCT(1949, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4478)%branchCT(0:0))
      call avCT(4478, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19959])

      allocate(vertices(4479)%branchCT(0:0))
      call avCT(4479, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4091)%branchCT(0:0))
      call avCT(4091, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_21207])

      allocate(vertices(1950)%branchCT(0:0))
      call avCT(1950, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(3765)%branchCT(0:0))
      call avCT(3765, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4481)%branchCT(0:0))
      call avCT(4481, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3989)%branchCT(0:0))
      call avCT(3989, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(4483)%branchCT(0:0))
      call avCT(4483, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24583])

      allocate(vertices(4543)%branchCT(0:0))
      call avCT(4543, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22915])

      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_21213])

      allocate(vertices(4486)%branchCT(0:0))
      call avCT(4486, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19499])

      allocate(vertices(1956)%branchCT(0:0))
      call avCT(1956, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1957)%branchCT(0:0))
      call avCT(1957, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2652)%branchCT(0:0))
      call avCT(2652, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(2168)%branchCT(0:0))
      call avCT(2168, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(5092)%branchCT(0:0))
      call avCT(5092, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_20662])

      allocate(vertices(4493)%branchCT(0:0))
      call avCT(4493, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19483])

      allocate(vertices(1961)%branchCT(0:3))
      call avCT(1961, 0, 20, 2, 0, FaFV1, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(1961, 1, 20, 2, 0, FaFV1, 0, [3, 0], [nGC_22480, nGC_22481])

      call avCT(1961, 2, 21, 3, 0, FaFV1, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(1961, 3, 21, 3, 0, FaFV1, 0, [3, 0], [nGC_22480, nGC_22481])

      allocate(vertices(4446)%branchCT(0:0))
      call avCT(4446, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19483])

      allocate(vertices(4819)%branchCT(0:1))
      call avCT(4819, 0, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19653, nGC_19653])

      call avCT(4819, 1, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19654, nGC_19654])

      allocate(vertices(1963)%branchCT(0:0))
      call avCT(1963, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19231])

      allocate(vertices(4497)%branchCT(0:0))
      call avCT(4497, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_20037])

      allocate(vertices(1954)%branchCT(0:0))
      call avCT(1954, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2213)%branchCT(0:0))
      call avCT(2213, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4500)%branchCT(0:0))
      call avCT(4500, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19662])

      allocate(vertices(3593)%branchCT(0:0))
      call avCT(3593, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(1968)%branchCT(0:0))
      call avCT(1968, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4501)%branchCT(0:0))
      call avCT(4501, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1970)%branchCT(0:0))
      call avCT(1970, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1971)%branchCT(0:1))
      call avCT(1971, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_19717, nGC_19718])

      call avCT(1971, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_19711, nGC_19714])

      allocate(vertices(5093)%branchCT(0:0))
      call avCT(5093, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20274])

      allocate(vertices(4502)%branchCT(0:0))
      call avCT(4502, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_20037])

      allocate(vertices(4503)%branchCT(0:0))
      call avCT(4503, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19333])

      allocate(vertices(4504)%branchCT(0:1))
      call avCT(4504, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19261, nGC_19262])

      call avCT(4504, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19263, nGC_19264])

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3611)%branchCT(0:0))
      call avCT(3611, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(5094)%branchCT(0:0))
      call avCT(5094, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_23229, nGC_23223,      &
      nGC_23228])

      allocate(vertices(1978)%branchCT(0:0))
      call avCT(1978, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(1981)%branchCT(0:0))
      call avCT(1981, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19499])

      allocate(vertices(4508)%branchCT(0:0))
      call avCT(4508, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(3912)%branchCT(0:0))
      call avCT(3912, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4510)%branchCT(0:0))
      call avCT(4510, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(3966)%branchCT(0:0))
      call avCT(3966, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19470])

      allocate(vertices(1512)%branchCT(0:0))
      call avCT(1512, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2313)%branchCT(0:0))
      call avCT(2313, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3724)%branchCT(0:0))
      call avCT(3724, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(3559)%branchCT(0:0))
      call avCT(3559, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(3533)%branchCT(0:0))
      call avCT(3533, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4520)%branchCT(0:0))
      call avCT(4520, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19953])

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(3035)%branchCT(0:0))
      call avCT(3035, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2386)%branchCT(0:0))
      call avCT(2386, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3576)%branchCT(0:0))
      call avCT(3576, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4522)%branchCT(0:0))
      call avCT(4522, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19953])

      allocate(vertices(1124)%branchCT(0:0))
      call avCT(1124, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1517)%branchCT(0:0))
      call avCT(1517, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_24839])

      allocate(vertices(3506)%branchCT(0:0))
      call avCT(3506, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4836)%branchCT(0:0))
      call avCT(4836, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2004)%branchCT(0:0))
      call avCT(2004, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13381])

      allocate(vertices(4526)%branchCT(0:0))
      call avCT(4526, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2413)%branchCT(0:1))
      call avCT(2413, 0, 31, 1, 0, FVFa0, 0, [0, 3], [nGC_19299])

      call avCT(2413, 1, 31, 1, 0, FVFa0, 0, [2, 1], [nGC_19298])

      allocate(vertices(4528)%branchCT(0:0))
      call avCT(4528, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2420)%branchCT(0:0))
      call avCT(2420, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4530)%branchCT(0:0))
      call avCT(4530, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19631, nGC_19632])

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2007)%branchCT(0:0))
      call avCT(2007, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_20408])

      allocate(vertices(4532)%branchCT(0:0))
      call avCT(4532, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(4533)%branchCT(0:0))
      call avCT(4533, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19371, nGC_19372])

      allocate(vertices(2439)%branchCT(0:0))
      call avCT(2439, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1690)%branchCT(0:0))
      call avCT(1690, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19494])

      allocate(vertices(2335)%branchCT(0:0))
      call avCT(2335, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2445)%branchCT(0:0))
      call avCT(2445, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19844])

      allocate(vertices(2449)%branchCT(0:0))
      call avCT(2449, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2013)%branchCT(0:0))
      call avCT(2013, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(5095)%branchCT(0:0))
      call avCT(5095, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_27945, nGC_27946])

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19306])

      allocate(vertices(3998)%branchCT(0:0))
      call avCT(3998, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1104)%branchCT(0:0))
      call avCT(1104, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(2016)%branchCT(0:0))
      call avCT(2016, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(2017)%branchCT(0:0))
      call avCT(2017, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_21201])

      allocate(vertices(2018)%branchCT(0:0))
      call avCT(2018, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(3743)%branchCT(0:0))
      call avCT(3743, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20121, nGC_20122])

      allocate(vertices(4542)%branchCT(0:0))
      call avCT(4542, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_27972])

      allocate(vertices(2021)%branchCT(0:3))
      call avCT(2021, 0, 28, 2, 0, VFFa0, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(2021, 1, 28, 2, 0, VFFa0, 0, [3, 0], [nGC_19730, nGC_19731])

      call avCT(2021, 2, 29, 3, 0, VFFa0, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(2021, 3, 29, 3, 0, VFFa0, 0, [3, 0], [nGC_19730, nGC_19731])

      allocate(vertices(4718)%branchCT(0:0))
      call avCT(4718, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(724)%branchCT(0:1))
      call avCT(724, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_23728, nGC_23729])

      call avCT(724, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_23721, nGC_23724])

      allocate(vertices(3999)%branchCT(0:0))
      call avCT(3999, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(4549)%branchCT(0:0))
      call avCT(4549, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4552)%branchCT(0:0))
      call avCT(4552, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(4553)%branchCT(0:0))
      call avCT(4553, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19280])

      allocate(vertices(4554)%branchCT(0:0))
      call avCT(4554, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19953])

      allocate(vertices(3147)%branchCT(0:0))
      call avCT(3147, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2547)%branchCT(0:0))
      call avCT(2547, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2025)%branchCT(0:0))
      call avCT(2025, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20646])

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19953])

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4559)%branchCT(0:1))
      call avCT(4559, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19328, nGC_19328])

      call avCT(4559, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19329, nGC_19329])

      allocate(vertices(5096)%branchCT(0:1))
      call avCT(5096, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_25041, nGC_25037,     &
      nGC_25044, nGC_25044])

      call avCT(5096, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_25042, nGC_25038,     &
      nGC_25045, nGC_25045])

      allocate(vertices(2029)%branchCT(0:0))
      call avCT(2029, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(2030)%branchCT(0:0))
      call avCT(2030, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(5097)%branchCT(0:0))
      call avCT(5097, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19198])

      allocate(vertices(4003)%branchCT(0:0))
      call avCT(4003, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4563)%branchCT(0:0))
      call avCT(4563, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2033)%branchCT(0:0))
      call avCT(2033, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(2034)%branchCT(0:0))
      call avCT(2034, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4565)%branchCT(0:0))
      call avCT(4565, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(2642)%branchCT(0:0))
      call avCT(2642, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(3931)%branchCT(0:0))
      call avCT(3931, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20545])

      allocate(vertices(2647)%branchCT(0:0))
      call avCT(2647, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(3901)%branchCT(0:0))
      call avCT(3901, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(4302)%branchCT(0:0))
      call avCT(4302, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2039)%branchCT(0:0))
      call avCT(2039, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4571)%branchCT(0:0))
      call avCT(4571, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(3631)%branchCT(0:0))
      call avCT(3631, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(729)%branchCT(0:0))
      call avCT(729, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4574)%branchCT(0:0))
      call avCT(4574, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4575)%branchCT(0:0))
      call avCT(4575, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19477])

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4465)%branchCT(0:0))
      call avCT(4465, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19557])

      allocate(vertices(4477)%branchCT(0:0))
      call avCT(4477, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_21864, nGC_21864])

      allocate(vertices(2738)%branchCT(0:0))
      call avCT(2738, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4576)%branchCT(0:0))
      call avCT(4576, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4577)%branchCT(0:3))
      call avCT(4577, 0, 20, 2, 0, FaFV1, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(4577, 1, 20, 2, 0, FaFV1, 0, [3, 0], [nGC_20873, nGC_20874])

      call avCT(4577, 2, 21, 3, 0, FaFV1, 0, [1, 2], [nGC_20869, nGC_20867])

      call avCT(4577, 3, 21, 3, 0, FaFV1, 0, [3, 0], [nGC_20873, nGC_20874])

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19483])

      allocate(vertices(2046)%branchCT(0:0))
      call avCT(2046, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19747, nGC_19747])

      allocate(vertices(3454)%branchCT(0:0))
      call avCT(3454, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19154,     &
      nGC_19155])

      allocate(vertices(305)%branchCT(0:5))
      call avCT(305, 0, 94, 4, 0, VUVUa0, 0, [4, 0], [nGC_20461])

      call avCT(305, 1, 97, 5, 0, VUVUa0, 0, [4, 0], [nGC_20466])

      call avCT(305, 2, 96, 5, 0, VUVUa0, 0, [4, 0], [nGC_20466])

      call avCT(305, 3, 93, 4, 0, VUVUa0, 0, [4, 0], [nGC_20461])

      call avCT(305, 4, 92, 4, 0, VUVUa0, 0, [4, 0], [nGC_20461])

      call avCT(305, 5, 95, 4, 0, VUVUa0, 0, [4, 0], [nGC_20461])

      allocate(vertices(2048)%branchCT(0:1))
      call avCT(2048, 0, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_19938, nGC_19933])

      call avCT(2048, 1, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_19942, nGC_19943])

      allocate(vertices(4583)%branchCT(0:0))
      call avCT(4583, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(2051)%branchCT(0:0))
      call avCT(2051, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_19662])

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2053)%branchCT(0:0))
      call avCT(2053, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_27972])

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(2054)%branchCT(0:0))
      call avCT(2054, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4587)%branchCT(0:0))
      call avCT(4587, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19483])

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2057)%branchCT(0:0))
      call avCT(2057, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2354)%branchCT(0:0))
      call avCT(2354, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(1128)%branchCT(0:0))
      call avCT(1128, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4525)%branchCT(0:0))
      call avCT(4525, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19693])

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4592)%branchCT(0:0))
      call avCT(4592, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2557)%branchCT(0:0))
      call avCT(2557, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4043)%branchCT(0:0))
      call avCT(4043, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(4596)%branchCT(0:1))
      call avCT(4596, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_19859, nGC_19860])

      call avCT(4596, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_19852, nGC_19849])

      allocate(vertices(4597)%branchCT(0:0))
      call avCT(4597, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19499])

      allocate(vertices(4808)%branchCT(0:0))
      call avCT(4808, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19470])

      allocate(vertices(2066)%branchCT(0:3))
      call avCT(2066, 0, 24, 2, 0, FVFa1, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(2066, 1, 24, 2, 0, FVFa1, 0, [3, 0], [nGC_19730, nGC_19731])

      call avCT(2066, 2, 25, 3, 0, FVFa1, 0, [1, 2], [nGC_19727, nGC_19723])

      call avCT(2066, 3, 25, 3, 0, FVFa1, 0, [3, 0], [nGC_19730, nGC_19731])

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2068)%branchCT(0:0))
      call avCT(2068, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19969])

      allocate(vertices(4601)%branchCT(0:0))
      call avCT(4601, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4602)%branchCT(0:0))
      call avCT(4602, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_26271])

      allocate(vertices(2918)%branchCT(0:0))
      call avCT(2918, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(449)%branchCT(0:0))
      call avCT(449, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(4605)%branchCT(0:0))
      call avCT(4605, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4606)%branchCT(0:0))
      call avCT(4606, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(4607)%branchCT(0:0))
      call avCT(4607, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_21355, nGC_21356,     &
      nGC_21355])

      allocate(vertices(4609)%branchCT(0:0))
      call avCT(4609, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(1944)%branchCT(0:0))
      call avCT(1944, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19436, nGC_19437])

      allocate(vertices(3075)%branchCT(0:0))
      call avCT(3075, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2880)%branchCT(0:1))
      call avCT(2880, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19653, nGC_19653])

      call avCT(2880, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19654, nGC_19654])

      allocate(vertices(2538)%branchCT(0:0))
      call avCT(2538, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4615)%branchCT(0:0))
      call avCT(4615, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(2081)%branchCT(0:1))
      call avCT(2081, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19113, nGC_19114])

      call avCT(2081, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19115, nGC_19116])

      allocate(vertices(2856)%branchCT(0:0))
      call avCT(2856, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3630)%branchCT(0:0))
      call avCT(3630, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_24839])

      allocate(vertices(4617)%branchCT(0:0))
      call avCT(4617, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19470])

      allocate(vertices(4618)%branchCT(0:0))
      call avCT(4618, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3024)%branchCT(0:0))
      call avCT(3024, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3161)%branchCT(0:0))
      call avCT(3161, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19794, nGC_19793,     &
      nGC_19794])

      allocate(vertices(2084)%branchCT(0:0))
      call avCT(2084, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(5098)%branchCT(0:0))
      call avCT(5098, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22561, nGC_22560])

      allocate(vertices(3823)%branchCT(0:0))
      call avCT(3823, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(4621)%branchCT(0:0))
      call avCT(4621, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4622)%branchCT(0:0))
      call avCT(4622, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22915])

      allocate(vertices(2086)%branchCT(0:0))
      call avCT(2086, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_27972])

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(2088)%branchCT(0:0))
      call avCT(2088, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3684)%branchCT(0:0))
      call avCT(3684, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2089)%branchCT(0:0))
      call avCT(2089, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19272])

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19693])

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1155)%branchCT(0:0))
      call avCT(1155, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(4627)%branchCT(0:0))
      call avCT(4627, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(5099)%branchCT(0:0))
      call avCT(5099, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_26238, nGC_26237,      &
      nGC_26238, nGC_26237, nGC_26239])

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4630)%branchCT(0:1))
      call avCT(4630, 0, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19574, nGC_19575])

      call avCT(4630, 1, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19572, nGC_19573])

      allocate(vertices(1399)%branchCT(0:0))
      call avCT(1399, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(4164)%branchCT(0:0))
      call avCT(4164, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(1594)%branchCT(0:0))
      call avCT(1594, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20482])

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_19867])

      allocate(vertices(4425)%branchCT(0:0))
      call avCT(4425, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(3819)%branchCT(0:0))
      call avCT(3819, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4634)%branchCT(0:0))
      call avCT(4634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

      allocate(vertices(2101)%branchCT(0:0))
      call avCT(2101, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_19306])

      allocate(vertices(4635)%branchCT(0:0))
      call avCT(4635, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3761)%branchCT(0:0))
      call avCT(3761, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(2565)%branchCT(0:0))
      call avCT(2565, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3164)%branchCT(0:0))
      call avCT(3164, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(4638)%branchCT(0:0))
      call avCT(4638, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(4639)%branchCT(0:0))
      call avCT(4639, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_23776])

      allocate(vertices(1205)%branchCT(0:1))
      call avCT(1205, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_23728, nGC_23729])

      call avCT(1205, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_23721, nGC_23724])

      allocate(vertices(2104)%branchCT(0:0))
      call avCT(2104, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(570)%branchCT(0:0))
      call avCT(570, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2107)%branchCT(0:0))
      call avCT(2107, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_20177])

      allocate(vertices(2108)%branchCT(0:0))
      call avCT(2108, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19866])

      allocate(vertices(2109)%branchCT(0:0))
      call avCT(2109, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4645)%branchCT(0:0))
      call avCT(4645, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2110)%branchCT(0:0))
      call avCT(2110, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(2111)%branchCT(0:1))
      call avCT(2111, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19167, nGC_19167])

      call avCT(2111, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19166, nGC_19166])

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(3133)%branchCT(0:0))
      call avCT(3133, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(4368)%branchCT(0:0))
      call avCT(4368, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4804)%branchCT(0:0))
      call avCT(4804, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(5100)%branchCT(0:0))
      call avCT(5100, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(2117)%branchCT(0:0))
      call avCT(2117, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4657)%branchCT(0:0))
      call avCT(4657, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19382])

      allocate(vertices(2120)%branchCT(0:0))
      call avCT(2120, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2121)%branchCT(0:0))
      call avCT(2121, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4661)%branchCT(0:0))
      call avCT(4661, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19333])

      allocate(vertices(3210)%branchCT(0:0))
      call avCT(3210, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2123)%branchCT(0:0))
      call avCT(2123, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(2125)%branchCT(0:0))
      call avCT(2125, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19917, nGC_19916])

      allocate(vertices(2126)%branchCT(0:0))
      call avCT(2126, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_21201])

      allocate(vertices(2128)%branchCT(0:0))
      call avCT(2128, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19793, nGC_19794,     &
      nGC_19794])

      allocate(vertices(3239)%branchCT(0:0))
      call avCT(3239, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2130)%branchCT(0:0))
      call avCT(2130, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(4480)%branchCT(0:0))
      call avCT(4480, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2131)%branchCT(0:0))
      call avCT(2131, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19488])

      allocate(vertices(4669)%branchCT(0:0))
      call avCT(4669, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19415, nGC_19415])

      allocate(vertices(3257)%branchCT(0:0))
      call avCT(3257, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(4021)%branchCT(0:0))
      call avCT(4021, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(4674)%branchCT(0:0))
      call avCT(4674, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3280)%branchCT(0:0))
      call avCT(3280, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19828])

      allocate(vertices(3287)%branchCT(0:0))
      call avCT(3287, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(5101)%branchCT(0:0))
      call avCT(5101, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(2140)%branchCT(0:0))
      call avCT(2140, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_20037])

      allocate(vertices(1345)%branchCT(0:0))
      call avCT(1345, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2143)%branchCT(0:0))
      call avCT(2143, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(4683)%branchCT(0:1))
      call avCT(4683, 0, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_22066, nGC_22066])

      call avCT(4683, 1, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_22067, nGC_22067])

      allocate(vertices(4453)%branchCT(0:0))
      call avCT(4453, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4485)%branchCT(0:0))
      call avCT(4485, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4684)%branchCT(0:0))
      call avCT(4684, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2146)%branchCT(0:0))
      call avCT(2146, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19898])

      allocate(vertices(3335)%branchCT(0:0))
      call avCT(3335, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4439)%branchCT(0:0))
      call avCT(4439, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(4689)%branchCT(0:0))
      call avCT(4689, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(5102)%branchCT(0:0))
      call avCT(5102, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_24086])

      allocate(vertices(4690)%branchCT(0:0))
      call avCT(4690, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(2613)%branchCT(0:1))
      call avCT(2613, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_23849, nGC_23850])

      call avCT(2613, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_23843, nGC_23840])

      allocate(vertices(2153)%branchCT(0:5))
      call avCT(2153, 0, 41, 4, 0, UaVUV0, 0, [4, 0], [nGC_20461])

      call avCT(2153, 1, 39, 4, 0, UaVUV0, 0, [4, 0], [nGC_20461])

      call avCT(2153, 2, 40, 4, 0, UaVUV0, 0, [4, 0], [nGC_20461])

      call avCT(2153, 3, 38, 4, 0, UaVUV0, 0, [4, 0], [nGC_20461])

      call avCT(2153, 4, 42, 5, 0, UaVUV0, 0, [4, 0], [nGC_20466])

      call avCT(2153, 5, 43, 5, 0, UaVUV0, 0, [4, 0], [nGC_20466])

      allocate(vertices(4694)%branchCT(0:0))
      call avCT(4694, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_20758, nGC_20758])

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2154)%branchCT(0:0))
      call avCT(2154, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1521)%branchCT(0:0))
      call avCT(1521, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13370])

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4701)%branchCT(0:0))
      call avCT(4701, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19693])

      allocate(vertices(2156)%branchCT(0:0))
      call avCT(2156, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(2158)%branchCT(0:0))
      call avCT(2158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(2159)%branchCT(0:0))
      call avCT(2159, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13370])

      allocate(vertices(4843)%branchCT(0:0))
      call avCT(4843, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4705)%branchCT(0:0))
      call avCT(4705, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(5103)%branchCT(0:0))
      call avCT(5103, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(2161)%branchCT(0:0))
      call avCT(2161, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19601])

      allocate(vertices(2162)%branchCT(0:0))
      call avCT(2162, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19662])

      allocate(vertices(1146)%branchCT(0:0))
      call avCT(1146, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2166)%branchCT(0:0))
      call avCT(2166, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4709)%branchCT(0:1))
      call avCT(4709, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_20053])

      call avCT(4709, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_20052])

      allocate(vertices(1300)%branchCT(0:0))
      call avCT(1300, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2167)%branchCT(0:0))
      call avCT(2167, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4490)%branchCT(0:0))
      call avCT(4490, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4710)%branchCT(0:0))
      call avCT(4710, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4145)%branchCT(0:0))
      call avCT(4145, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3470)%branchCT(0:0))
      call avCT(3470, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4026)%branchCT(0:0))
      call avCT(4026, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2617)%branchCT(0:0))
      call avCT(2617, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4714)%branchCT(0:0))
      call avCT(4714, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3652)%branchCT(0:0))
      call avCT(3652, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2367)%branchCT(0:0))
      call avCT(2367, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19311])

      allocate(vertices(3198)%branchCT(0:0))
      call avCT(3198, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2174)%branchCT(0:0))
      call avCT(2174, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_22405])

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(3511)%branchCT(0:0))
      call avCT(3511, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(4719)%branchCT(0:0))
      call avCT(4719, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(3825)%branchCT(0:1))
      call avCT(3825, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_20309, nGC_20310])

      call avCT(3825, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_20305, nGC_20300])

      allocate(vertices(2180)%branchCT(0:0))
      call avCT(2180, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_20037])

      allocate(vertices(2181)%branchCT(0:0))
      call avCT(2181, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_21213])

      allocate(vertices(4933)%branchCT(0:0))
      call avCT(4933, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(4725)%branchCT(0:0))
      call avCT(4725, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4726)%branchCT(0:1))
      call avCT(4726, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_22066, nGC_22066])

      call avCT(4726, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_22067, nGC_22067])

      allocate(vertices(4233)%branchCT(0:0))
      call avCT(4233, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4727)%branchCT(0:0))
      call avCT(4727, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(2183)%branchCT(0:0))
      call avCT(2183, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19959])

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_22405])

      allocate(vertices(3556)%branchCT(0:0))
      call avCT(3556, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4527)%branchCT(0:0))
      call avCT(4527, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_24155])

      allocate(vertices(1)%branchCT(0:1))
      call avCT(1, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19329, nGC_19329])

      call avCT(1, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19328, nGC_19328])

      allocate(vertices(2186)%branchCT(0:0))
      call avCT(2186, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2187)%branchCT(0:0))
      call avCT(2187, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4029)%branchCT(0:3))
      call avCT(4029, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(4029, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_19884, nGC_19885])

      call avCT(4029, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(4029, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_19884, nGC_19885])

      allocate(vertices(2188)%branchCT(0:0))
      call avCT(2188, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2190)%branchCT(0:0))
      call avCT(2190, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4438)%branchCT(0:0))
      call avCT(4438, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13340])

      allocate(vertices(4738)%branchCT(0:0))
      call avCT(4738, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4739)%branchCT(0:0))
      call avCT(4739, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_24155])

      allocate(vertices(4432)%branchCT(0:0))
      call avCT(4432, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1882)%branchCT(0:0))
      call avCT(1882, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19499])

      allocate(vertices(4741)%branchCT(0:0))
      call avCT(4741, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2194)%branchCT(0:1))
      call avCT(2194, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_22066, nGC_22066])

      call avCT(2194, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_22067, nGC_22067])

      allocate(vertices(4742)%branchCT(0:0))
      call avCT(4742, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2195)%branchCT(0:0))
      call avCT(2195, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4744)%branchCT(0:0))
      call avCT(4744, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3596)%branchCT(0:0))
      call avCT(3596, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(4224)%branchCT(0:0))
      call avCT(4224, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2198)%branchCT(0:1))
      call avCT(2198, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_19299])

      call avCT(2198, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_19298])

      allocate(vertices(3651)%branchCT(0:0))
      call avCT(3651, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(4749)%branchCT(0:0))
      call avCT(4749, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19522, nGC_19521])

      allocate(vertices(3648)%branchCT(0:0))
      call avCT(3648, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4751)%branchCT(0:0))
      call avCT(4751, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_21201])

      allocate(vertices(2201)%branchCT(0:0))
      call avCT(2201, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3656)%branchCT(0:0))
      call avCT(3656, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2203)%branchCT(0:1))
      call avCT(2203, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_19824, nGC_19825])

      call avCT(2203, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_19818, nGC_19821])

      allocate(vertices(2204)%branchCT(0:0))
      call avCT(2204, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19953])

      allocate(vertices(3598)%branchCT(0:0))
      call avCT(3598, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3675)%branchCT(0:0))
      call avCT(3675, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2206)%branchCT(0:0))
      call avCT(2206, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3599)%branchCT(0:0))
      call avCT(3599, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19437, nGC_19436])

      allocate(vertices(4517)%branchCT(0:0))
      call avCT(4517, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2207)%branchCT(0:0))
      call avCT(2207, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_19079, nGC_19080])

      allocate(vertices(5104)%branchCT(0:0))
      call avCT(5104, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20274])

      allocate(vertices(2209)%branchCT(0:0))
      call avCT(2209, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4760)%branchCT(0:0))
      call avCT(4760, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(2211)%branchCT(0:0))
      call avCT(2211, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

      allocate(vertices(4761)%branchCT(0:0))
      call avCT(4761, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13344])

      allocate(vertices(4762)%branchCT(0:0))
      call avCT(4762, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(4764)%branchCT(0:0))
      call avCT(4764, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4765)%branchCT(0:0))
      call avCT(4765, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13340])

      allocate(vertices(4766)%branchCT(0:0))
      call avCT(4766, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_22405])

      allocate(vertices(4767)%branchCT(0:0))
      call avCT(4767, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2216)%branchCT(0:0))
      call avCT(2216, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4732)%branchCT(0:0))
      call avCT(4732, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4771)%branchCT(0:0))
      call avCT(4771, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(4772)%branchCT(0:0))
      call avCT(4772, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(1156)%branchCT(0:0))
      call avCT(1156, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3774)%branchCT(0:0))
      call avCT(3774, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4775)%branchCT(0:0))
      call avCT(4775, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19499])

      allocate(vertices(4777)%branchCT(0:0))
      call avCT(4777, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(3104)%branchCT(0:1))
      call avCT(3104, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_21303, nGC_21302])

      call avCT(3104, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_21305, nGC_21304])

      allocate(vertices(4778)%branchCT(0:0))
      call avCT(4778, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19333])

      allocate(vertices(4780)%branchCT(0:0))
      call avCT(4780, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19601])

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_24839])

      allocate(vertices(4781)%branchCT(0:0))
      call avCT(4781, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(5105)%branchCT(0:0))
      call avCT(5105, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20010])

      allocate(vertices(4782)%branchCT(0:0))
      call avCT(4782, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19155,     &
      nGC_19154])

      allocate(vertices(2225)%branchCT(0:0))
      call avCT(2225, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19693])

      allocate(vertices(3814)%branchCT(0:0))
      call avCT(3814, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(2228)%branchCT(0:0))
      call avCT(2228, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2229)%branchCT(0:0))
      call avCT(2229, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2230)%branchCT(0:0))
      call avCT(2230, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4785)%branchCT(0:0))
      call avCT(4785, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_20408])

      allocate(vertices(2231)%branchCT(0:0))
      call avCT(2231, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1158)%branchCT(0:0))
      call avCT(1158, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4788)%branchCT(0:0))
      call avCT(4788, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19640])

      allocate(vertices(2232)%branchCT(0:0))
      call avCT(2232, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1676)%branchCT(0:0))
      call avCT(1676, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(2233)%branchCT(0:5))
      call avCT(2233, 0, 85, 5, 0, VVUUa0, 0, [4, 0], [nGC_20466])

      call avCT(2233, 1, 84, 5, 0, VVUUa0, 0, [4, 0], [nGC_20466])

      call avCT(2233, 2, 81, 4, 0, VVUUa0, 0, [4, 0], [nGC_20461])

      call avCT(2233, 3, 80, 4, 0, VVUUa0, 0, [4, 0], [nGC_20461])

      call avCT(2233, 4, 83, 4, 0, VVUUa0, 0, [4, 0], [nGC_20461])

      call avCT(2233, 5, 82, 4, 0, VVUUa0, 0, [4, 0], [nGC_20461])

      allocate(vertices(2235)%branchCT(0:0))
      call avCT(2235, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_20091])

      allocate(vertices(5106)%branchCT(0:0))
      call avCT(5106, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19067])

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4793)%branchCT(0:0))
      call avCT(4793, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(2238)%branchCT(0:0))
      call avCT(2238, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(4796)%branchCT(0:0))
      call avCT(4796, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19477])

      allocate(vertices(4491)%branchCT(0:0))
      call avCT(4491, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4798)%branchCT(0:0))
      call avCT(4798, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4799)%branchCT(0:0))
      call avCT(4799, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_24839])

      allocate(vertices(2242)%branchCT(0:0))
      call avCT(2242, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(4513)%branchCT(0:0))
      call avCT(4513, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19488])

      allocate(vertices(2244)%branchCT(0:0))
      call avCT(2244, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4801)%branchCT(0:1))
      call avCT(4801, 0, 30, 1, 0, FaVF0, 0, [0, 3], [nGC_19299])

      call avCT(4801, 1, 30, 1, 0, FaVF0, 0, [2, 1], [nGC_19298])

      allocate(vertices(3187)%branchCT(0:0))
      call avCT(3187, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13340])

      allocate(vertices(3969)%branchCT(0:1))
      call avCT(3969, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_21302, nGC_21303])

      call avCT(3969, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_21304, nGC_21305])

      allocate(vertices(3962)%branchCT(0:0))
      call avCT(3962, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(4514)%branchCT(0:0))
      call avCT(4514, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19601])

      allocate(vertices(5107)%branchCT(0:0))
      call avCT(5107, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20010])

      allocate(vertices(2249)%branchCT(0:0))
      call avCT(2249, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(2250)%branchCT(0:0))
      call avCT(2250, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(2251)%branchCT(0:0))
      call avCT(2251, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2252)%branchCT(0:1))
      call avCT(2252, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_20053])

      call avCT(2252, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_20052])

      allocate(vertices(4000)%branchCT(0:0))
      call avCT(4000, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(4811)%branchCT(0:0))
      call avCT(4811, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(5108)%branchCT(0:0))
      call avCT(5108, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(2809)%branchCT(0:1))
      call avCT(2809, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_20236])

      call avCT(2809, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_20235])

      allocate(vertices(2255)%branchCT(0:0))
      call avCT(2255, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13348])

      allocate(vertices(4814)%branchCT(0:0))
      call avCT(4814, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(5109)%branchCT(0:0))
      call avCT(5109, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20274])

      allocate(vertices(5110)%branchCT(0:0))
      call avCT(5110, 0, 13, 1, 0, SV1, 0, [0, 2], [nGC_27946, nGC_27945])

      allocate(vertices(2259)%branchCT(0:1))
      call avCT(2259, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_22066, nGC_22066])

      call avCT(2259, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_22067, nGC_22067])

      allocate(vertices(4817)%branchCT(0:0))
      call avCT(4817, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4818)%branchCT(0:0))
      call avCT(4818, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20121, nGC_20122])

      allocate(vertices(2260)%branchCT(0:0))
      call avCT(2260, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4359)%branchCT(0:0))
      call avCT(4359, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(4820)%branchCT(0:0))
      call avCT(4820, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19154,     &
      nGC_19155])

      allocate(vertices(4806)%branchCT(0:1))
      call avCT(4806, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20296, nGC_20297])

      call avCT(4806, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20290, nGC_20293])

      allocate(vertices(4821)%branchCT(0:0))
      call avCT(4821, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4065)%branchCT(0:1))
      call avCT(4065, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19653, nGC_19653])

      call avCT(4065, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19654, nGC_19654])

      allocate(vertices(1552)%branchCT(0:0))
      call avCT(1552, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19522, nGC_19521])

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19333])

      allocate(vertices(2908)%branchCT(0:0))
      call avCT(2908, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4826)%branchCT(0:0))
      call avCT(4826, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(5111)%branchCT(0:0))
      call avCT(5111, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_24066, nGC_24061,     &
      nGC_24068, nGC_24068])

      allocate(vertices(4829)%branchCT(0:0))
      call avCT(4829, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19931, nGC_19930,     &
      nGC_19930])

      allocate(vertices(2267)%branchCT(0:0))
      call avCT(2267, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_21207])

      allocate(vertices(2268)%branchCT(0:1))
      call avCT(2268, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_21302, nGC_21303])

      call avCT(2268, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_21304, nGC_21305])

      allocate(vertices(4832)%branchCT(0:0))
      call avCT(4832, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2271)%branchCT(0:0))
      call avCT(2271, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(4834)%branchCT(0:1))
      call avCT(4834, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19142, nGC_19143])

      call avCT(4834, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19144, nGC_19145])

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(4121)%branchCT(0:0))
      call avCT(4121, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4862)%branchCT(0:0))
      call avCT(4862, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3442)%branchCT(0:0))
      call avCT(3442, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19584, nGC_19585])

      allocate(vertices(4266)%branchCT(0:0))
      call avCT(4266, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4149)%branchCT(0:0))
      call avCT(4149, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(3712)%branchCT(0:0))
      call avCT(3712, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(2256)%branchCT(0:0))
      call avCT(2256, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(3370)%branchCT(0:1))
      call avCT(3370, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_20158, nGC_20159])

      call avCT(3370, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_20150, nGC_20153])

      allocate(vertices(4840)%branchCT(0:0))
      call avCT(4840, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4841)%branchCT(0:0))
      call avCT(4841, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(4307)%branchCT(0:0))
      call avCT(4307, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_19437, nGC_19436])

      allocate(vertices(4192)%branchCT(0:0))
      call avCT(4192, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4845)%branchCT(0:0))
      call avCT(4845, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(2282)%branchCT(0:0))
      call avCT(2282, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2283)%branchCT(0:0))
      call avCT(2283, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_19828])

      allocate(vertices(4846)%branchCT(0:0))
      call avCT(4846, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(2284)%branchCT(0:1))
      call avCT(2284, 0, 30, 1, 0, FaVF0, 0, [0, 3], [nGC_19299])

      call avCT(2284, 1, 30, 1, 0, FaVF0, 0, [2, 1], [nGC_19298])

      allocate(vertices(4212)%branchCT(0:0))
      call avCT(4212, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4849)%branchCT(0:1))
      call avCT(4849, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_20296, nGC_20297])

      call avCT(4849, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_20290, nGC_20293])

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2286)%branchCT(0:0))
      call avCT(2286, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19499])

      allocate(vertices(2287)%branchCT(0:0))
      call avCT(2287, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4852)%branchCT(0:1))
      call avCT(4852, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_21679, nGC_21679])

      call avCT(4852, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_21681, nGC_21681])

      allocate(vertices(2382)%branchCT(0:0))
      call avCT(2382, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1873)%branchCT(0:0))
      call avCT(1873, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4651)%branchCT(0:0))
      call avCT(4651, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_20408])

      allocate(vertices(4856)%branchCT(0:0))
      call avCT(4856, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3514)%branchCT(0:0))
      call avCT(3514, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24583])

      allocate(vertices(4857)%branchCT(0:0))
      call avCT(4857, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1682)%branchCT(0:0))
      call avCT(1682, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1165)%branchCT(0:0))
      call avCT(1165, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(4859)%branchCT(0:0))
      call avCT(4859, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1785)%branchCT(0:0))
      call avCT(1785, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2296)%branchCT(0:0))
      call avCT(2296, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2299)%branchCT(0:1))
      call avCT(2299, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_20236])

      call avCT(2299, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_20235])

      allocate(vertices(3614)%branchCT(0:0))
      call avCT(3614, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(2301)%branchCT(0:0))
      call avCT(2301, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4335)%branchCT(0:0))
      call avCT(4335, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4866)%branchCT(0:0))
      call avCT(4866, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(5112)%branchCT(0:0))
      call avCT(5112, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_29343, nGC_29342])

      allocate(vertices(4867)%branchCT(0:0))
      call avCT(4867, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2311)%branchCT(0:0))
      call avCT(2311, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3526)%branchCT(0:0))
      call avCT(3526, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(4869)%branchCT(0:0))
      call avCT(4869, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19488])

      allocate(vertices(4870)%branchCT(0:0))
      call avCT(4870, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(4871)%branchCT(0:0))
      call avCT(4871, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19794, nGC_19794,     &
      nGC_19793])

      allocate(vertices(4398)%branchCT(0:0))
      call avCT(4398, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1915)%branchCT(0:3))
      call avCT(1915, 0, 27, 3, 0, VFaF0, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(1915, 1, 27, 3, 0, VFaF0, 0, [3, 0], [nGC_19884, nGC_19885])

      call avCT(1915, 2, 26, 2, 0, VFaF0, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(1915, 3, 26, 2, 0, VFaF0, 0, [3, 0], [nGC_19884, nGC_19885])

      allocate(vertices(4876)%branchCT(0:0))
      call avCT(4876, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19483])

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4837)%branchCT(0:0))
      call avCT(4837, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4879)%branchCT(0:1))
      call avCT(4879, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_19824, nGC_19825])

      call avCT(4879, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_19818, nGC_19821])

      allocate(vertices(5113)%branchCT(0:0))
      call avCT(5113, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19198])

      allocate(vertices(2318)%branchCT(0:0))
      call avCT(2318, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(3617)%branchCT(0:0))
      call avCT(3617, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(2319)%branchCT(0:0))
      call avCT(2319, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(2320)%branchCT(0:0))
      call avCT(2320, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_20758, nGC_20758])

      allocate(vertices(4882)%branchCT(0:0))
      call avCT(4882, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1515)%branchCT(0:0))
      call avCT(1515, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2323)%branchCT(0:0))
      call avCT(2323, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19236])

      allocate(vertices(4885)%branchCT(0:0))
      call avCT(4885, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_21864, nGC_21864])

      allocate(vertices(4901)%branchCT(0:0))
      call avCT(4901, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19231])

      allocate(vertices(4731)%branchCT(0:0))
      call avCT(4731, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1827)%branchCT(0:0))
      call avCT(1827, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13343])

      allocate(vertices(2325)%branchCT(0:0))
      call avCT(2325, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(4889)%branchCT(0:0))
      call avCT(4889, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19930, nGC_19930,     &
      nGC_19931])

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19693])

      allocate(vertices(3923)%branchCT(0:0))
      call avCT(3923, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(5114)%branchCT(0:0))
      call avCT(5114, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_21816])

      allocate(vertices(3206)%branchCT(0:0))
      call avCT(3206, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19408])

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_19415, nGC_19415])

      allocate(vertices(4893)%branchCT(0:0))
      call avCT(4893, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19470])

      allocate(vertices(3961)%branchCT(0:0))
      call avCT(3961, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(3207)%branchCT(0:1))
      call avCT(3207, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_19717, nGC_19718])

      call avCT(3207, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_19711, nGC_19714])

      allocate(vertices(4056)%branchCT(0:0))
      call avCT(4056, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(230)%branchCT(0:0))
      call avCT(230, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4524)%branchCT(0:0))
      call avCT(4524, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4899)%branchCT(0:0))
      call avCT(4899, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22915])

      allocate(vertices(1991)%branchCT(0:0))
      call avCT(1991, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4535)%branchCT(0:0))
      call avCT(4535, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2336)%branchCT(0:1))
      call avCT(2336, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19942, nGC_19943])

      call avCT(2336, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19938, nGC_19933])

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(857)%branchCT(0:1))
      call avCT(857, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19546, nGC_19547])

      call avCT(857, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19544, nGC_19545])

      allocate(vertices(2337)%branchCT(0:0))
      call avCT(2337, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(2165)%branchCT(0:0))
      call avCT(2165, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(4551)%branchCT(0:0))
      call avCT(4551, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4903)%branchCT(0:0))
      call avCT(4903, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_20891, nGC_20892])

      allocate(vertices(2339)%branchCT(0:0))
      call avCT(2339, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(4904)%branchCT(0:0))
      call avCT(4904, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_20177])

      allocate(vertices(2340)%branchCT(0:0))
      call avCT(2340, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4907)%branchCT(0:0))
      call avCT(4907, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4155)%branchCT(0:0))
      call avCT(4155, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19155,     &
      nGC_19154])

      allocate(vertices(2347)%branchCT(0:0))
      call avCT(2347, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(2348)%branchCT(0:1))
      call avCT(2348, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19114, nGC_19113])

      call avCT(2348, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19116, nGC_19115])

      allocate(vertices(4909)%branchCT(0:0))
      call avCT(4909, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13370])

      allocate(vertices(1565)%branchCT(0:0))
      call avCT(1565, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(2160)%branchCT(0:0))
      call avCT(2160, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(5115)%branchCT(0:0))
      call avCT(5115, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_24086])

      allocate(vertices(3972)%branchCT(0:0))
      call avCT(3972, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19333])

      allocate(vertices(4915)%branchCT(0:0))
      call avCT(4915, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19953])

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19953])

      allocate(vertices(3736)%branchCT(0:0))
      call avCT(3736, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4917)%branchCT(0:0))
      call avCT(4917, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1575)%branchCT(0:0))
      call avCT(1575, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(4920)%branchCT(0:0))
      call avCT(4920, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(4921)%branchCT(0:0))
      call avCT(4921, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_19453, nGC_19452])

      allocate(vertices(4706)%branchCT(0:0))
      call avCT(4706, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19154,     &
      nGC_19155])

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(5116)%branchCT(0:1))
      call avCT(5116, 0, 16, 8, 0, VV3, 0, [2, 0], [nGC_29593, nGC_29592])

      call avCT(5116, 1, 15, 1, 0, VV3, 0, [2, 0], [nGC_29593, nGC_29592])

      allocate(vertices(2355)%branchCT(0:0))
      call avCT(2355, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4653)%branchCT(0:0))
      call avCT(4653, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19470])

      allocate(vertices(4924)%branchCT(0:0))
      call avCT(4924, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1680)%branchCT(0:0))
      call avCT(1680, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4926)%branchCT(0:1))
      call avCT(4926, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_20309, nGC_20310])

      call avCT(4926, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_20305, nGC_20300])

    end subroutine fill_vertices_mdl10
end module vertices_info10
