!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(3302)%branchCT(0:0))
      call avCT(3302, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(1151)%branchCT(0:0))
      call avCT(1151, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3597)%branchCT(0:0))
      call avCT(3597, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19747, nGC_19747])

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19155,     &
      nGC_19154])

      allocate(vertices(1153)%branchCT(0:1))
      call avCT(1153, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19622, nGC_19623])

      call avCT(1153, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19624, nGC_19625])

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1598)%branchCT(0:0))
      call avCT(1598, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(5046)%branchCT(0:0))
      call avCT(5046, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(2396)%branchCT(0:0))
      call avCT(2396, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_21348])

      allocate(vertices(3602)%branchCT(0:0))
      call avCT(3602, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3604)%branchCT(0:0))
      call avCT(3604, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(3453)%branchCT(0:0))
      call avCT(3453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(1160)%branchCT(0:0))
      call avCT(1160, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(1162)%branchCT(0:0))
      call avCT(1162, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(3610)%branchCT(0:0))
      call avCT(3610, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24309])

      allocate(vertices(5047)%branchCT(0:0))
      call avCT(5047, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20274])

      allocate(vertices(3612)%branchCT(0:0))
      call avCT(3612, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3954)%branchCT(0:0))
      call avCT(3954, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3613)%branchCT(0:0))
      call avCT(3613, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(2300)%branchCT(0:0))
      call avCT(2300, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3615)%branchCT(0:0))
      call avCT(3615, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21187, nGC_21186])

      allocate(vertices(3616)%branchCT(0:0))
      call avCT(3616, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(5048)%branchCT(0:0))
      call avCT(5048, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_22997])

      allocate(vertices(3618)%branchCT(0:0))
      call avCT(3618, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3619)%branchCT(0:0))
      call avCT(3619, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13370])

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(2331)%branchCT(0:0))
      call avCT(2331, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3621)%branchCT(0:0))
      call avCT(3621, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19693])

      allocate(vertices(229)%branchCT(0:1))
      call avCT(229, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19772, nGC_19772])

      call avCT(229, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19770, nGC_19770])

      allocate(vertices(1172)%branchCT(0:0))
      call avCT(1172, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20646])

      allocate(vertices(2598)%branchCT(0:0))
      call avCT(2598, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1175)%branchCT(0:1))
      call avCT(1175, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_20542, nGC_20542])

      call avCT(1175, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_20540, nGC_20540])

      allocate(vertices(1302)%branchCT(0:1))
      call avCT(1302, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_21543, nGC_21543])

      call avCT(1302, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_21542, nGC_21542])

      allocate(vertices(2362)%branchCT(0:0))
      call avCT(2362, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4746)%branchCT(0:0))
      call avCT(4746, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_19483])

      allocate(vertices(2999)%branchCT(0:0))
      call avCT(2999, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(2375)%branchCT(0:0))
      call avCT(2375, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(2377)%branchCT(0:1))
      call avCT(2377, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_22279, nGC_22280])

      call avCT(2377, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_22273, nGC_22276])

      allocate(vertices(1180)%branchCT(0:0))
      call avCT(1180, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3634)%branchCT(0:0))
      call avCT(3634, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1181)%branchCT(0:0))
      call avCT(1181, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1182)%branchCT(0:1))
      call avCT(1182, 0, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_20193, nGC_20194])

      call avCT(1182, 1, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_20191, nGC_20192])

      allocate(vertices(1734)%branchCT(0:0))
      call avCT(1734, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3635)%branchCT(0:0))
      call avCT(3635, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19867])

      allocate(vertices(3636)%branchCT(0:0))
      call avCT(3636, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(795)%branchCT(0:1))
      call avCT(795, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19113, nGC_19114])

      call avCT(795, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19115, nGC_19116])

      allocate(vertices(1183)%branchCT(0:0))
      call avCT(1183, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_20722, nGC_20722])

      allocate(vertices(582)%branchCT(0:1))
      call avCT(582, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19859, nGC_19860])

      call avCT(582, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19852, nGC_19849])

      allocate(vertices(1185)%branchCT(0:0))
      call avCT(1185, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_20408])

      allocate(vertices(3639)%branchCT(0:0))
      call avCT(3639, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(987)%branchCT(0:0))
      call avCT(987, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3643)%branchCT(0:1))
      call avCT(3643, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_20748, nGC_20748])

      call avCT(3643, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_20747, nGC_20747])

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(1825)%branchCT(0:0))
      call avCT(1825, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(187)%branchCT(0:0))
      call avCT(187, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3646)%branchCT(0:0))
      call avCT(3646, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(3647)%branchCT(0:1))
      call avCT(3647, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_23728, nGC_23729])

      call avCT(3647, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_23721, nGC_23724])

      allocate(vertices(4750)%branchCT(0:0))
      call avCT(4750, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(2479)%branchCT(0:3))
      call avCT(2479, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(2479, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_22480, nGC_22481])

      call avCT(2479, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(2479, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_22480, nGC_22481])

      allocate(vertices(4294)%branchCT(0:0))
      call avCT(4294, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(2493)%branchCT(0:0))
      call avCT(2493, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19391])

      allocate(vertices(3653)%branchCT(0:0))
      call avCT(3653, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1841)%branchCT(0:0))
      call avCT(1841, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3655)%branchCT(0:0))
      call avCT(3655, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3706)%branchCT(0:0))
      call avCT(3706, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3657)%branchCT(0:0))
      call avCT(3657, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3658)%branchCT(0:0))
      call avCT(3658, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(3659)%branchCT(0:1))
      call avCT(3659, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_20236])

      call avCT(3659, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_20235])

      allocate(vertices(3660)%branchCT(0:0))
      call avCT(3660, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(4774)%branchCT(0:0))
      call avCT(4774, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3661)%branchCT(0:0))
      call avCT(3661, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19521, nGC_19522])

      allocate(vertices(3663)%branchCT(0:0))
      call avCT(3663, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1208)%branchCT(0:1))
      call avCT(1208, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_19299])

      call avCT(1208, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_19298])

      allocate(vertices(2563)%branchCT(0:0))
      call avCT(2563, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(4512)%branchCT(0:1))
      call avCT(4512, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_20747, nGC_20747])

      call avCT(4512, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_20748, nGC_20748])

      allocate(vertices(1211)%branchCT(0:0))
      call avCT(1211, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(3671)%branchCT(0:0))
      call avCT(3671, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19394])

      allocate(vertices(1212)%branchCT(0:0))
      call avCT(1212, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(1214)%branchCT(0:0))
      call avCT(1214, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1215)%branchCT(0:0))
      call avCT(1215, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(3865)%branchCT(0:0))
      call avCT(3865, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1216)%branchCT(0:0))
      call avCT(1216, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3676)%branchCT(0:1))
      call avCT(3676, 0, 31, 1, 0, FVFa1, 0, [0, 3], [nGC_19942, nGC_19943])

      call avCT(3676, 1, 31, 1, 0, FVFa1, 0, [2, 1], [nGC_19938, nGC_19933])

      allocate(vertices(3677)%branchCT(0:0))
      call avCT(3677, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(3678)%branchCT(0:0))
      call avCT(3678, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1802)%branchCT(0:0))
      call avCT(1802, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3679)%branchCT(0:0))
      call avCT(3679, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24583])

      allocate(vertices(1221)%branchCT(0:1))
      call avCT(1221, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_20843, nGC_20844])

      call avCT(1221, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_20837, nGC_20834])

      allocate(vertices(1121)%branchCT(0:0))
      call avCT(1121, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3854)%branchCT(0:0))
      call avCT(3854, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1223)%branchCT(0:0))
      call avCT(1223, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3682)%branchCT(0:0))
      call avCT(3682, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(3683)%branchCT(0:0))
      call avCT(3683, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1226)%branchCT(0:0))
      call avCT(1226, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22915])

      allocate(vertices(2678)%branchCT(0:0))
      call avCT(2678, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(3685)%branchCT(0:0))
      call avCT(3685, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1228)%branchCT(0:0))
      call avCT(1228, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19452, nGC_19453])

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4643)%branchCT(0:0))
      call avCT(4643, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(3690)%branchCT(0:0))
      call avCT(3690, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2704)%branchCT(0:0))
      call avCT(2704, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(4380)%branchCT(0:0))
      call avCT(4380, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_19866])

      allocate(vertices(2612)%branchCT(0:0))
      call avCT(2612, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3694)%branchCT(0:0))
      call avCT(3694, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19231])

      allocate(vertices(5049)%branchCT(0:0))
      call avCT(5049, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19198])

      allocate(vertices(3696)%branchCT(0:0))
      call avCT(3696, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20545])

      allocate(vertices(4758)%branchCT(0:0))
      call avCT(4758, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1819)%branchCT(0:0))
      call avCT(1819, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_21719, nGC_21720])

      allocate(vertices(1238)%branchCT(0:0))
      call avCT(1238, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3702)%branchCT(0:0))
      call avCT(3702, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_24583])

      allocate(vertices(1240)%branchCT(0:1))
      call avCT(1240, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19622, nGC_19623])

      call avCT(1240, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19624, nGC_19625])

      allocate(vertices(4770)%branchCT(0:0))
      call avCT(4770, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3705)%branchCT(0:1))
      call avCT(3705, 0, 2, 6, 0, VVV1, 0, [3, 0], [nGC_24676])

      call avCT(3705, 1, 3, 7, 0, VVV1, 0, [3, 0], [nGC_24676])

      allocate(vertices(3707)%branchCT(0:5))
      call avCT(3707, 0, 45, 4, 0, UUaVV0, 0, [4, 0], [nGC_20461])

      call avCT(3707, 1, 44, 4, 0, UUaVV0, 0, [4, 0], [nGC_20461])

      call avCT(3707, 2, 47, 4, 0, UUaVV0, 0, [4, 0], [nGC_20461])

      call avCT(3707, 3, 46, 4, 0, UUaVV0, 0, [4, 0], [nGC_20461])

      call avCT(3707, 4, 49, 5, 0, UUaVV0, 0, [4, 0], [nGC_20466])

      call avCT(3707, 5, 48, 5, 0, UUaVV0, 0, [4, 0], [nGC_20466])

      allocate(vertices(3710)%branchCT(0:0))
      call avCT(3710, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(5050)%branchCT(0:0))
      call avCT(5050, 0, 13, 1, 0, SV1, 0, [0, 2], [nGC_20611, nGC_20610])

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1243)%branchCT(0:0))
      call avCT(1243, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19391])

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20121, nGC_20122])

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1247)%branchCT(0:0))
      call avCT(1247, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3713)%branchCT(0:0))
      call avCT(3713, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19601])

      allocate(vertices(1249)%branchCT(0:3))
      call avCT(1249, 0, 28, 2, 0, VFFa0, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(1249, 1, 28, 2, 0, VFFa0, 0, [3, 0], [nGC_21032, nGC_21033])

      call avCT(1249, 2, 29, 3, 0, VFFa0, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(1249, 3, 29, 3, 0, VFFa0, 0, [3, 0], [nGC_21032, nGC_21033])

      allocate(vertices(3715)%branchCT(0:0))
      call avCT(3715, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1251)%branchCT(0:0))
      call avCT(1251, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(1252)%branchCT(0:0))
      call avCT(1252, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(3719)%branchCT(0:0))
      call avCT(3719, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19640])

      allocate(vertices(2866)%branchCT(0:0))
      call avCT(2866, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13344])

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(1255)%branchCT(0:0))
      call avCT(1255, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(3572)%branchCT(0:0))
      call avCT(3572, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1257)%branchCT(0:0))
      call avCT(1257, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1258)%branchCT(0:1))
      call avCT(1258, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19686, nGC_19687])

      call avCT(1258, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19679, nGC_19682])

      allocate(vertices(2246)%branchCT(0:0))
      call avCT(2246, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1259)%branchCT(0:0))
      call avCT(1259, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_19477])

      allocate(vertices(5051)%branchCT(0:1))
      call avCT(5051, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_20025, nGC_20017,    &
      nGC_20028, nGC_20028])

      call avCT(5051, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_20026, nGC_20018,    &
      nGC_20029, nGC_20029])

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1164)%branchCT(0:0))
      call avCT(1164, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(3729)%branchCT(0:0))
      call avCT(3729, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20371, nGC_20372])

      allocate(vertices(1262)%branchCT(0:0))
      call avCT(1262, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3730)%branchCT(0:0))
      call avCT(3730, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(3731)%branchCT(0:3))
      call avCT(3731, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(3731, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_21032, nGC_21033])

      call avCT(3731, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_21026, nGC_21028])

      call avCT(3731, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_21032, nGC_21033])

      allocate(vertices(2935)%branchCT(0:0))
      call avCT(2935, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1266)%branchCT(0:0))
      call avCT(1266, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1267)%branchCT(0:0))
      call avCT(1267, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13370])

      allocate(vertices(1268)%branchCT(0:0))
      call avCT(1268, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(2961)%branchCT(0:0))
      call avCT(2961, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(1270)%branchCT(0:0))
      call avCT(1270, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1275)%branchCT(0:1))
      call avCT(1275, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_20236])

      call avCT(1275, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_20235])

      allocate(vertices(1271)%branchCT(0:0))
      call avCT(1271, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3738)%branchCT(0:0))
      call avCT(3738, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_24839])

      allocate(vertices(1005)%branchCT(0:0))
      call avCT(1005, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4494)%branchCT(0:0))
      call avCT(4494, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3801)%branchCT(0:0))
      call avCT(3801, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(2633)%branchCT(0:0))
      call avCT(2633, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(3741)%branchCT(0:0))
      call avCT(3741, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(3742)%branchCT(0:0))
      call avCT(3742, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1278)%branchCT(0:1))
      call avCT(1278, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_20843, nGC_20844])

      call avCT(1278, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_20837, nGC_20834])

      allocate(vertices(3744)%branchCT(0:0))
      call avCT(3744, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(1280)%branchCT(0:0))
      call avCT(1280, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_20798, nGC_20799])

      allocate(vertices(2179)%branchCT(0:0))
      call avCT(2179, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3751)%branchCT(0:0))
      call avCT(3751, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_21186, nGC_21187])

      allocate(vertices(3754)%branchCT(0:0))
      call avCT(3754, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(4492)%branchCT(0:0))
      call avCT(4492, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_21213])

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1008)%branchCT(0:0))
      call avCT(1008, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4670)%branchCT(0:0))
      call avCT(4670, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3085)%branchCT(0:0))
      call avCT(3085, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(5052)%branchCT(0:0))
      call avCT(5052, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19198])

      allocate(vertices(1874)%branchCT(0:0))
      call avCT(1874, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19235])

      allocate(vertices(3645)%branchCT(0:0))
      call avCT(3645, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(1816)%branchCT(0:0))
      call avCT(1816, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3760)%branchCT(0:1))
      call avCT(3760, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19328, nGC_19328])

      call avCT(3760, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19329, nGC_19329])

      allocate(vertices(3112)%branchCT(0:0))
      call avCT(3112, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3762)%branchCT(0:0))
      call avCT(3762, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_21377, nGC_21376])

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_19306])

      allocate(vertices(3764)%branchCT(0:0))
      call avCT(3764, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3766)%branchCT(0:3))
      call avCT(3766, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(3766, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_22480, nGC_22481])

      call avCT(3766, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(3766, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_22480, nGC_22481])

      allocate(vertices(601)%branchCT(0:0))
      call avCT(601, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3769)%branchCT(0:0))
      call avCT(3769, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(1298)%branchCT(0:0))
      call avCT(1298, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_21864, nGC_21864])

      allocate(vertices(3871)%branchCT(0:0))
      call avCT(3871, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_20892, nGC_20891])

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(2220)%branchCT(0:0))
      call avCT(2220, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3181)%branchCT(0:0))
      call avCT(3181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(1035)%branchCT(0:1))
      call avCT(1035, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_21303, nGC_21302])

      call avCT(1035, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_21305, nGC_21304])

      allocate(vertices(3778)%branchCT(0:0))
      call avCT(3778, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19408])

      allocate(vertices(5053)%branchCT(0:0))
      call avCT(5053, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_25001, nGC_24995,      &
      nGC_25000])

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3780)%branchCT(0:0))
      call avCT(3780, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(3782)%branchCT(0:0))
      call avCT(3782, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(3222)%branchCT(0:0))
      call avCT(3222, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19311])

      allocate(vertices(1310)%branchCT(0:0))
      call avCT(1310, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19236])

      allocate(vertices(1311)%branchCT(0:0))
      call avCT(1311, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3785)%branchCT(0:0))
      call avCT(3785, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1313)%branchCT(0:0))
      call avCT(1313, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19631, nGC_19632])

      allocate(vertices(208)%branchCT(0:0))
      call avCT(208, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(5054)%branchCT(0:1))
      call avCT(5054, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_25041, nGC_25037,    &
      nGC_25044, nGC_25044])

      call avCT(5054, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_25042, nGC_25038,    &
      nGC_25045, nGC_25045])

      allocate(vertices(3789)%branchCT(0:0))
      call avCT(3789, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13344])

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1319)%branchCT(0:0))
      call avCT(1319, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3791)%branchCT(0:0))
      call avCT(3791, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3792)%branchCT(0:0))
      call avCT(3792, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19488])

      allocate(vertices(4320)%branchCT(0:1))
      call avCT(4320, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19261, nGC_19262])

      call avCT(4320, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19263, nGC_19264])

      allocate(vertices(3978)%branchCT(0:0))
      call avCT(3978, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3795)%branchCT(0:0))
      call avCT(3795, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(1322)%branchCT(0:0))
      call avCT(1322, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_19079, nGC_19080])

      allocate(vertices(3313)%branchCT(0:0))
      call avCT(3313, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3797)%branchCT(0:1))
      call avCT(3797, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_21542, nGC_21542])

      call avCT(3797, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_21543, nGC_21543])

      allocate(vertices(1326)%branchCT(0:1))
      call avCT(1326, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_20843, nGC_20844])

      call avCT(1326, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_20837, nGC_20834])

      allocate(vertices(2043)%branchCT(0:0))
      call avCT(2043, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20482])

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19311])

      allocate(vertices(1328)%branchCT(0:0))
      call avCT(1328, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3800)%branchCT(0:0))
      call avCT(3800, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4827)%branchCT(0:0))
      call avCT(4827, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1330)%branchCT(0:0))
      call avCT(1330, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3802)%branchCT(0:0))
      call avCT(3802, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(5055)%branchCT(0:0))
      call avCT(5055, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(2490)%branchCT(0:0))
      call avCT(2490, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1649)%branchCT(0:0))
      call avCT(1649, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3805)%branchCT(0:0))
      call avCT(3805, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(3806)%branchCT(0:0))
      call avCT(3806, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22915])

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1334)%branchCT(0:0))
      call avCT(1334, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(610)%branchCT(0:0))
      call avCT(610, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20646])

      allocate(vertices(3416)%branchCT(0:0))
      call avCT(3416, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1337)%branchCT(0:0))
      call avCT(1337, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3813)%branchCT(0:0))
      call avCT(3813, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13341])

      allocate(vertices(3437)%branchCT(0:0))
      call avCT(3437, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(3817)%branchCT(0:0))
      call avCT(3817, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13340])

      allocate(vertices(3699)%branchCT(0:0))
      call avCT(3699, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_20408])

      allocate(vertices(3818)%branchCT(0:0))
      call avCT(3818, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19408])

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3821)%branchCT(0:0))
      call avCT(3821, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(5056)%branchCT(0:0))
      call avCT(5056, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22560, nGC_22561])

      allocate(vertices(3033)%branchCT(0:0))
      call avCT(3033, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1349)%branchCT(0:0))
      call avCT(1349, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2476)%branchCT(0:0))
      call avCT(2476, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_19222])

      allocate(vertices(1351)%branchCT(0:1))
      call avCT(1351, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_19824, nGC_19825])

      call avCT(1351, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_19818, nGC_19821])

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1353)%branchCT(0:0))
      call avCT(1353, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19959])

      allocate(vertices(3457)%branchCT(0:0))
      call avCT(3457, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19671])

      allocate(vertices(1356)%branchCT(0:0))
      call avCT(1356, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20892, nGC_20891])

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(3534)%branchCT(0:0))
      call avCT(3534, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(3831)%branchCT(0:0))
      call avCT(3831, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19828])

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_20722, nGC_20722])

      allocate(vertices(1359)%branchCT(0:0))
      call avCT(1359, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20958])

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13340])

      allocate(vertices(1360)%branchCT(0:0))
      call avCT(1360, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(3837)%branchCT(0:0))
      call avCT(3837, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_19079, nGC_19080])

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19930, nGC_19930,      &
      nGC_19931])

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(1362)%branchCT(0:0))
      call avCT(1362, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19584, nGC_19585])

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3843)%branchCT(0:0))
      call avCT(3843, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(1365)%branchCT(0:0))
      call avCT(1365, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19415, nGC_19415])

      allocate(vertices(1027)%branchCT(0:0))
      call avCT(1027, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1366)%branchCT(0:0))
      call avCT(1366, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(1199)%branchCT(0:0))
      call avCT(1199, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1021)%branchCT(0:0))
      call avCT(1021, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1367)%branchCT(0:0))
      call avCT(1367, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13350])

      allocate(vertices(1368)%branchCT(0:0))
      call avCT(1368, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19931, nGC_19930,     &
      nGC_19930])

      allocate(vertices(3038)%branchCT(0:3))
      call avCT(3038, 0, 20, 2, 0, FaFV1, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(3038, 1, 20, 2, 0, FaFV1, 0, [3, 0], [nGC_20329, nGC_20330])

      call avCT(3038, 2, 21, 3, 0, FaFV1, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(3038, 3, 21, 3, 0, FaFV1, 0, [3, 0], [nGC_20329, nGC_20330])

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3654)%branchCT(0:0))
      call avCT(3654, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_20177])

      allocate(vertices(1371)%branchCT(0:0))
      call avCT(1371, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3852)%branchCT(0:1))
      call avCT(3852, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19114, nGC_19113])

      call avCT(3852, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19116, nGC_19115])

      allocate(vertices(3040)%branchCT(0:0))
      call avCT(3040, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1375)%branchCT(0:0))
      call avCT(1375, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20371, nGC_20372])

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_25328])

      allocate(vertices(3693)%branchCT(0:0))
      call avCT(3693, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3858)%branchCT(0:0))
      call avCT(3858, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1377)%branchCT(0:0))
      call avCT(1377, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3860)%branchCT(0:1))
      call avCT(3860, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19142, nGC_19143])

      call avCT(3860, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19144, nGC_19145])

      allocate(vertices(3861)%branchCT(0:5))
      call avCT(3861, 0, 9, 4, 0, UaUVV0, 0, [4, 0], [nGC_20461])

      call avCT(3861, 1, 7, 4, 0, UaUVV0, 0, [4, 0], [nGC_20461])

      call avCT(3861, 2, 8, 4, 0, UaUVV0, 0, [4, 0], [nGC_20461])

      call avCT(3861, 3, 6, 4, 0, UaUVV0, 0, [4, 0], [nGC_20461])

      call avCT(3861, 4, 5, 5, 0, UaUVV0, 0, [4, 0], [nGC_20466])

      call avCT(3861, 5, 4, 5, 0, UaUVV0, 0, [4, 0], [nGC_20466])

      allocate(vertices(1832)%branchCT(0:0))
      call avCT(1832, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(3863)%branchCT(0:1))
      call avCT(3863, 0, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_20150, nGC_20153])

      call avCT(3863, 1, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_20158, nGC_20159])

      allocate(vertices(1380)%branchCT(0:0))
      call avCT(1380, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4165)%branchCT(0:0))
      call avCT(4165, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(1383)%branchCT(0:0))
      call avCT(1383, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_25380])

      allocate(vertices(924)%branchCT(0:0))
      call avCT(924, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3866)%branchCT(0:0))
      call avCT(3866, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(1385)%branchCT(0:0))
      call avCT(1385, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19231])

      allocate(vertices(3867)%branchCT(0:1))
      call avCT(3867, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_21302, nGC_21303])

      call avCT(3867, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_21304, nGC_21305])

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21376, nGC_21377])

      allocate(vertices(1387)%branchCT(0:0))
      call avCT(1387, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1179)%branchCT(0:0))
      call avCT(1179, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19231])

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1929)%branchCT(0:0))
      call avCT(1929, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_21356, nGC_21355,     &
      nGC_21355])

      allocate(vertices(3872)%branchCT(0:0))
      call avCT(3872, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13381])

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3981)%branchCT(0:0))
      call avCT(3981, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19333])

      allocate(vertices(3875)%branchCT(0:0))
      call avCT(3875, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(5057)%branchCT(0:0))
      call avCT(5057, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19640])

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(2978)%branchCT(0:0))
      call avCT(2978, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19394])

      allocate(vertices(1395)%branchCT(0:0))
      call avCT(1395, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(3638)%branchCT(0:0))
      call avCT(3638, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1520)%branchCT(0:0))
      call avCT(1520, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21187, nGC_21186])

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(1397)%branchCT(0:0))
      call avCT(1397, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3842)%branchCT(0:0))
      call avCT(3842, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1398)%branchCT(0:0))
      call avCT(1398, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3849)%branchCT(0:0))
      call avCT(3849, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(3045)%branchCT(0:0))
      call avCT(3045, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(3885)%branchCT(0:0))
      call avCT(3885, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_20479])

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3887)%branchCT(0:0))
      call avCT(3887, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(3888)%branchCT(0:0))
      call avCT(3888, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_21207])

      allocate(vertices(3879)%branchCT(0:0))
      call avCT(3879, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20361])

      allocate(vertices(1404)%branchCT(0:0))
      call avCT(1404, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19866])

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(1406)%branchCT(0:1))
      call avCT(1406, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19299])

      call avCT(1406, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19298])

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19828])

      allocate(vertices(1410)%branchCT(0:0))
      call avCT(1410, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19391])

      allocate(vertices(3909)%branchCT(0:0))
      call avCT(3909, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_20177])

      allocate(vertices(4103)%branchCT(0:0))
      call avCT(4103, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(1338)%branchCT(0:0))
      call avCT(1338, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1415)%branchCT(0:0))
      call avCT(1415, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1416)%branchCT(0:1))
      call avCT(1416, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19622, nGC_19623])

      call avCT(1416, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19624, nGC_19625])

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(3900)%branchCT(0:1))
      call avCT(3900, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_23572, nGC_23572])

      call avCT(3900, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_23573, nGC_23573])

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4792)%branchCT(0:0))
      call avCT(4792, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(3903)%branchCT(0:1))
      call avCT(3903, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_20837, nGC_20834])

      call avCT(3903, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_20843, nGC_20844])

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3906)%branchCT(0:0))
      call avCT(3906, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3908)%branchCT(0:1))
      call avCT(3908, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_19824, nGC_19825])

      call avCT(3908, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_19818, nGC_19821])

      allocate(vertices(3894)%branchCT(0:0))
      call avCT(3894, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(4012)%branchCT(0:0))
      call avCT(4012, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(5058)%branchCT(0:0))
      call avCT(5058, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20274])

      allocate(vertices(3913)%branchCT(0:0))
      call avCT(3913, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_21207])

      allocate(vertices(5059)%branchCT(0:1))
      call avCT(5059, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_23642, nGC_23634,    &
      nGC_23645, nGC_23645])

      call avCT(5059, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_23643, nGC_23635,    &
      nGC_23646, nGC_23646])

      allocate(vertices(1431)%branchCT(0:3))
      call avCT(1431, 0, 28, 2, 0, VFFa0, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(1431, 1, 28, 2, 0, VFFa0, 0, [3, 0], [nGC_22480, nGC_22481])

      call avCT(1431, 2, 29, 3, 0, VFFa0, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(1431, 3, 29, 3, 0, VFFa0, 0, [3, 0], [nGC_22480, nGC_22481])

      allocate(vertices(2218)%branchCT(0:0))
      call avCT(2218, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4340)%branchCT(0:0))
      call avCT(4340, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19488])

      allocate(vertices(1436)%branchCT(0:0))
      call avCT(1436, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13341])

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(3920)%branchCT(0:1))
      call avCT(3920, 0, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19328, nGC_19328])

      call avCT(3920, 1, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19329, nGC_19329])

      allocate(vertices(2648)%branchCT(0:1))
      call avCT(2648, 0, 30, 1, 0, FaVF1, 0, [0, 3], [nGC_23849, nGC_23850])

      call avCT(2648, 1, 30, 1, 0, FaVF1, 0, [2, 1], [nGC_23843, nGC_23840])

      allocate(vertices(3924)%branchCT(0:0))
      call avCT(3924, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1842)%branchCT(0:0))
      call avCT(1842, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(3927)%branchCT(0:0))
      call avCT(3927, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_21348])

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(3929)%branchCT(0:0))
      call avCT(3929, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1648)%branchCT(0:0))
      call avCT(1648, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(3930)%branchCT(0:0))
      call avCT(3930, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19135])

      allocate(vertices(2241)%branchCT(0:0))
      call avCT(2241, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19470])

      allocate(vertices(3932)%branchCT(0:0))
      call avCT(3932, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(4969)%branchCT(0:0))
      call avCT(4969, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(3473)%branchCT(0:0))
      call avCT(3473, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(3936)%branchCT(0:0))
      call avCT(3936, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4181)%branchCT(0:0))
      call avCT(4181, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(3965)%branchCT(0:0))
      call avCT(3965, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(1458)%branchCT(0:1))
      call avCT(1458, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_20236])

      call avCT(1458, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_20235])

      allocate(vertices(1459)%branchCT(0:1))
      call avCT(1459, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_20053])

      call avCT(1459, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_20052])

      allocate(vertices(3475)%branchCT(0:0))
      call avCT(3475, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(5060)%branchCT(0:1))
      call avCT(5060, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_21475, nGC_21467,    &
      nGC_21478, nGC_21478])

      call avCT(5060, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_21476, nGC_21468,    &
      nGC_21479, nGC_21479])

      allocate(vertices(3542)%branchCT(0:0))
      call avCT(3542, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(3945)%branchCT(0:0))
      call avCT(3945, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19470])

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19351])

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4268)%branchCT(0:0))
      call avCT(4268, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_21201])

      allocate(vertices(4823)%branchCT(0:0))
      call avCT(4823, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4275)%branchCT(0:0))
      call avCT(4275, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19930, nGC_19931,     &
      nGC_19930])

      allocate(vertices(3951)%branchCT(0:3))
      call avCT(3951, 0, 27, 3, 0, VFaF0, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(3951, 1, 27, 3, 0, VFaF0, 0, [3, 0], [nGC_22480, nGC_22481])

      call avCT(3951, 2, 26, 2, 0, VFaF0, 0, [1, 2], [nGC_22476, nGC_22478])

      call avCT(3951, 3, 26, 2, 0, VFaF0, 0, [3, 0], [nGC_22480, nGC_22481])

      allocate(vertices(4284)%branchCT(0:0))
      call avCT(4284, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19403])

      allocate(vertices(4292)%branchCT(0:0))
      call avCT(4292, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(3955)%branchCT(0:1))
      call avCT(3955, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_19717, nGC_19718])

      call avCT(3955, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_19711, nGC_19714])

      allocate(vertices(5061)%branchCT(0:0))
      call avCT(5061, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19067])

      allocate(vertices(3956)%branchCT(0:0))
      call avCT(3956, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_19306])

      allocate(vertices(3957)%branchCT(0:0))
      call avCT(3957, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(4310)%branchCT(0:1))
      call avCT(4310, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_21679, nGC_21679])

      call avCT(4310, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_21681, nGC_21681])

      allocate(vertices(3958)%branchCT(0:0))
      call avCT(3958, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19088])

      allocate(vertices(1482)%branchCT(0:0))
      call avCT(1482, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1483)%branchCT(0:0))
      call avCT(1483, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19437, nGC_19436])

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(4077)%branchCT(0:0))
      call avCT(4077, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(3960)%branchCT(0:0))
      call avCT(3960, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(4352)%branchCT(0:0))
      call avCT(4352, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1487)%branchCT(0:0))
      call avCT(1487, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_21213])

      allocate(vertices(3479)%branchCT(0:0))
      call avCT(3479, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19126])

      allocate(vertices(3304)%branchCT(0:0))
      call avCT(3304, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_20479])

      allocate(vertices(3963)%branchCT(0:0))
      call avCT(3963, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4376)%branchCT(0:0))
      call avCT(4376, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19959])

      allocate(vertices(3592)%branchCT(0:0))
      call avCT(3592, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(1925)%branchCT(0:0))
      call avCT(1925, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1491)%branchCT(0:0))
      call avCT(1491, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_20891, nGC_20892])

      allocate(vertices(4393)%branchCT(0:0))
      call avCT(4393, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2655)%branchCT(0:0))
      call avCT(2655, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_20091])

      allocate(vertices(3970)%branchCT(0:1))
      call avCT(3970, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19653, nGC_19653])

      call avCT(3970, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19654, nGC_19654])

      allocate(vertices(1496)%branchCT(0:0))
      call avCT(1496, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1497)%branchCT(0:0))
      call avCT(1497, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_20798, nGC_20799])

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(1499)%branchCT(0:1))
      call avCT(1499, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19623, nGC_19622])

      call avCT(1499, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19625, nGC_19624])

      allocate(vertices(4354)%branchCT(0:0))
      call avCT(4354, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(3976)%branchCT(0:0))
      call avCT(3976, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3979)%branchCT(0:0))
      call avCT(3979, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19315])

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4450)%branchCT(0:0))
      call avCT(4450, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_21207])

      allocate(vertices(4321)%branchCT(0:0))
      call avCT(4321, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_20758, nGC_20758])

      allocate(vertices(5062)%branchCT(0:0))
      call avCT(5062, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_19198])

      allocate(vertices(3984)%branchCT(0:0))
      call avCT(3984, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_21864, nGC_21864])

      allocate(vertices(4809)%branchCT(0:0))
      call avCT(4809, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1504)%branchCT(0:0))
      call avCT(1504, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19640])

      allocate(vertices(3990)%branchCT(0:0))
      call avCT(3990, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19693])

      allocate(vertices(1507)%branchCT(0:1))
      call avCT(1507, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_21303, nGC_21302])

      call avCT(1507, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_21305, nGC_21304])

      allocate(vertices(2657)%branchCT(0:0))
      call avCT(2657, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1509)%branchCT(0:0))
      call avCT(1509, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3992)%branchCT(0:0))
      call avCT(3992, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19640])

      allocate(vertices(1510)%branchCT(0:0))
      call avCT(1510, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3876)%branchCT(0:0))
      call avCT(3876, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(3240)%branchCT(0:0))
      call avCT(3240, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(181)%branchCT(0:1))
      call avCT(181, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19574, nGC_19575])

      call avCT(181, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19572, nGC_19573])

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1858)%branchCT(0:0))
      call avCT(1858, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1516)%branchCT(0:0))
      call avCT(1516, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19154, nGC_19155,     &
      nGC_19155])

      allocate(vertices(3997)%branchCT(0:0))
      call avCT(3997, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_21213])

      allocate(vertices(4309)%branchCT(0:0))
      call avCT(4309, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19272])

      allocate(vertices(1519)%branchCT(0:0))
      call avCT(1519, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19488])

      allocate(vertices(1400)%branchCT(0:0))
      call avCT(1400, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(2960)%branchCT(0:0))
      call avCT(2960, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19828])

      allocate(vertices(4002)%branchCT(0:0))
      call avCT(4002, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1526)%branchCT(0:0))
      call avCT(1526, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13381])

      allocate(vertices(1528)%branchCT(0:0))
      call avCT(1528, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(4006)%branchCT(0:1))
      call avCT(4006, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19623, nGC_19622])

      call avCT(4006, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19625, nGC_19624])

      allocate(vertices(2658)%branchCT(0:0))
      call avCT(2658, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(5063)%branchCT(0:0))
      call avCT(5063, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(5064)%branchCT(0:0))
      call avCT(5064, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_20529, nGC_20527,     &
      nGC_20531, nGC_20531])

      allocate(vertices(4007)%branchCT(0:0))
      call avCT(4007, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4008)%branchCT(0:0))
      call avCT(4008, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1985)%branchCT(0:0))
      call avCT(1985, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4009)%branchCT(0:0))
      call avCT(4009, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(639)%branchCT(0:0))
      call avCT(639, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_20177])

      allocate(vertices(4588)%branchCT(0:0))
      call avCT(4588, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19088])

      allocate(vertices(1534)%branchCT(0:0))
      call avCT(1534, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1535)%branchCT(0:0))
      call avCT(1535, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19477])

      allocate(vertices(4063)%branchCT(0:0))
      call avCT(4063, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19601])

      allocate(vertices(2660)%branchCT(0:3))
      call avCT(2660, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(2660, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_20329, nGC_20330])

      call avCT(2660, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(2660, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_20329, nGC_20330])

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1538)%branchCT(0:0))
      call avCT(1538, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19394])

      allocate(vertices(1169)%branchCT(0:0))
      call avCT(1169, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4016)%branchCT(0:1))
      call avCT(4016, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_19299])

      call avCT(4016, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_19298])

      allocate(vertices(4364)%branchCT(0:0))
      call avCT(4364, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1541)%branchCT(0:0))
      call avCT(1541, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(3718)%branchCT(0:0))
      call avCT(3718, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4019)%branchCT(0:1))
      call avCT(4019, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_21302, nGC_21303])

      call avCT(4019, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_21304, nGC_21305])

      allocate(vertices(2661)%branchCT(0:0))
      call avCT(2661, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1543)%branchCT(0:0))
      call avCT(1543, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1544)%branchCT(0:0))
      call avCT(1544, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(1545)%branchCT(0:0))
      call avCT(1545, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19189])

      allocate(vertices(4681)%branchCT(0:1))
      call avCT(4681, 0, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_23572, nGC_23572])

      call avCT(4681, 1, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_23573, nGC_23573])

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_23776])

      allocate(vertices(1549)%branchCT(0:0))
      call avCT(1549, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19866])

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1550)%branchCT(0:0))
      call avCT(1550, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13381])

      allocate(vertices(4712)%branchCT(0:0))
      call avCT(4712, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1551)%branchCT(0:0))
      call avCT(1551, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_19306])

      allocate(vertices(4721)%branchCT(0:0))
      call avCT(4721, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19231])

      allocate(vertices(5065)%branchCT(0:0))
      call avCT(5065, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_19198])

      allocate(vertices(4030)%branchCT(0:0))
      call avCT(4030, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19557])

      allocate(vertices(4031)%branchCT(0:0))
      call avCT(4031, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_24155])

      allocate(vertices(1553)%branchCT(0:0))
      call avCT(1553, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19794, nGC_19793,     &
      nGC_19794])

      allocate(vertices(4035)%branchCT(0:0))
      call avCT(4035, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(4036)%branchCT(0:0))
      call avCT(4036, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(4037)%branchCT(0:0))
      call avCT(4037, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(4039)%branchCT(0:0))
      call avCT(4039, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19272])

      allocate(vertices(5066)%branchCT(0:0))
      call avCT(5066, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19923, nGC_19922])

      allocate(vertices(1561)%branchCT(0:0))
      call avCT(1561, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22915])

      allocate(vertices(1564)%branchCT(0:1))
      call avCT(1564, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19574, nGC_19575])

      call avCT(1564, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19572, nGC_19573])

      allocate(vertices(5067)%branchCT(0:0))
      call avCT(5067, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20274])

      allocate(vertices(3916)%branchCT(0:0))
      call avCT(3916, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4822)%branchCT(0:0))
      call avCT(4822, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(4047)%branchCT(0:0))
      call avCT(4047, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19953])

      allocate(vertices(4051)%branchCT(0:0))
      call avCT(4051, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4052)%branchCT(0:0))
      call avCT(4052, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4053)%branchCT(0:1))
      call avCT(4053, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19114, nGC_19113])

      call avCT(4053, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19116, nGC_19115])

      allocate(vertices(3918)%branchCT(0:0))
      call avCT(3918, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13343])

      allocate(vertices(3784)%branchCT(0:0))
      call avCT(3784, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19408])

      allocate(vertices(1569)%branchCT(0:0))
      call avCT(1569, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1570)%branchCT(0:0))
      call avCT(1570, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19959])

      allocate(vertices(4055)%branchCT(0:0))
      call avCT(4055, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1571)%branchCT(0:1))
      call avCT(1571, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_23728, nGC_23729])

      call avCT(1571, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_23721, nGC_23724])

      allocate(vertices(1572)%branchCT(0:0))
      call avCT(1572, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13343])

      allocate(vertices(4057)%branchCT(0:0))
      call avCT(4057, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_19177, nGC_19176])

      allocate(vertices(1574)%branchCT(0:0))
      call avCT(1574, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20958])

      allocate(vertices(4919)%branchCT(0:5))
      call avCT(4919, 0, 59, 4, 0, UVVUa0, 0, [4, 0], [nGC_20461])

      call avCT(4919, 1, 58, 4, 0, UVVUa0, 0, [4, 0], [nGC_20461])

      call avCT(4919, 2, 57, 4, 0, UVVUa0, 0, [4, 0], [nGC_20461])

      call avCT(4919, 3, 56, 4, 0, UVVUa0, 0, [4, 0], [nGC_20461])

      call avCT(4919, 4, 61, 5, 0, UVVUa0, 0, [4, 0], [nGC_20466])

      call avCT(4919, 5, 60, 5, 0, UVVUa0, 0, [4, 0], [nGC_20466])

      allocate(vertices(1576)%branchCT(0:0))
      call avCT(1576, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(4935)%branchCT(0:0))
      call avCT(4935, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4375)%branchCT(0:0))
      call avCT(4375, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(1581)%branchCT(0:0))
      call avCT(1581, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1582)%branchCT(0:0))
      call avCT(1582, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_13370])

      allocate(vertices(1640)%branchCT(0:0))
      call avCT(1640, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20259])

      allocate(vertices(1583)%branchCT(0:0))
      call avCT(1583, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1584)%branchCT(0:0))
      call avCT(1584, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19315])

      allocate(vertices(1585)%branchCT(0:0))
      call avCT(1585, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19333])

      allocate(vertices(4384)%branchCT(0:0))
      call avCT(4384, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_20443, nGC_20443])

      allocate(vertices(4069)%branchCT(0:0))
      call avCT(4069, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19445])

      allocate(vertices(4070)%branchCT(0:0))
      call avCT(4070, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13370])

      allocate(vertices(3491)%branchCT(0:0))
      call avCT(3491, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19272])

      allocate(vertices(1586)%branchCT(0:0))
      call avCT(1586, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(1590)%branchCT(0:0))
      call avCT(1590, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(2373)%branchCT(0:0))
      call avCT(2373, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1592)%branchCT(0:0))
      call avCT(1592, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_13361])

      allocate(vertices(4073)%branchCT(0:0))
      call avCT(4073, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(41)%branchCT(0:1))
      call avCT(41, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19144, nGC_19145])

      call avCT(41, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19142, nGC_19143])

      allocate(vertices(2671)%branchCT(0:0))
      call avCT(2671, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19794, nGC_19793,     &
      nGC_19794])

      allocate(vertices(1596)%branchCT(0:1))
      call avCT(1596, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19544, nGC_19545])

      call avCT(1596, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19546, nGC_19547])

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13366])

      allocate(vertices(5068)%branchCT(0:0))
      call avCT(5068, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_26237, nGC_26238,      &
      nGC_26237, nGC_26238, nGC_26239])

      allocate(vertices(1010)%branchCT(0:0))
      call avCT(1010, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4078)%branchCT(0:0))
      call avCT(4078, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(5069)%branchCT(0:0))
      call avCT(5069, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_22560, nGC_22561])

      allocate(vertices(4079)%branchCT(0:0))
      call avCT(4079, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19953])

      allocate(vertices(4081)%branchCT(0:0))
      call avCT(4081, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_13381])

      allocate(vertices(4082)%branchCT(0:0))
      call avCT(4082, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1604)%branchCT(0:0))
      call avCT(1604, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19099])

      allocate(vertices(3152)%branchCT(0:0))
      call avCT(3152, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19499])

      allocate(vertices(1606)%branchCT(0:0))
      call avCT(1606, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_26271])

      allocate(vertices(3926)%branchCT(0:0))
      call avCT(3926, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1381)%branchCT(0:0))
      call avCT(1381, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19292])

      allocate(vertices(259)%branchCT(0:1))
      call avCT(259, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_20191, nGC_20192])

      call avCT(259, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_20193, nGC_20194])

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4086)%branchCT(0:0))
      call avCT(4086, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(5070)%branchCT(0:0))
      call avCT(5070, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19198])

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(4089)%branchCT(0:0))
      call avCT(4089, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(4090)%branchCT(0:0))
      call avCT(4090, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19394])

      allocate(vertices(3165)%branchCT(0:0))
      call avCT(3165, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1615)%branchCT(0:0))
      call avCT(1615, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19189])

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19483])

      allocate(vertices(4095)%branchCT(0:0))
      call avCT(4095, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19154, nGC_19155,     &
      nGC_19155])

      allocate(vertices(1620)%branchCT(0:0))
      call avCT(1620, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13344])

      allocate(vertices(4098)%branchCT(0:0))
      call avCT(4098, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4099)%branchCT(0:0))
      call avCT(4099, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_21719, nGC_21720])

      allocate(vertices(1622)%branchCT(0:0))
      call avCT(1622, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1624)%branchCT(0:1))
      call avCT(1624, 0, 19, 1, 0, SFFa0, 0, [2, 1], [nGC_19622, nGC_19623])

      call avCT(1624, 1, 19, 1, 0, SFFa0, 0, [0, 3], [nGC_19624, nGC_19625])

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19387])

      allocate(vertices(3060)%branchCT(0:0))
      call avCT(3060, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4106)%branchCT(0:1))
      call avCT(4106, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19544, nGC_19545])

      call avCT(4106, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19546, nGC_19547])

      allocate(vertices(4109)%branchCT(0:0))
      call avCT(4109, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4458)%branchCT(0:0))
      call avCT(4458, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20646])

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19499])

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4112)%branchCT(0:0))
      call avCT(4112, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_13370])

      allocate(vertices(2127)%branchCT(0:0))
      call avCT(2127, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_19693])

      allocate(vertices(5071)%branchCT(0:1))
      call avCT(5071, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_22540, nGC_22536,     &
      nGC_22543, nGC_22543])

      call avCT(5071, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_22541, nGC_22537,     &
      nGC_22544, nGC_22544])

      allocate(vertices(1633)%branchCT(0:0))
      call avCT(1633, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1144)%branchCT(0:0))
      call avCT(1144, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19387])

      allocate(vertices(5072)%branchCT(0:0))
      call avCT(5072, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19181])

      allocate(vertices(4118)%branchCT(0:0))
      call avCT(4118, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20259])

      allocate(vertices(4119)%branchCT(0:1))
      call avCT(4119, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_20221, nGC_20221])

      call avCT(4119, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_20222, nGC_20222])

      allocate(vertices(1637)%branchCT(0:0))
      call avCT(1637, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_25380])

      allocate(vertices(4370)%branchCT(0:0))
      call avCT(4370, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4123)%branchCT(0:0))
      call avCT(4123, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_21201])

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4126)%branchCT(0:0))
      call avCT(4126, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_19306])

      allocate(vertices(1641)%branchCT(0:0))
      call avCT(1641, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19311])

      allocate(vertices(4128)%branchCT(0:0))
      call avCT(4128, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_20121, nGC_20122])

      allocate(vertices(1643)%branchCT(0:0))
      call avCT(1643, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19470])

      allocate(vertices(4131)%branchCT(0:0))
      call avCT(4131, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19828])

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(5073)%branchCT(0:0))
      call avCT(5073, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19181])

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(4134)%branchCT(0:0))
      call avCT(4134, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_20408])

      allocate(vertices(4389)%branchCT(0:0))
      call avCT(4389, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13365])

      allocate(vertices(1650)%branchCT(0:0))
      call avCT(1650, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1628)%branchCT(0:0))
      call avCT(1628, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(4135)%branchCT(0:0))
      call avCT(4135, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_13381])

      allocate(vertices(1481)%branchCT(0:0))
      call avCT(1481, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13343])

      allocate(vertices(1655)%branchCT(0:0))
      call avCT(1655, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_13343])

      allocate(vertices(3502)%branchCT(0:0))
      call avCT(3502, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(4140)%branchCT(0:0))
      call avCT(4140, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19671])

      allocate(vertices(1657)%branchCT(0:0))
      call avCT(1657, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_20091])

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(659)%branchCT(0:1))
      call avCT(659, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_21679, nGC_21679])

      call avCT(659, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_21681, nGC_21681])

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1660)%branchCT(0:0))
      call avCT(1660, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_19662])

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1662)%branchCT(0:1))
      call avCT(1662, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_23573, nGC_23573])

      call avCT(1662, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_23572, nGC_23572])

      allocate(vertices(2276)%branchCT(0:0))
      call avCT(2276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(4150)%branchCT(0:0))
      call avCT(4150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_20058])

      allocate(vertices(4151)%branchCT(0:0))
      call avCT(4151, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19470])

      allocate(vertices(4152)%branchCT(0:1))
      call avCT(4152, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_19546, nGC_19547])

      call avCT(4152, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_19544, nGC_19545])

      allocate(vertices(4153)%branchCT(0:0))
      call avCT(4153, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_13381])

      allocate(vertices(4154)%branchCT(0:1))
      call avCT(4154, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_23572, nGC_23572])

      call avCT(4154, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_23573, nGC_23573])

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1669)%branchCT(0:3))
      call avCT(1669, 0, 28, 2, 0, VFFa0, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(1669, 1, 28, 2, 0, VFFa0, 0, [3, 0], [nGC_19884, nGC_19885])

      call avCT(1669, 2, 29, 3, 0, VFFa0, 0, [1, 2], [nGC_19880, nGC_19882])

      call avCT(1669, 3, 29, 3, 0, VFFa0, 0, [3, 0], [nGC_19884, nGC_19885])

      allocate(vertices(3507)%branchCT(0:0))
      call avCT(3507, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(4158)%branchCT(0:3))
      call avCT(4158, 0, 28, 2, 0, VFFa0, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(4158, 1, 28, 2, 0, VFFa0, 0, [3, 0], [nGC_20329, nGC_20330])

      call avCT(4158, 2, 29, 3, 0, VFFa0, 0, [1, 2], [nGC_20325, nGC_20327])

      call avCT(4158, 3, 29, 3, 0, VFFa0, 0, [3, 0], [nGC_20329, nGC_20330])

      allocate(vertices(4159)%branchCT(0:0))
      call avCT(4159, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(2664)%branchCT(0:0))
      call avCT(2664, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1677)%branchCT(0:0))
      call avCT(1677, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19272])

      allocate(vertices(2383)%branchCT(0:0))
      call avCT(2383, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20319])

      allocate(vertices(1678)%branchCT(0:0))
      call avCT(1678, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_20443, nGC_20443])

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(2454)%branchCT(0:1))
      call avCT(2454, 0, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_21157, nGC_21158])

      call avCT(2454, 1, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_21155, nGC_21156])

      allocate(vertices(1683)%branchCT(0:0))
      call avCT(1683, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19189])

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(1685)%branchCT(0:0))
      call avCT(1685, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_21348])

      allocate(vertices(5074)%branchCT(0:0))
      call avCT(5074, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20274])

      allocate(vertices(4173)%branchCT(0:0))
      call avCT(4173, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19445])

      allocate(vertices(1687)%branchCT(0:0))
      call avCT(1687, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_21201])

      allocate(vertices(3349)%branchCT(0:0))
      call avCT(3349, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_13381])

      allocate(vertices(4084)%branchCT(0:0))
      call avCT(4084, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19311])

      allocate(vertices(4177)%branchCT(0:0))
      call avCT(4177, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19311])

      allocate(vertices(554)%branchCT(0:1))
      call avCT(554, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_19770, nGC_19770])

      call avCT(554, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_19772, nGC_19772])

      allocate(vertices(4190)%branchCT(0:0))
      call avCT(4190, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4183)%branchCT(0:0))
      call avCT(4183, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(1693)%branchCT(0:0))
      call avCT(1693, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19959])

      allocate(vertices(4184)%branchCT(0:0))
      call avCT(4184, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4186)%branchCT(0:0))
      call avCT(4186, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4187)%branchCT(0:0))
      call avCT(4187, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(599)%branchCT(0:0))
      call avCT(599, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19135])

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19121])

      allocate(vertices(1697)%branchCT(0:1))
      call avCT(1697, 0, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_20542, nGC_20542])

      call avCT(1697, 1, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_20540, nGC_20540])

      allocate(vertices(1698)%branchCT(0:1))
      call avCT(1698, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_19859, nGC_19860])

      call avCT(1698, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_19852, nGC_19849])

      allocate(vertices(1699)%branchCT(0:0))
      call avCT(1699, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_13343])

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(4194)%branchCT(0:0))
      call avCT(4194, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(4403)%branchCT(0:0))
      call avCT(4403, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_19280])

      allocate(vertices(4196)%branchCT(0:0))
      call avCT(4196, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1703)%branchCT(0:1))
      call avCT(1703, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_19859, nGC_19860])

      call avCT(1703, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_19852, nGC_19849])

      allocate(vertices(1704)%branchCT(0:0))
      call avCT(1704, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1705)%branchCT(0:0))
      call avCT(1705, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(650)%branchCT(0:0))
      call avCT(650, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13366])

      allocate(vertices(1707)%branchCT(0:1))
      call avCT(1707, 0, 31, 1, 0, FVFa0, 0, [0, 3], [nGC_20053])

      call avCT(1707, 1, 31, 1, 0, FVFa0, 0, [2, 1], [nGC_20052])

      allocate(vertices(1708)%branchCT(0:0))
      call avCT(1708, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4064)%branchCT(0:0))
      call avCT(4064, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_23776])

      allocate(vertices(5075)%branchCT(0:0))
      call avCT(5075, 0, 13, 1, 0, VS1, 0, [0, 2], [nGC_26693, nGC_26694])

      allocate(vertices(4200)%branchCT(0:0))
      call avCT(4200, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19382])

      allocate(vertices(1709)%branchCT(0:0))
      call avCT(1709, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4923)%branchCT(0:0))
      call avCT(4923, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19222])

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19671])

      allocate(vertices(1710)%branchCT(0:0))
      call avCT(1710, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1711)%branchCT(0:0))
      call avCT(1711, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1712)%branchCT(0:0))
      call avCT(1712, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_20037])

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19206])

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_13367])

      allocate(vertices(4207)%branchCT(0:0))
      call avCT(4207, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1715)%branchCT(0:0))
      call avCT(1715, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_21213])

      allocate(vertices(4208)%branchCT(0:1))
      call avCT(4208, 0, 30, 1, 0, FaVF0, 0, [0, 3], [nGC_20236])

      call avCT(4208, 1, 30, 1, 0, FaVF0, 0, [2, 1], [nGC_20235])

      allocate(vertices(3497)%branchCT(0:0))
      call avCT(3497, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19347])

      allocate(vertices(4405)%branchCT(0:0))
      call avCT(4405, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19347])

      allocate(vertices(1719)%branchCT(0:0))
      call avCT(1719, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19382])

      allocate(vertices(1720)%branchCT(0:0))
      call avCT(1720, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1721)%branchCT(0:0))
      call avCT(1721, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20106, nGC_20107])

      allocate(vertices(1722)%branchCT(0:0))
      call avCT(1722, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13349])

      allocate(vertices(2834)%branchCT(0:0))
      call avCT(2834, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1723)%branchCT(0:0))
      call avCT(1723, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13341])

      allocate(vertices(4848)%branchCT(0:0))
      call avCT(4848, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4213)%branchCT(0:0))
      call avCT(4213, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(1652)%branchCT(0:0))
      call avCT(1652, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19126])

      allocate(vertices(4215)%branchCT(0:0))
      call avCT(4215, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19099])

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_21348])

      allocate(vertices(4217)%branchCT(0:0))
      call avCT(4217, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4218)%branchCT(0:0))
      call avCT(4218, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19084])

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(4221)%branchCT(0:0))
      call avCT(4221, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_20892, nGC_20891])

      allocate(vertices(820)%branchCT(0:0))
      call avCT(820, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(5076)%branchCT(0:0))
      call avCT(5076, 0, 13, 1, 0, SV1, 0, [0, 2], [nGC_26694, nGC_26693])

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20319])

      allocate(vertices(1739)%branchCT(0:0))
      call avCT(1739, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19154, nGC_19155,     &
      nGC_19155])

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20545])

      allocate(vertices(1743)%branchCT(0:1))
      call avCT(1743, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_19772, nGC_19772])

      call avCT(1743, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_19770, nGC_19770])

      allocate(vertices(3134)%branchCT(0:1))
      call avCT(3134, 0, 30, 1, 0, FaSF0, 0, [2, 1], [nGC_19467, nGC_19467])

      call avCT(3134, 1, 30, 1, 0, FaSF0, 0, [0, 3], [nGC_19466, nGC_19466])

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1746)%branchCT(0:0))
      call avCT(1746, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1747)%branchCT(0:0))
      call avCT(1747, 0, 1, 1, 0, VVV2, 0, [0, 3], [nGC_19917, nGC_19916])

      allocate(vertices(5077)%branchCT(0:0))
      call avCT(5077, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20010])

      allocate(vertices(4236)%branchCT(0:1))
      call avCT(4236, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19467, nGC_19467])

      call avCT(4236, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19466, nGC_19466])

      allocate(vertices(3517)%branchCT(0:0))
      call avCT(3517, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(2964)%branchCT(0:0))
      call avCT(2964, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_13366])

      allocate(vertices(4237)%branchCT(0:0))
      call avCT(4237, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19280])

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_20177])

      allocate(vertices(4238)%branchCT(0:0))
      call avCT(4238, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_21201])

      allocate(vertices(2290)%branchCT(0:0))
      call avCT(2290, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19445])

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19601])

      allocate(vertices(4790)%branchCT(0:0))
      call avCT(4790, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_19272])

      allocate(vertices(1757)%branchCT(0:0))
      call avCT(1757, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19930, nGC_19930,     &
      nGC_19931])

      allocate(vertices(4242)%branchCT(0:0))
      call avCT(4242, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19201])

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_13361])

      allocate(vertices(3041)%branchCT(0:0))
      call avCT(3041, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19241])

      allocate(vertices(1762)%branchCT(0:0))
      call avCT(1762, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(5078)%branchCT(0:0))
      call avCT(5078, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_19198])

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19333])

      allocate(vertices(2450)%branchCT(0:0))
      call avCT(2450, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_13342])

      allocate(vertices(985)%branchCT(0:0))
      call avCT(985, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4249)%branchCT(0:0))
      call avCT(4249, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_19306])

      allocate(vertices(4251)%branchCT(0:0))
      call avCT(4251, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_13342])

      allocate(vertices(4252)%branchCT(0:0))
      call avCT(4252, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_19092])

      allocate(vertices(4254)%branchCT(0:0))
      call avCT(4254, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_19707])

      allocate(vertices(1768)%branchCT(0:0))
      call avCT(1768, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19231])

      allocate(vertices(1769)%branchCT(0:0))
      call avCT(1769, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19104])

      allocate(vertices(1770)%branchCT(0:0))
      call avCT(1770, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20482])

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_13365])

      allocate(vertices(1038)%branchCT(0:0))
      call avCT(1038, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4262)%branchCT(0:0))
      call avCT(4262, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(4191)%branchCT(0:0))
      call avCT(4191, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(3109)%branchCT(0:0))
      call avCT(3109, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4264)%branchCT(0:0))
      call avCT(4264, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19121])

      allocate(vertices(4265)%branchCT(0:0))
      call avCT(4265, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20361])

      allocate(vertices(4440)%branchCT(0:0))
      call avCT(4440, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_20177])

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1776)%branchCT(0:0))
      call avCT(1776, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(2058)%branchCT(0:0))
      call avCT(2058, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19292])

      allocate(vertices(1953)%branchCT(0:0))
      call avCT(1953, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19288])

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19246])

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_19092])

      allocate(vertices(1780)%branchCT(0:1))
      call avCT(1780, 0, 31, 1, 0, FSFa0, 0, [2, 1], [nGC_19113, nGC_19114])

      call avCT(1780, 1, 31, 1, 0, FSFa0, 0, [0, 3], [nGC_19115, nGC_19116])

      allocate(vertices(4273)%branchCT(0:0))
      call avCT(4273, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_19666])

      allocate(vertices(4373)%branchCT(0:0))
      call avCT(4373, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19477])

      allocate(vertices(3950)%branchCT(0:0))
      call avCT(3950, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_19227])

      allocate(vertices(1784)%branchCT(0:0))
      call avCT(1784, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_19371, nGC_19372])

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_19155, nGC_19154,      &
      nGC_19155])

      allocate(vertices(4676)%branchCT(0:1))
      call avCT(4676, 0, 31, 1, 0, FVFa0, 0, [0, 3], [nGC_20053])

      call avCT(4676, 1, 31, 1, 0, FVFa0, 0, [2, 1], [nGC_20052])

      allocate(vertices(2838)%branchCT(0:0))
      call avCT(2838, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_19666])

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_21207])

      allocate(vertices(5079)%branchCT(0:0))
      call avCT(5079, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22561, nGC_22560])

      allocate(vertices(1136)%branchCT(0:0))
      call avCT(1136, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19084])

      allocate(vertices(4280)%branchCT(0:0))
      call avCT(4280, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19071])

      allocate(vertices(1789)%branchCT(0:0))
      call avCT(1789, 0, 1, 1, 0, UUaV1, 0, [0, 3], [nGC_19394])

      allocate(vertices(1790)%branchCT(0:0))
      call avCT(1790, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20259])

    end subroutine fill_vertices_mdl9
end module vertices_info9
